<?php

use Illuminate\Support\Facades\DB;
use App\Models\Menu;
use App\Models\User;
use App\Models\Birthdaywish;
use App\Models\MenuAccess;
use Illuminate\Support\Facades\Auth;

use Carbon\Carbon;
if(!function_exists('app_user')){
	function app_user(){
        $access = MenuAccess::have_access(652) ? 1 : 0;
            
        return view('layouts.user', compact('access'));
	}
}

if(!function_exists('app_notifi')){
	function app_notifi(){
        $today = \Carbon\Carbon::now()->format('m-d');
        $todaymeeting= \Carbon\Carbon::now()->format('Y-m-d');
        
        //  $birthdays = DB::table('users')
        //  ->whereRaw('DATE_FORMAT(dob,"%m-%d") = ?', [$today])
        //  ->select('name','image')
        //  ->get();
        $user=User::all();
        $meetings=DB::table('pta')
                    ->whereDate('date', $todaymeeting)->get();
         
        // $birthdaycount = $birthdays->count();
        $meetingcount=$meetings->count();
        // $totalcount=$birthdaycount+$meetingcount;
        return view('layouts.navnoti',compact('meetingcount','meetings','user'));
	}
}

if(!function_exists('app_stf_notif')){
	function app_stf_notif(){
        $curdate = date('Y-m-d');
        $userId = Auth::id();
        $wish=Birthdaywish::where('to',$userId)->where('from','1')->where('date',$curdate)->select('to','from','message')->get();
        $wishcount=$wish->count();
            
        return view('layouts.navnotistaff',compact('userId','wish','wishcount'));
	}
}

if(!function_exists('app_nav_user')){
	function app_nav_user(){
        return view('layouts.navuser');
	}
}

if(!function_exists('app_menus')){
	function app_menus(){
        $type_id = auth()->user()->type_id;
        if(cache()->has('user_menus-'.$type_id)){
            $menus = cache()->get('user_menus-'.$type_id);
        }else{
            $menus = Menu::join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
              		->where('menu_access.type_id',$type_id)
              		->where('menu_access.status',1)
              		->where('menus.status',1)
              		->whereIn('menus.menu_category',['admin','accounts','library'])
              		->where('menus.menu_type','dashboard')
              		->where('menus.menu_parent',0)
              		->select('menus.*')
              		->whereNull('menu_access.deleted_at')
              		->orderBy('menus.menu_order','ASC')
              		->get();
            cache()->put('user_menus-'.$type_id,$menus);
        }
        
        if(cache()->has('user_access-'.$type_id)){
            $access = cache()->get('user_access-'.$type_id);
        }else{
            $access = MenuAccess::where('type_id',$type_id)->pluck('menu_id')->toArray();
            cache()->put('user_access-'.$type_id,$access);
        }
        
        $settings = MenuAccess::have_access(652) ? 1 : 0;
        
        return view('layouts.menus', compact('menus','access','settings'));
	}
}

if(!function_exists('app_settings_user')){
	function app_settings_user(){
        return view('layouts.settings-user');
	}
}

if(!function_exists('date_words')){
	function date_words($date){
        $day=idate('d',strtotime($date));
		$month_in_words=date('F',strtotime($date));
		$year=date('Y',strtotime($date));
            
		$words_day=array('0'=>'' ,'1'=>'first' ,'2'=>'second' ,'3'=>'third','4' =>'fourth','5' =>'fifth','6' => 'sixth','7' => 'seventh','8' => 'eighth','9' => 'ninth','10' => 'tenth','11' => 'eleventh','12' => 'twelfth','13' => 'thirteenth','14' => 'fourteenth','15' => 'fifteenth','16' => 'sixteenth','17' => 'seventeenth','18' => 'eighteenth','19' => 'nineteenth','20' => 'twenty','30' => 'thirty');
		$words_year=array('0'=>'' ,'1'=>'one' ,'2'=>'two' ,'3'=>'three','4' =>'four','5' =>'five','6' => 'six','7' => 'seven','8' => 'eight','9' => 'nine','10' => 'ten','11' => 'eleven','12' => 'twelve','13' => 'thirteen','14' => 'fourteen','15' => 'fifteen','16' => 'sixteen','17' => 'seventeen','18' => 'eighteen','19' => 'nineteen','20' => 'twenty','30' => 'thirty','40' => 'fourty','50' => 'fifty','60' => 'sixty','70' => 'seventy','80' => 'eighty','90' => 'ninety','100' => 'hundred','2000' => 'two thousand'); 
            
		if($day<20){
			$day_in_words=$words_day[$day];
		}elseif($day>=20){
			$day1=floor(($day/10))*10;
			$day2=$day%10;
			if($day2==0){
				$day_in_words = substr($words_day[$day1],0,5)."ieth";
			}else{
				$day_in_words=$words_day[$day1]." ".$words_day[$day2];
			}
		}
            
		$year1=floor($year/100);
		$year2=$year%100;
		if($year1<20){
			if($year2>20){
				$year3=floor(($year2/10))*10;
				$year4=$year2%10;
				$year_in_words=$words_year[$year1]." ".$words_year[$year3]." ".$words_year[$year4];
			}else{
				$year_in_words=$words_year[$year1]." ".$words_year[$year2];
			}
		}else{
			if($year2>20){
				$year3=floor(($year2/10))*10;
				$year4=$year2%10;
				$year_in_words=$words_year[2000]." ".$words_year[$year3]." ".$words_year[$year4];
			}else{
				$year_in_words=$words_year[2000]." ".$words_year[$year2];
			}
		}
            
		return $dob_in_words=$day_in_words." ".$month_in_words." ".$year_in_words;
	}
}

if(!function_exists('app_settings_menus')){
    function app_settings_menus(){
        $type_id = auth()->user()->type_id;
        if(cache()->has('user_settings_menus-'.$type_id)){
            $menus = cache()->get('user_settings_menus-'.$type_id);
        }else{
            $menus = Menu::join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                        ->where('menu_access.type_id',$type_id)
                        ->where('menu_access.status',1)
                        ->where('menus.status',1)
                        ->where('menus.menu_type','settings')
                        ->where('menus.menu_parent',0)
                        ->select('menus.*')
                        ->whereNull('menu_access.deleted_at')
                        ->orderBy('menus.menu_order','ASC')
                        ->get();
            cache()->put('user_settings_menus-'.$type_id,$menus);
        }
        return view('layouts.settingsmenus', compact('menus'));
	}
}
	
if(!function_exists('app_table_links')){
	function app_table_links($ids,$args=array()){
		$type_id = auth()->user()->type_id;
        $menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.actions',compact(array('menus','ids')));
	}
}

if(!function_exists('app_table_links_multi')){
	function app_table_links_multi($ids=array(),$args=array()){
		$type_id = auth()->user()->type_id;
        $menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.actions_multi',compact(array('menus','ids')));
	}
}

if(!function_exists('app_button_links')){
    function app_button_links($args=array()){
        $type_id = auth()->user()->type_id;
		$menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.buttons',compact('menus'));
	}
}

if(!function_exists('app_button_links_v')){
    function app_button_links_v($args=array()){
        $type_id = auth()->user()->type_id;
		$menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.buttons_v',compact('menus'));
	}
}

if(!function_exists('app_button_links_vl')){
    function app_button_links_vl($args=array()){
        $type_id = auth()->user()->type_id;
		$menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.buttons_vl',compact('menus'));
	}
}
	
if(!function_exists('app_button_action_links')){
    function app_button_action_links($ids,$args=array()){
        $type_id = auth()->user()->type_id;
		$menus = DB::table('menus')
                    ->join('menu_access', 'menus.menu_id', '=', 'menu_access.menu_id')
                    ->where('menu_access.type_id',$type_id)
                    ->where('menu_access.status',1)
                    ->where('menus.status',1)
                    ->whereIn('menus.menu_id',$args)
                    ->select('menus.*')
                    ->orderBy('menus.menu_order', 'asc')
                    ->whereNull('menu_access.deleted_at')
                    ->orderBy('menus.menu_order','ASC')
                    ->get();
		return view('layouts.abuttons',compact(array('menus','ids')));
	}
}
	
if(!function_exists('dateFormat')){
	function dateFormat($date){
		if(!empty($date) && ($date !='0000-00-00' && $date !='0000-00-00 00:00:00')){
			return date('d/m/Y',strtotime($date));
		}
		return "";
	}
}

if(!function_exists('getAcyear')){
	function getAcyear(){
		$acyear = DB::table('acyears')->where(array('default1'=>1,'status'=>1))->select('ac_id')->first();
		if($acyear){
            return $acyear->ac_id;
		}
		return false;
	}
}

if(!function_exists('instituteDetails')){
	function instituteDetails(){
		$institution = DB::table('institution')->first();
		if($institution){
            return $institution;
		}
		return false;
	}
}

#================ student ====================

if(!function_exists('app_student_notification')){
    function app_student_notification(){
        return view('layouts.student_notification');
	}
}

if(!function_exists('app_student')){
	function app_student(){
        return view('layouts.student');
	}
}

if(!function_exists('app_nav_student')){
	function app_nav_student(){
        return view('layouts.navstudent');
	}
}

if(!function_exists('app_student_menus')){
	function app_student_menus(){
        if(cache()->has('student_menus')){
            $menus = cache()->get('student_menus');
        }else{
            $menus = Menu::where('status',1)
                ->where('menu_category','student')
                ->where('menu_type','dashboard')
                ->where('menu_parent',0)
                ->select('*')
                ->orderBy('menu_order','ASC')
                ->get();
            cache()->put('student_menus',$menus);
        }
            
        return view('layouts.student-menus', compact('menus'));
	}
}