<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\User;
use App\Models\Clubs;
use App\Models\RequestJoinClub;

use Illuminate\Support\Facades\Auth;

class Club extends Controller
{
    public function add()
    {
        $acyears = Acyear::all();
        $staff=User::all();
        $clubs=Clubs::all();
       return view('clubs.add',compact('acyears','staff','clubs')); 
    }

    public function add_save(Request $request)
    {

$validated = $request->validate([
    'club_name' => 'required|unique:add_clubs,club_name',
    'user_id' => 'required|array',
]);

$club_name = $request->club_name;
$staff = $request->user_id; 
$acyear = $request->ac_id;

$user_ids = implode(',',$staff);

$club = Clubs::create([
    'ac_id' => $acyear,
    'club_name' => $club_name,
    'user_ids' =>$user_ids,
]);

if ($club) {
    $msg_array = ['message' => 'Club Added Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Club Could not be Added!', 'alert-type' => 'error'];
}

return redirect()->route('clubs.add')->with($msg_array);

    } 
    
    
    
   public function report()
   {
       $clubs=Clubs::all();
      return view('clubs.report',compact('clubs'));  
   }
    
    public function club_ajax(Request $request)

{
    
    $col_order = ['club_name', 'user_ids', 'ac_id'];
    $total_data = Clubs::whereNull('deleted_at')->count();
    $limit = $request->input('length');
    $start = $request->input('start');
    $order = $col_order[$request->input('order.0.column')];
    $dir = $request->input('order.0.dir');

    $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $current_academic_year_id = $cur_acyear->ac_id;

    $query = Clubs::where('ac_id', $current_academic_year_id)->with('users');
    dd($query);

    if (!empty($request->input('search.value'))) {
        $search = $request->input('search.value');
        $query->where('club_name', 'like', '%' . $search . '%');
    }

    $total_filtered = $query->count();
    $clubs = $query->select('add_clubs.*')->offset($start)->limit($limit)->orderBy($order, $dir)->get();

    $data = [];
    foreach ($clubs as $club) {
        $data[] = [
           
            'club_name' => $club->club_name,
            'user_ids' => implode(', ', $club->users->pluck('name')->toArray()), 
            'ac_id' => date('Y', strtotime($club->acyear->sdate)) . '-' . date('Y', strtotime($club->acyear->edate)),
        ];
    }

    $json = [
        'draw' => intval($request->input('draw')),
        'recordsTotal' => intval($total_data),
        'recordsFiltered' => intval($total_filtered),
        'data' => $data,
    ];

    return response()->json($json);
}
    
   public function report_edit($id)
   {
      $club_id=Clubs::find($id);
       $acyears = Acyear::all();
        $staff=User::all();
        $clubs=Clubs::all();
     return view('clubs.report_edit',compact('club_id','acyears','staff','clubs'));
     
   }
    
    public function report_update(Request $request)
    {
        $validated = $request->validate([
    'club_name' => 'required|unique:add_clubs,club_name',
    'user_id' => 'required|array',
]);
        $club_id=$request->club_id;
        $club=Clubs::where('club_id',$club_id)->first();
        $club_name = $request->club_name;
        $staff = $request->user_id; 
         $acyear = $request->ac_id;
        





$user_ids = implode(',',$staff);

$club->update([
            'club_name'=>$club_name,
            'ac_id' => $acyear,
    'club_name' => $club_name,
    'user_ids' =>$user_ids,
            ]);
            

if ($club) {
    $msg_array = ['message' => 'Club Added Successfully!', 'alert-type' => 'success'];
} else {
    $msg_array = ['message' => 'Club Could not be Added!', 'alert-type' => 'error'];
}

return redirect()->route('clubs.report')->with($msg_array);

   
    }
 
 public function report_delete($id)
 {
       $club_id=Clubs::find($id)->delete();
       if($club_id)
       {
           $msg_array=array('message','Club name deleted successfully!!','success');
       }
        else
       {
           $msg_array=array('message','Club name could not be deleted!!','error');
       }
       return redirect()->route('clubs.report')->with($msg_array);
 }
 
 
 public function studentrequest()
 {    
     $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $current_academic_year_id = $cur_acyear->ac_id;
     $userId=Auth::id();
     $joinrequest=RequestJoinClub::where('user_id',$userId)->get();
    return view('clubs.studentrequest',compact('joinrequest','userId'));
 }
 
 public function studentrequest_actions($id)
 {
      $userId=Auth::id();
      $joinrequest=RequestJoinClub::join('students','join_request_club.student_id','students.student_id')
      ->join('add_clubs','add_clubs.club_id','=','join_request_club.club_id')
      ->where('join_request_club.user_id',$userId)
      ->where('join_request_club.joinclub_id',$id)
      ->select('students.name','students.adno','join_request_club.*','add_clubs.club_name')
      ->first();
    
    //  $joinrequest=RequestJoinClub::where('user_id',$userId)->where('joinclub_id',$id)->get();
    return view('clubs.studentrequest_actions',compact('joinrequest','userId'));
 } 
 public function studentrequest_actions_approve($id)
 {
     $request = RequestJoinClub::find($id);

        
        if ($request) {
          
            $request->status = 1;
            $request->save();
            
        
            return redirect()->route('club.request')->with('success','Request approved successfully.');
        }
 
 }
 public function studentrequest_actions_reject($id)
   {
        $request =  RequestJoinClub::find($id);

        if ($request) {
            $request->status = 2;
            $request->save();
            
          
            return redirect()->back()->with('success', 'Request rejected successfully.');
        }
   }
 
 
 
 
 
 
 
 
 
 
 
 
 
 
    
}
