<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\User;
use App\Models\ComplaintAdd;
use App\Models\ForwardedComplaints;


use Illuminate\Support\Facades\Auth;
  
use Illuminate\Support\Carbon;

class Complaints extends Controller
{
    public function complaints_add()
    {
    //   $to=User::whereIn('type_id',[13,14])->first();
        $to_fromsuperadmin=User::where('type_id','13')->get();
        $to_fromadmin=User::whereIn('type_id',[13,1])->get();
        $to_fromtchr=User::whereIn('type_id',[17,13])->get();
         $to_fromhod=User::whereIn('type_id',[1,13])->get();
        return view('complaints.complaints_add',compact('to_fromsuperadmin','to_fromadmin','to_fromtchr','to_fromhod'));
    }

    public function complaints_save(Request $request)
    {
        $validated=$request->validate([
            'subject'=>'required',
            'complaint'=>'required',
            'complaint_to'=>'required',
            ]);
            
            $userId = Auth::id();
            $current_date=date('Y-m-d');
        $complaint_add=ComplaintAdd::create([
        'complaint_from'=>$userId,
        'complaint_to'=>$request->complaint_to,
        'subject'=>$request->subject,
        'complaint'=>$request->complaint,
        'date'=>$current_date,
        ]);
        if($complaint_add){
            $msg_array = array('message'=>'Your complaint has been submitted successfully.!','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Your complaint could not be submitted.!','alert-type'=>'error');
        }
        return redirect()->route('complaints')->with($msg_array);  
        
    }
    
    public function complaints_view()
    {
         $userId = Auth::id();
        // $complaint=ComplaintAdd::where('complaint_from',$userId)->get();
        
         $replies = ForwardedComplaints::join('complaint_add','complaint_add.complaint_id','=','forwardeded_reply.complaint_id')
        ->where('forwardeded_reply.replied_to', $userId)
        ->get();

            $complaints = ComplaintAdd::where('complaint_from', $userId)->with('replies')->get();

        return view('complaints.complaints_view',compact('complaints','replies','userId'));
    }
    
    
    public function complaints_inbox()
    {
        $userId = Auth::id();
      
    //      $complaint = ComplaintAdd::where(function ($query) use ($userId) {
    //     $query->where('complaint_to', $userId)
    //           ->orWhere('forwarded_to', $userId);
    // })->get();
    
      $complaint = ComplaintAdd::where(function ($query) use ($userId) {
        $query->where('complaint_to', $userId)
              ->orWhere('forwarded_to', $userId);
    })
    ->with('forwardededReply') 
    ->get();

    
    
    
    
        // $forward=ComplaintAdd::where('forwarded_to',$userId)->first();
        
        
        return view('complaints.complaints_inbox',compact('complaint','userId'));
    }
    
    public function complaints_inbox_rply($id)
    {
        $userId = Auth::id();
        $complaint=ComplaintAdd::find($id);
       
//  $complaint = ComplaintAdd::join('users','complaint_add.complaint_to', '=', 'users.user_id')
//         ->where('complaint_add.complaint_to', $userId)
//         ->where('complaint_add.complaint_id',$id)
//         ->orWhere('forwarded_to', $userId)
//         ->select('complaint_add.*')
//         ->first();  
$complaint = ComplaintAdd::join('users', 'complaint_add.complaint_to', '=', 'users.user_id')
    ->where('complaint_add.complaint_id', $id)
    ->where(function($query) use ($userId) {
        $query->where('complaint_add.complaint_to', $userId)
              ->orWhere('complaint_add.forwarded_to', $userId);
    })
    ->select('complaint_add.*')
    ->first();

      
  $usersuper=User::where('type_id','13')->get();
  $userhod=User::whereIn('type_id',[13,1])->get();
  $teacher=User::where('type_id',13)->get();
return view('complaints.complaints_inbox_rply',compact('complaint','usersuper','userhod','teacher'));
    }
    
    
//   public function complaints_inbox_rply_frwrd(Request $request)

// {
//     $userId = Auth::id();
//     $complaint = ComplaintAdd::find($request->complaint_id);

   
//     if ($complaint) {

       
//         if ($request->has('replyMessage') && $request->replyMessage) {
         
//             ForwardedComplaints::create([
//                 'complaint_id' => $complaint->complaint_id,
//                 'user_id' => $userId,
//                 'reply' => $request->replyMessage,
//                 'replied_to'=> $complaint->complaint_from,
//                 'date' => now(),
//             ]);

//             return redirect()->route('complaints.inbox')->with('success', 'Reply added successfully.');

//         } elseif ($request->has('staff_id') && $request->staff_id) {
          
//             $complaint->update([
//                 'forwarded_to' => $request->staff_id,
//             ]);

//             return redirect()->route('complaints.inbox')->with('success', 'Complaint forwarded successfully.');
//         }

//     } else {
//         return redirect()->route('complaints.inbox')->with('error', 'Complaint not found.');
//     }
// }

    
    
    
    public function complaints_inbox_rply_frwrd(Request $request)
{
    $userId = Auth::id();
    $complaint = ComplaintAdd::find($request->complaint_id);

    if ($complaint) {
    
        if ($request->has('replyMessage') && $request->replyMessage) {
        
            ForwardedComplaints::create([
                'complaint_id' => $complaint->complaint_id,
                'user_id' => $userId, 
                'reply' => $request->replyMessage,
                'replied_to' => $complaint->complaint_from, 
                'date' => now(),
            ]);

            return redirect()->route('complaints.inbox')->with('success', 'Reply added successfully.');

        } 
        // Check if the user is forwarding the complaint (has 'staff_id')
        elseif ($request->has('staff_id') && $request->staff_id) {
            // Update the complaint with the new forwarded person (staff_id)
            $complaint->update([
                'forwarded_to' => $request->staff_id,
            ]);

            return redirect()->route('complaints.inbox')->with('success', 'Complaint forwarded successfully.');
        }

    } else {
        // If no complaint is found
        return redirect()->route('complaints.inbox')->with('error', 'Complaint not found.');
    }
}

    
    
    
    
    
    
    
    
}
