<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\Enquiry;
use App\Models\EnquiryFollowup;
use App\Models\Course;
use App\Models\User;
use App\Models\Semester;
use App\Models\Subject;
use App\Models\Student;
use App\Models\Promote;
use App\Models\TcDetail;
use App\Models\MenuAccess;
use App\Models\acquotamodel;
use App\Models\Syllabus;
use App\Models\Enrolment;
use App\Models\Studentleavetype;
use App\Models\FeeCategory;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\StudentsExport;
use App\Models\Paymentmode;
use App\Models\Fee;
use App\Models\SubjectType; 
use App\Models\SemesterYear;
use App\Models\Religion;
use App\Models\FeeStructureType;
use App\Models\FeeStructure;
use App\Models\StudentAttendance;
use App\Models\SubCategory;
use App\Models\RollOutStudents;
use App\Models\FyugpStudSub;
use App\Models\SpecialClassAdd;
use App\Models\StaffSubject;
use App\Models\ObeCo;
use App\Models\GatePass;
date_default_timezone_set('Asia/Kolkata');
class Enquiryn extends Controller
{
   public function enquiry_add(){
        
        $acyears = Acyear::all();
        $courses = Course::all();
        $staffs = User::all();
        $currentTime = date('H:i');
        $enq_max = Enquiry::max('enq_no');
	    $enq_no = $enq_max+1;
        return view('enquiry.add',compact('acyears','courses','currentTime','enq_no','staffs'));
    }
    
    
public function enquiry_save(Request $request)
 {
     
     $validated = $request->validate([
            'enq_no' => 'required',
            'visitor_name' => 'required',
             'gender' => 'required',
             'edate' => 'required',
             'etime' => 'required',
             'course_id' => 'required',
             'mobile' => 'required',
              'handled_by' => 'required',
              'meeting_status' => 'required',  
            
        ]);
        $ac_id = getAcyear();
          $checkgd = Enquiry::where([
               
                'enq_no' => $request->enq_no,
               
            ])->first();
            
        if(!$checkgd){
            $enquiry = Enquiry::create([
                'enq_no' => $request->enq_no,
               'visitor_name' => $request->visitor_name,
               'gender' => $request->gender,
               'address' => $request->address,
               'en_date'=>$request->edate,
               'etime' => $request->etime,
                'class' => $request->course_id,
                'mobile' => $request->mobile,
                'landline'=> $request->landline,
                'email'=> $request->email,
                'handled_by' => $request->handled_by,
                'meeting_status' => $request->meeting_status,
                'qualification'=>$request->qualification,
                'remarks'=>$request->remark,
                'acyear' => $ac_id,
    
            ]); 
            
            if($enquiry){
            $enqf = EnquiryFollowup::create([
                'enq_no' => $enquiry->id,
                'date' => $request->edate,
                'time' => $request->etime,
                'status' => $request->fstatus,
               
            ]);
            
            
            } 
        }
            
       if($enquiry){
            $msg_array = array('message'=>'Enquiry Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Enquiry Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('enquiry.add')->with($msg_array);  
        

 }
 
   /* public function report(Request $request){
        $ac_id = getAcyear();
        $courses = Course::all();
        $staffs = User::all();
        if($request->input('fdate') !='')
        {
       $selected_fdate = $request->input('fdate');
        }else{
            $selected_fdate = date('Y-m-d');
        }
          if($request->input('tdate') !='')
        {
       $selected_tdate = $request->input('tdate');
        }else{
            $selected_tdate = date('Y-m-d');
        }
       $selected_handled_by = $request->input('handled_by');
       $selected_meeting_status = $request->input('meeting_status');
       $selected_course = $request->input('course');
       $selected_enq_status = $request->input('enq_status');
        
        return view('enquiry.report',compact('ac_id','courses','staffs','selected_fdate','selected_tdate','selected_handled_by','selected_meeting_status','selected_course','selected_enq_status'));
    }
    
    
    public function get_report(Request $request)
     {
      
        $course = $request->course;
        $fdate = $request->fdate;
        $tdate = $request->tdate;
        $handled_by = $request->handled_by;
        $meeting_status = $request->meeting_status;
        $enq_status = $request->enq_status;
        $ac_id = getAcyear();
       
        $enq_det = Enquiry::where('en_date','>=',$fdate)->where('en_date','<=',$tdate);
                           if (!empty($handled_by)) {
                           $enq_det->where('handled_by', $handled_by);
                            }
                           if (!empty($meeting_status)) {
                            $enq_det->where('meeting_status', $meeting_status);
                            }
                            if (!empty($enq_status)) {
                             $enq_det->where('enq_status', $enq_status);
                            }
                            if (!empty($course)) {
                            $enq_det->where('class', $course);
                            }
                            $enq_det = $enq_det->get();
                           
        return view('enquiry.enquiry_get',compact('course','fdate','tdate','handled_by','meeting_status','enq_status','ac_id','enq_det'));
         
     }
     */
     
     
     public function report(){
        $ac_id = getAcyear();
        $courses = Course::all();
        $staffs = User::all();
      
        
        return view('enquiry.report',compact('courses','staffs','ac_id'));
    } 
     
     public function getData(Request $request){
          $col_order = ['enq_no','visitor_name','mobile','en_date','handled_by','class','meeting_status','enq_status'];
          $total_data = Enquiry::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          
           $fdate = $request->get('fdate');
           $tdate = $request->get('tdate');
           $handled_by = $request->get('handled_by');
           $meeting_status = $request->get('meeting_status');
           $course = $request->get('course');
           $enq_status = $request->get('enq_status');
           
           
           $query  =   Enquiry::join('courses','enquiry.class','=','courses.course_id')->
                    join('users','enquiry.handled_by','=','users.user_id');
                    
                   
                    if($fdate!=''){
                        $query->where('enquiry.en_date','>=',$fdate);
                    }
                    if($tdate!=''){
                        $query->where('enquiry.en_date','<=',$tdate);
                    }
                    if($handled_by!=''){
                        $query->where('enquiry.handled_by',$handled_by);
                    }
                     if($meeting_status!=''){
                        $query->where('enquiry.meeting_status',$meeting_status);
                    }
                    
                     if($course!=''){
                        $query->where('enquiry.class',$course);
                    }
                    if($enq_status!=''){
                        $query->where('enquiry.enq_status',$enq_status);
                    }
           if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('enquiry.en_date','like','%'.$search.'%')->
                            orWhere('enquiry.meeting_status','like','%'.$search.'%')->
                            orWhere('courses.course_name','like','%'.$search.'%')->
                            orWhere('courses.course_code','like','%'.$search.'%')->
                            orWhere('users.name','like','%'.$search.'%')->
                            orWhere('enquiry.visitor_name','like','%'.$search.'%');
                        });
                    }
           $total_filtered = $query->count();
             $enquiry  =   $query->select('enquiry.*','courses.course_name','courses.course_code','users.name','users.lname')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
                    $view=$edit=$delete=$admission=$reject=0;
                    if(MenuAccess::have_access(473) == true){ $admission=1; }
                    if(MenuAccess::have_access(474) == true){ $reject=1; }
                    if(MenuAccess::have_access(478) == true){ $view=1; }
                    if(MenuAccess::have_access(472) == true){ $edit=1; }
                    if(MenuAccess::have_access(471) == true){ $delete=1; }
                    
                    $data = array();
                     if($enquiry){
                        foreach($enquiry as $enq){
                            $row['enq_no'] = $enq->enq_no;
                            $row['visitor_name'] = $enq->visitor_name;
                            $row['mobile'] = $enq->mobile;
                            $row['en_date'] = date('d-m-Y',strtotime($enq->en_date));
                            $row['handled_by'] = $enq->name.' '.$enq->lname;
                            $row['class'] = $enq->course_name;
                            $row['meeting_status'] = $enq->meeting_status;
                            $row['enq_status'] = $enq->getenqstatus();
                           
                          
                            $html="";$html1="";$html2="";$html3="";
                            if($enq->enq_status == 0) {
                            if($view==1){
                                $html1 .= '<a href="'.route('enquiry.followup',encrypt($enq->id)).'" title="Followup" target="_blank"><i class="fas fa-plus-circle text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            $row['followup'] = $html1;
                            
                            if($admission==1){
                                $html2 .= '<a href="'.route('enquiry.admission',encrypt($enq->id)).'" title="Admission" target="_blank"><i class="fas fa-user-plus text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            $row['admission'] = $html2;
                            
                             if($reject==1){
                                $html3 .= '<a href="'.route('enquiry.reject',encrypt($enq->id)).'" title="Reject"><i class="fas fa-user-times text-danger"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            $row['reject'] = $html3;
                            
                            
                            if($edit==1){
                                $html .= '<a href="'.route('enquiry.edit',encrypt($enq->id)).'" title="Edit" target="_blank"><i class="icon-sm icon-pencil text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                            }
                            if($delete==1){
                                $html .= '<a href="'.route('enquiry.delete',encrypt($enq->id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                            }
                            $row['action'] = $html;
                            
                            
                            }
                            else
                            {
                                $row['followup'] = $html1;
                                $row['admission'] = $html2;
                                $row['reject'] = $html3;
                                $row['action'] = $html;
                            }
                            $data[] = $row;
                        }
                        
                    }
             $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);      
        
     }
     
     public function enquiry_delete($aid){
        
        $enquiry = Enquiry::find(decrypt($aid));
        
        if($enquiry){
            if($enquiry->count() > 0){
                $deleted = EnquiryFollowup::where('enq_no', decrypt($aid))->delete();
                $enquiry->delete();
                
                $msg_array = array('message'=>'Enquiry Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Enquiry Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('enquiry.report')->with($msg_array);
    } 
 
    public function enquiry_edit($aid)
    {
                
        $enquiry = Enquiry::find(decrypt($aid));
        $enquiryfollowup= EnquiryFollowup::where('enq_no', decrypt($aid))->first();
        $courses = Course::all();
        $staffs = User::all();
        
        $selected_fdate = $enquiry->en_date;
        $selected_tdate = $enquiry->en_date;
        $selected_handled_by = $enquiry->handled_by;
        $selected_meeting_status = $enquiry->meeting_status;
        $selected_course = $enquiry->class;
        $selected_enq_status = $enquiry->enq_status;
       
        
        return view('enquiry.edit',compact(array('enquiry','enquiryfollowup','courses','staffs','selected_fdate','selected_tdate','selected_handled_by','selected_meeting_status','selected_course','selected_enq_status')));
            
        
    }  
    
    public function enquiry_update(Request $request)
  {
      $enq_id=decrypt($request->enq_id);
      $validated=$request->validate([
             'enq_no' => 'required|unique:enquiry,enq_no,'.$enq_id.',id',
          
          ]);
          $enquiry=Enquiry::find($enq_id);
          $enquiry->update([

              'visitor_name'=>$request->visitor_name,
              'address'=>$request->visitor_name,
              'gender'=>$request->gender,
              'en_date'=>$request->edate,
              'etime' => $request->etime,
              'class' => $request->course_id,
              'mobile' => $request->mobile,
              'landline'=> $request->landline,
              'email'=> $request->email,
              'handled_by' => $request->handled_by,
              'meeting_status' => $request->meeting_status,
              'qualification'=>$request->qualification,
              'remarks'=>$request->remark,
              ]);
            $updated = EnquiryFollowup::where('enq_no', $enq_id)->update([
    'date' => $request->edate,
    'time' => $request->etime,
    'status' => $request->fstatus,
]); 
              
              if($enquiry)
              {
                  $msg_array=array('message'=>'Enquiry updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Enquiry could not be updated','error'); 
              }
              return redirect()->route('enquiry.report', [
        'course' => $enquiry->class,
        'fdate' => $enquiry->en_date,
        'tdate' => $enquiry->en_date,
        'meeting_status' => $enquiry->meeting_status,
        'enq_status' => $enquiry->enq_status,
        'handled_by' => $enquiry->handled_by,
       
    ])->with($msg_array);
  } 
 
 
 public function enquiry_reject($aid){
        
        $enquiry = Enquiry::find(decrypt($aid));
        
        if($enquiry){
            if($enquiry->count() > 0){
                $enquiry->update([

              
              'enq_status'=>2,
              ]);
                $msg_array = array('message'=>'Enquiry Rejected Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Enquiry Could not be Rejected !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('enquiry.report')->with($msg_array);
    } 
    
    public function enquiry_admission($aid)
    {
                
        $enquiry = Enquiry::find(decrypt($aid));
        $enquiryfollowup= EnquiryFollowup::where('enq_no', decrypt($aid))->first();
        $courses = Course::all();
        $staffs = User::all();
        $acyears = Acyear::all();
        $categories = FeeCategory::all();
        $acquota = acquotamodel::all();
        $religion=Religion::all();
        $student_max = Student::max('adno');
	    $adno = $student_max+1;
	    $semesters = Semester::where('course_id',$enquiry->class)->get();
	    $cur_date = date('Y-m-d');
	    $ac_id = getAcyear();
	    $prev_adm = Student::whereNull('deleted_at')->latest()->first();
        return view('enquiry.admission',compact(array('enquiry','enquiryfollowup','courses','staffs','acyears','categories','acquota','adno','semesters','religion','cur_date','ac_id','prev_adm')));
            
        
    }
    
    public function enquiry_admsave(Request $request){
        
        $data = $request->except('_token','same');
        $validated = $request->validate([
            'name' => 'required',
            'gender' => 'required',
            'mobile' => 'required|numeric',
            'email' => 'nullable|email',
            'aadhar' => 'nullable|numeric',
            'dob' => 'required|date',
            'gmobile' => 'nullable|numeric',
            'fmobile' => 'nullable|numeric',
            'photo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'income' => 'nullable|numeric',
            'lastyear' => 'nullable|numeric',
            'sslc' => 'nullable|numeric',
            'plustwo' => 'nullable|numeric',
            'degree' => 'nullable|numeric',
            'adate' => 'required|date',
            'adno' => 'required|unique:students,adno,NULL,student_id,deleted_at,NULL',
            'ac_id' => 'required|numeric',
            'course_id' => 'required|numeric',
            'category_id' => 'required|numeric',
              'minorI' => 'nullable|numeric',  
    'minorII' => 'nullable|numeric', 
    'mdcI' => 'nullable|numeric',
        ]);
        
        $photo="student.png";
        if($request->hasFile('photo')){
            $ext = $request->photo->extension();
            $photo = 'photo_'.time().'.'.$ext;
            
            Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        }
        $data['photo'] = $photo;
        $data['password'] = bcrypt(date('dmY',strtotime($data['dob'])));
        
        $minorI = $data['minorI'] ?? null;
        $minorII = $data['minorII'] ?? null;
        $mdcI = $data['mdcI'] ?? null;
        $enq_id = $data['enq_id'];
        unset($data['enq_id']);
        unset($data['minorI']);
        unset($data['minorII']);
        unset($data['mdcI']);
        $student = Student::create($data);
        
        if($student){
            $promote = Promote::create([
                'student_id' => $student->student_id,
                'ac_id' => $student->ac_id,
                'course_id' => $student->course_id,
                'semester_id' => $student->semester_id,
                'category_id'=>$student->category_id,
            ]);
            
            if($minorI)
            {
             $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorI,
                        'sub_cat' =>2,
                        
                    ]);
            }  
            
             if($minorII)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorII,
                        'sub_cat' =>3,
                        
                    ]);
            }
            
             if($mdcI)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $mdcI,
                        'sub_cat' =>4,
                        
                    ]);
            }
            
          $enquiry=Enquiry::find($enq_id);
          $enquiry->update([

              'enq_status'=>1,
              'admission_id'=>$student->student_id,
              
              ]);
            
            
            $msg_array = array('message'=>'Student Admitted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Could not be Admitted !','alert-type'=>'error');
        }
        return redirect()->route('enquiry.report')->with($msg_array);
    }
    
     public function gatepass_add(){
        
        $cur_date = date('Y-m-d');
        $currentTime = date('H:i');
	    $ac_id = getAcyear();
        return view('enquiry.gatepass_add',compact('cur_date','ac_id','currentTime'));
    }
    
    public function gatepass_save(Request $request)
 {
     
     $validated = $request->validate([
            'date' => 'required',
            'visitor_name' => 'required',
             'p_to' => 'required',
           
             'etime' => 'required',
            
             
            
        ]);
        $ac_id = getAcyear();
          
            $gatepass = GatePass::create([
               
               'name' => $request->visitor_name,
               'reason' => $request->reason,
               'p_to' => $request->p_to,
               'date'=>$request->date,
               'time' => $request->etime,
                'cno' => $request->cno,
                'ac_id'=> $ac_id,
    
            ]); 
            
           
      
            
       if($gatepass){
            $msg_array = array('message'=>'Gate Pass Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Gate Pass Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('gatepass.add')->with($msg_array);  
        

 }
 
 /*public function gatepass_report(Request $request){
        $ac_id = getAcyear();
        
        
        if($request->input('fdate') !='')
        {
       $selected_fdate = $request->input('fdate');
        }else{
            $selected_fdate = date('Y-m-d');
        }
          if($request->input('tdate') !='')
        {
       $selected_tdate = $request->input('tdate');
        }else{
            $selected_tdate = date('Y-m-d');
        }
      
        
        return view('enquiry.gatepass_report',compact('ac_id','selected_fdate','selected_tdate'));
    }
    
    
    public function get_gatepass(Request $request)
     {
      
        
        $fdate = $request->fdate;
        $tdate = $request->tdate;
        
        $ac_id = getAcyear();
       
        $gatepass_det = GatePass::where('date','>=',$fdate)->where('date','<=',$tdate);
        $gatepass_det = $gatepass_det->get();
       
        
        return view('enquiry.gatepass_get',compact('fdate','tdate','ac_id','gatepass_det'));
         
     }*/
     
     
     public function gatepass_report(){
        $ac_id = getAcyear();
        $fdate=$tdate=date('Y-m-d');
      
        
        return view('enquiry.gatepass_report',compact('ac_id','fdate','tdate'));
    }
    
    
     public function getGpdata(Request $request){
          $col_order = ['name','date','time','reason','cno'];
          $total_data = Enquiry::whereNull('deleted_at')->count();
          $limit = $request->input('length');
          $start = $request->input('start');
          $order = $col_order[$request->input('order.0.column')];
          $dir = $request->input('order.0.dir');
          
           $fdate = $request->get('fdate');
           $tdate = $request->get('tdate');
           
            
           $query  =   GatePass::where('date','>=',$fdate)->where('date','<=',$tdate);
           
            if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('date','like','%'.$search.'%')->
                            orWhere('name','like','%'.$search.'%');
                           
                        });
                    }
            $total_filtered = $query->count();
             $gatepass  =   $query->select('*')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
            $data = array();
            if($gatepass){ $i=0;
                        foreach($gatepass as $gp){ $i++;
                            $row['sno'] = $i;
                            $row['name'] = strtoupper($gp->name);
                            $row['date'] = date('d-m-Y',strtotime($gp->date));
                            $row['time'] = date('h:i A', strtotime($gp->time));
                            
                            $row['reason'] = $gp->reason;
                            $row['cno'] = $gp->cno;
                           
                            $html="";
                          
                            $html .= '<a href="'.route('gatepass.print',['id' => $gp->id]).'" title="Print" target="_blank"><i class="fas fa-print fa-fw text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                           
                            $row['action'] = $html;

                            $data[] = $row;
                        }
                   
            }   
                   
          $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
     }
     
    public function gatepass_print($id)
 { 
     $ins_det = instituteDetails();
     $gatepass_det=GatePass::where('id',$id)->first();
     $ac_id = getAcyear();
     return view('enquiry.gatepass_print',compact('gatepass_det','ins_det','ac_id'));
 }
 
 
 public function enquiry_followup($aid)
    {
                
        $enquiry = Enquiry::find(decrypt($aid));
        $enquiryfollowup= EnquiryFollowup::where('enq_no', decrypt($aid))->get();
        $currentTime = date('H:i');
	    $cur_date = date('Y-m-d');
	    $ac_id = getAcyear();
	   
        return view('enquiry.followup',compact(array('enquiry','enquiryfollowup','currentTime','cur_date','ac_id')));
            
        
    }
 
   public function followup_save(Request $request)
 {
     
     $validated = $request->validate([
            'date' => 'required',
            'time' => 'required',
             'status' => 'required',
           
            
            
             
            
        ]);
        $ac_id = getAcyear();
          
            $followup = EnquiryFollowup::create([
               'enq_no'=>$request->enq_id,
               'date' => $request->date,
               'time' => $request->time,
               'status' => $request->status,
              
               
    
            ]); 
            
           
      
            
       if($followup){
            $msg_array = array('message'=>'Followup Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Followup Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('enquiry.report')->with($msg_array);  
        

 }
 
}
