<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Course;
use App\Models\Acyear;
use App\Models\StudentExam;
use App\Models\Semester;
use App\Models\SubCategory;
use App\Models\Subject;
use App\Models\StudentExamSubject;
use App\Models\Student;
use App\Models\Enrolment;
use App\Models\AcademicCalendar;
use App\Models\Promote;
use App\Models\MainstreamExamMarks;
use App\Models\StudentSeminar;
use App\Models\StudentSeminarMarks;





class Exam extends Controller
{
    public function studentexam_add()
    {
        $courses=Course::all();
        return view('exam.studentexam_add',compact('courses'));
        
    }

    public function studentexam_add_save(Request $request)
{
        $course = $request->course;
        $sem_id = $request->sem_id;
       
        $exam_name =$request->exam_name;
        $ac_id = getAcyear();
        $i=0;
      
        $check = StudentExam::where([
                'ac_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'exam_name' => $exam_name
               
            ])->first();
            if(!$check){
                
                 $examlist = StudentExam::create([
                        'course' => $course,
                        'ac_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'exam_name' => $exam_name,
                        
                    ]);
            }
            else {
  
    $examlist = $check;
}
        foreach($request->posted as $ids)
        {
            $max_mark = $request->input("max_mark".$ids);
            $exam_date = $request->input("exam_date".$ids);
            $s_time = $request->input("s_time".$ids);
            $e_time = $request->input("e_time".$ids);
            if($max_mark =='')
            {
               $max_mark = 0; 
            }
                        $exmsub = StudentExamSubject::create([
                            'exam_id' => $examlist->exam_id,
                            'subject_id' => $ids,
                            'max_mark' => $max_mark,
                            'date' => $exam_date,
                            's_time'=>$s_time,
                            'e_time'=>$e_time,
                        ]);
                        
                         $accalendar = AcademicCalendar::create([
                            'type' => 4,
                            'tb_id' => $exmsub->examsub_id,
                            'event' => $exam_name,
                            'ev_date' => $exam_date,
                            'ac_id' => $ac_id,
                           
                        ]);   
                        $i++;
                 
                
           
            
        }
        if($i>0){
            $msg_array = array('message'=>'Exam addedd Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('exam.add')->with($msg_array);
    
      
}
  public function studentexam_get(Request $request)
  {
        $course =$request->course;
     
        $semester_id = $request->semester_id;
        $exam_name = $request->exam_name;
         
       
        $ac_id = getAcyear();
         $subjects = collect();
        $sem_name = Semester::where('semester_id',$request->semester_id)->first();
         $subcategories = SubCategory::all();
         foreach ($subcategories as $subcategory) {
                 $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                                ->where('subjects.subject_categ', $subcategory->id)
                                ->where('course_subject.semester_id', $sem_name->semester_name);
                if (!in_array($subcategory->id, [2, 3, 4])) {
                    $query->where('course_subject.course_id', $sem_name->course_id);
                }
             $subjects = $subjects->merge($query->select('subjects.*')->get());
            }
            return view('exam.studentexam_get',compact('course','semester_id','subjects','ac_id','exam_name'));
  }
    
    public function studentexam_view()
    {
         $ac_id = getAcyear();
        $courses = Course::all();
        return view('exam.studentexam_view',compact('ac_id','courses'));
    }
    
     
    public function studentexamviewget(Request $request)
    {
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = StudentExam::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
        $exam[$row->exam_id ] = $row->exam_name;
        }
      
        return json_encode($exam);
    }
    
    public function stuexamviewget(Request $request)
    {
        $course =$request->cid;
      
        $semester_id = $request->sid;
        $exam_id = $request->eid;
        
        $ac_id = getAcyear();
        $exam_name = StudentExam::where('exam_id',$request->eid)->first();
       
        $examsubjects = StudentExamSubject::where('exam_id',$request->eid)->get();
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$request->sid)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
       
        return view('exam.stuexamviewget',compact('course','semester_id','examsubjects','ac_id','exam_id','exam_name','subjects'));
         
    }
    
    public function examdelete($id)
    {
       $subjectexam= StudentExamSubject::find($id)->delete();
       if($subjectexam)
       {
           $msg_array=array('message','Exam deleted successfully!!','success');
       }
        else
       {
           $msg_array=array('message','Exam could not be deleted!!','error');
       }
       return redirect()->route('exam.view')->with($msg_array);
    }
    
    
   public function examupdate(Request $request)
{
      
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $exam_id = decrypt($request->exam_id);
        
         $exmnamecheck = StudentExam::where([
                'exam_id' => $exam_id])->first();
         
              if($exmnamecheck){
            $exmnamecheck->update([
                'exam_name' => $request->exam_name,
            ]);
            
             }
        $ac_id = getAcyear();
        $eseexamsub = StudentExamSubject::where('exam_id',$exam_id)->get();
      
        $i=0;
        
        foreach($eseexamsub as $essm)
        {
            $exmcheck = StudentExamSubject::where([
                'examsub_id' => $essm->examsub_id
               
            ])->first();
             if($exmcheck){
            $exmcheck->update([
                'max_mark' => $request->input("max_mark$essm->examsub_id"),
                'date' => $request->input("exam_date$essm->examsub_id"),
                's_time' => $request->input("s_time$essm->examsub_id"),
                'e_time' => $request->input("e_time$essm->examsub_id"),
            ]);
             $accheck = AcademicCalendar::where('tb_id', $exmcheck->examsub_id)->where('type', 4)->first();
             if ($accheck) {
                $accheck->update([
            'event' => $request->exam_name,
            'ev_date' => $request->input("exam_date$essm->examsub_id"),
            ]);
            } else {
        
        AcademicCalendar::create([
            'type' => 4,
            'tb_id' => $exmcheck->examsub_id,
            'event' => $request->exam_name,
            'ev_date' => $request->input("exam_date$essm->examsub_id"),
            'ac_id' => $ac_id,
        ]);
    }
             $i++; 
             }
        }
       
      if($i>0){
            $msg_array = array('message'=>'Exam Details has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Details Could not be Updated !','alert-type'=>'error');
        }
          
          return redirect()->route('exam.view')->with($msg_array);  
  
           
}
 public function examchart()
 {
     $courses=Course::all();
     
     return view('exam.examchart',compact('courses'));
 }
 
 public function examchart_get(Request $request)
 {
     $crs=Course::find($request->cid);
     $sem=Semester::find($request->sid);
     $exam=StudentExam::join('student_exam_subjects','student_exam_subjects.exam_id','=','add_exam.exam_id')
     ->where('add_exam.course',$request->cid)
     ->where('add_exam.sem',$request->sid)
     ->select('student_exam_subjects.*','add_exam.*')
     ->get();
     return view('exam.examchart_get',compact('exam','sem','crs'));
    
 }
 
 public function admitcard()
 {
    $courses=Course::all();
    return view('exam.admitcard',compact('courses'));
 }
 
public function admitcard_get(Request $request)
{
    $crs=Course::find($request->cid);
    $sem=Semester::find($request->sid);
    $exm=StudentExam::find($request->eid);
    $ac_id = getAcyear();
    $student=Student::join('promotes','promotes.student_id','=','students.student_id')
    ->where('promotes.ac_id',$ac_id)
    ->where('promotes.semester_id',$request->sid)
    ->where('promotes.course_id',$request->cid)
    ->select('students.*')
    ->get();
    return view('exam.admitcard_get',compact('student','crs','sem','exm'));
}
 
 public function admitcard_print($id,$exmid)
 {
     $student_id=Student::find($id);
     $exm=StudentExam::find($exmid);
    
     $register_no=Enrolment::where('student_id',$id)->first();
     $ac_id = getAcyear();
     $students=Student::where('student_id',$id)->first();
     $ins_det = instituteDetails();
    $acyear=Acyear::where('ac_id',$ac_id)->first();
    $sdate=$acyear->sdate;
    $edate=$acyear->edate;
     $exam=StudentExam::join('student_exam_subjects','student_exam_subjects.exam_id','=','add_exam.exam_id')
     ->join('subjects','subjects.subject_id','=','student_exam_subjects.subject_id')
     ->where('student_exam_subjects.exam_id',$exmid)
     ->where('add_exam.ac_id',$ac_id)
     ->select('subjects.subject_name','student_exam_subjects.*','add_exam.exam_name')
     ->get();
    return view('exam.admitcard_print',compact('exam','students','exm','ac_id','sdate','edate','ins_det','register_no'));
     
 }
 
 public function exam_marks()
 {
     $courses=Course::all();
     return view('exam.exam_marks',compact('courses'));
 }
 
 public function exam_marks_get(Request $request)
 {
       
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $exam = array();
        $rows = StudentExam::where('course', $course_id)->where('sem', $sem_id)->where('ac_id', $ac_id)->get();
        foreach($rows as $row){
            $exam[$row->exam_id ] = $row->exam_name;
        }
        return json_encode($exam); 
 }
 public function subwise_exm_mrks(Request $request)
 {
       $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $exam_name = StudentExam::where('exam_id',$exam_id)->first();
        $examsubjects = StudentExamSubject::where('exam_id',$exam_id)->get();

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
  $marks = MainstreamExamMarks::where([
        'ac_id' => $ac_id,
        'course_id' => $course,
        'semester_id' => $semester_id,
        'exam_id' => $exam_id
    ])->get();     
    $marksByStudent = [];
    foreach ($marks as $mark) {
        $marksByStudent[$mark->student_id][$mark->subject_id] = $mark->mark;
    }
         return view('exam.subwise_exm_mrks',compact('marksByStudent','course','semester_id','examsubjects','ac_id','semesters','exam_id','students','exam_name','marks'));
 }
 public function subwise_exm_mrks_save(Request $request)
 {
    
  $crs_id = decrypt($request->course);
    $sem_id = decrypt($request->sem_id);
    $exm_id = decrypt($request->exam_id);
    $ac_id = getAcyear();
    
    $examsubject = StudentExamSubject::where('exam_id', $exm_id)->get();
    
   
    if (!empty($request->posted)) {
        foreach ($request->posted as $ids) {
           
            foreach ($examsubject as $exam) {
                
                
                $check = MainstreamExamMarks::where([
                    'ac_id' => $ac_id,
                    'course_id' => $crs_id,
                    'semester_id' => $sem_id,
                    'exam_id' => $exm_id,
                    'subject_id' => $exam->subject_id,
                    'student_id' => $ids,
                ])->first();

               
                $MarkValue = $request->input("mark" . $ids . "_" . $exam->subject_id);

                if($MarkValue == "AB" || $MarkValue == "ab" || $MarkValue == "Ab")
                    {
                        $MarkValue = -1;
                    }
                if ($MarkValue !== null && $MarkValue !== '') {
                    if (!$check) {
                       
                        MainstreamExamMarks::create([
                            'student_id' => $ids,
                            'ac_id' => $ac_id,
                            'course_id' => $crs_id,
                            'semester_id' => $sem_id,
                            'exam_id' => $exm_id,
                            'subject_id' => $exam->subject_id,  
                            'mark' => $MarkValue,
                        ]);
                    } else {
                       
                        $check->update(['mark' => $MarkValue]);
                    }
                }
            }
        }
        
     
        $msg_arry=array('message'=>'Marks have been successfully saved!','success');
    } else {
      
       $msg_arry=array('message'=>'Marks could not save!','error');
    }
    
  
    return redirect()->back()->with($msg_arry);  
 }
 
 
 public function exam_marks_subject()
 {
     $courses=Course::all();
     return view('exam.exam_marks_subject',compact('courses'));
 }
  
  public function exam_marks_subject_ajx(Request $request)
  {
        $exam_id=   $request->get('exam_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
        $ac_id = getAcyear();
        $examsub = array();
        $rows = StudentExamSubject::where('exam_id', $exam_id)->get();
        foreach($rows as $row){
            
            $examsub[$row->subject_id] = $row->esesubn->subject_code.' - '.$row->esesubn->subject_name;
        }
        
        return json_encode($examsub);
  }
 public function mainstexmsbwise(Request $request)
 {
       $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        $sub_id = $request->sub_id;
       
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $exam_name = StudentExam::where('exam_id',$exam_id)->first();
        $examsubjects = StudentExamSubject::where('exam_id',$exam_id)->where('subject_id',$sub_id)->first();
       
        $subject_name = Subject::where('subject_id',$sub_id)->first();

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('exam.mainstexmsbwise',compact('course','semester_id','examsubjects','ac_id','semesters','exam_id','students','exam_name','sub_id','subject_name'));
         
 }
  
  
  public function mainstexmsbwise_save(Request $request)
  {
      
    
   $crs_id = decrypt($request->course);
    $sem_id = decrypt($request->sem_id);
    $exm_id = decrypt($request->exam_id);
    $sub_id = decrypt($request->sub_id);
    $ac_id = getAcyear();
    
    $examsubject = StudentExamSubject::where('exam_id', $exm_id)->where('subject_id',$sub_id)->get();
    
   
    if (!empty($request->posted)) {
        foreach ($request->posted as $ids) {
           
            foreach ($examsubject as $exam) {
                
                
                $check = MainstreamExamMarks::where([
                    'ac_id' => $ac_id,
                    'course_id' => $crs_id,
                    'semester_id' => $sem_id,
                    'exam_id' => $exm_id,
                    'subject_id' => $sub_id,
                    'student_id' => $ids,
                ])->first();

               
                $MarkValue = $request->input("mark" . $ids . "_" . $sub_id);
                 if($MarkValue=="ab" || $MarkValue=="AB" || $MarkValue=="Ab")
                 {
                     $MarkValue="-1";
                 }
                
                if ($MarkValue !== null && $MarkValue !== '') {
                    if (!$check) {
                       
                        MainstreamExamMarks::create([
                            'student_id' => $ids,
                            'ac_id' => $ac_id,
                            'course_id' => $crs_id,
                            'semester_id' => $sem_id,
                            'exam_id' => $exm_id,
                            'subject_id' => $sub_id,  
                            'mark' => $MarkValue,
                        ]);
                    } else {
                       
                        $check->update(['mark' => $MarkValue]);
                    }
                }
            }
        }
        
     
        $msg_arry=array('message'=>'Marks have been successfully saved!','success');
    } else {
      
       $msg_arry=array('message'=>'Marks could not save!','error');
    }
    
  
    return redirect()->back()->with($msg_arry);  
 
  }
  
  public function subwise_exm_mrks_print($course_id,$sem_id,$exm_id)
  {
       $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $course_name = Course::where('course_id',$course_id)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$sem_id)->whereNull('deleted_at')->first(); 
        $exam_name = StudentExam::where('exam_id',$exm_id)->first();
        $examsubjects = StudentExamSubject::where('exam_id',$exm_id)->get();
       $marks = MainstreamExamMarks::where([
        'ac_id' => $ac_id,
        'course_id' => $course_id,
        'semester_id' => $sem_id,
        'exam_id' => $exm_id
    ])->get();     
    $marksByStudent = [];
    foreach ($marks as $mark) {
        $marksByStudent[$mark->student_id][$mark->subject_id] = $mark->mark;
    }

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$sem_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('exam.subwise_exm_mrks_print',compact('marksByStudent','students','exam_name','ac_id','ins_det','cur_acyear','course_name','sem_name','exm_id','examsubjects','course_id','sem_id'));
  }
  
  public function mainstexmsbwise_print($course,$semester_id,$exam_id,$sub_id)
  {
        $ins_det = instituteDetails();
        
       
        $ac_id = getAcyear();
         $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $exam_name = StudentExam::where('exam_id',$exam_id)->first();
        $subject_name=Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first();
        $examsubjects = StudentExamSubject::where('exam_id',$exam_id)->where('subject_id',$sub_id)->first();

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
               $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 

        return view('exam.mainstexmsbwise_print',compact('sem_name','course_name','cur_acyear','ins_det','examsubjects','course','semester_id','examsubjects','ac_id','exam_id','students','exam_name','sub_id','subject_name'));
  }
  
  public function seminar_add()
  {
      $courses=Course::all();
     return view('exam.seminar_add',compact('courses'));
  }
  public function seminar_sub_get(Request $request)
  {
      $course_id=$request->course;
      $sem_id=$request->semester_id;
      $subjects=array();
      $row=Subject::where('course_id',$course_id)->where('semester_id',$sem_id)->get();
      foreach($row as $rows)
      {
          $subjects[$rows->subject_id]=$rows->subject_name;
      }
      return json_encode($subjects);
  }
  public function seminar_add_get(Request $request)
  {
   
  $course=$request->course;
  $sem=$request->semester_id;
  $sub=$request->sub_id;
  $ac_id = getAcyear();
  $students = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
    ->leftJoin('student_seminar', function ($join) use ($sub) {
        $join->on('student_seminar.student_id', '=', 'students.student_id')
             ->where('student_seminar.subject_id', '=', $sub);
    })
    ->where([
        'promotes.ac_id' => $ac_id,
        'promotes.course_id' => $course,
        'promotes.semester_id' => $sem
    ])
    ->select('students.*', 'student_seminar.seminar_topic as seminar_topics','student_seminar.submit_date as date')
    ->get();
$max_marks = StudentSeminar::where('course_id', $course)
    ->where('semester_id', $sem)
    ->where('subject_id', $sub)
    ->where('ac_id', $ac_id)
    ->select('max_marks')
    ->first();
  
  return view('exam.seminar_add_get',compact('max_marks','course','sem','sub','ac_id','students'));
       
  }
   public function seminar_save(Request $request)
{
$crs_id = $request->course;
$sem_id = $request->sem;
$sub_id = $request->sub;
$student_id = $request->student_id;
$max_mark=$request->max_marks;
$ac_id = getAcyear();

if (!empty($request->posted)) {
     StudentSeminar::where([
        'ac_id' => $ac_id,
        'course_id' => $crs_id,
        'semester_id' => $sem_id,
        'subject_id' => $sub_id,
    ])->update(['max_marks' => $max_mark]);  

    
    
    foreach ($request->posted as $ids) {
        $topic = $request->input("seminar" . $ids);
        $submitdate=$request->input("sdate" . $ids);
     
        $existing = StudentSeminar::where([
            'ac_id' => $ac_id,
            'course_id' => $crs_id,
            'semester_id' => $sem_id,
            'subject_id' => $sub_id,
            'student_id' => $ids,
        ])->first(); 

        if (!$existing) {
          
            $save = StudentSeminar::create([
                'ac_id' => $ac_id,
                'course_id' => $crs_id,
                'semester_id' => $sem_id,
                'subject_id' => $sub_id,
                'student_id' => $ids,
                'seminar_topic' => $topic,
                'max_marks'=>$max_mark,
                'submit_date'=>$submitdate
                
            ]);

            $msg_arry = ['message' => 'Seminar Topics have been successfully saved!', 'success'];
        } else {
           
            $existing->update([
                'seminar_topic' => $topic,
                'max_marks'=>$max_mark,
                'submit_date'=>$submitdate
            ]);

            $msg_arry = ['message' => 'Seminar Topics have been successfully updated!', 'success'];
        }
    }
}

return redirect()->back()->with($msg_arry);
}
public function seminar_print($crs_id,$sem_id,$sub_id)
{
    $ins_det = instituteDetails();
     $ac_id = getAcyear();
      $course_name = Course::where('course_id',$crs_id)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$sem_id)->whereNull('deleted_at')->first(); 
        $subject_name=Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first();
  $students = Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
        ->leftJoin('student_seminar', 'student_seminar.student_id', '=', 'students.student_id')
        ->where(['promotes.ac_id' => $ac_id, 'promotes.course_id' => $crs_id, 'promotes.semester_id' => $sem_id])
        ->select('students.*', 'student_seminar.seminar_topic as seminar_topics')
        ->get();
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 

        return view('exam.seminar_print',compact('subject_name','sem_name','course_name','ins_det','crs_id','sem_id','sub_id','ac_id','students','cur_acyear'));
}


public function seminar_add_marks()
{
    $courses=Course::all();
     return view('exam.seminar_add_marks',compact('courses'));
}
public function seminar_add_marks_get(Request $request)
{
     $course=$request->course;
  $sem=$request->semester_id;
  $sub=$request->sub_id;
  $ac_id = getAcyear();
  

  
  $students=Promote::join('students', 'students.student_id', '=', 'promotes.student_id')
  ->join('student_seminar','student_seminar.student_id','=','students.student_id')
  ->where([
      
      'student_seminar.ac_id'=>$ac_id,
      'student_seminar.course_id'=>$course,
      'student_seminar.semester_id'=>$sem,
      'student_seminar.subject_id'=>$sub
  ])
  ->select('student_seminar.seminar_topic','students.*')->get();
 
$existingMarks = StudentSeminarMarks::where([
        'ac_id' => $ac_id,
        'course_id' => $course,
        'semester_id' => $sem,
        'subject_id' => $sub,
    ])->get()->keyBy('student_id');

  
  return view('exam.seminar_add_marks_get',compact('existingMarks','course','sem','sub','ac_id','students'));
}

public function seminar_add_marks_save(Request $request)
{
   $crs_id = $request->course;
$sem_id = $request->sem;
$sub_id = $request->sub;
$student_id = $request->student_id;
$ac_id = getAcyear(); 
if (!empty($request->posted)) {

    
    
    foreach ($request->posted as $ids) {
        $grade = $request->input("grade" . $ids);
        $gradepoint= $request->input("gradepoint" . $ids);
        $presentdndate=$request->input("pdate" . $ids);
        $studentseminar=StudentSeminar::where([
            'ac_id' => $ac_id,
            'course_id' => $crs_id,
            'semester_id' => $sem_id,
            'subject_id' => $sub_id,
            'student_id' => $ids,
        ])->first(); 
        $seminar_id=$studentseminar->seminar_id;
        
        $existing = StudentSeminarMarks::where([
            'ac_id' => $ac_id,
            'course_id' => $crs_id,
            'semester_id' => $sem_id,
            'subject_id' => $sub_id,
            'student_id' => $ids,
        ])->first(); 

        if (!$existing) {
          
            $save = StudentSeminarMarks::create([
                'ac_id' => $ac_id,
                'course_id' => $crs_id,
                'semester_id' => $sem_id,
                'subject_id' => $sub_id,
                'student_id' => $ids,
                'seminar_id' => $seminar_id,
                'gradepoint'=>$gradepoint,
                'grade'=>$grade,
                'presentation_date'=>$presentdndate
                
            ]);

            $msg_arry = ['message' => 'Seminar Marks have been successfully saved!', 'success'];
        } else {
           
            $existing->update([
                'gradepoint' => $gradepoint,
                'grade'=>$grade,
                'presentation_date'=>$presentdndate
            ]);

            $msg_arry = ['message' => 'Seminar Marks have been successfully updated!', 'success'];
        }
    }
}

return redirect()->back()->with($msg_arry);



}


}
