<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\User;
use App\Models\Course;
use App\Models\SubjectType; 
use App\Models\Semester;
use App\Models\Subject;
use App\Models\Promote;
use App\Models\SubCategory;
use App\Models\FYUGPPATHWAY;
use App\Models\FyugpStudSub;
use App\Models\FYUGP_Grade;
use App\Models\FyugpExams;
use App\Models\FyugpExamSubject;
use App\Models\FyugpSubjectCredit;
use App\Models\FA;
use App\Models\SA;
use App\Models\FA_ASSIGN;
use App\Models\SA_ASSIGN;
use App\Models\STUDFAMARKS;
use App\Models\STUDSAMARKS;
use App\Models\STUDEXMMARKS;
use App\Models\Enrolment;
use App\Models\FyugpStudSubPreferences;
use App\Models\FYUGPSTUDPATHWAY;
use App\Models\Student;
use App\Models\Seatallotment;
use App\Models\PathwaySettings;
use App\Models\CourseSubject;
use App\Models\AcademicCalendar;
class Fyugp extends Controller
{
    
     public function set_pathway_valid(){
        $pathwaysettings = PathwaySettings::all();
       
       
        return view('fyugp.settings.set_pathway_valid',compact('pathwaysettings'));
    }
    
     public function pathway_valid_update($acid){
          PathwaySettings::query()->update(['ch_pathway' => 0]);
          $psettings = PathwaySettings::find(decrypt($acid));
        $psettings->update(['ch_pathway'=>1]);
        if($psettings){
            $msg_array = array('message'=>'Set Default Pathway Status Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Default Pathway Status Could not be Set !','alert-type'=>'error');
        }
        return redirect()->route('fyugp.pathway.valid')->with($msg_array);
     }
    public function add_pathway(){
        $pathway = FYUGPPATHWAY::all();
       
       
        return view('fyugp.settings.add_pathway',compact('pathway'));
    }   
    
    public function pathway_save(Request $request)
    {
         
         $validated = $request->validate([
                'pathway' => 'required',
              
            ]);
            $pathways = FYUGPPATHWAY::create([
                'pathway' => $request->pathway,
               
            ]); 
            if($pathways){
            $msg_array = array('message'=>'Pathway Added Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Pathway Could not be Added !','alert-type'=>'error');
            }
            return redirect()->route('fyugp.pathway')->with($msg_array); 
         
    }  
    public function pathway_delete($aid){
        
        $pathway = FYUGPPATHWAY::find(decrypt($aid));
       
        if($pathway){
             $studpathways = FYUGPSTUDPATHWAY::where('pathway_id', decrypt($aid))->count();
           if ($studpathways == 0) {
                $pathway->delete();
                $msg_array = array('message'=>'Pathway Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Domain Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
             $msg_array = array('message'=>'Pathway not Found !','alert-type'=>'error');
        }
        return redirect()->route('fyugp.pathway')->with($msg_array);
    } 
    
    public function pathway_edit($aid)
    {
            
            
            $pathway = FYUGPPATHWAY::find(decrypt($aid));
            
            return view('fyugp.settings.edit_pathway',compact(array('pathway')));
        
    
    }  
    
    public function pathway_update(Request $request)
    {
          $pathway_id=decrypt($request->pathway_id);
          $validated=$request->validate([
                 'pathway' => 'required|unique:fyugp_pathway,pathway,'.$pathway_id.',id',
              
              ]);
              $pathways=FYUGPPATHWAY::find($pathway_id);
              $pathways->update([
    
                  'pathway'=>$request->pathway,
                  ]);
                  if($pathways)
                  {
                      $msg_array=array('message'=>'Pathway updated successfully','success');
                      
                  }
                  else
                  {
                     $msg_array=array('message'=>'Pathway could not be updated','error'); 
                  }
                  return redirect()->route('fyugp.pathway')->with($msg_array);
    } 
        
     public function studpreferences(){
        
       $courses = Course::all();
       $pathway = FYUGPPATHWAY::all();
       $subCategories = SubCategory::whereIn('id', [2, 3, 4])->whereNull('deleted_at')->get();
       
        return view('fyugp.preferences.studpreferences_add',compact('courses','subCategories','pathway'));
    }  
    
    public function get_fyugpstudpreferences(Request $request)
    {
      
        $course_id = $request->course;
        $semester_id = $request->semester_id;
        $category_id = $request->category_id;
        $pathway = FYUGPPATHWAY::all();
        $ac_id = getAcyear();
        $subjects = Subject::where('course_id',$course_id)->where('semester_id',$semester_id)->get();
        $categ_name = SubCategory::where('id',$category_id)->whereNull('deleted_at')->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        
       $courses = Course::all();
       /*  $first_semesters_all = [];
    
        foreach ($courses as $course) {
             $firstSemester = Semester::where('course_id', $course->course_id)->orderBy('semester_id', 'asc')->first();  
             if ($firstSemester) {
                 $first_semesters_all[$course->course_id] = $firstSemester->semester_id;
             }
                                  
        } 
        $minors =  Subject::whereIn('semester_id',array_values($first_semesters_all))->where('subject_categ',$category_id)->get();*/
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $minors = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                ->where([
                    'subjects.subject_categ' => $category_id,
                    'course_subject.semester_id' => $sem_name->semester_name,
                ])
                ->select('subjects.*')
                ->get();
                
        $pathwaysetings = PathwaySettings::where('type','Active')->first();
        $valid_period = $pathwaysetings->ch_pathway;
        
        return view('fyugp.preferences.studpreferences_get',compact('course_id','semester_id','subjects','ac_id','students','minors','category_id','categ_name','pathway','valid_period'));
         
    }
    public function studpreferences_save(Request $request){
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $categ_id = decrypt($request->categ_id);
        $ac_id = getAcyear();
        $i=0;
        if (is_array($request->posted)) {
        foreach($request->posted as $ids)
        {
            $pathway_Id = !is_null($request->input("pathway_id".$ids)) ? $request->input("pathway_id".$ids) : ''; 
            $pref_I = !is_null($request->input("pref_I".$ids)) ? $request->input("pref_I".$ids) : ''; 
            $pref_II = !is_null($request->input("pref_II".$ids)) ? $request->input("pref_II".$ids) : ''; 
            $pref_III = !is_null($request->input("pref_III".$ids)) ? $request->input("pref_III".$ids) : ''; 
            $pref_IV = !is_null($request->input("pref_IV".$ids)) ? $request->input("pref_IV".$ids) : ''; 
            $pref_V = !is_null($request->input("pref_V".$ids)) ? $request->input("pref_V".$ids) : ''; 
            
            if(!is_null($pathway_Id))
            { 
                $checkpathway = FYUGPSTUDPATHWAY::where([
                'stud_id' => $ids,
                ])->first();
                if(!$checkpathway){
                    FYUGPSTUDPATHWAY::create([
                        'stud_id' => $ids,
                        'pathway_id' => $pathway_Id,
                        'ac_id'=> $ac_id,
                            ]);
                }
                
            }
            
            if (!is_null($pref_I)) { 
            $check = FyugpStudSubPreferences::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'type' => 1,
                'stud_id' => $ids
            ])->first();
           
            if(!$check){
                    
                         $preferencelist = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $pref_I,
                        
                        'type' => 1,
                        'sub_cat' =>$categ_id,
                        
                    ]);
                    if($preferencelist){ 
                        
                         $minorIlist = FyugpStudSub::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $pref_I,
                        'sub_cat' =>$categ_id,
                       
                    ]);
                        
                        $i++; }
                    
                 }
                 else
                {
                    $check->update([
                    'pref_Id' => $pref_I,
                   
                ]);
                
                $checkminor = FyugpStudSub::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'stud_id' => $ids
            ])->first();
                $checkminor->update([
                    'sub_id' => $pref_I,
                   
                ]);
                
                 $i++;
                }
            }
            
           if (!is_null($pref_II)) { 
            $checkII = FyugpStudSubPreferences::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'type' => 2,
                'stud_id' => $ids
            ])->first();
           
            if(!$checkII){
                    
                         $preferencelistII = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $pref_II,
                        
                        'type' => 2,
                        'sub_cat' =>$categ_id,
                        
                    ]);
                    if($preferencelistII){ $i++; }
                    
                 }
                 else
                {
                    $checkII->update([
                    'pref_Id' => $pref_II,
                   
                ]);
                 $i++;
                }
            } 
            
            if (!is_null($pref_III)) { 
            $checkIII = FyugpStudSubPreferences::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'type' => 3,
                'stud_id' => $ids
            ])->first();
           
            if(!$checkIII){
                    
                         $preferencelistIII = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $pref_III,
                        
                        'type' => 3,
                        'sub_cat' =>$categ_id,
                        
                    ]);
                    if($preferencelistIII){ $i++; }
                    
                 }
                 else
                {
                    $checkIII->update([
                    'pref_Id' => $pref_III,
                   
                ]);
                 $i++;
                }
            }
           
           if (!is_null($pref_IV)) { 
            $checkIV = FyugpStudSubPreferences::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'type' => 4,
                'stud_id' => $ids
            ])->first();
           
            if(!$checkIV){
                    
                         $preferencelistIV = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $pref_IV,
                        
                        'type' => 4,
                        'sub_cat' =>$categ_id,
                        
                    ]);
                    if($preferencelistIV){ $i++; }
                    
                 }
                 else
                {
                    $checkIV->update([
                    'pref_Id' => $pref_IV,
                   
                ]);
                 $i++;
                }
            }
            
            if (!is_null($pref_V)) { 
            $checkV = FyugpStudSubPreferences::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => $categ_id,
                'type' => 5,
                'stud_id' => $ids
            ])->first();
           
            if(!$checkV){
                    
                         $preferencelistV = FyugpStudSubPreferences::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'pref_Id' => $pref_V,
                        'type' => 5,
                        'sub_cat' =>$categ_id,
                        
                    ]);
                    if($preferencelistV){ $i++; }
                    
                 }
                 else
                {
                    $checkV->update([
                    'pref_Id' => $pref_V,
                   
                ]);
                 $i++;
                }
            }
            
        } }
        if($i>0){
            $msg_array = array('message'=>'Student Preferences has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Preferences Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('fyugp.studpreferences')->with($msg_array);
        
    }
    
     public function studsub(){
        
       $courses = Course::all();
       
       
        return view('fyugp.studsub_add',compact('courses'));
    }  
    
    
     public function get_fyugpstudsub(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $pathway = FYUGPPATHWAY::all();
        $ac_id = getAcyear();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();

        return view('fyugp.studsub_get',compact('course','semester_id','subjects','ac_id','students','pathway'));
         
     }
     
      public function studsub_save(Request $request){
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $ac_id = getAcyear();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$sem_id))->select('students.*')->get();
        $i=0;
        if (is_array($request->posted)) {
        foreach($request->posted as $ids)
        {
            
                $check = FyugpStudSub::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => 2,
                'stud_id' => $ids
            ])->first();
             $minorI = $request->input("minorI".$ids);
              if(!$check){
                     if (!is_null($minorI)) {
                         $minorIlist = FyugpStudSub::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $minorI,
                        'sub_cat' =>2,
                        
                    ]);
                    if($minorIlist){ $i++; }
                     }
                 }
                 else
                {
                    $check->update([
                    'sub_id' => $minorI,
                ]);
                 $i++;
                }
              $checkII = FyugpStudSub::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => 3,
                'stud_id' => $ids
            ])->first();
             $minorII = $request->input("minorII".$ids);
              if(!$checkII){
                     if (!is_null($minorII)) {
                         $minorIIlist = FyugpStudSub::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $minorII,
                        'sub_cat' =>3,
                        
                    ]);
                    if($minorIIlist){ $i++; }
                     }
                 }
                 else
                {
                    $checkII->update([
                    'sub_id' => $minorII,
                ]);
                 $i++;
                }  
                $checkmdcI = FyugpStudSub::where([
                'acyear_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'sub_cat' => 4,
                'stud_id' => $ids
            ])->first();
                $mdcugI = $request->input("mdcugI".$ids);
              if(!$checkmdcI){
                     if (!is_null($mdcugI)) {
                         $mdcIlist = FyugpStudSub::create([
                        'stud_id' => $ids,
                        'acyear_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'sub_id' => $mdcugI,
                        'sub_cat' =>4,
                        
                    ]);
                    if($mdcIlist){ $i++; }
                     }
                 }
                 else
                {
                    $checkmdcI->update([
                    'sub_id' => $mdcugI,
                ]);
                 $i++;
                }  
                
                
                
        } }
         if($i>0){
            $msg_array = array('message'=>'FYUGP has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'FYUGP Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('fyugp.studsub')->with($msg_array);
          
      }
      
      public function fyugpstudsubprint($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
       
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $minorIsub =  Subject::where('course_id',$course)->where('semester_id',$semester_id)->where('subject_categ',2)->get();
        $minorIIsub =  Subject::where('course_id',$course)->where('semester_id',$semester_id)->where('subject_categ',3)->get();
        $mdcIsub =  Subject::where('course_id',$course)->where('semester_id',$semester_id)->where('subject_categ',4)->get();
          
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_studsub_report',compact('ac_id','ins_det','cur_acyear','course_name','sem_name','semester_id','subjects','students','minorIsub','minorIIsub','mdcIsub'));
    }
      
      
      public function subrep(){
        
       $courses = Course::all();
       
       
        return view('fyugp.subwise_report',compact('courses'));
    } 
     public function fyugpsubrep(Request $request)
     {
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
       
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }
        $fyugpstudsubjects = FyugpStudSub::where('sub_id',$sub_id)->where('acyear_id',$ac_id)->where('status',1)->whereIn('sem',$sem_cnt)->get();  
        return view('fyugp.subwisestud_report',compact('course','semester_id','ac_id','fyugpstudsubjects','semesters','sub_id'));
         
     }
     
     public function fyugpsubrepprint($course,$semester_id,$sub_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
       
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
         $sem_name = Semester::where('semester_id',$semester_id)->first();
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }
        $fyugpstudsubjects = FyugpStudSub::where('sub_id',$sub_id)->where('acyear_id',$ac_id)->where('status',1)->whereIn('sem',$sem_cnt)->get();  
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_subwisestud_report',compact('subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','fyugpstudsubjects','sub_id'));
    }
    
     public function deprep(){
        
       $courses = Course::all();
       $subCategory = SubCategory::whereIn('id', [2, 3, 4])->whereNull('deleted_at')->get();
       
        return view('fyugp.depwise_report',compact('courses','subCategory'));
    }
    
    public function fyugpdeprep(Request $request)
     {
        $course = $request->course;
        $category_id = $request->category_id;
        $ac_id = getAcyear();
        
       
        $fyugpstudsubjects = FyugpStudSub::where('course',$course)->where('acyear_id',$ac_id)->where('status',1)->where('sub_cat',$category_id)->get();  
        return view('fyugp.depwisestud_report',compact('course','ac_id','fyugpstudsubjects','category_id'));
         
     }
     public function fyugpdeprepprint($course,$category_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
       
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $categ_name = SubCategory::where('id',$category_id)->whereNull('deleted_at')->first(); 
        
       $fyugpstudsubjects = FyugpStudSub::where('course',$course)->where('acyear_id',$ac_id)->where('status',1)->where('sub_cat',$category_id)->get();    
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_depwisestud_report',compact('ac_id','ins_det','cur_acyear','course_name','categ_name','fyugpstudsubjects','category_id'));
    }
    
       public function grade(){
          $ac_id = getAcyear();
        $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
       $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
       $pgrading = FYUGP_Grade::where('ac_year_id', $previousAcId)->get(); 
       if(!FYUGP_Grade::where('ac_year_id', $ac_id)->exists())
        {
            foreach ($pgrading as $pgd) {
                    $pgding_n1 = FYUGP_Grade::create([
                    'p_from' => $pgd->p_from,
                    'p_to' => $pgd->p_to,
                    'gp' => $pgd->gp,
                    'gp_to' => $pgd->gp_to,
                    'gp_from' => $pgd->gp_from,
                    'grade' => $pgd->grade,
                    'description' => $pgd->description,
                    'ac_year_id' => $ac_id,
                   
                    ]); 
            }
            
        }
       $grading = FYUGP_Grade::where('ac_year_id',$ac_id)->get();
       
       
        return view('fyugp.set_grade',compact('grading'));
    }   
    
    public function grade_save(Request $request)
 {
     
     $validated = $request->validate([
            'p_from' => 'required',
            'p_to' => 'required',
            'gp' => 'required',
            'gp_from' => 'required',
            'gp_to' => 'required',
            'grade' => 'required',
            'description' => 'required',
            
        ]);
         $ac_id = getAcyear();
          $checkgd = FYUGP_Grade::where([
                'ac_year_id' => $ac_id,
                'grade' => $request->grade,
               
            ])->first();
            if(!$checkgd){
            $grading = FYUGP_Grade::create([
                'p_from' => $request->p_from,
                'p_to' => $request->p_to,
                'gp' => $request->gp,
                'gp_to' => $request->gp_to,
                 'gp_from' => $request->gp_from,
                'grade' => $request->grade,
                'description' => $request->description,
                'ac_year_id' => $ac_id,
    
            ]); 
            }
        if($grading){
            $msg_array = array('message'=>'Grading Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Grading Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('fyugp.grade')->with($msg_array); 
     
     
 }
  public function grade_delete($aid){
        
        $grading = FYUGP_Grade::find(decrypt($aid));
        
        if($grading){
            if($grading->count() > 0){
                $grading->delete();
                $msg_array = array('message'=>'Grade Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Grade Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('fyugp.grade')->with($msg_array);
    } 
    
    public function exam(){
        $ac_id = getAcyear();
        $courses = Course::all();
        return view('fyugp.add_exams',compact('ac_id','courses'));
    }
    
    public function get_exam(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_name = $request->exam_name;
        $ac_id = getAcyear();
        /*$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();*/
        $subjects = collect();
            
            $sem_name = Semester::where('semester_id',$semester_id)->first();
            $subcategories = SubCategory::all();
            foreach ($subcategories as $subcategory) {
                 $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                                ->where('subjects.subject_categ', $subcategory->id)
                                ->where('course_subject.semester_id', $sem_name->semester_name);
                if (!in_array($subcategory->id, [2, 3, 4])) {
                    $query->where('course_subject.course_id', $sem_name->course_id);
                }
             $subjects = $subjects->merge($query->select('subjects.*')->get());
            }
        return view('fyugp.examsub_get',compact('course','semester_id','subjects','ac_id','exam_name'));
         
     }
     
     public function exam_save(Request $request){
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $exam_name = decrypt($request->exam_name);
        $ac_id = getAcyear();
        $i=0;
        $check = FyugpExams::where([
                'ac_id' => $ac_id,
                'sem' => $sem_id,
                'course' => $course,
                'exam_name' => $exam_name
               
            ])->first();
            if(!$check){
                
                 $examlist = FyugpExams::create([
                        'course' => $course,
                        'ac_id' => $ac_id,
                        'course' => $course,
                        'sem' => $sem_id,
                        'exam_name' => $exam_name,
                        
                    ]);
           
        foreach($request->posted as $ids)
        {
            $max_mark = $request->input("max_mark".$ids);
            $max_markp = $request->input("max_markp".$ids);
            $exam_date = $request->input("exam_date".$ids);
            $s_time = $request->input("s_time".$ids);
            $e_time = $request->input("e_time".$ids);
            if($max_mark =='')
            {
               $max_mark = 0; 
            }
            if($max_markp =='')
            {
               $max_markp = 0; 
            }
                    
                         $exmsub = FyugpExamSubject::create([
                            'exam_id' => $examlist->id,
                            'subject' => $ids,
                            'max_mark' => $max_mark,
                            'pmax_mark'=>$max_markp,
                            'date' => $exam_date,
                            's_time'=>$s_time,
                            'e_time'=>$e_time,
                        ]);
                       
                         $accalendar = AcademicCalendar::create([
                            'type' => 1,
                            'tb_id' => $exmsub->id,
                            'event' => $exam_name,
                            'ev_date' => $exam_date,
                            'ac_id' => $ac_id,
                           
                        ]);
                        
                        $i++;
                 
                
           
            
        } }
        if($i>0){
            $msg_array = array('message'=>'Exam addedd Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('fyugp.exam')->with($msg_array);
     }
     
     public function viewexam(){
        $ac_id = getAcyear();
        $courses = Course::all();
        return view('fyugp.view_exams',compact('ac_id','courses'));
    }
    
    public function get_viewexam(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        $ac_id = getAcyear();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
        /*$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();*/
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
        return view('fyugp.eseexamsub_get',compact('course','semester_id','examsubjects','ac_id','exam_id','exam_name','subjects'));
         
     }
      public function exam_update(Request $request){
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $exam_id = decrypt($request->exam_id);
        
         $exmnamecheck = FyugpExams::where([
                'id' => $exam_id
               
            ])->first();
              if($exmnamecheck){
            $exmnamecheck->update([
                'exam_name' => $request->exam_name,
               
            ]);
            
             }
        
        $ac_id = getAcyear();
        $eseexamsub = FyugpExamSubject::where('exam_id',$exam_id)->get();  
        $i=0;
        
        foreach($eseexamsub as $essm)
        {
            $exmcheck = FyugpExamSubject::where([
                'id' => $essm->id
               
            ])->first();
             if($exmcheck){
            $exmcheck->update([
                'max_mark' => $request->input("max_mark$essm->id"),
                'pmax_mark' => $request->input("pmax_mark$essm->id"),
                'date' => $request->input("exam_date$essm->id"),
                's_time' => $request->input("s_time$essm->id"),
                'e_time' => $request->input("e_time$essm->id"),
            ]);
            $accheck = AcademicCalendar::where('tb_id', $exmcheck->id)->where('type', 1)->first();
            if ($accheck) {
                $accheck->update([
            'event' => $request->exam_name,
            'ev_date' => $request->input("exam_date$essm->id"),
            ]);
            } else {
        
        AcademicCalendar::create([
            'type' => 1,
            'tb_id' => $exmcheck->id,
            'event' => $request->exam_name,
            'ev_date' => $request->input("exam_date$essm->id"),
            'ac_id' => $ac_id,
        ]);
    }
            
            
             $i++; 
             }
        }
        if($request->posted !='')
        {
        foreach($request->posted as $ids)
        {
            $max_mark = $request->input("max_marks".$ids);
            $pmax_mark = $request->input("pmax_mark".$ids);
            if($max_mark == '')
            {
                $max_mark = 0;
            }
            if($pmax_mark == '')
            {
                $pmax_mark = 0;
            }
            $exam_date = $request->input("exam_dates".$ids);
            $s_time = $request->input("s_times".$ids);
            $e_time = $request->input("e_times".$ids);
            
                    
                         $exmsub = FyugpExamSubject::create([
                            'exam_id' => $exam_id,
                            'subject' => $ids,
                            'max_mark' => $max_mark,
                            'pmax_mark' => $pmax_mark,
                            'date' => $exam_date,
                            's_time'=>$s_time,
                            'e_time'=>$e_time,
                        ]);
                        $i++;
        } }
      if($i>0){
            $msg_array = array('message'=>'Exam Details has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Exam Details Could not be Updated !','alert-type'=>'error');
        }
          return redirect()->route('fyugp.viewexam')->with($msg_array);   
        
     }
     
     public function examsub_delete($aid){
        
        $eseexamsub = FyugpExamSubject::find(decrypt($aid));
       
        if($eseexamsub){
                $faassign = STUDEXMMARKS::where('subject', $eseexamsub['subject'])->where('exam_id', $eseexamsub['exam_id'])->count();
            if($faassign == 0){
                $eseexamsub->delete();
                $msg_array = array('message'=>'Subject Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Subject Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('fyugp.viewexam')->with($msg_array);
    } 
    
     public function exam_delete($aid){
        
        $eseexam = FyugpExams::find(decrypt($aid));
        
        if($eseexam){
              $faassign = STUDEXMMARKS::where('exam_id', decrypt($aid))->count();
            if($faassign == 0){
                $eseexam->delete();
                $msg_array = array('message'=>'Exam Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Exam Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('fyugp.viewexam')->with($msg_array);
    } 
    
     public function fyugpviewexamprint($course,$semester_id,$exam_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
       
            
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_exam_report',compact('ac_id','ins_det','cur_acyear','course_name','sem_name','semester_id','examsubjects','exam_name','exam_id'));
    }
    
     public function addcredit(){
        $ac_id = getAcyear();
        $courses = Course::all();
        return view('fyugp.add_credit',compact('ac_id','courses'));
    }
    
    public function get_credit(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
       $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
          
        return view('fyugp.credit_get',compact('course','semester_id','subjects','ac_id'));
         
     }
     
     public function credit_save(Request $request){
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $ac_id = getAcyear();
        $i=0;
        if($request->posted !='')
        {
        foreach($request->posted as $ids)
        {
            $maxmark = $request->input("maxmark".$ids);
            $creditl = $request->input("creditl".$ids);
            $ccal = $request->input("ccal".$ids);
            $esel = $request->input("esel".$ids);
            
            $creditp = $request->input("creditp".$ids);
            $ccap = $request->input("ccap".$ids);
            $esep = $request->input("esep".$ids);
            
            if (is_null($creditl))
            {
                $creditl =0;
            }
            if (is_null($ccal))
            {
                $ccal =0;
            }
            if (is_null($esel))
            {
                $esel =0;
            }
            if (is_null($creditp))
            {
                $creditp =0;
            }
            if (is_null($ccap))
            {
                $ccap =0;
            }
            if (is_null($esep))
            {
                $esep =0;
            }
            if (is_null($maxmark))
            {
                $maxmark =0;
            }
            
        $check = FyugpSubjectCredit::where([
                'ac_id' => $ac_id,
                'sem_id' => $sem_id,
                'course_id' => $crs_id,
                'subject' => $ids
               
            ])->first();
            if(!$check){
                $exmsub = FyugpSubjectCredit::create([
                  'course_id' => $crs_id,
                  'sem_id' => $sem_id,
                  'subject' => $ids,
                  'max_mark' => $maxmark,
                  'credit_l' => $creditl,
                  'cca_l'=>$ccal,
                  'ese_l'=>$esel,
                  'cca_p'=>$ccap,
                  'ese_p'=>$esep,
                  'credit_p' => $creditp,
                  'ac_id' => $ac_id,
                            
                 ]);
                 $i++;
            }
            else
            {
               $check->update([
                'max_mark' => $maxmark,   
                'credit_l' => $creditl,
                'cca_l'=>$ccal,
                'ese_l'=>$esel,
                'cca_p'=>$ccap,
                'ese_p'=>$esep,
                'credit_p' => $creditp,
                
               
            ]);
             $i++;   
            }
        } }
      if($i>0){
            $msg_array = array('message'=>'credit has been Addedd Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'credit Could not be Addedd !','alert-type'=>'error');
        }
          return redirect()->route('fyugp.addcredit')->with($msg_array);   
     }
     
     public function ccafa(){
        
         $fa = FA::all(); 
       
       
        return view('fyugp.fa_add',compact('fa'));
    } 
    
    public function ccafa_save(Request $request)
 {
     
     $validated = $request->validate([
            'method' => 'required',
          
        ]);
        $fa = FA::create([
            'method' => $request->method,
           
        ]); 
        if($fa){
        $msg_array = array('message'=>'FA Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'FA Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('Fyugp.ccafa')->with($msg_array); 
     
 }  
 
 public function ccafa_delete($aid){
        
        $fa = FA::find(decrypt($aid));
       
        if($fa){
             $faassign = FA_ASSIGN::where('fa_id', decrypt($aid))->count();
             $activitiesmrks = STUDFAMARKS::where('fa_id', decrypt($aid))->count();
           if ($faassign == 0 && $activitiesmrks == 0) {
                $fa->delete();
                $msg_array = array('message'=>'FA Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'FA Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
             $msg_array = array('message'=>'FA not Found !','alert-type'=>'error');
        }
        return redirect()->route('Fyugp.ccafa')->with($msg_array);
    }  
    
     public function ccasa(){
        
        
         
         $sa = SA::all(); 
       
       
        return view('fyugp.sa_add',compact('sa'));
    } 
        public function ccasa_save(Request $request)
 {
     
     $validated = $request->validate([
            'smethod' => 'required',
          
        ]);
        $sa = SA::create([
            'smethod' => $request->smethod,
           
        ]); 
        if($sa){
        $msg_array = array('message'=>'SA Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'SA Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('Fyugp.ccasa')->with($msg_array); 
     
 }  
 
 public function ccasa_delete($aid){
        
        $sa = SA::find(decrypt($aid));
      
        if($sa){
             $activities = SA_ASSIGN::where('sa_id', decrypt($aid))->count();
              $activitiesmrks = STUDSAMARKS::where('sa_id', decrypt($aid))->count();
           if ($activities == 0 && $activitiesmrks == 0) {
                $sa->delete();
                $msg_array = array('message'=>'SA Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'SA Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
             $msg_array = array('message'=>'SA not Found !','alert-type'=>'error');
        }
        return redirect()->route('Fyugp.ccasa')->with($msg_array);
    }
    
    
    public function setfa()
    {
        $courses = Course::all();
        $subtype = SubjectType::all();
        return view('fyugp.set_fa',compact('courses','subtype'));
    } 
    
     public function get_viewfa(Request $request)
     {
      
        $course = $request->course;
        $subtyp_id = $request->subtyp_id;
        $ac_id = getAcyear();
        $course_name = Course::where('course_id',$course)->first();
        $fa = FA::all();
        return view('fyugp.cca_fa_get',compact('course','ac_id','course_name','fa','subtyp_id'));
         
     }
     
     public function setfa_save(Request $request){
        $crs_id = decrypt($request->course);
        $subtyp_id = decrypt($request->subtyp_id);
        $ac_id = getAcyear();
        $i=0;
       /* $activities = ObeActivity::where('domain_id', decrypt($aid))->count();
           if ($activities == 0) {*/
          $fassgn = FA_ASSIGN::where('course', $crs_id)->where('subtyp_id', $subtyp_id)->where('ac_id', $ac_id)->get(); 
          foreach ($fassgn as $fgd) {
              $faa = FA_ASSIGN::find($fgd->id);
              if($faa){
                $faa->delete();
                }
          }
        //}
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $max_mark = $request->input("max_marks".$ids);
                if($max_mark == '')
                {
                    $max_mark =0;
                }
             $faecheck = FA_ASSIGN::where([
                    'fa_id' => $ids,'course' => $crs_id,'subtyp_id' => $subtyp_id,'ac_id'=> $ac_id
                   
                ])->first();
                  if($faecheck){
                $faecheck->update([
                    'max_mark' => $max_mark,
                   
                ]);
                $i++;
                 }
                 else
                 {
                        
                    $famax = FA_ASSIGN::create([
                                'course' => $crs_id,
                                'subtyp_id' => $subtyp_id,
                                'fa_id' => $ids,
                                'max_mark' => $max_mark,
                                'ac_id' => $ac_id,
                              
                            ]);
                    $i++;
                 }          
            } 
            
        }
         if($i>0){
            $msg_array = array('message'=>'FA has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'FA Details Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.setfa')->with($msg_array);   
        
     }
     
     
     
     public function setsa()
    {
        $courses = Course::all();
        $subtype = SubjectType::all();
        return view('fyugp.set_sa',compact('courses','subtype'));
    }
    
     public function get_viewsa(Request $request)
     {
      
        $course = $request->course;
        $subtyp_id = $request->subtyp_id;
        $ac_id = getAcyear();
        $course_name = Course::where('course_id',$course)->first();
        $sa = SA::all();
        return view('fyugp.cca_sa_get',compact('course','ac_id','course_name','sa','subtyp_id'));
         
     }
    
    
      public function setsa_save(Request $request){
        $crs_id = decrypt($request->course);
        $subtyp_id = decrypt($request->subtyp_id);
        $ac_id = getAcyear();
        $i=0;
       /* $activities = ObeActivity::where('domain_id', decrypt($aid))->count();
           if ($activities == 0) {*/
          $sassgn = SA_ASSIGN::where('course', $crs_id)->where('subtyp_id', $subtyp_id)->where('ac_id', $ac_id)->get(); 
          foreach ($sassgn as $sgd) {
              $saa = SA_ASSIGN::find($sgd->id);
              if($saa){
                $saa->delete();
                }
          }
        //}
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $max_mark = $request->input("max_marks".$ids);
                if($max_mark == '')
                {
                    $max_mark =0;
                }
             $saecheck = SA_ASSIGN::where([
                    'sa_id' => $ids,'course' => $crs_id,'subtyp_id' => $subtyp_id,'ac_id'=> $ac_id
                   
                ])->first();
                  if($saecheck){
                $saecheck->update([
                    'max_mark' => $max_mark,
                   
                ]);
                $i++;
                 }
                 else
                 {
                        
                    $samax = SA_ASSIGN::create([
                                'course' => $crs_id,
                                 'subtyp_id' => $subtyp_id,
                                'sa_id' => $ids,
                                'max_mark' => $max_mark,
                                'ac_id' => $ac_id,
                              
                            ]);
                    $i++;
                 }          
            } 
            
        }
         if($i>0){
            $msg_array = array('message'=>'FA has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'FA Details Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.setsa')->with($msg_array);   
        
     }
     
    public function studfa()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('fyugp.set_studfa',compact('courses','ac_id'));
    }
    
     public function get_viewstudfa(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        /*$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();*/
        $subjects = collect();
    
            $sem_name = Semester::where('semester_id',$semester_id)->first();
            $subcategories = SubCategory::all();
            foreach ($subcategories as $subcategory) {
                 $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                                ->where('subjects.subject_categ', $subcategory->id)
                                ->where('course_subject.semester_id', $sem_name->semester_name);
                if (!in_array($subcategory->id, [2, 3, 4])) {
                    $query->where('course_subject.course_id', $sem_name->course_id);
                }
             $subjects = $subjects->merge($query->select('subjects.*')->get());
            }
        $fa_theory = FA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->where('subtyp_id',1)->get();
        $fa_practical = FA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->where('subtyp_id',2)->get();
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('fyugp.view_studfa',compact('course','semester_id','subjects','ac_id','semesters','sub_id','students','fa_theory','fa_practical','subject_categ'));
         
     }
     
      public function studfa_save(Request $request)
      {
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $sub_id = decrypt($request->sub_id);
        $ac_id = getAcyear();
        $i=0;
        $fa_theory = FA_ASSIGN::where('course',$crs_id)->where('ac_id',$ac_id)->where('subtyp_id',1)->get();
        $fa_practical = FA_ASSIGN::where('course',$crs_id)->where('ac_id',$ac_id)->where('subtyp_id',2)->get();
        
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                foreach($fa_theory as $fm)
                {
                    $check = STUDFAMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'sub_id' => $sub_id,
                    'subtype_id'=>1,
                    'fa_id' => $fm->fa_id,
                    'stud_id' => $ids
                    ])->first();
                    $MarkValue = $request->input("fa_marks".$ids."_".$fm->fa_id);
                 
                     if(!$check)
                     {
                         if (!is_null($MarkValue)) 
                         {
                             $marklist = STUDFAMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                            'subtype_id'=>1,
                            'fa_id' =>$fm->fa_id,
                            'mark' =>$MarkValue,
                            
                    ]);
                    if($marklist){ $i++; }
                             
                         }
                        
                         
                     }
                     else
                     {
                         $check->update([
                        'mark' => $request->input("fa_marks".$ids."_".$fm->fa_id),
                        ]);
                        $i++;
                     }
                    
                }
                
                foreach($fa_practical as $fpm)
                {
                    $check1 = STUDFAMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'sub_id' => $sub_id,
                    'subtype_id'=>2,
                    'fa_id' => $fpm->fa_id,
                    'stud_id' => $ids
                    ])->first();
                    $MarkValue1 = $request->input("fa_pmarks".$ids."_".$fpm->fa_id);
                   
                     if(!$check1)
                     {
                         if (!is_null($MarkValue1)) 
                         {
                             $marklist = STUDFAMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                            'subtype_id'=>2,
                            'fa_id' =>$fpm->fa_id,
                            'mark' =>$MarkValue1,
                            
                    ]);
                    if($marklist){ $i++; }
                             
                         }
           
                        
                     }
                     else
                     {
                         $check1->update([
                        'mark' => $request->input("fa_pmarks".$ids."_".$fpm->fa_id),
                        ]);
                        $i++;
                     }
                    
                }
                
            }
        }
        
         if($i>0){
            $msg_array = array('message'=>'FA Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'FA Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.studfa')->with($msg_array);
        
      }
      
      
       public function studsa()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('fyugp.set_studsa',compact('courses','ac_id'));
    }
    
    public function get_viewstudsa(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        /*$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();*/
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
        $sa_theory = SA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->where('subtyp_id',1)->get();
        $sa_practical = SA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->where('subtyp_id',2)->get();
        //$sa = SA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->get();
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('fyugp.view_studsa',compact('course','semester_id','subjects','ac_id','semesters','sub_id','students','sa_theory','sa_practical','subject_categ'));
         
     }
     
     
     public function studsa_save(Request $request)
      {
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $sub_id = decrypt($request->sub_id);
        $ac_id = getAcyear();
        $i=0;
        $sa_theory = SA_ASSIGN::where('course',$crs_id)->where('ac_id',$ac_id)->where('subtyp_id',1)->get();
        $sa_practical = SA_ASSIGN::where('course',$crs_id)->where('ac_id',$ac_id)->where('subtyp_id',2)->get();
        //$sa = SA_ASSIGN::where('course',$crs_id)->where('ac_id',$ac_id)->get();
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                foreach($sa_theory as $sm)
                {
                    $check = STUDSAMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'sub_id' => $sub_id,
                    'subtype_id' => 1,
                    'sa_id' => $sm->sa_id,
                    'stud_id' => $ids
                    ])->first();
                    $MarkValue = $request->input("sa_marks".$ids."_".$sm->sa_id);
                    //$MarkpValue = $request->input("sa_pmarks".$ids."_".$sm->sa_id);
                     if(!$check)
                     {
                         if (!is_null($MarkValue)) 
                         {
                            $marklist = STUDSAMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                            'subtype_id' => 1,
                            'sa_id' =>$sm->sa_id,
                            'mark' =>$MarkValue,
                            
                    ]);
                    if($marklist){ $i++; }
                             
                         }
                        
                     }
                     else
                     {
                         $check->update([
                        'mark' => $request->input("sa_marks".$ids."_".$sm->sa_id),
                        ]);
                        $i++;
                     }
                    
                }
                
                
                foreach($sa_practical as $spm)
                {
                    $check1 = STUDSAMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'sub_id' => $sub_id,
                    'subtype_id' => 2,
                    'sa_id' => $spm->sa_id,
                    'stud_id' => $ids
                    ])->first();
                  
                    $MarkpValue = $request->input("sa_pmarks".$ids."_".$spm->sa_id);
                     if(!$check1)
                     {
                         if (!is_null($MarkpValue)) 
                         {
                            $marklist = STUDSAMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                            'subtype_id' => 2,
                            'sa_id' =>$spm->sa_id,
                            'mark' =>$MarkpValue,
                            
                    ]);
                    if($marklist){ $i++; }
                             
                         }
                        
                     }
                     else
                     {
                         $check1->update([
                        'mark' => $request->input("sa_marks".$ids."_".$spm->sa_id),
                        ]);
                        $i++;
                     }
                    
                }
                
            }
        }
        
         if($i>0){
            $msg_array = array('message'=>'SA Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'SA Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.studsa')->with($msg_array);
        
      }
      
    public function addexammark()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('fyugp.add_studexammark',compact('courses','ac_id'));
    }
    
     public function get_viewstudexammrk(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('fyugp.add_exam_mark',compact('course','semester_id','examsubjects','ac_id','semesters','exam_id','students','exam_name'));
         
     }
     
     public function studexammrk_save(Request $request)
      {
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $exam_id = decrypt($request->exam_id);
        $ac_id = getAcyear();
        $i=0;
        $examsub = FyugpExamSubject::where('exam_id',$exam_id)->get();
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                foreach($examsub as $esubj)
                {
                    $check = STUDEXMMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'exam_id' => $exam_id,
                    'subject' => $esubj->subject,
                    'stud_id' => $ids
                    ])->first();
                    $MarkValue = $request->input("mark".$ids."_".$esubj->subject);
                    $MarkpValue = $request->input("pmark".$ids."_".$esubj->subject);
                    if($MarkValue == "AB" || $MarkValue == "ab" || $MarkValue == "Ab")
                    {
                        $MarkValue = -1;
                    }
                    if($MarkpValue == "AB" || $MarkpValue == "ab" || $MarkpValue == "Ab")
                    {
                        $MarkpValue = -1;
                    }
                     if(!$check)
                     {
                         if (!is_null($MarkValue) && !is_null($MarkpValue)) 
                         {
                             $marklist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$esubj->subject,
                            'mark' =>$MarkValue,
                            'pmark' =>$MarkpValue,
                    ]);
                    if($marklist){ $i++; }
                             
                         }
                         else if (!is_null($MarkpValue)) 
                         {
                             $markplist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$esubj->subject,
                            
                            'pmark' =>$MarkpValue, 
                            ]);
                            if($markplist){ $i++; }
                         }
                         else if (!is_null($MarkValue)) 
                         {
                             $markplist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$esubj->subject,
                            
                            'mark' =>$MarkValue, 
                            ]);
                            if($markplist){ $i++; }
                         }
                     }
                     else
                     {
                         $check->update([
                        'mark' => $request->input("mark".$ids."_".$esubj->subject),'pmark' => $request->input("pmark".$ids."_".$esubj->subject),
                        ]);
                        $i++;
                     }
                    
                }
                
            }
        }
        
         if($i>0){
            $msg_array = array('message'=>'Student Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.studexammrk')->with($msg_array);
        
      }
      
       public function studexammrkprint($course,$semester_id,$exam_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->get();


        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_stud_exam_mark_print',compact('students','exam_name','ac_id','ins_det','cur_acyear','course_name','sem_name','exam_id','examsubjects','course','semester_id'));
    }
    
    
    public function addsubexammark()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('fyugp.add_sub_exam_mark',compact('courses','ac_id'));
    }
    
    public function get_viewstudsubexmmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $exam_id = $request->exam_id;
        $sub_id = $request->sub_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->where('subject',$sub_id)->first();
        $subject_name = Subject::where('subject_id',$sub_id)->first();
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('fyugp.add_stud_sub_exam_mark',compact('course','semester_id','examsubjects','ac_id','semesters','exam_id','students','exam_name','sub_id','subject_name','subject_categ'));
         
     }
     
      public function studsubexmmark_save(Request $request)
      {
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $exam_id = decrypt($request->exam_id);
        $sub_id = decrypt($request->sub_id);
        $ac_id = getAcyear();
        $i=0;
       
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                
                    $check = STUDEXMMARKS::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $sem_id,
                    'course' => $crs_id,
                    'exam_id' => $exam_id,
                    'subject' => $sub_id,
                    'stud_id' => $ids
                    ])->first();
                    $MarkValue = $request->input("mark".$ids);
                    $MarkpValue = $request->input("pmark".$ids);
                     if($MarkValue == "AB" || $MarkValue == "ab" || $MarkValue == "Ab")
                    {
                        $MarkValue = -1;
                    }
                    if($MarkpValue == "AB" || $MarkpValue == "ab" || $MarkpValue == "Ab")
                    {
                        $MarkpValue = -1;
                    }
                     if(!$check)
                     {
                         if (!is_null($MarkValue) && !is_null($MarkpValue)) 
                         {
                             $marklist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$sub_id,
                            'mark' =>$MarkValue,
                            'pmark' =>$MarkpValue,
                    ]);
                    if($marklist){ $i++; }
                             
                         }
                         else if (!is_null($MarkpValue)) 
                         {
                             $markplist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$sub_id,
                            
                            'pmark' =>$MarkpValue, 
                            ]);
                            if($markplist){ $i++; }
                         }
                         else if (!is_null($MarkValue)) 
                         {
                             $markplist = STUDEXMMARKS::create([
                            'stud_id' => $ids,
                            'ac_id' => $ac_id,
                            'course' => $crs_id,
                            'sem_id' => $sem_id,
                            'exam_id' => $exam_id,
                            'subject' =>$sub_id,
                            
                            'mark' =>$MarkValue, 
                            ]);
                            if($markplist){ $i++; }
                         }
                     }
                     else
                     {
                         $check->update([
                        'mark' => $request->input("mark".$ids),'pmark' => $request->input("pmark".$ids),
                        ]);
                        $i++;
                     }
                    
                
                
            }
        }
        
         if($i>0){
            $msg_array = array('message'=>'Student Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('Fyugp.studsubexmmark')->with($msg_array);
        
      }
      
    
      public function studsubexmmarkprint($course,$semester_id,$exam_id,$sub_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $exam_name = FyugpExams::where('id',$exam_id)->first();
        $examsubjects = FyugpExamSubject::where('exam_id',$exam_id)->where('subject',$sub_id)->first();
        $subject_name = Subject::where('subject_id',$sub_id)->first();
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_stud_sub_exam_mark_print',compact('students','exam_name','ac_id','ins_det','cur_acyear','course_name','sem_name','exam_id','examsubjects','course','semester_id','subject_name','sub_id','subject_categ'));
    } 
    
    
     public function reportcard()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('fyugp.reportcard',compact('courses','ac_id'));
    }
    
     public function get_reportcard(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
      
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
       
       
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('fyugp.view_report_card',compact('course','semester_id','ac_id','semesters','students'));
         
     }
     
      public function reportcardprint($course,$semester_id,$stud_id){
          
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $student_det = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id,'promotes.student_id'=>$stud_id))->select('students.*')->first();
        $exams = FyugpExams::where('course',$course)->where('sem',$semester_id)->where('ac_id',$ac_id)->first();
        $fa = FA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->whereNull('deleted_at')->get();
        $sa = SA_ASSIGN::where('course',$course)->where('ac_id',$ac_id)->whereNull('deleted_at')->get();
        $examsubjects=[];
        if($exams)
        {
        $examsubjects = FyugpExamSubject::Join('subjects','fyugp_examsubject.subject','=','subjects.subject_id')->where(array('fyugp_examsubject.exam_id'=>$exams->id))->select('fyugp_examsubject.*')->get();
        }
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('fyugp.print_report_card',compact('ac_id','ins_det','cur_acyear','course_name','sem_name','course','semester_id','student_det','exams','examsubjects','fa','sa'));
    } 
    
     public function minorstudsub(){
        
       $courses = Course::all();
       $pathway = FYUGPPATHWAY::all();
       $subCategories = SubCategory::whereIn('id', [2, 3, 4])->whereNull('deleted_at')->get();
       
        return view('fyugp.student.minorstudsub_view',compact('courses','subCategories','pathway'));
    }
    
    public function get_fyugpminorstudsub(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $category_id = $request->category_id;
        $sub_id = $request->sub_id;
        $pathway = FYUGPPATHWAY::all();
        $ac_id = getAcyear();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $total_seat = Seatallotment::where('course_id',$course)->where('ac_id',$ac_id)->first();
        $categ_name = SubCategory::where('id',$category_id)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }
        $fyugpstudsubjects = FyugpStudSub::Join('course_subject','fyugp_stud_sub.sub_id','=','course_subject.subject_id')->where('course_subject.semester_id',$sem_name->semester_name)->where('fyugp_stud_sub.sub_id',$sub_id)->where('fyugp_stud_sub.acyear_id',$ac_id)->whereIn('fyugp_stud_sub.sem',$sem_cnt)->select('fyugp_stud_sub.*')->get();
        $stud_array = array();
        if($sem_name->semester_name =='1st Semester')
        {
            foreach($fyugpstudsubjects as $fyugpsub)
            {
                $student_percent = Student::where('student_id',$fyugpsub->stud_id)->first();
                $stud_array[$fyugpsub->id] =['acyear_id'=>$fyugpsub->acyear_id,'course'=>$fyugpsub->course,'sem'=>$fyugpsub->sem,'stud_id'=>$fyugpsub->stud_id,'percentage'=>$student_percent->plustwo,'adno'=>$fyugpsub->studn->adno,'name'=>$fyugpsub->studn->name,'sub_id'=>$fyugpsub->sub_id,'course_name'=>$fyugpsub->coursen->course_name];
                
            }
        }
        else
        {
            foreach($fyugpstudsubjects as $fyugpsub)
            {
                if($sem_name->semester_name =='2nd Semester' || $sem_name->semester_name =='4th Semester' || $sem_name->semester_name =='6th Semester' || $sem_name->semester_name =='8th Semester')
                {
                    $previousAcId = $ac_id;
                }
                else
                {
                $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
                $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
                }
                $prev_det = Promote::where('student_id',$fyugpsub->stud_id)->where('ac_id',$previousAcId)->first();
                $exams = FyugpExams::where('course',$prev_det->course_id )->where('sem',$prev_det->semester_id)->where('ac_id',$prev_det->ac_id)->first();
                $fa = FA_ASSIGN::where('course',$prev_det->course_id)->where('ac_id',$prev_det->ac_id)->whereNull('deleted_at')->get();
                $sa = SA_ASSIGN::where('course',$prev_det->course_id)->where('ac_id',$prev_det->ac_id)->whereNull('deleted_at')->get();
                $examsubjects=[];
                if($exams)
                {
                $examsubjects = FyugpExamSubject::Join('subjects','fyugp_examsubject.subject','=','subjects.subject_id')->where(array('fyugp_examsubject.exam_id'=>$exams->id))->select('fyugp_examsubject.*')->get();
                }
                $tot_credit_point = 0 ; $tot_max_mark = 0; $grand_total = 0; $tot_cp = 0;$tot_percent=0;$sgpa=0;$sgpa1=0;$tgrade="";$g_result="";$rl=0;$gabs=0;
                foreach($examsubjects as $subex)
                {
                    $ccel_mark =0;$ccel_max_mark=0;$markl=0;$ccel_markp=0;$ccel_max_markp=0;$pmarkl=0;$exam_markl=0;$exam_markp=0;$total_mrk =0;$credit_point=0;$result="";$abs=0;
                    $sub_cat = $subex->esesubn->subject_categ;
                    if($sub_cat == 2 || $sub_cat == 3 || $sub_cat == 4)
                    {
                        $max_mark = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('max_mark')->first(); 
        				     $creditl = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('credit_l')->first(); 
        				     $ccal = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('cca_l')->first(); 
        				     $esel = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('ese_l')->first(); 
        				     
        				     $creditp = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('credit_p')->first(); 
        				     $ccap = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('cca_p')->first(); 
        				     $esep = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('ese_p')->first(); 
        				     
        				     $examl_mark = $subex->exmarks->where('ac_id',$prev_det->ac_id)->where('course',$prev_det->course_id)->where('sem_id',$prev_det->semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
        				     $examp_mark = $subex->exmarks->where('ac_id',$prev_det->ac_id)->where('course',$prev_det->course_id)->where('sem_id',$prev_det->semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$fyugpsub->stud_id)->pluck('pmark')->first();
                          
                      $sub_cnt = $subex->subminordmc->where('acyear_id',$prev_det->ac_id)->where('sub_cat',$sub_cat)->where('stud_id',$fyugpsub->stud_id)->pluck('stud_id')->first();
                        if($sub_cnt !='')
                        {   
                                foreach($fa as $fn)
        				     {
        				        if($fn->subtyp_id == 1)
        				        {
        				            $lmrk = $fn->famarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
            				        
            				        if($lmrk !='')
            				        { 
            				            $ccel_mark += $lmrk;
            				            
            				        }
            				        $ccel_max_mark += $fn->max_mark; 
            				    }   
                        }
                        if($fn->subtyp_id == 2)
				        {
				            $lmrkp = $fn->famarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        
    				        if($lmrkp !='')
    				        { 
    				            $ccel_markp += $lmrkp;
    				           
    				        }
    				         $ccel_max_markp += $fn->max_mark; 
    				    }

				     }
				     foreach($sa as $sn)
				     {
				        if($sn->subtyp_id == 1)
				        {
				            $slmrk = $sn->samarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        if($slmrk !='')
    				        {
        				        $ccel_mark += $slmrk;
        				       
        				    }
        				     $ccel_max_mark += $sn->max_mark; 
				        }
				        else if($sn->subtyp_id == 2)
				        {
				            $slmrkp = $sn->samarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        if($slmrkp !='')
    				        {
        				        $ccel_markp += $slmrkp;
        				        
        				    }
        				    $ccel_max_markp += $sn->max_mark; 
				        }

				     } 
				     if($ccel_max_mark != 0)
				     {
				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
				        $markl = round($markl);
				        $total_mrk += $markl;
				     }
				     if($ccel_max_markp != 0)
				     {
				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
				        $pmarkl = round($pmarkl);
				        $total_mrk += $pmarkl;
				     }
				     if($subex->max_mark != 0)
				     {
    				     if($examl_mark != -1)
    				     {
    				        $exam_markl  = ($examl_mark/$subex->max_mark)*$esel;
    				        $exam_markl = round($exam_markl);
    				        $total_mrk += $exam_markl;
    				     }
    				     else
    				     {
    				        $exam_markl = 'AB';
    				        $abs++; $gabs++;
    				     }
				   }
				   if($subex->pmax_mark !=0)
				   {
    				    if($examp_mark != -1)
    				    {
        				    $exam_markp  = ($examp_mark/$subex->pmax_mark)*$esep;
        				    $exam_markp = round($exam_markp);
        				    $total_mrk += $exam_markp;
    				    }
    				    else
    				    {
    				        $exam_markp = 'AB';
    				        $abs++; $gabs++;
    				    }
				   }
				  if(($ccal+$ccap+$esel+$esep) > 0 )
				  {
				   $percentage = ($total_mrk/($ccal+$ccap+$esel+$esep))*100;
				   $percentage = round($percentage);
				   }
				   else
				   {
				    $percentage =0;
				   }
				   
				   $gp = FYUGP_Grade::where('p_from', '<=', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$prev_det->ac_id)->first();
				   if ($gp) {
				   $credit_point = $gp->gp * $subex->esesubn->subject_credit ;
				   }
				   else
				   {
				    $credit_point = 0;
				   }
				   if($abs == 0)
				   {
				   if ($gp) {
    				   if($gp->description == "Fail")
    				   {
    				    $result = "F";
    				    $rl++;
    				   }
    				   else
    				   {
    				    $result = "P";
    				   } 
    				   }
    			  }else{ $result = "-";}
				   $tot_credit_point += $subex->esesubn->subject_credit;
				   $tot_max_mark += $max_mark;
				   $grand_total += $total_mrk;
				   $tot_cp += $credit_point;
                    }
                }
                if($tot_credit_point != 0)
                    {
                       $tot_percent = ($tot_cp/$tot_credit_point)*10;
                       
                       $sgpa =  $tot_cp/$tot_credit_point;
                       $sgpa1 = round($sgpa); 
                       
                    } 
               
                $stud_array[$fyugpsub->id] =['acyear_id'=>$fyugpsub->acyear_id,'course'=>$fyugpsub->course,'sem'=>$fyugpsub->sem,'stud_id'=>$fyugpsub->stud_id,'percentage'=>$sgpa,'adno'=>$fyugpsub->studn->adno,'name'=>$fyugpsub->studn->name,'sub_id'=>$fyugpsub->sub_id,'course_name'=>$fyugpsub->coursen->course_name];
                
            }
            
        }
        usort($stud_array, function ($a, $b) {
        return $b['percentage'] <=> $a['percentage'];
    });
        return view('fyugp.student.minorstudsub_get',compact('course','semester_id','category_id','sub_id','subjects','ac_id','fyugpstudsubjects','pathway','stud_array','total_seat','categ_name'));
        
     }
     
      public function minorstudsub_save(Request $request)
      {
        $crs_id = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $category_id = decrypt($request->category_id);
        $sub_id = decrypt($request->sub_id);
        $ac_id = getAcyear();
        $i=0;
       
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                
                 $check = FyugpStudSub::where([
                    'acyear_id' => $ac_id,
                    'sub_id' => $sub_id,
                    'sub_cat' => $category_id,
                    'stud_id' => $ids
                    ])->first();
                    if($check)
                    { 
                        $minorsub = $request->input("minorI".$ids); 
                        $check->update([
                            'sub_id' => $minorsub,
                            'status' => 1,
                            ]);
                            $i++;
                    }
            }
        }
        
       if($i>0){
            $msg_array = array('message'=>'Student Subject has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Subject Could not be Updated !','alert-type'=>'error');
        }
          return redirect()->route('fyugp.minorstudsub')->with($msg_array);
      }
      
    public function crsminorstudsub(){
        
       $courses = Course::all();
       $pathway = FYUGPPATHWAY::all();
       $subCategories = SubCategory::whereIn('id', [2, 3, 4])->whereNull('deleted_at')->get();
       $ac_id = getAcyear();
       return view('fyugp.student.crsminorstudsub_view',compact('courses','subCategories','pathway'));
    }
    
    public function get_fyugpcrsminorstudsub(Request $request)
    {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $category_id = $request->category_id;
        $ac_id = getAcyear();
        $sem_name = Semester::where('semester_id', $semester_id)->first();
        $sem_all = Semester::where('semester_name', $sem_name->semester_name)->get();
        $sem_array =[];
        foreach ($sem_all as $sm) {
            $sem_array[] = $sm->semester_id;
        }
        $total_seat = Seatallotment::where('course_id',$course)->where('ac_id',$ac_id)->first();
        
        $subjects = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')->where('subjects.subject_categ', $category_id)->where('course_subject.semester_id', $sem_name->semester_name)->where('course_subject.course_id', $course)->select('subjects.*')->get();
        return view('fyugp.student.crsminorstudsub_get',compact('course','semester_id','category_id','subjects','ac_id','total_seat','sem_name','sem_array'));

        
    }
    public function get_fyugpcrsstud(Request $request)
    {
      
        $course = decrypt($request->course);
        $semester_id = decrypt($request->semester_id);
        $category_id = decrypt($request->category_id);
        $sub_id = decrypt($request->sub_id);
        $pathway = FYUGPPATHWAY::all();
        $ac_id = getAcyear();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $total_seat = Seatallotment::where('course_id',$course)->where('ac_id',$ac_id)->first();
        $categ_name = SubCategory::where('id',$category_id)->first();
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $sem_cnt =[];
        $sem_array = Semester::where('semester_name',$sem_name->semester_name)->get(); 
        foreach($sem_array as $sem)
        {
          $sem_cnt[]  = $sem->semester_id;
        }
        $fyugpstudsubjects = FyugpStudSub::Join('course_subject','fyugp_stud_sub.sub_id','=','course_subject.subject_id')->where('course_subject.semester_id',$sem_name->semester_name)->where('fyugp_stud_sub.sub_id',$sub_id)->where('fyugp_stud_sub.acyear_id',$ac_id)->whereIn('fyugp_stud_sub.sem',$sem_cnt)->select('fyugp_stud_sub.*')->get();
        $stud_array = array();
        if($sem_name->semester_name =='1st Semester')
        {
            foreach($fyugpstudsubjects as $fyugpsub)
            {
                $student_percent = Student::where('student_id',$fyugpsub->stud_id)->first();
                $stud_array[$fyugpsub->id] =['acyear_id'=>$fyugpsub->acyear_id,'course'=>$fyugpsub->course,'sem'=>$fyugpsub->sem,'stud_id'=>$fyugpsub->stud_id,'percentage'=>$student_percent->plustwo,'adno'=>$fyugpsub->studn->adno,'name'=>$fyugpsub->studn->name,'sub_id'=>$fyugpsub->sub_id,'course_name'=>$fyugpsub->coursen->course_name];
                
            }
        }
        else
        {
            foreach($fyugpstudsubjects as $fyugpsub)
            {
                if($sem_name->semester_name =='2nd Semester' || $sem_name->semester_name =='4th Semester' || $sem_name->semester_name =='6th Semester' || $sem_name->semester_name =='8th Semester')
                {
                    $previousAcId = $ac_id;
                }
                else
                {
                $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
                $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
                }
                $prev_det = Promote::where('student_id',$fyugpsub->stud_id)->where('ac_id',$previousAcId)->first();
                $exams = FyugpExams::where('course',$prev_det->course_id )->where('sem',$prev_det->semester_id)->where('ac_id',$prev_det->ac_id)->first();
                $fa = FA_ASSIGN::where('course',$prev_det->course_id)->where('ac_id',$prev_det->ac_id)->whereNull('deleted_at')->get();
                $sa = SA_ASSIGN::where('course',$prev_det->course_id)->where('ac_id',$prev_det->ac_id)->whereNull('deleted_at')->get();
                $examsubjects=[];
                if($exams)
                {
                $examsubjects = FyugpExamSubject::Join('subjects','fyugp_examsubject.subject','=','subjects.subject_id')->where(array('fyugp_examsubject.exam_id'=>$exams->id))->select('fyugp_examsubject.*')->get();
                }
                $tot_credit_point = 0 ; $tot_max_mark = 0; $grand_total = 0; $tot_cp = 0;$tot_percent=0;$sgpa=0;$sgpa1=0;$tgrade="";$g_result="";$rl=0;$gabs=0;
                foreach($examsubjects as $subex)
                {
                    $ccel_mark =0;$ccel_max_mark=0;$markl=0;$ccel_markp=0;$ccel_max_markp=0;$pmarkl=0;$exam_markl=0;$exam_markp=0;$total_mrk =0;$credit_point=0;$result="";$abs=0;
                    $sub_cat = $subex->esesubn->subject_categ;
                    if($sub_cat == 2 || $sub_cat == 3 || $sub_cat == 4)
                    {
                         $max_mark = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('max_mark')->first(); 
        				     $creditl = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('credit_l')->first(); 
        				     $ccal = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('cca_l')->first(); 
        				     $esel = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('ese_l')->first(); 
        				     
        				     $creditp = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('credit_p')->first(); 
        				     $ccap = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('cca_p')->first(); 
        				     $esep = $subex->subcredits->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->pluck('ese_p')->first(); 
        				     
        				     $examl_mark = $subex->exmarks->where('ac_id',$prev_det->ac_id)->where('course',$prev_det->course_id)->where('sem_id',$prev_det->semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
        				     $examp_mark = $subex->exmarks->where('ac_id',$prev_det->ac_id)->where('course',$prev_det->course_id)->where('sem_id',$prev_det->semester_id)->where('exam_id',$subex->exam_id)->where('stud_id',$fyugpsub->stud_id)->pluck('pmark')->first();
                            
                      $sub_cnt = $subex->subminordmc->where('acyear_id',$prev_det->ac_id)->where('sub_cat',$sub_cat)->where('stud_id',$fyugpsub->stud_id)->pluck('stud_id')->first();
                        if($sub_cnt !='')
                        {   
                             foreach($fa as $fn)
        				     {
        				        if($fn->subtyp_id == 1)
        				        {
        				            $lmrk = $fn->famarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
            				        
            				        if($lmrk !='')
            				        { 
            				            $ccel_mark += $lmrk;
            				            
            				        }
            				        $ccel_max_mark += $fn->max_mark; 
            				    }   
                        }
                        if($fn->subtyp_id == 2)
				        {
				            $lmrkp = $fn->famarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        
    				        if($lmrkp !='')
    				        { 
    				            $ccel_markp += $lmrkp;
    				           
    				        }
    				         $ccel_max_markp += $fn->max_mark; 
    				    }

				     }
				     foreach($sa as $sn)
				     {
				        if($sn->subtyp_id == 1)
				        {
				            $slmrk = $sn->samarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',1)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        if($slmrk !='')
    				        {
        				        $ccel_mark += $slmrk;
        				       
        				    }
        				     $ccel_max_mark += $sn->max_mark; 
				        }
				        else if($sn->subtyp_id == 2)
				        {
				            $slmrkp = $sn->samarks->where('ac_id',$prev_det->ac_id)->where('sem_id',$prev_det->semester_id)->where('course',$prev_det->course_id)->where('sub_id',$subex->subject)->where('subtype_id',2)->where('stud_id',$fyugpsub->stud_id)->pluck('mark')->first();
    				        if($slmrkp !='')
    				        {
        				        $ccel_markp += $slmrkp;
        				        
        				    }
        				    $ccel_max_markp += $sn->max_mark; 
				        }

				     } 
				     if($ccel_max_mark != 0)
				     {
				         if ($ccal !='') {
				        $markl = ($ccel_mark/$ccel_max_mark)*$ccal;
				        $markl = round($markl);
				        $total_mrk += $markl;
				         }
				         else
				         {
				             $markl = 0;
				            $total_mrk += $markl;
				         }
				     }
				     if($ccel_max_markp != 0)
				     {
				         if ($ccap !== null) {
				        $pmarkl = ($ccel_markp/$ccel_max_markp)*$ccap;
				        $pmarkl = round($pmarkl);
				        $total_mrk += $pmarkl;
				         }
				         else
				         {
				              $pmarkl = 0;
				            $total_mrk += $pmarkl;
				         }
				     }
				     if($subex->max_mark != 0)
				     {
    				     if($examl_mark != -1)
    				     {
    				          if ($esel !== null) {
    				        $exam_markl  = ($examl_mark/$subex->max_mark)*$esel;
    				        $exam_markl = round($exam_markl);
    				        $total_mrk += $exam_markl;
    				          }
    				          else
    				          {
    				            $exam_markl = 0;
    				            $total_mrk += $exam_markl;  
    				          }
    				     }
    				     else
    				     {
    				        $exam_markl = 'AB';
    				        $abs++; $gabs++;
    				     }
				   }
				   if($subex->pmax_mark !=0)
				   {
    				    if($examp_mark != -1)
    				    {
    				        if ($esep !== null) {
        				    $exam_markp  = ($examp_mark/$subex->pmax_mark)*$esep;
        				    $exam_markp = round($exam_markp);
        				    $total_mrk += $exam_markp;
    				        }
    				        else
    				        {
    				           $exam_markp = 0;
        				    $total_mrk += $exam_markp;  
    				        }
    				    }
    				    else
    				    {
    				        $exam_markp = 'AB';
    				        $abs++; $gabs++;
    				    }
				   }
				  if(($ccal+$ccap+$esel+$esep) > 0 )
				  {
				   $percentage = ($total_mrk/($ccal+$ccap+$esel+$esep))*100;
				   $percentage = round($percentage);
				   }
				   else
				   {
				    $percentage =0;
				   }
				   
				   $gp = FYUGP_Grade::where('p_from', '<=', $percentage)->where('p_to', '>=', $percentage)->where('ac_year_id',$prev_det->ac_id)->first();
				   if ($gp) {
				   $credit_point = $gp->gp * $subex->esesubn->subject_credit ;
				   }
				   else
				   {
				    $credit_point = 0;
				   }
				   if($abs == 0)
				   {
				   if ($gp) {
    				   if($gp->description == "Fail")
    				   {
    				    $result = "F";
    				    $rl++;
    				   }
    				   else
    				   {
    				    $result = "P";
    				   } 
    				   }
    			  }else{ $result = "-";}
				   $tot_credit_point += $subex->esesubn->subject_credit;
				   $tot_max_mark += $max_mark;
				   $grand_total += $total_mrk;
				   $tot_cp += $credit_point;
                    }
                }
                if($tot_credit_point != 0)
                    {
                       $tot_percent = ($tot_cp/$tot_credit_point)*10;
                       
                       $sgpa =  $tot_cp/$tot_credit_point;
                       $sgpa1 = round($sgpa); 
                       
                    } 
               
                $stud_array[$fyugpsub->id] =['acyear_id'=>$fyugpsub->acyear_id,'course'=>$fyugpsub->course,'sem'=>$fyugpsub->sem,'stud_id'=>$fyugpsub->stud_id,'percentage'=>$sgpa,'adno'=>$fyugpsub->studn->adno,'name'=>$fyugpsub->studn->name,'sub_id'=>$fyugpsub->sub_id,'course_name'=>$fyugpsub->coursen->course_name];
                
            }
            
        }
        usort($stud_array, function ($a, $b) {
        return $b['percentage'] <=> $a['percentage'];
    });
        return view('fyugp.student.studall_get',compact('course','semester_id','category_id','sub_id','subjects','ac_id','fyugpstudsubjects','pathway','stud_array','total_seat','categ_name'));

    }
    public function crsminorstudsub_save(Request $request)
    {
    $crs_id = $request->course;
    $sem_id = $request->sem_id;
    $category_id = $request->category_id;
    $sub_id = $request->sub_id;
    $ac_id = getAcyear();
    $i = 0;
    
 
    if (!empty($request->posted)) {
        foreach ($request->posted as $student) {
            $student_id = $student['student_id'];  
            $minor_id = $student['minor_id'];     

           
            $check = FyugpStudSub::where([
                'acyear_id' => $ac_id,
                'sub_id' => $sub_id,
                'sub_cat' => $category_id,
                'stud_id' => $student_id
            ])->first();

            
            if ($check) {
                $check->update([
                    'sub_id' => $minor_id,  
                    'status' => 1,         
                ]);
                $i++;  
            }
        }
    }

    
    return true;
}
     
}
