<?php

namespace App\Http\Controllers;
use App\Models\Acyear;
use App\Models\User;
use App\Models\Course;
use App\Models\SubjectType; 
use App\Models\Semester;
use App\Models\Subject;
use App\Models\Promote;
use App\Models\Student;
use App\Models\PathwaySettings;
use App\Models\CourseSubject;
use App\Models\FYUGPPATHWAY;
use App\Models\FyugpStudSub;
use App\Models\LMSSTUDASSIGNMENT;
use App\Models\LmsAssignment;
use Illuminate\Http\Request;

class LMS extends Controller
{
    public function assignment()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('Lms.assignment',compact('courses','ac_id'));
    }
    
    public function get_assignment(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $assignment_name = $request->assignment_name;
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $ac_id = getAcyear();
        $assigmentexists = LmsAssignment::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'assignment_name' => $assignment_name
                    ])->first();
         
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('Lms.view_assignment',compact('course','semester_id','ac_id','sub_id','students','subject_categ','assignment_name','assigmentexists'));
         
     }
     
     public function assignment_save(Request $request)
      {
            $crs_id = decrypt($request->course);
            $sem_id = decrypt($request->sem_id);
            $sub_id = decrypt($request->sub_id);
            $assignment_name = decrypt($request->assignment_name);
            $max_mark =$request->max_mark;
           
            $dead_line =$request->sub_date;
            $ac_id = getAcyear();
            $i=0;
             $assigmentexists = LmsAssignment::where([
                        'ac_id' => $ac_id,
                        'sem_id' => $sem_id,
                        'course_id' => $crs_id,
                        'sub_id' => $sub_id,
                        'assignment_name' => $assignment_name
                        ])->first();
            if(!$assigmentexists)
            {
                 $assignmentlist = LmsAssignment::create([
                            'course_id' => $crs_id,
                            'sem_id' => $sem_id,
                            'sub_id' => $sub_id,
                            'date' => date('Y-m-d'),
                            'ac_id' => $ac_id,
                            'assignment_name' => $assignment_name,
                            'dead_line'=>$dead_line,
                            'max_mark'=>$max_mark,
                    ]);
                    if($request->posted !='')
                    {
                        foreach($request->posted as $ids)
                        {
                            $checkstud = LMSSTUDASSIGNMENT::where([
                               
                                'assgmnt_id' => $assignmentlist->id,
                                'stud_id' => $ids
                                ])->first();
                             if(!$checkstud)
                             {
                               
                                $topic = $request->input("topic".$ids);
                                $submission_date = $request->input("submission_date".$ids);
                                $assignmentlist = LMSSTUDASSIGNMENT::create([
                                'assgmnt_id' => $assignmentlist->id,
                                'topic' => $topic,
                                'submission_date' => $submission_date,
                                'stud_id' => $ids,
                              
                                ]); 
                                $i++;
                             }
                        }
                    }
            }
        if($i>0){
            $msg_array = array('message'=>'Assignment has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assignment Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('lms.assignment')->with($msg_array);
      }
      
    public function view_assignment()
    {
        $courses = Course::all();
        $ac_id = getAcyear();
        return view('Lms.view_stud_assignment',compact('courses','ac_id'));
    }
    
     public function get_assignment_view(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $assignment_id = $request->assignment_id;
        $subject_categ = Subject::where('subject_id',$sub_id)->first();
        $ac_id = getAcyear();
        $assigmentexists = LmsAssignment::where([
                    'ac_id' => $ac_id,
                    'sem_id' => $semester_id,
                    'course_id' => $course,
                    'sub_id' => $sub_id,
                    'id' => $assignment_id
                    ])->first();
                   
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('Lms.view_assignment_stud',compact('course','semester_id','ac_id','sub_id','students','subject_categ','assignment_id','assigmentexists'));
         
     }
     
      public function getassignments(Request $request){ 
        $sub_id= $request->get('sub_id');
        $course_id=  $request->get('course');
        $sem_id=   $request->get('semester_id');
         $ac_id = getAcyear();
        $assignments = array();
        $rows = LmsAssignment::where('course_id',$course_id)->where('sem_id',$sem_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->get();
        foreach($rows as $row){
            $assignments[$row->id] = $row->assignment_name;
        }
        return json_encode($assignments);
      }
      
      public function view_assignment_save(Request $request)
      {
            $crs_id = decrypt($request->course);
            $sem_id = decrypt($request->sem_id);
            $sub_id = decrypt($request->sub_id);
            $assignment_id = decrypt($request->assignment_id);
            $max_mark =$request->max_mark;
           
            $dead_line =$request->sub_date;
            $ac_id = getAcyear();
            $i=0;
           
            
             $assigmentexists=LmsAssignment::find($assignment_id);
              $assigmentexists->update([
    
                  'max_mark'=>$max_mark,
                   'dead_line'=>$dead_line,
                  ]);
              if($request->posted !='')
              {
                foreach($request->posted as $ids)
                {   
                     $checkII = LMSSTUDASSIGNMENT::where([
                        'assgmnt_id' => $assignment_id,
                        'stud_id' => $ids,
                        
                    ])->first();
                    $topic = $request->input("topic".$ids);
                    $submission_date = $request->input("submission_date".$ids);
                    $mark = $request->input("mark".$ids);
                    if(!$checkII){
                        $assignmentlist = LMSSTUDASSIGNMENT::create([
                                'assgmnt_id' => $assignment_id,
                                'topic' => $topic,
                                'submission_date' => $submission_date,
                                'stud_id' => $ids,
                              
                                ]); 
                         $i++;
                    }
                    else
                    {
                        $checkII->update([
                    'topic' => $topic,
                    'submission_date'=>$submission_date,
                    'mark'=>$mark,
                   
                ]);
                $i++;
                    }
                }
             }
             
        if($i>0){
            $msg_array = array('message'=>'Assignment has been Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assignment Could not be Assigned !','alert-type'=>'error');
        }
          return redirect()->route('lms.assignment.stud')->with($msg_array);
            
      }
}
