<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Libcategory;
use App\Models\Libsubcategory;
use App\Models\Libmainloc;
use App\Models\Libsubloc;
use App\Models\Membershiptype;
class Library extends Controller
{
  public function libcategory(){
        
        $libcategory = Libcategory::all();
        
        return view('library.libcategory',compact('libcategory'));
    }

public function libcategory_save(Request $request)
 {
     
     $validated = $request->validate([
            'category_code' => 'required',
            'category_name' => 'required',
            
            
            
        ]);
        $libcategory = Libcategory::create([
            'category_code' => $request->category_code,
            'category_name' => $request->category_name,
           

        ]); 
                if($libcategory){
            $msg_array = array('message'=>'Category Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Category Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('libcategory')->with($msg_array); 
     
     
 }
    
       public function libcategory_edit($cid){
        
       
        $libcategory = Libcategory::find(decrypt($cid));
        
        return view('library.libcatedit',compact(array('libcategory')));
    }
 
   public function libcategory_update(Request $request){
        
        $libcat_id= decrypt($request->libcat_id);
        $validated = $request->validate([
            'category_code' => 'required|unique:library_category,category_code,'.$libcat_id.',libcat_id',
            'category_name'=>'required|unique:library_category,category_name,'.$libcat_id.',libcat_id',
        ]);
        
        $libcategory = Libcategory::find($libcat_id);
        $libcategory->update([
            'category_code' => $request->category_code,
            'category_name' => $request->category_name,
        ]);
        
        if($libcategory){
            $msg_array = array('message'=>'Category Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Category Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('libcategory')->with($msg_array);
    }  
    
    public function libcategory_delete($cid){
        
        $libcategory = Libcategory::find(decrypt($cid));
        
        if($libcategory){
            if($libcategory->count() > 0){
                $libcategory->delete();
                $msg_array = array('message'=>'Category Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Category Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('libcategory')->with($msg_array);
    } 
     
     
     
     
     
     
     
     
     
     
      public function libsubcategory(){
        $libcategory = Libcategory::all();
        $libsubcategory = Libsubcategory::all();
        
        return view('library.libsubcategory',compact('libcategory','libsubcategory'));
    }

  public function libsubcategory_save(Request $request)
 {
     
     $validated = $request->validate([
             'libcat_id'=>'required',
            'subcategory_code' => 'required',
            'subcategory' => 'required',
            
            
            
        ]);
        $libsubcategory = Libsubcategory::create([
            'libcat_id'=>$request->libcat_id,
            'subcategory_code' => $request->subcategory_code,
            'subcategory' => $request->subcategory,
           

        ]); 
                if($libsubcategory){
            $msg_array = array('message'=>'Subcategory Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subcategory Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('libsubcategory')->with($msg_array); 
     
     
 }  
   
        public function libsubcategory_edit($sid){
        
               $libcategory = Libcategory::all();

        $libsubcategory = Libsubcategory::find(decrypt($sid));
        
        return view('library.libsubcategoryedit',compact(array('libcategory','libsubcategory')));
    }
   
   
      public function libsubcategory_update(Request $request){
        
        $libsub_id= decrypt($request->libsub_id);
        $validated = $request->validate([
            
           'subcategory_code'=> 'required|unique:library_subcategory,subcategory_code,'.$libsub_id.',libsub_id',
            'subcategory'=>'required|unique:library_subcategory,subcategory,'.$libsub_id.',libsub_id',
        ]);
        
        $libsubcategory = Libsubcategory::find($libsub_id);
        $libsubcategory->update([
            'libcat_id' => $request->libcat_id,
            'subcategory_code' => $request->subcategory_code,
            'subcategory' => $request->subcategory,
        ]);
        
        if($libsubcategory){
            $msg_array = array('message'=>'Subcategory Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subcategory Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('libsubcategory')->with($msg_array);
    }  








     public function libmainloc(){
        
        $libmainloc = Libmainloc::all();
        
        return view('library.libmainloc',compact('libmainloc'));
    }
 
  
public function libmainloc_save(Request $request)
 {
     
     $validated = $request->validate([
            'mainloc_code' => 'required',
            'mainloc_name' => 'required',
            
            
            
        ]);
        $libmainloc = Libmainloc::create([
            'mainloc_code' => $request->mainloc_code,
            'mainloc_name' => $request->mainloc_name,
           

        ]); 
                if($libmainloc){
            $msg_array = array('message'=>'Main location Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Main location Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('libmainloc')->with($msg_array); 
     
     
 }  
  
  
  
        public function libmainloc_edit($mid){
        
               
        $libmainloc = Libmainloc::find(decrypt($mid));
        
        return view('library.libmainlocedit',compact(array('libmainloc')));
    }
  
  
   public function libmainloc_update(Request $request){
        
        $ml_id= decrypt($request->ml_id);
        $validated = $request->validate([
            'mainloc_code' => 'required|unique:lib_book_main_location,mainloc_code,'.$ml_id.',ml_id',
            'mainloc_name'=>'required|unique:lib_book_main_location,mainloc_name,'.$ml_id.',ml_id',
        ]);
        
        $libmainloc = Libmainloc::find($ml_id);
        $libmainloc->update([
            'mainloc_code' => $request->mainloc_code,
            'mainloc_name' => $request->mainloc_name,
        ]);
        
        if($libmainloc){
            $msg_array = array('message'=>'Location Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Location Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('libmainloc')->with($msg_array);
    }  

  
      public function libmainloc_delete($mid){
        
        $libmainloc = Libmainloc::find(decrypt($mid));
        
        if($libmainloc){
            if($libmainloc->count() > 0){
                $libmainloc->delete();
                $msg_array = array('message'=>'Location Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Location Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('libmainloc')->with($msg_array);
    } 

  
  
  
  
  
  
  
  
  
  
       public function libsubloc(){
        $libmainloc = Libmainloc::all();
        $libsubloc = Libsubloc::all();
        
        return view('library.libsubloc',compact('libmainloc','libsubloc'));
    }

  
  
    public function libsubloc_save(Request $request)
 {
     
     $validated = $request->validate([
             'ml_id'=>'required',
            'subloc_code' => 'required',
            'subloc_name' => 'required',
            
            
            
        ]);
        $libsubloc = Libsubloc::create([
            'ml_id'=>$request->ml_id,
            'subloc_code' => $request->subloc_code,
            'subloc_name' => $request->subloc_name,
           

        ]); 
                if($libsubloc){
            $msg_array = array('message'=>'Sublocation Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Sublocation Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('libsubloc')->with($msg_array); 
     
     
 }  
  
        public function libsubloc_edit($sid){
        
        $libmainloc = Libmainloc::all();       
        $libsubloc = Libsubloc::find(decrypt($sid));
        
        return view('library.libsublocedit',compact(array('libmainloc','libsubloc')));
    }
  
  
        public function libsubloc_update(Request $request){
        
        $sl_id= decrypt($request->sl_id);
        $validated = $request->validate([
            
           'subloc_code'=> 'required|unique:lib_book_sub_location,subloc_code,'.$sl_id.',sl_id',
            'subloc_name'=>'required|unique:lib_book_sub_location,subloc_name,'.$sl_id.',sl_id',
        ]);
        
        $libsubloc = Libsubloc::find($sl_id);
        $libsubloc->update([
            'ml_id' => $request->ml_id,
            'subloc_code' => $request->subloc_code,
            'subloc_name' => $request->subloc_name,
        ]);
        
        if($libsubloc){
            $msg_array = array('message'=>'Sublocation Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Sublocation Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('libsubloc')->with($msg_array);
    }  



        public function libsubloc_delete($sid){
        
        $libsubloc = Libsubloc::find(decrypt($sid));
        
        if($libsubloc){
            if($libsubloc->count() > 0){
                $libsubloc->delete();
                $msg_array = array('message'=>'Sublocation Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Sublocation  Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('libsubloc')->with($msg_array);
    } 

  

  public function libmembertyp(){
       
        $libmembertyp = Membershiptype::all();
        
        return view('library.libmembertyp',compact('libmembertyp'));
    }

  public function libmembertyp_save(Request $request)
 {
     
     $validated = $request->validate([
             'member_type'=>'required',
            'book_nums' => 'required',
            'valid_period'=>'required'
            
            
            
        ]);
        $libmembertyp = Membershiptype::create([
            'member_type' => $request->member_type,
            'book_nums' => $request->book_nums,
           'valid_period'=>$request->valid_period,

        ]); 
                if($libmembertyp){
            $msg_array = array('message'=>'Member Type Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Member Type Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('libmembertyp')->with($msg_array); 
     
     
 }  
  
          public function libmembertyp_edit($mid){
        
        $libmembertyp = Membershiptype::find(decrypt($mid));
        
        return view('library.libmembertypedit',compact(array('libmembertyp')));
    }







          public function libmembertyp_update(Request $request){
        
        $mmbrtyp_id= decrypt($request->mmbrtyp_id);
        $validated = $request->validate([
            
           'member_type'=> 'required|unique:lib_membership_type,member_type,'.$mmbrtyp_id.',mmbrtyp_id',
            'book_nums'=>'required|unique:lib_membership_type,book_nums,'.$mmbrtyp_id.',book_nums',
        ]);
        
        $libmembertyp = Membershiptype::find($mmbrtyp_id);
        $libmembertyp->update([
            
            'member_type' => $request->member_type,
            'book_nums' => $request->book_nums,
            'valid_period' => $request->valid_period,
        ]);
        
        if($libmembertyp){
            $msg_array = array('message'=>' Member Type Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Member Type Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('libmembertyp')->with($msg_array);
    }  

  
          public function libmembertyp_delete($mid){
        
        $libmembertyp = Membershiptype::find(decrypt($mid));
        
        if($libmembertyp){
            if($libmembertyp->count() > 0){
                $libmembertyp->delete();
                $msg_array = array('message'=>'Member Type Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Member Type  Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('libmembertyp')->with($msg_array);
    } 

  
  
  
  
  
    
    
    
    
}
