<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Libcategory;
use App\Models\Libsubcategory;
use App\Models\Libmainloc;
use App\Models\Libsubloc;
use App\Models\Membershiptype;
use App\Models\Membership;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Stafftype;
use App\Models\User;
use App\Models\UserType;
use App\Models\Promote;
use App\Models\MembershipOther;
class Memberships extends Controller
{
     public function member_add(){
        
        $membertypes = Membershiptype::all();
        $courses = Course::all();
        $stafftyp=Stafftype::all();
        $cur_date = date('d-m-Y');
        return view('library.member_add',compact('membertypes','courses','stafftyp','cur_date'));
    }
    
     public function member_get(Request $request)
     {
        $course = $request->course;
        $semester_id = $request->semester_id;
        $member_type = $request->member_type;
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_date = date('Y-m-d');
        return view('library.member_get',compact('course','semester_id','member_type','ac_id','students','semesters','cur_date'));
         
     }
     
     public function member_save(Request $request){
         
        $course = decrypt($request->course);
        $sem_id = decrypt($request->semester_id);
        $member_type = decrypt($request->member_type);
        $date = $request->date;
        $ac_id = getAcyear();
        $i=0;
        if($member_type == 2)
        {
            foreach($request->posted as $ids)
            {
                 $memb_no = $request->input("mem_id".$ids);
                    $check = Membership::where([
                    'user_id' => $ids,
                    'member_type' => $member_type,
                   
                ])->first();
                 if(!$check){
                        
                             $membershiplist = Membership::create([
                            'memb_no' => $memb_no,    
                            'user_id' => $ids,
                            'member_type' => $member_type,
                           
                            'cur_date' => $date,
                            'status' => 1,
                          
                            
                        ]);
                       $i++;
                     }
            }
        }
        
        
         if($i>0){
            $msg_array = array('message'=>'Membership Details Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Membership Details Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('lib.member')->with($msg_array);
         
     }
     
     public function mem_save(Request $request){
         
         $member_type = $request->member_type;
        $date = $request->date;
        $i=0;
         if($member_type == 1)
        {
            $check = Membership::where([
                    'user_id' => $request->user_id,
                    'member_type' => $member_type,
                   
                ])->first();  
                 if(!$check){
                        
                             $membershiplist = Membership::create([
                            'memb_no' => $request->mem_id,    
                            'user_id' => $request->user_id,
                            'member_type' => $member_type,
                           
                            'cur_date' => $date,
                            'status' => 1,
                          
                            
                        ]);
                       $i++;
                     }
            
        }
         
          if($i>0){
            $msg_array = array('message'=>'Membership Details Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Membership Details Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('lib.member')->with($msg_array);
         
     }
     
     public function memother_save(Request $request){
         
         $member_type = $request->member_type;
        $date = $request->date;
        $i=0;
         if($member_type == 5)
        {
            $membershipother = MembershipOther::create([
                            'name' => $request->name,    
                            'address' => $request->address,
                            'contact_no' => $request->cno,
                           
                            'cur_date' => $date,
                            'status' => 1,
                          
                            
                        ]);
            
            $check = Membership::where([
                    'user_id' => $membershipother->id,
                    'member_type' => $member_type,
                   
                ])->first();  
                 if(!$check){
                        
                             $membershiplist = Membership::create([
                            'memb_no' => $request->mem_id,    
                            'user_id' => $membershipother->id,
                            'member_type' => $member_type,
                           
                            'cur_date' => $date,
                            'status' => 1,
                          
                            
                        ]);
                       $i++;
                     }
        }
        
        if($i>0){
            $msg_array = array('message'=>'Membership Details Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Membership Details Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('lib.member')->with($msg_array);
        
     }
     
     
     public function member_view(){
        
        $membertypes = Membershiptype::all();
        $courses = Course::all();
        $stafftyp=Stafftype::all();
        $cur_date = date('d-m-Y');
        return view('library.member_view',compact('membertypes','courses','stafftyp','cur_date'));
    }
    
     public function member_view_get(Request $request)
     {
        $course = $request->course;
        $semester_id = $request->semester_id;
        $member_type = $request->member_type;
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $students = $staffs = $others = array();
        if($member_type == 2)
        {
            $students = Promote::Join('students','promotes.student_id','=','students.student_id')->Join('member_details','member_details.user_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*','member_details.memb_no','member_details.cur_date')->get();
        }
        else if($member_type == 1)
        {
            $staffs = User::Join('member_details','users.user_id','=','member_details.user_id')->where(array('member_details.member_type'=>$member_type))->select('users.*','member_details.memb_no','member_details.cur_date')->get();
        }
        else if($member_type == 5)
        {
            $others = MembershipOther::Join('member_details','membership_other.id','=','member_details.user_id')->where(array('member_details.member_type'=>$member_type))->select('membership_other.*','member_details.memb_no','member_details.cur_date')->get();
        }
        $cur_date = date('Y-m-d');
        return view('library.member_rep_get',compact('course','semester_id','member_type','ac_id','students','semesters','cur_date','staffs','others'));
         
     }
     
}
