<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\User;
use App\Models\ObePeo;
use App\Models\ObeDomain;
use App\Models\ObeActivity;
use App\Models\ObeActivityOutcome;
use App\Models\ObeLevel;
use App\Models\ObeAssessmentMethod;
use App\Models\ObePso;
use App\Models\Course;
use App\Models\SubjectType; 
use App\Models\Semester;
use App\Models\Subject;
use App\Models\ObeCo;
use App\Models\ObePo;
use App\Models\ObeTerm;
use App\Models\ObePsoAchievement;
use App\Models\ObePoAchievement;
use App\Models\ObeCoAchievementLevel;
use App\Models\ObeCoAchievement;
use App\Models\AoPoMapping;
use App\Models\AoPsoMapping;
use App\Models\CoPoMapping;
use App\Models\CoPsoMapping;
use App\Models\ObeGrade;
use App\Models\ObeConversionPercentage;
use App\Models\Promote;
use App\Models\ObeSubMaxMark;
use App\Models\ObeMarkList;
use App\Models\InternalObeNames;
use App\Models\ObeQuestions;
use App\Models\ObeSubQuestions;
use App\Models\ObeStudMarkList;
use App\Models\ObeInternalPercentage;
use App\Models\ObeInternalMarkGeneration;
use App\Models\ObeActivityRoll;
use App\Models\ObeActivityPerformance;
use App\Models\ObeStudActivityPerformance;
use App\Models\SubCategory;
use App\Models\CourseSubject;
class Obe extends Controller
{
    public function obe_peo(){
        $peos = ObePeo::all();
       
       
        return view('obe.peo_add',compact('peos'));
    }
    
   public function peo_save(Request $request)
 {
     
     $validated = $request->validate([
            'peo_num' => 'required',
          
            
            
            
        ]);
        $obepeo = ObePeo::create([
            'peo_num' => $request->peo_num,
            'peo_name' => $request->peo_name,
           

        ]); 
                if($obepeo){
            $msg_array = array('message'=>'Program Educational Objectives Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Program Educational Objectives Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.peo')->with($msg_array); 
     
 }
 
 public function peo_delete($aid){
        
        $apeo = ObePeo::find(decrypt($aid));
        
        if($apeo){
            if($apeo->count() > 0){
                $apeo->delete();
                $msg_array = array('message'=>'Program Educational Objectives Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Program Educational Objectives Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.peo')->with($msg_array);
    } 
   
   
public function obe_domain(){
        $doms = ObeDomain::all();
       
       
        return view('obe.domain_add',compact('doms'));
    }   
    
 public function domain_save(Request $request)
 {
     
     $validated = $request->validate([
            'domain' => 'required',
          
        ]);
        $obedom = ObeDomain::create([
            'domain' => $request->domain,
           
        ]); 
        if($obedom){
        $msg_array = array('message'=>'Domain Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Domain Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.domain')->with($msg_array); 
     
 }   
    
 public function domain_delete($aid){
        
        $adom = ObeDomain::find(decrypt($aid));
       
        if($adom){
             $activities = ObeActivity::where('domain_id', decrypt($aid))->count();
           if ($activities == 0) {
                $adom->delete();
                $msg_array = array('message'=>'Domain Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Domain Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
             $msg_array = array('message'=>'Domain not Found !','alert-type'=>'error');
        }
        return redirect()->route('obe.domain')->with($msg_array);
    }  
    
    
  public function domain_edit($aid)
{
        
        
        $obedomains = ObeDomain::find(decrypt($aid));
        
        return view('obe.domainedit',compact(array('obedomains')));
    

}  
 
public function domain_update(Request $request)
  {
      $domain_id=decrypt($request->dm_id);
      $validated=$request->validate([
             'domain' => 'required|unique:obe_domain,domain,'.$domain_id.',id',
          
          ]);
          $domainsa=ObeDomain::find($domain_id);
          $domainsa->update([

              'domain'=>$request->domain,
              ]);
              if($domainsa)
              {
                  $msg_array=array('message'=>'Domain name updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Domain name could not be updated','error'); 
              }
              return redirect()->route('obe.domain')->with($msg_array);
  } 
 
 public function obe_activity(){
        $domains = ObeDomain::all();
        $activities = ObeActivity::all();
        
        return view('obe.activity_add',compact('domains','activities'));
    } 
    
    
     public function activity_save(Request $request)
 {
     
     $validated = $request->validate([
            'activity_name' => 'required',
            'domain_id' => 'required',
          
        ]);
        $activity = ObeActivity::create([
         'domain_id' => $request->domain_id,
            'activity_name' => $request->activity_name,
            
           

        ]); 
                if($activity){
            $msg_array = array('message'=>'Activity Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Activity Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.activity')->with($msg_array); 
     
 }
 
 public function activity_delete($aid){
        
        $activity = ObeActivity::find(decrypt($aid));
        
 if($activity){
      $activitiesoutcomes = ObeActivityOutcome::where('activity_id', decrypt($aid))->count();
             if ($activitiesoutcomes == 0) {
                $activity->delete();
                $msg_array = array('message'=>'Activity deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Activity Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
           $msg_array = array('message'=>'Activity not Found !','alert-type'=>'error');  
        }
        
        return redirect()->route('obe.activity')->with($msg_array);
    }   
    
  public function activity_edit($aid){
         $domain = ObeDomain::all();
        $activity = ObeActivity::find(decrypt($aid));
        
        return view('obe.activity_edit',compact(array('domain','activity')));
    }    
    
    public function activity_update(Request $request){
        
        $activity_id = decrypt($request->activity_id);
        $validated = $request->validate([
            
            'activity_name' => 'required|unique:obe_activity,activity_name,'.$activity_id.',id',
        
        ]);
        
        $activity = ObeActivity::find($activity_id);
        $activity->update([
        'domain_id' => $request->domain_id,
        'activity_name' => $request->activity_name,
            
        ]);
        
        if($activity){
            $msg_array = array('message'=>'Activity Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Activity Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.activity')->with($msg_array);
    }  
    
    public function obe_activityoutcome(){
        $activityoutcome = ObeActivityOutcome::all();
        $activities = ObeActivity::all();
        
        return view('obe.activityoutcome_add',compact('activityoutcome','activities'));
    } 
    
    
     public function activityoutcome_save(Request $request)
 {
     
     $validated = $request->validate([
            'activity_outcome' => 'required',
            'activity_id' => 'required',
          
        ]);
        $activityoutcome = ObeActivityOutcome::create([
         'activity_id' => $request->activity_id,
            'activity_outcome' => $request->activity_outcome,
            
           

        ]); 
                if($activityoutcome){
            $msg_array = array('message'=>'Activity Outcome Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Activity Outcome Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.activityoutcome')->with($msg_array); 
     
 }
 
 public function activityoutcome_delete($aid){
        
        $activityoutcome = ObeActivityOutcome::find(decrypt($aid));
        
 if($activityoutcome){
      $aopomappings = AoPoMapping::where('a_outcome', decrypt($aid))->count();
       $aopsomappings = AoPsoMapping::where('a_outcome', decrypt($aid))->count();
            if($aopomappings == 0 && $aopsomappings == 0){
                $activityoutcome->delete();
                $msg_array = array('message'=>'Activity Outcome deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Activity Outcome Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
             $msg_array = array('message'=>'Activity Outcome not Found !','alert-type'=>'error');
        }
        
        return redirect()->route('obe.activityoutcome')->with($msg_array);
    }   
    
  public function activityoutcome_edit($aid){
        
        $activityoutcome = ObeActivityOutcome::find(decrypt($aid));
        $activity = ObeActivity::all();
        
        return view('obe.activityoutcome_edit',compact(array('activityoutcome','activity')));
    }    
    
    public function activityoutcome_update(Request $request){
        
        $activityoutcome_id = decrypt($request->activityoutcome_id);
        $validated = $request->validate([
            
            'activity_outcome' => 'required|unique:obe_activity_outcome,activity_outcome,'.$activityoutcome_id.',id',
        
        ]);
        
        $activityoutcome = ObeActivityOutcome::find($activityoutcome_id);
        $activityoutcome->update([
        'activity_id' => $request->activity_id,
        'activity_outcome' => $request->activity_outcome,
            
        ]);
        
        if($activityoutcome){
            $msg_array = array('message'=>'Activity Outcome Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Activity Outcome Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.activityoutcome')->with($msg_array);
    } 
    
    public function obe_level(){
        $levels = ObeLevel::all();
       
       
        return view('obe.level_add',compact('levels'));
    }   
    
 public function level_save(Request $request)
 {
     
     $validated = $request->validate([
            'level' => 'required',
          
        ]);
        $obelevel = ObeLevel::create([
            'level' => $request->level,
           
        ]); 
        if($obelevel){
        $msg_array = array('message'=>'Level Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Level Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.level')->with($msg_array); 
     
 }   
    
 public function level_delete($aid){
        
        $alvl = ObeLevel::find(decrypt($aid));
        
        if($alvl){
            $copsomappings = CoPsoMapping::where('level_id', decrypt($aid))->count();
            if($copsomappings == 0){
                $alvl->delete();
                $msg_array = array('message'=>'Level Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Level Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
            $msg_array = array('message'=>'Level not Found !','alert-type'=>'error'); 
        }
        
        return redirect()->route('obe.level')->with($msg_array);
    }  
    
    
  public function level_edit($aid)
{
        
        
        $obelevel = ObeLevel::find(decrypt($aid));
        
        return view('obe.leveledit',compact(array('obelevel')));
    

}  
 
public function level_update(Request $request)
  {
      $level_id=decrypt($request->lv_id);
      $validated=$request->validate([
             'level' => 'required|unique:obe_level,level,'.$level_id.',id',
          
          ]);
          $lvlinsa=ObeLevel::find($level_id);
          $lvlinsa->update([

              'level'=>$request->level,
              ]);
              if($lvlinsa)
              {
                  $msg_array=array('message'=>'Level name updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Level name could not be updated','error'); 
              }
              return redirect()->route('obe.level')->with($msg_array);
  } 
  
  
  public function obe_assessmentmethod(){
        $asessmethod = ObeAssessmentMethod::all();
       
        
        return view('obe.assessment_method_add',compact('asessmethod'));
    } 
    
    
     public function assessmentmethod_save(Request $request)
 {
     
     $validated = $request->validate([
            'type' => 'required',
            'method' => 'required',
          
        ]);
        $asessmentmetheds = ObeAssessmentMethod::create([
         'type' => $request->type,
            'method' => $request->method,
            
           

        ]); 
                if($asessmentmetheds){
            $msg_array = array('message'=>'Assessment Method Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Assessment Method Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.assessmentmethod')->with($msg_array); 
     
 }
 
 public function assessmentmethod_delete($aid){
        
        $assessmethods = ObeAssessmentMethod::find(decrypt($aid));
        
 if($assessmethods){
     $copsomappings = CoPsoMapping::where('assmnt_method', decrypt($aid))->count();
            if($copsomappings == 0){
                $assessmethods->delete();
                $msg_array = array('message'=>'Method deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Method Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
           $msg_array = array('message'=>'Method not Found !','alert-type'=>'error'); 
        }
        
        return redirect()->route('obe.assessmentmethod')->with($msg_array);
    } 
    
    public function assessmentmethod_edit($aid){
     
        $assessmethod = ObeAssessmentMethod::find(decrypt($aid));
        
        return view('obe.assessmentmethod_edit',compact(array('assessmethod')));
    }    
    
    public function assessmentmethod_update(Request $request){
        
        $method_id = decrypt($request->method_id);
        $validated = $request->validate([
            
            'method' => 'required|unique:obe_assessment_method,method,'.$method_id.',id',
        
        ]);
        
        $assessmentmethod = ObeAssessmentMethod::find($method_id);
        $assessmentmethod->update([
        'type' => $request->type,
        'method' => $request->method,
            
        ]);
        
        if($assessmentmethod){
            $msg_array = array('message'=>'Method Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Method Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.assessmentmethod')->with($msg_array);
    }  
    
    
    public function obe_pso(){
        $pso = ObePso::all();
        $courses = Course::all();
       
        return view('obe.pso_add',compact('pso','courses'));
    } 
    
    
    public function pso_save(Request $request)
 {
     
     $validated = $request->validate([
       
            'course' => 'required',
             'pso_no' => 'required',
              'pso_name' => 'required',
          
        ]);
        $pso = ObePso::create([
        
            'course' => $request->course,
             'pso_no' => $request->pso_no,
              'pso_name' => $request->pso_name,
            
           

        ]); 
                if($pso){
            $msg_array = array('message'=>'Program Specific Outcome Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Program Specific Outcome Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.pso')->with($msg_array); 
     
 }
 
 public function pso_delete($aid){
        
        $pso = ObePso::find(decrypt($aid));
       
 if($pso){
      $aopomappings = AoPsoMapping::where('ps_outcome', decrypt($aid))->count();
           
      $copsomappings = CoPsoMapping::where('pso_id', decrypt($aid))->count();
            if($copsomappings == 0 && $aopomappings == 0){
                $pso->delete();
                $msg_array = array('message'=>'Program Specific Outcome deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Program Specific Outcome Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
            $msg_array = array('message'=>'Program Specific Outcome not Found !','alert-type'=>'error');
        }
        
        return redirect()->route('obe.pso')->with($msg_array);
    }   
 
    public function pso_edit($aid){
         $courses = Course::all();
        $pso = ObePso::find(decrypt($aid));
        
        return view('obe.pso_edit',compact(array('courses','pso')));
    }    
    
    public function pso_update(Request $request){
        
        $pso_id = decrypt($request->pso_id);
        $validated = $request->validate([
            
            'pso_name' => 'required|unique:obe_pso,pso_name,'.$pso_id.',id',
        
        ]);
        
        $pso = ObePso::find($pso_id);
        $pso->update([
        'course' => $request->course,
        'pso_no' => $request->pso_no,
        'pso_name' => $request->pso_name,
            
        ]);
        
        if($pso){
            $msg_array = array('message'=>'Program Specific Outcome Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Program Specific Outcome Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.pso')->with($msg_array);
    } 
    
    public function obe_co(){
        $co = ObeCo::all();
        $courses = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subject = Subject::all();
        return view('obe.co_add',compact('co','courses','semester','subtype','subject'));
    }
    
     public function co_save(Request $request)
 {
     
     $data = $request->validate([
            'co_no.*' => 'required',
         'co_name.*' => 'required',
          'course' => 'required',
         'semester_id' => 'required',
         'co_no' => 'required|array',
            'co_name' => 'required|array',
            'subtyp_id'=>'required',
             'sub_id'=>'required',
        ]);
     $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
             foreach ($data['co_no'] as $key => $code) {
                 try{
           $coutcome=ObeCo::create([
                'course' => $data['course'],
                'semester_id' => $data['semester_id'],
                'subtyp_id' =>$data['subtyp_id'],
                 'sub_id' =>$data['sub_id'],
                'co_no' => $code,
                'co_name' => $data['co_name'][$key],
                'ac_id' => $cur_acyear->ac_id,
            ]);
        
                       \Log::info('Course Outcome created successfully:', ['coutcome' => $coutcome]);
    } catch (\Exception $e) {
        // Log error details
        \Log::error('Course Outcome creation failed:', ['error' => $e->getMessage()]);
    }
                 }
               
         if($coutcome){
            $msg_array = array('message'=>'Course Outcome Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Course Outcome Could not be Added !','alert-type'=>'error');
        }       
               
        return redirect()->route('obe.co')->with($msg_array); 
     
 }
 
 public function co_delete($aid){
        
        $co = ObeCo::find(decrypt($aid));
        
 if($co){
      $copomappings = CoPoMapping::where('co_outcome', decrypt($aid))->count();
      $copsomappings = CoPsoMapping::where('co_id', decrypt($aid))->count();
            if($copomappings == 0 && $copsomappings == 0){
                $co->delete();
                $msg_array = array('message'=>'Course Outcome deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Course Outcome Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
            $msg_array = array('message'=>'Course Outcome not Found !','alert-type'=>'error'); 
        }
        
        return redirect()->route('obe.co')->with($msg_array);
    } 
    
    public function co_edit($aid){
        
        $co = ObeCo::find(decrypt($aid));
        
        return view('obe.co_edit',compact(array('co')));
    }  
    
    
     public function co_update(Request $request){
        
        $co_id = decrypt($request->co_id);
        $validated = $request->validate([
            
            'co_name' => 'required|unique:obe_co,co_name,'.$co_id.',id',
        
        ]);
        
        $co = ObeCo::find($co_id);
        $co->update([
        
        'co_no' => $request->co_no,
        'co_name' => $request->co_name,
            
        ]);
        
        if($co){
            $msg_array = array('message'=>'Course Outcome Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Course Outcome Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.co')->with($msg_array);
    } 
 
 public function obe_po(){
        $po = ObePo::all();
     
       
        return view('obe.po_add',compact('po'));
    } 
    
    public function po_save(Request $request)
 {
     
     $validated = $request->validate([
            'po_name' => 'required',
          
        ]);
        $poutcome = ObePo::create([
            'po_no' => $request->po_no,
            'po_name' => $request->po_name,
           
        ]); 
        if($poutcome){
        $msg_array = array('message'=>'Program Outcome Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Program Outcome Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.po')->with($msg_array); 
     
 }   
    
 public function po_delete($aid){
        
        $poutcome = ObePo::find(decrypt($aid));
        
        if($poutcome){
             $aopomappings = AoPoMapping::where('p_outcome', decrypt($aid))->count();
             $copomappings = CoPoMapping::where('p_outcome', decrypt($aid))->count();
            if($aopomappings == 0 && $copomappings == 0){
                $poutcome->delete();
                $msg_array = array('message'=>'Program Outcome Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Program Outcome Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
            $msg_array = array('message'=>'Program Outcome not Found !','alert-type'=>'error');
        }
        return redirect()->route('obe.po')->with($msg_array);
    } 
    
    public function po_edit($aid){
        
        $po = ObePo::find(decrypt($aid));
        
        return view('obe.po_edit',compact(array('po')));
    }  
    
    
     public function po_update(Request $request){
        
        $po_id = decrypt($request->po_id);
        $validated = $request->validate([
            
            'po_name' => 'required|unique:obe_po,po_name,'.$po_id.',id',
        
        ]);
        
        $po = ObePo::find($po_id);
        $po->update([
        
        'po_no' => $request->po_no,
        'po_name' => $request->po_name,
            
        ]);
        
        if($po){
            $msg_array = array('message'=>'Course Outcome Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Course Outcome Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.po')->with($msg_array);
    } 
    
     public function obe_term(){
        $terms = ObeTerm::all();
     
       
        return view('obe.term_add',compact('terms'));
    } 
    
    public function obterm_save(Request $request)
 {
     
     $validated = $request->validate([
            'term' => 'required',
          
        ]);
        $terms = ObeTerm::create([
            'term' => $request->term,
            
           
        ]); 
        if($terms){
        $msg_array = array('message'=>'Term Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Term Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.term')->with($msg_array); 
     
 }
 
  public function obterm_delete($aid){
        
        $terms = ObeTerm::find(decrypt($aid));
        
        if($terms){
             $exams = InternalObeNames::where('term_id', decrypt($aid))->count();
            if($exams == 0){
                $terms->delete();
                $msg_array = array('message'=>'Term Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Term Could not be Deleted !','alert-type'=>'error');
            }
        }
        else
        {
            $msg_array = array('message'=>'Term not Found !','alert-type'=>'error'); 
        }
        
        return redirect()->route('obe.term')->with($msg_array);
    } 
    
    public function obterm_edit($aid){
        
        $terms = ObeTerm::find(decrypt($aid));
        
        return view('obe.term_edit',compact(array('terms')));
    }
    
     public function obterm_update(Request $request){
        
        $term_id = decrypt($request->term_id);
        $validated = $request->validate([
            
            'term' => 'required|unique:obe_term,term,'.$term_id.',id',
        
        ]);
        
        $terms = ObeTerm::find($term_id);
        $terms->update([
        
        'term' => $request->term,
       
            
        ]);
        
        if($terms){
            $msg_array = array('message'=>'Term Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Term Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.term')->with($msg_array);
    } 
    
    public function obe_psoachlvl(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
         $previous_acyear = Acyear::where('ac_id', '<', $newAcId)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
        $psoachievement1 = ObePsoAchievement::where('ac_id', $previousAcId)->get();
        
       
        if(!ObePsoAchievement::where('ac_id', $newAcId)->exists())
        {
           if (!ObePsoAchievement::where('ac_id', $newAcId)->exists()) {
               foreach ($psoachievement1 as $psolvl) {
                    $psoachievement_n1 = ObePsoAchievement::create([
                    'level' => $psolvl->level,
                    'target' => $psolvl->target,
                    'f_per' => $psolvl->f_per,
                    't_per' => $psolvl->t_per,
                    't_per' => $psolvl->t_per,
                    'ac_id' => $newAcId,
                   
                    ]); 
            }
           }
        }
        $psoachievement = ObePsoAchievement::where('ac_id', $newAcId)->get();
        
        return view('obe.pso_achievement',compact('psoachievement'));
    }
    
     public function psotarget_save($acid){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
        ObePsoAchievement::where('ac_id', $newAcId)->update(['target' => 0]);
        $psolevel = ObePsoAchievement::find(decrypt($acid));
        $psolevel->update(['target'=>1]);
        if($psolevel){
            $msg_array = array('message'=>'Default PSO Target Set Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Default PSO Target Could not be Set !','alert-type'=>'error');
        }
        return redirect()->route('obe.psoachlvl')->with($msg_array);
    }
   
   
   public function obe_attainment(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $psoattainment = ObePsoAchievement::where('ac_id', $newAcId)->get();
        $pso_target = ObePsoAchievement::where('target',1)->where('ac_id',$newAcId)->first(); 
        return view('obe.pso_attainment',compact('psoattainment','pso_target'));
    }
    
    public function attainment_edit($aid){
        
        $psoattainment = ObePsoAchievement::find(decrypt($aid));
        
        return view('obe.psoattainment_edit',compact(array('psoattainment')));
    }
    
    public function attainment_update(Request $request){
        
        $patt_id = decrypt($request->patt_id);
        
        
        $psvl = ObePsoAchievement::find($patt_id);
        $psvl->update([
        
        'f_per' => $request->f_per,
         't_per' => $request->t_per,
       
            
        ]);
        
        if($psvl){
            $msg_array = array('message'=>'Percentage Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Percentage Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.attainment')->with($msg_array);
    } 
    
    public function obe_poachlvl(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
         $previous_acyear = Acyear::where('ac_id', '<', $newAcId)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
        $poachievement1 = ObePoAchievement::where('ac_id', $previousAcId)->get();
        
       
        if(!ObePoAchievement::where('ac_id', $newAcId)->exists())
        {
           if (!ObePoAchievement::where('ac_id', $newAcId)->exists()) {
               foreach ($poachievement1 as $polvl) {
                    $poachievement_n1 = ObePoAchievement::create([
                    'level' => $polvl->level,
                    'target' => $polvl->target,
                    'f_per' => $polvl->f_per,
                    't_per' => $polvl->t_per,
                    't_per' => $polvl->t_per,
                    'ac_id' => $newAcId,
                   
                    ]); 
            }
           }
        }
        $poachievement = ObePoAchievement::where('ac_id', $newAcId)->get();
        
        return view('obe.po_achievement',compact('poachievement'));
    }
    
     public function potarget_save($acid){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
        ObePoAchievement::where('ac_id', $newAcId)->update(['target' => 0]);
        $polevel = ObePoAchievement::find(decrypt($acid));
        $polevel->update(['target'=>1]);
        if($polevel){
            $msg_array = array('message'=>'Default PO Target Set Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Default PO Target Could not be Set !','alert-type'=>'error');
        }
        return redirect()->route('obe.poachlvl')->with($msg_array);
    }
    
     public function obe_poattainment(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $poattainment = ObePoAchievement::where('ac_id', $newAcId)->get();
        $po_target = ObePoAchievement::where('target',1)->where('ac_id',$newAcId)->first(); 
        return view('obe.po_attainment',compact('poattainment','po_target'));
    }
    
     public function poattainment_edit($aid){
        
        $poattainment = ObePoAchievement::find(decrypt($aid));
        
        return view('obe.poattainment_edit',compact(array('poattainment')));
    }
    
     public function poattainment_update(Request $request){
        
        $patt_id = decrypt($request->patt_id);
        
        
        $posvl = ObePoAchievement::find($patt_id);
        $posvl->update([
        
        'f_per' => $request->f_per,
         't_per' => $request->t_per,
       
            
        ]);
        
        if($posvl){
            $msg_array = array('message'=>'Percentage Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Percentage Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.poattainment')->with($msg_array);
    } 
    
    
     public function obe_coachlvl(){
      
       $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $coalv = ObeCoAchievementLevel::where('ac_id', $newAcId)->get();
        return view('obe.co_achievementlevel_add',compact('coalv'));
    } 
    
    public function coachlvl_save(Request $request)
 {
     
     $validated = $request->validate([
            'level' => 'required',
            'label' => 'required',
            'f_per' => 'required',
            't_per' => 'required',
          
        ]);
        
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $cachlvl = ObeCoAchievementLevel::create([
            'level' => $request->level,
            'label' => $request->label,
            'f_per' => $request->f_per,
            't_per' => $request->t_per,
            'ac_id' => $newAcId,
           
        ]); 
        if($cachlvl){
        $msg_array = array('message'=>'CO Achievement Level Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO Achievement Level Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.coachlvl')->with($msg_array); 
     
 }   
 
 public function coachlvl_delete($aid){
        
        $cachlvl = ObeCoAchievementLevel::find(decrypt($aid));
        
        if($cachlvl){
            if($cachlvl->count() > 0){
                $cachlvl->delete();
                $msg_array = array('message'=>'CO Achievement Level Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'CO Achievement Level Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.coachlvl')->with($msg_array);
    } 
    
    
      public function coachlvl_edit($aid){
        
        $coachlvl = ObeCoAchievementLevel::find(decrypt($aid));
        
        return view('obe.coachlvl_edit',compact(array('coachlvl')));
    }
    
     public function coachlvl_update(Request $request){
        
        $cvl_id = decrypt($request->cvl_id);
        
        
        $cvl = ObeCoAchievementLevel::find($cvl_id);
        $cvl->update([
        'level' => $request->level,
        'label' => $request->label,
        'f_per' => $request->f_per,
        't_per' => $request->t_per,
       
            
        ]);
        
        if($cvl){
            $msg_array = array('message'=>'CO Achievement Level Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO Achievement Level Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.coachlvl')->with($msg_array);
    } 
    
    
     public function obe_coachtarget(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
         $previous_acyear = Acyear::where('ac_id', '<', $newAcId)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
        $coachievement1 = ObeCoAchievement::where('ac_id', $previousAcId)->get();
        
       
        if(!ObeCoAchievement::where('ac_id', $newAcId)->exists())
        {
           
               foreach ($coachievement1 as $colvl) {
                    $coachievement_n1 = ObeCoAchievement::create([
                    'level' => $colvl->level,
                    'target' => $colvl->target,
                    'f_per' => $colvl->f_per,
                    't_per' => $colvl->t_per,
                    'ac_id' => $newAcId,
                   
                    ]); 
            }
          
        }
        $coachievement = ObeCoAchievement::where('ac_id', $newAcId)->get();
        
        return view('obe.co_achievement',compact('coachievement'));
    }
    
     public function coachtarget_save($acid){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        
        ObeCoAchievement::where('ac_id', $newAcId)->update(['target' => 0]);
        $polevel = ObeCoAchievement::find(decrypt($acid));
        $polevel->update(['target'=>1]);
        if($polevel){
            $msg_array = array('message'=>'Default CO Target Set Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Default CO Target Could not be Set !','alert-type'=>'error');
        }
        return redirect()->route('obe.coachtarget')->with($msg_array);
    }
    
    public function obe_coattainment(){
        $Acyear = Acyear::all();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $coattainment = ObeCoAchievement::where('ac_id', $newAcId)->get();
        $co_target = ObeCoAchievement::where('target',1)->where('ac_id',$newAcId)->first(); 
        return view('obe.co_attainment',compact('coattainment','co_target'));
    }
    
     public function coattainment_edit($aid){
        
        $coattainment = ObeCoAchievement::find(decrypt($aid));
        
        return view('obe.coattainment_edit',compact(array('coattainment')));
    }
    
     public function coattainment_update(Request $request){
        
        $catt_id = decrypt($request->catt_id);
        
        
        $cosvl = ObeCoAchievement::find($catt_id);
        $cosvl->update([
        
        'f_per' => $request->f_per,
         't_per' => $request->t_per,
       
            
        ]);
        
        if($cosvl){
            $msg_array = array('message'=>'Percentage Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Percentage Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.coattainment')->with($msg_array);
    } 
    
    public function obe_aopomapping(){
        $po = ObePo::all();
        $activityoutcome = ObeActivityOutcome::all();
        $aopomapping = AoPoMapping::all();
        return view('obe.aopo_mapping',compact('po','activityoutcome','aopomapping'));
    } 
    
    public function aopomapping_save(Request $request)
 {
     
     $validated = $request->validate([
            'a_outcome' => 'required',
            'p_outcome' => 'required',
          
        ]);
         $mappingExists = AoPoMapping::where('a_outcome', $request->a_outcome)
                                      ->where('p_outcome', $request->p_outcome)
                                      ->exists();
            $poutcome = false;                           
           if (!$mappingExists) {                            
            $poutcome = AoPoMapping::create([
                'a_outcome' => $request->a_outcome,
                'p_outcome' => $request->p_outcome,
               
            ]); 
        }
        if($poutcome){
        $msg_array = array('message'=>'AO-PO Mapping Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'AO-PO Mapping Could not be Added,It is Already exists !','alert-type'=>'error');
        }
        return redirect()->route('obe.aopomapping')->with($msg_array); 
     
 }
 
 public function aopomapping_delete($aid){
        
        $aopomapping = AoPoMapping::find(decrypt($aid));
        
        if($aopomapping){
            if($aopomapping->count() > 0){
                $aopomapping->delete();
                $msg_array = array('message'=>'AO-PO Mapping Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'AO-PO Mapping Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.aopomapping')->with($msg_array);
    } 
    
    public function aopomapping_edit($aid){
        
        $aopo = AoPoMapping::find(decrypt($aid));
        $po = ObePo::all();
        $activityoutcome = ObeActivityOutcome::all();
        return view('obe.aopomapping_edit',compact(array('aopo','po','activityoutcome')));
    }
    
     public function aopomapping_update(Request $request){
        
        $aopo_id = decrypt($request->aopo_id);
        
        
        $aopo = AoPoMapping::find($aopo_id);
        $aopo->update([
        
        'a_outcome' => $request->a_outcome,
        'p_outcome' => $request->p_outcome,
       
            
        ]);
        
        if($aopo){
            $msg_array = array('message'=>'AO-PO Mapping Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'AO-PO Mapping Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.aopomapping')->with($msg_array);
    } 
    
    public function obe_aopsomapping(){
       
        $courses = Course::all();
        $activityoutcome = ObeActivityOutcome::all();
        $aopsomapping = AoPsoMapping::all();
        return view('obe.aopso_mapping',compact('courses','activityoutcome','aopsomapping'));
    } 
    
    public function aopsomapping_save(Request $request)
 {
     
     $validated = $request->validate([
         
            'a_outcome' => 'required',
            'ps_outcome' => 'required',
          
        ]);
         $mappingExists = AoPsoMapping::where('a_outcome', $request->a_outcome)
                                      ->where('ps_outcome', $request->ps_outcome)
                                       ->where('course_id', $request->course_id)
                                      ->exists();
            $psoutcome = false;                           
           if (!$mappingExists) {                            
            $psoutcome = AoPsoMapping::create([
                'course_id' => $request->course_id,
                'a_outcome' => $request->a_outcome,
                'ps_outcome' => $request->ps_outcome,
               
            ]); 
        }
        if($psoutcome){
        $msg_array = array('message'=>'AO-PSO Mapping Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'AO-PSO Mapping Could not be Added,It is Already exists !','alert-type'=>'error');
        }
        return redirect()->route('obe.aopsomapping')->with($msg_array); 
     
 }
 
 public function aopsomapping_delete($aid){
        
        $aopsomapping = AoPsoMapping::find(decrypt($aid));
        
        if($aopsomapping){
            if($aopsomapping->count() > 0){
                $aopsomapping->delete();
                $msg_array = array('message'=>'AO-PSO Mapping Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'AO-PSO Mapping Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.aopsomapping')->with($msg_array);
    } 
    public function aopsomapping_edit($aid){
        
        $aopso = AoPsoMapping::find(decrypt($aid));
        $pso = ObePso::where('course', $aopso->course_id)->get();
        
        $courses = Course::all();
        $activityoutcome = ObeActivityOutcome::all();
        return view('obe.aopsomapping_edit',compact(array('aopso','courses','activityoutcome','pso')));
    }
    
     public function aopsomapping_update(Request $request){
        
        $aopso_id = decrypt($request->aopso_id);
       
        
        $aopso = AoPsoMapping::find($aopso_id);
        $aopso->update([
        'course_id' => $request->course_id,
        'a_outcome' => $request->a_outcome,
        'ps_outcome' => $request->ps_outcome,
       
            
        ]);
        
        if($aopso){
            $msg_array = array('message'=>'AO-PSO Mapping Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'AO-PSO Mapping Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.aopsomapping')->with($msg_array);
    } 
    
    public function obe_copomapping(){
        $poutcome = ObePo::all();
        $courses = Course::all();
        $coutcome = ObeCo::all();
        $copomapping = CoPoMapping::all();
        $subtype = SubjectType::all();
        return view('obe.copo_mapping',compact('courses','coutcome','poutcome','copomapping','subtype'));
    }
    
     public function copomapping_save(Request $request)
 {
     $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
     $validated = $request->validate([
         
            'co_outcome' => 'required',
            'p_outcome' => 'required',
            'course' => 'required',
            'semester_id' => 'required',
            'sub_id' => 'required',
            'subtyp_id'=>'required',
          
        ]);
         $mappingExists = CoPoMapping::where('co_outcome', $request->co_outcome)
                                      ->where('p_outcome', $request->p_outcome)
                                       ->where('course_id', $request->course)
                                       ->where('semester_id', $request->semester_id)
                                       ->where('sub', $request->sub_id)
                                        ->where('subtyp_id', $request->subtyp_id)
                                       ->where('ac_id', $newAcId)
                                      ->exists();
            $copooutcome = false;                           
           if (!$mappingExists) {                            
            $copooutcome = CoPoMapping::create([
                'course_id' => $request->course,
                 'semester_id' => $request->semester_id,
                  'sub' => $request->sub_id,
                  'subtyp_id' => $request->subtyp_id,
                'co_outcome' => $request->co_outcome,
                'p_outcome' => $request->p_outcome,
                 'mapping_level' => $request->mapping_level,
                 'ac_id' => $newAcId,
               
            ]); 
        }
        if($copooutcome){
        $msg_array = array('message'=>'CO-PO Mapping Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO-PO Mapping Could not be Added,It is Already exists !','alert-type'=>'error');
        }
        return redirect()->route('obe.copomapping')->with($msg_array); 
     
 }
 
 public function copomapping_delete($aid){
        
        $copomapping = CoPoMapping::find(decrypt($aid));
        
        if($copomapping){
            if($copomapping->count() > 0){
                $copomapping->delete();
                $msg_array = array('message'=>'CO-PO Mapping Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'CO-PO Mapping Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.copomapping')->with($msg_array);
    } 
    
    public function copomapping_edit($aid){
        
        $copo = CoPoMapping::find(decrypt($aid));
        $co = ObeCo::where('sub_id', $copo->sub)->get();
        $poutcome = ObePo::all(); 
        $courses = Course::all();
        $semester = Semester::where('course_id', $copo->course_id)->get();
        $subjects = Subject::where('course_id', $copo->course_id)->get();
        $activityoutcome = ObeActivityOutcome::all();
        return view('obe.copomapping_edit',compact(array('copo','courses','poutcome','co','semester','subjects')));
    }
    
  public function copomapping_update(Request $request){
        
        $copo_id = decrypt($request->copo_id);
       
        
        $copo = CoPoMapping::find($copo_id);
        $copo->update([
        'course_id' => $request->course,
        'semester_id' => $request->semester_id,
        'sub' => $request->sub_id,
        'co_outcome' => $request->co_outcome,
        'p_outcome' => $request->p_outcome,
        'mapping_level' => $request->mapping_level,
       
            
        ]);
        
        if($copo){
            $msg_array = array('message'=>'CO-PO Mapping Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO-PO Mapping Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.copomapping')->with($msg_array);
    } 
    
     public function obe_viewcopomapping(){
        
        $courses = Course::all();
       
        return view('obe.viewcopo_mapping',compact('courses'));
    }
    
 public function viewcopomapping_get(Request $request)
 {
  
  $crs_det=Course::find($request->cid);
  $copo=CoPoMapping::where('course_id',$request->cid)->get();
  return view('obe.viewcopomapping_get',compact('crs_det','copo'));
     
 }
 
  public function obe_copsomapping(){
        $courses = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subject = Subject::all();
        $copso = CoPsoMapping::all();
        return view('obe.copso_mapping',compact('courses','semester','subtype','subject','copso'));
    }
    
    
    
 public function get_copsomapping(Request $request){
     $courses = Course::all();
     $semester = Semester::all();
     $subtype = SubjectType::all();
     $subject = Subject::all();
      $course = $request->course;
      $semester_id = $request->semester_id;
      $subtyp_id = $request->subtyp_id;
      $sub_id = $request->sub_id;
      $psoutcomes=ObePso::where('course',$request->course)->get();
      $coutcome=ObeCo::where('course',$request->course)->where('semester_id',$request->semester_id)->where('subtyp_id',$request->subtyp_id)->where('sub_id',$request->sub_id)->get();
      $btlevels = ObeLevel::all();
     $assessmentmethods= ObeAssessmentMethod::all();
      return view('obe.get_copsomapping',compact('courses','course','semester','semester_id','subtype','subtyp_id','subject','sub_id','coutcome','psoutcomes','btlevels','assessmentmethods'));       
 }
 
 
 public function save_copsomapping(Request $request){ 
     $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $validated = $request->validate([
                 'course' => 'required',
                 'semester_id' => 'required',
                 'subtyp_id' => 'required',
                 'sub_id' => 'required',
                 'crsoutcme'=> 'required',
                 'psoutcme'=> 'required',
                 'btlvl'=> 'required',
                 'assmethod'=> 'required',
                 'mappinglvl'=> 'required',
                
            ]);
            $course = $request->course;
            $semester_id = $request->semester_id;
            $subtyp_id = $request->subtyp_id;
            $sub_id = $request->sub_id;
            $crsoutcme = $request->crsoutcme;
            $psoutcme = $request->psoutcme;
            $btlvl = $request->btlvl;
            $assmethod = $request->assmethod;
            $mappinglvl = $request->mappinglvl;
            $check = CoPsoMapping::where('course', $course)->where('sem_id', $semester_id)->where('sub_type', $subtyp_id)->where('sub', $sub_id)->where('co_id', $crsoutcme)->where('pso_id', $psoutcme)->where('level_id', $btlvl)->where('assmnt_method', $assmethod)->first();
             if(!$check){ 
                    $copso = CoPsoMapping::create([
                    'course' => $course,
                    'sem_id' => $semester_id,
                    'sub_type' => $subtyp_id,
                    'sub' => $sub_id,
                    'co_id' => $crsoutcme,
                     'pso_id' => $psoutcme,
                    'level_id' => $btlvl,
                    'assmnt_method' => $assmethod,
                    'mapping_level' => $mappinglvl,
                     'ac_id' => $newAcId
                    
                ]); 
             }
             
               if($copso){
            $msg_array = array('message'=>'CO-PSO Mapping Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO-PSO Mapping Could not be Saved !','alert-type'=>'error');
        }
         return redirect()->route('obe.copsomapping')->with($msg_array);
  } 
  
   public function copsomapping_delete($aid){
        
        $copsomapping = CoPsoMapping::find(decrypt($aid));
        
        if($copsomapping){
            if($copsomapping->count() > 0){
                $copsomapping->delete();
                $msg_array = array('message'=>'CO-PSO Mapping Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'CO-PSO Mapping Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.copsomapping')->with($msg_array);
    } 
    
    public function copsomapping_edit($aid){
        
        $copso = CoPsoMapping::find(decrypt($aid));
       
        $psoutcome = ObePso::all(); 
        $coutcome=ObeCo::where('course',$copso->course)->where('semester_id',$copso->sem_id)->where('subtyp_id',$copso->sub_type)->where('sub_id',$copso->sub)->get();
        $btlevels = ObeLevel::all();
        $assessmentmethods= ObeAssessmentMethod::all();
        
       
        return view('obe.copsomapping_edit',compact(array('copso','psoutcome','coutcome','btlevels','assessmentmethods')));
    }
    
    public function copsomapping_update(Request $request){
        
        $copso_id = decrypt($request->copso_id);
       
        
        $copso = CoPsoMapping::find($copso_id);
        $copso->update([
        'level_id' => $request->level_id,
        'assmnt_method' => $request->assmnt_method,
        'co_id' => $request->co_outcome,
        'pso_id' => $request->ps_outcome,
        'mapping_level' => $request->mapping_level,
       
            
        ]);
        
        if($copso){
            $msg_array = array('message'=>'CO-PSO Mapping Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO-PSO Mapping Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.copsomapping')->with($msg_array);
    } 
    
    public function obe_copsomappinglevel(){
        $courses = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subject = Subject::all();
     
        return view('obe.copso_mapping_level',compact('courses','semester','subtype','subject'));
    }
    
    
    public function get_copsomappinglevel(Request $request){
     $courses = Course::all();
     $semester = Semester::all();
     $subtype = SubjectType::all();
     $subject = Subject::all();
     $ac_id = getAcyear();
      $course = $request->course;
      $semester_id = $request->semester_id;
      $subtyp_id = $request->subtyp_id;
      $sub_id = $request->sub_id;
      $max_mrk = ObeSubMaxMark::where('sub_id',$sub_id)->where('sem_id',$semester_id)->where('course_id',$course)->first();
      $copso = CoPsoMapping::where('course', $course)->where('sem_id', $semester_id)->where('sub_type', $subtyp_id)->where('sub', $sub_id)->get();
      $co = ObeCo::where('course', $course)->where('semester_id', $semester_id)->where('subtyp_id', $subtyp_id)->where('sub_id', $sub_id)->get();
      $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
      $terms = ObeTerm::whereNull('deleted_at')->get();
      return view('obe.get_copsomappinglevel',compact('courses','course','semester','semester_id','subtype','subtyp_id','subject','sub_id','copso','max_mrk','co','assessmentmethods','terms','ac_id'));       
 }
 
 public function save_copsomappinglevel(Request $request){ 
        
            $course = $request->course;
            $semester_id = $request->semester_id;
            $subtyp_id = $request->subtyp_id;
            $sub_id = $request->sub_id; 
         $res2 = ObeCo::join('co_pso as p', 'obe_co.id', '=', 'p.co_id')
                ->whereNull('p.deleted_at')
                ->where('obe_co.course', $course)
                ->where('obe_co.semester_id', $semester_id)
                 ->where('obe_co.sub_id', $sub_id)
                ->where('obe_co.subtyp_id', $subtyp_id)
                ->select('p.id', 'obe_co.co_name', 'obe_co.co_no', 'p.pso_id', 'p.level_id', 'p.assmnt_method', 'p.mapping_level', 'p.co_id')
                ->get(); 
            if($res2)
            {
                foreach($res2 as $r2)
                {
                    $pso_id = $r2->id;
                    $copso_ID = $request->input("pso$pso_id");
                    $copso_MAPLVL = $request->input("maplvl$pso_id");
			        $cp = CoPsoMapping::where('id', $pso_id)->whereNull('deleted_at')->first(); 
                     if ($cp) 
                     {
                            $cp->update([
                            'mapping_level' => $copso_MAPLVL,
                        ]);
                       
                     }
                }    
            }
            
       if($cp){
            $msg_array = array('message'=>'CO-PSO Mapping Level Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'CO-PSO Mapping LevelCould not be Saved !','alert-type'=>'error');
        }
         return redirect()->route('obe.copsomappinglevel')->with($msg_array);       
 }
  public function obe_stpgrade(){
      $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
      $newAcId = $cur_acyear->ac_id;
      
      $previous_acyear = Acyear::where('ac_id', '<', $newAcId)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;
        $grade1 = ObeGrade::where('ac_id', $previousAcId)->get();
        
       
        if(!ObeGrade::where('ac_id', $newAcId)->exists())
        {
           
               foreach ($grade1 as $gd) {
                    $grade_n1 = ObeGrade::create([
                    'gr_from' => $gd->gr_from,
                    'gr_to' => $gd->gr_to,
                    'letter_grade' => $gd->letter_grade,
                    'performance' => $gd->performance,
                    'ac_id' => $newAcId,
                   
                    ]); 
            }
          
        }
      
      
      $grade = ObeGrade::where('ac_id', $newAcId)->get();
       
       
      return view('obe.performancegrade_add',compact('grade'));
    }   
    
    public function stpgrade_save(Request $request)
 {
     $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
      $newAcId = $cur_acyear->ac_id;
     
     $validated = $request->validate([
            'gr_from' => 'required',
            'gr_to' => 'required',
            'letter_grade' => 'required',
            'performance' => 'required',
          
        ]);
        $obegrade = ObeGrade::create([
            'gr_from' => $request->gr_from,
            'gr_to' => $request->gr_to,
            'letter_grade' => $request->letter_grade,
             'performance' => $request->performance,
             'ac_id' => $newAcId,
           
        ]); 
        if($obegrade){
        $msg_array = array('message'=>'Grade Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Grade Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.stpgrade')->with($msg_array); 
     
 }  
 
  public function stpgrade_delete($aid){
        
        $grd = ObeGrade::find(decrypt($aid));
        
        if($grd){
            if($grd->count() > 0){
                $grd->delete();
                $msg_array = array('message'=>'Performance Grade Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Performance Grade Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.stpgrade')->with($msg_array);
    }  
    
    
  public function stpgrade_edit($aid)
{
        
        
        $obegrade = ObeGrade::find(decrypt($aid));
        
        return view('obe.grade_edit',compact(array('obegrade')));
    

}  
 
public function stpgrade_update(Request $request)
  {
      $pgrade_id=decrypt($request->pgrade_id);
     
          $pgrades=ObeGrade::find($pgrade_id);
          $pgrades->update([

              'gr_from'=>$request->gr_from,
              'gr_to'=>$request->gr_to,
              'letter_grade'=>$request->letter_grade,
              'performance'=>$request->performance,
              ]);
              if($pgrades)
              {
                  $msg_array=array('message'=>'Performance Grade updated successfully','success');
                  
              }
              else
              {
                 $msg_array=array('message'=>'Performance Grade could not be updated','error'); 
              }
              return redirect()->route('obe.stpgrade')->with($msg_array);
  } 
  
  
  public function obe_cmark(){
        
        $courses = Course::all();
        $subtype = SubjectType::all();
        return view('obe.view_cmark',compact('courses','subtype'));
    }
    
 public function viewcmark_get(Request $request)
 {
    $course_id = $request->cid;
    $semester_id = $request->sid;
    $subtyp_id = $request->subtyp_id;
    $crs_det=Course::find($request->cid);
     $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
       
    //$subjects = Subject::where('course_id',$course_id)->where('semester_id',$semester_id)->get();
    $assessmentmethods= ObeAssessmentMethod::all();
    $terms = ObeTerm::all();
    $ac_id = getAcyear();
    return view('obe.viewcmark_get',compact('crs_det','subjects','course_id','semester_id','assessmentmethods','terms','ac_id','subtyp_id'));
     
 }
 
 
  public function obe_viewcopsomapping(){
        
        $courses = Course::all();
        $subtype = SubjectType::all();
        return view('obe.view_copsomapping',compact('courses','subtype'));
    }
    
 public function get_viewcopsomapping(Request $request)
 {
  
    $course = $request->course;
    $semester_id = $request->semester_id;
    $subtyp_id = $request->subtyp_id;
    $sub_id = $request->sub_id;
    
    $copso = CoPsoMapping::where('course', $course)->where('sem_id', $semester_id)->where('sub_type', $subtyp_id)->where('sub', $sub_id)->get();

    return view('obe.viewcopsomapping_get',compact('copso','course','semester_id','subtyp_id','sub_id'));
     
 }
 
  public function ueconvpercentage(){
        
         $ac_id = getAcyear();
         $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;                      
        $cp1 = ObeConversionPercentage::where('ac_id', $previousAcId)->get();
        if(!ObeConversionPercentage::where('ac_id', $ac_id)->exists())
        {
            foreach ($cp1 as $ct) {
                    $cp_n1 = ObeConversionPercentage::create([
                    'percentage' => $ct->percentage,
                   
                    'ac_id' => $ac_id,
                   
                    ]); 
            }
        }
        
        $cp = ObeConversionPercentage::where('ac_id', $ac_id)->whereNull('deleted_at')->first(); 
        if ($cp) {
            $percentage = $cp->percentage;
        } else {
            $percentage = null; 
        }
       
       
        return view('obe.ueconvpercentage_add',compact('percentage'));
    }   
    
 public function uecp_save(Request $request)
 {
     $ac_id = getAcyear();
     $validated = $request->validate([
            'percentage' => 'required',
          
        ]);
         $cp = ObeConversionPercentage::where('ac_id', $ac_id)->whereNull('deleted_at')->first(); 
         if ($cp) 
         {
                $cp->update([
                'percentage' => $request->percentage,
            ]);
            $obecp = $cp;
         }
         else
         {
            $obecp = ObeConversionPercentage::create([
                    'percentage' => $request->percentage,
                    'ac_id' => $ac_id,
                   
                ]); 
         }
        if($obecp){
        $msg_array = array('message'=>'Percentage Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Percentage Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.ueconvpercentage')->with($msg_array); 
     
 }   
 
 public function universitymark(){
        
       $courses = Course::all();
       
       
        return view('obe.universitymark_add',compact('courses'));
    }   
    
  public function get_universitymark(Request $request){
        
        $validated = $request->validate([
                'course_id' => 'required',
                'semester_id' => 'required',
            ]);
            
        $course_id = $request->course_id;
        $semester_id = $request->semester_id;
        $semesters = Semester::where('course_id',$course_id)->get();
        $acyears = Acyear::all();
        $courses = Course::all();
        $ac_id = getAcyear();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        //$subjects = Subject::where('course_id',$course_id)->where('semester_id',$semester_id)->get();
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
        $subjectsmaxmarks = ObeSubMaxMark::where('course_id',$course_id)->where('sem_id',$semester_id)->where('ac_id',$ac_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        
        return view('obe.get_universitymark',compact('acyears','ac_id','courses','course_id','semesters','semester_id','students','cur_acyear','subjects','subjectsmaxmarks'));
    }  
    
    public function save_universitymark(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $subjects = Subject::where('course_id',$crs_id)->where('semester_id',$sem_id)->get();
        $ac_id = getAcyear();
         $i=0;
         foreach($subjects as $sub)
         {
             $subcheck = ObeSubMaxMark::where([
                'ac_id' => $ac_id,
                'sem_id' => $sem_id,
                'course_id' => $crs_id,
                'sub_id' => $sub->subject_id
            ])->first();
            $maxMarkValue = $request->input("max_mark$sub->subject_id");
            if(!$subcheck){
                 if (!is_null($maxMarkValue)) {
                $submax = ObeSubMaxMark::create([
                      
                        'ac_id' => $ac_id,
                        'course_id' => $crs_id,
                        'sem_id' => $sem_id,
                        'sub_id' =>$sub->subject_id,
                        'max_mark' => $request->input("max_mark$sub->subject_id"),
                    ]);
                     if($submax){ $i++; }
                    
                 }
            }
            else
            {
                $subcheck->update([
                'max_mark' => $request->input("max_mark$sub->subject_id"),
            ]);
              $i++; 
            }
         }
         
        foreach($request->posted as $ids){
            foreach($subjects as $sub)
            {
                $check = ObeMarkList::where([
                'ac_id' => $ac_id,
                'sem_id' => $sem_id,
                'course_id' => $crs_id,
                'sub_id' => $sub->subject_id,
                'stud_id' => $ids
            ])->first();
            
            $MarkValue = $request->input("gpa".$ids."_".$sub->subject_id);
                 if(!$check){
                     if (!is_null($MarkValue)) {
                         $marklist = ObeMarkList::create([
                        'stud_id' => $ids,
                        'ac_id' => $ac_id,
                        'course_id' => $crs_id,
                        'sem_id' => $sem_id,
                        'sub_id' =>$sub->subject_id,
                        'mark' =>$request->input("gpa".$ids."_".$sub->subject_id),
                    ]);
                    if($marklist){ $i++; }
                     }
                 }
                 else
                {
                    $check->update([
                    'mark' => $request->input("gpa".$ids."_".$sub->subject_id),
                ]);
                 $i++;
                }
                 
            }
        }
         if($i>0){
            $msg_array = array('message'=>'University Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'University Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('obe.universitymark')->with($msg_array);
    }
    
    public function viewunivmark(){
        
        $courses = Course::all();
       
        return view('obe.view_universitymark',compact('courses'));
    }
    
 public function get_viewunivmark(Request $request)
 {
  
    $course = $request->course;
    $semester_id = $request->semester_id;
    $ac_id = getAcyear();
    //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
    $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
    //$univmarklist = ObeMarkList::where('course_id', $course)->where('sem_id', $semester_id)->where('ac_id', $ac_id)->get();
    $students = array();
    $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
      
    return view('obe.viewunivmark_get',compact('course','semester_id','subjects','ac_id','students'));
     
 }
 
  public function univmarkprint($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $subjects = collect();
    
        $sem_name = Semester::where('semester_id',$semester_id)->first();
        $subcategories = SubCategory::all();
        foreach ($subcategories as $subcategory) {
             $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                            ->where('subjects.subject_categ', $subcategory->id)
                            ->where('course_subject.semester_id', $sem_name->semester_name);
            if (!in_array($subcategory->id, [2, 3, 4])) {
                $query->where('course_subject.course_id', $sem_name->course_id);
            }
         $subjects = $subjects->merge($query->select('subjects.*')->get());
        }
        
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_univmark',compact('students','subjects','ac_id','ins_det','cur_acyear','course_name','sem_name'));
    }
    
     public function internalmaxmark(){
        
       $courses = Course::all();
       $subtype = SubjectType::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
        return view('obe.internalmaxmark_add',compact('courses','assessmentmethods','terms','subtype'));
    }   
    
     public function save_internalmaxmark(Request $request)
 {
     
     $data = $request->validate([
            'topic.*' => 'required',
         'max_mrk.*' => 'required',
          'duration.*' => 'required',
          'course' => 'required',
         'semester_id' => 'required',
          'subtyp_id' => 'required',
         'sub_id' => 'required',
         'topic' => 'required|array',
            'max_mrk' => 'required|array',
            'duration' => 'required|array',
            'assmnt_method'=>'required',
             'term_id'=>'required',
        ]);
     $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
     $internalmaxmark = null;
             foreach ($data['topic'] as $key => $code) { 
                 try{ 
           $internalmaxmark=InternalObeNames::create([
                'course' => $data['course'],
                'division' => $data['semester_id'],
                'subtyp_id' =>$data['subtyp_id'],
                'subject' =>$data['sub_id'],
                'assmnt_method' =>$data['assmnt_method'],
                 'term_id' =>$data['term_id'],
                'topic' => $code,
                'max_mrk' => $data['max_mrk'][$key],
                 'duration' => $data['duration'][$key],
                'ac_id' => $cur_acyear->ac_id,
            ]);
        
                       \Log::info('Added successfully:', ['internalmaxmark' => $internalmaxmark]);
    } catch (\Exception $e) {
        // Log error details
        \Log::error('creation failed:', ['error' => $e->getMessage()]);
    }
                 }
               
         if($internalmaxmark){
            $msg_array = array('message'=>'Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Could not be Added !','alert-type'=>'error');
        }       
               
        return redirect()->route('obe.internalmaxmark')->with($msg_array); 
     
 }
 
  public function editinternalmaxmark(){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
        return view('obe.internalmaxmark_edit',compact('courses','terms'));
    }   
    
    public function get_internalmaxmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->get();  
        return view('obe.internalmaxmark_get',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id'));
         
     }
     
     public function edit_universitymark(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $sub_id = decrypt($request->sub_id);
        $term_id = decrypt($request->term_id);
        $ac_id = getAcyear();
        $internalmaxmark = InternalObeNames::where('course',$crs_id)->where('division',$sem_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->get();  
        $i=0;
        
        foreach($internalmaxmark as $innmrk)
        {
            $intmrkcheck = InternalObeNames::where([
                'id' => $innmrk->id
               
            ])->first();
             if($intmrkcheck){
            $intmrkcheck->update([
                'topic' => $request->input("topic$innmrk->id"),
                'max_mrk' => $request->input("max_mrk$innmrk->id"),
                'duration' => $request->input("duration$innmrk->id"),
            ]);
             $i++; 
             }
        }
        
      if($i>0){
            $msg_array = array('message'=>'Max Mark has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Max Mark Could not be Updated !','alert-type'=>'error');
        }
          return redirect()->route('obe.editinternalmaxmark')->with($msg_array);   
        
     }
 
    public function questions(){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $subtype = SubjectType::all();
       
        return view('obe.questions_add',compact('courses','assessmentmethods','terms','subtype'));
    }  
     
    
    public function get_questions(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $assmnt_method = $request->assmnt_method;
        $exam_id = $request->exam_id;
        $question_no = $request->question_no;
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        
        return view('obe.get_questions',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id','assmnt_method','exam_id','question_no','btlevels','co','subtyp_id'));
         
     }
     
     public function save_questions(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $subtyp_id = decrypt($request->subtyp_id);
        $sub_id = decrypt($request->sub_id);
        $term_id = decrypt($request->term_id);
        $assmnt_method = decrypt($request->assmnt_method);
        $exam_id = decrypt($request->exam_id);
        $question_no = decrypt($request->question_no);
        
        $ac_id = getAcyear();$p=0;
        for($i=1;$i<=$question_no;$i++)
		{
		     $qstnNo = $request->input("qno$i");
		     $qtype = $request->input("qtype$i");
		    if (!is_null($qstnNo))
        		{
		    $internalQstn=ObeQuestions::create([
                'course_id' => $crs_id,
                'division_id' => $sem_id,
                'subject_id' =>$sub_id,
                'subtyp_id'=>$subtyp_id,
                'co_id' =>$request->input("co_id$i"),
                'assmnt_method' =>$assmnt_method,
                'term_id' => $term_id,
                'exam_id' => $exam_id,
                 'question_no' => $qstnNo,
                'question' => $request->input("questn$i"),
                'question_mark' => $request->input("maxmrk$i"),
                'bt_lvl' => $request->input("blevel_id$i"),
                'q_type' => $qtype,
                'remark' => $request->input("remark$i"),
                'ac_id' => $ac_id,
            ]);
            
            for($j=1;$j<=5;$j++)
		    {
        		   $subQstn = $request->input("subquestn".$i."_".$j);
            		if (!is_null($subQstn))
            		{
            		    $internalsubqstns=ObeSubQuestions::create([
                            'qstn_id' => $internalQstn->id,
                            'sub_questn' => $subQstn,
                            'type' =>$qtype,
                            'main_qs_no' =>$qstnNo,
                             
                        ]);
    		            
    		        }
		    }
            $p++;
        		}
		}
		 if($p>0){
            $msg_array = array('message'=>'Questions has been Addedd Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Questions Could not be Addedd !','alert-type'=>'error');
        }
          return redirect()->route('obe.questions')->with($msg_array);   
    
     }
     
     public function viewquestions(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();
       $selected_course = $request->input('course');
       $selected_semester = $request->input('semester_id');
       $selected_subject = $request->input('sub_id');
       $selected_term = $request->input('term_id');
       $selected_assmnt_method = $request->input('assmnt_method');
       $selected_exam = $request->input('exam_id');
       $selected_subtype = $request->input('subtyp_id');
        $semesters = $selected_course ? Semester::where('course_id', $selected_course)->get() : collect([]);
        $subjects = $selected_course && $selected_semester ? Subject::where('course_id', $selected_course)->where('semester_id', $selected_semester)->get() : collect([]);
        $internalmaxmark = $selected_course && $selected_semester && $selected_subject && $selected_term ? InternalObeNames::where('course',$selected_course)->where('division',$selected_semester)->where('subtyp_id',$selected_subtype)->where('subject',$selected_subject)->where('term_id',$selected_term)->where('ac_id',$ac_id)->get(): collect([]);  
        return view('obe.questions_view',compact('courses','assessmentmethods','terms','selected_course','selected_semester','selected_subtype','selected_subject','selected_term','selected_assmnt_method','selected_exam','semesters','subjects','internalmaxmark','subtype' ));
    }  
     
    
    public function get_viewquestions(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $assmnt_method = $request->assmnt_method;
        $exam_id = $request->exam_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        
        return view('obe.view_questions',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id','assmnt_method','exam_id','btlevels','co','internalquestions','subtyp_id'));
         
     }
     
      public function question_edit($aid){
        
        $internalquestions = ObeQuestions::find(decrypt($aid));
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$internalquestions->course_id)->where('semester_id',$internalquestions->division_id)->where('sub_id',$internalquestions->subject_id)->where('subtyp_id',$internalquestions->subtyp_id)->get();
         $subquestion = ObeSubQuestions::where('qstn_id',$internalquestions->id)->get();
         
        $selected_course = $internalquestions->course_id;
        $selected_semester = $internalquestions->division_id;
        $selected_subject = $internalquestions->subject_id;
        $selected_term = $internalquestions->term_id;
        $selected_assmnt_method = $internalquestions->assmnt_method;
        $selected_exam = $internalquestions->exam_id;
        $selected_subtype = $internalquestions->subtyp_id;
         
        return view('obe.question_edit',compact(array('btlevels','internalquestions','co','subquestion','selected_course', 'selected_semester', 'selected_subject', 'selected_term', 'selected_assmnt_method', 'selected_exam','selected_subtype')));
    }
    
    public function question_update(Request $request){
       
        $questn_id = decrypt($request->questn_id);
        
        
        $questns = ObeQuestions::find($questn_id);
        $questns->update([
        
        'question_no' => $request->qno,
        'question' => $request->questn,
        'question_mark' => $request->maxmrk,
        'remark' => $request->remark,
        'bt_lvl' => $request->blevel_id,
        'co_id' => $request->co_id,
        'q_type' => $request->qtype,
            
        ]);
        
        $subquestion = ObeSubQuestions::where('qstn_id',$questn_id)->get();
        if ($subquestion) 
        {    
            foreach($subquestion as $sqn)
            {
                $subquestns = ObeSubQuestions::find($sqn->id);
                $subquestns->update([
                
                'sub_questn' => $request->input("subquestn$sqn->id"),
                'type' => $request->qtype,
               
                    
                ]);
                
            }
        }
        
        if ($request->has('sub_questn')) {
         foreach ($request->sub_questn as $subQuest) {
            ObeSubQuestions::create([
                'qstn_id' => $questn_id,
                'sub_questn' => $subQuest,
                'type' => $request->qtype,
                'main_qs_no' => $request->qno,
            ]);
        }
        }
        
        if($questns){
            $msg_array = array('message'=>'Question Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Question Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.viewquestions', [
        'course' => $questns->course_id,
        'semester_id' => $questns->division_id,
        'subtyp_id' => $questns->subtyp_id,
        'sub_id' => $questns->subject_id,
        'term_id' => $questns->term_id,
        'assmnt_method' => $questns->assmnt_method,
        'exam_id' => $questns->exam_id
    ])->with($msg_array);
        return redirect()->route('obe.viewquestions', encrypt($questn_id))->with($msg_array);
    } 
    
    public function question_delete($aid){
        
        $qstns = ObeQuestions::find(decrypt($aid));
        
        if($qstns){
            if($qstns->count() > 0){
                $qstns->delete();
                $msg_array = array('message'=>'Question Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Question Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.viewquestions')->with($msg_array);
    } 
   public function addinternalmark(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();  
        return view('obe.add_stud_internalmark',compact('courses','assessmentmethods','terms','subtype'));
    } 
    
     public function get_addinternalmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $assmnt_method = $request->assmnt_method;
        $exam_id = $request->exam_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.stud_internalmark_list',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id','assmnt_method','exam_id','btlevels','co','internalquestions','students','subtyp_id'));
         
     }
     
     public function save_addinternalmark(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $subtyp_id = decrypt($request->subtyp_id);
        $sub_id = decrypt($request->sub_id);
        $term_id = decrypt($request->term_id);
        $assmnt_method = decrypt($request->assmnt_method);
        $exam_id = decrypt($request->exam_id);
        $ac_id = getAcyear();
        $internalquestions = ObeQuestions::where('course_id',$crs_id)->where('division_id',$sem_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $i=0;
         foreach($request->posted as $ids){
            foreach($internalquestions as $iquestn)
            {
                $check = ObeStudMarkList::where([
                'ac_id' => $ac_id,
                'semester_id' => $sem_id,
                'course_id' => $crs_id,
                'subtyp_id' => $subtyp_id,
                'sub_id' => $sub_id,
                'exam' => $exam_id,
                'assessmnt_method' => $assmnt_method,
                'term_id' => $term_id,
                'question_id' => $iquestn->id,
                'stud_id' => $ids
            ])->first();
            
            $MarkValue = $request->input("mark".$ids."_".$iquestn->id);
                 if(!$check){
                     if (!is_null($MarkValue)) {
                         $marklist = ObeStudMarkList::create([
                        'stud_id' => $ids,
                        'ac_id' => $ac_id,
                        'course_id' => $crs_id,
                        'semester_id' => $sem_id,
                        'subtyp_id' => $subtyp_id,
                        'sub_id' => $sub_id,
                        'assessmnt_method' => $assmnt_method,
                        'term_id' => $term_id,
                        'exam' => $exam_id,
                        'question_id' =>$iquestn->id,
                        'mark' =>$request->input("mark".$ids."_".$iquestn->id),
                    ]);
                    if($marklist){ $i++; }
                     }
                 }
                 else
                {
                    $check->update([
                    'mark' => $request->input("mark".$ids."_".$iquestn->id),
                ]);
                 $i++;
                }
                 
            }
        }
        
        if($i>0){
            $msg_array = array('message'=>'Internal Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Internal Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('obe.addinternalmark')->with($msg_array);
         
        
     }
     
      public function studinternalmark(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();
         
        return view('obe.view_student_wise_internalmark',compact('courses','assessmentmethods','terms','subtype'));
    } 
    
    public function get_studinternalmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $assmnt_method = $request->assmnt_method;
        $exam_id = $request->exam_id;
        $stud_id = $request->stud_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id,'promotes.student_id'=>$stud_id))->select('students.*')->get();
       
        return view('obe.view_stud_internalmark_list',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id','assmnt_method','exam_id','btlevels','co','internalquestions','students','stud_id','subtyp_id'));
         
     }
     
     public function save_studinternalmark(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $subtyp_id = decrypt($request->subtyp_id);
        $sub_id = decrypt($request->sub_id);
        $term_id = decrypt($request->term_id);
        $assmnt_method = decrypt($request->assmnt_method);
        $exam_id = decrypt($request->exam_id);
        $stud_id = decrypt($request->stud_id);
        $ac_id = getAcyear();
        $i=0;
         foreach($request->posted as $ids){
            
                $check = ObeStudMarkList::where([
                'ac_id' => $ac_id,
                'semester_id' => $sem_id,
                'course_id' => $crs_id,
                'subtyp_id'=>$subtyp_id,
                'sub_id' => $sub_id,
                'exam' => $exam_id,
                'assessmnt_method' => $assmnt_method,
                'term_id' => $term_id,
                'question_id' => $ids,
                'stud_id' => $stud_id
            ])->first();
            
            $MarkValue = $request->input("mark".$ids."_".$stud_id);
                 if(!$check){
                     if (!is_null($MarkValue)) {
                         $marklist = ObeStudMarkList::create([
                        'stud_id' => $stud_id,
                        'ac_id' => $ac_id,
                        'course_id' => $crs_id,
                        'semester_id' => $sem_id,
                         'subtyp_id'=>$subtyp_id,
                        'sub_id' => $sub_id,
                        'assessmnt_method' => $assmnt_method,
                        'term_id' => $term_id,
                        'exam' => $exam_id,
                        'question_id' =>$ids,
                        'mark' =>$request->input("mark".$ids."_".$stud_id),
                    ]);
                    if($marklist){ $i++; }
                     }
                 }
                 else
                {
                    $check->update([
                    'mark' => $request->input("mark".$ids."_".$stud_id),
                ]);
                 $i++;
                }
                 
            
        }
        
        if($i>0){
            $msg_array = array('message'=>'Student Internal Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Internal Mark Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('obe.studinternalmark')->with($msg_array);
         
        
     }
     
     public function studinternalmarkprint($course,$semester_id,$sub_id,$term_id,$assmnt_method,$exam_id,$stud_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmethod_name = ObeAssessmentMethod::where('id',$assmnt_method)->whereNull('deleted_at')->first();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $exam_name = InternalObeNames::where('id',$exam_id)->whereNull('deleted_at')->first(); 
        $term_name = ObeTerm::where('id',$term_id)->whereNull('deleted_at')->first(); 
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->get();  

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id,'promotes.student_id'=>$stud_id))->select('students.*')->first();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_studinternalmark',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','internalquestions','assessmethod_name','exam_name','term_name','sub_id','exam_id','stud_id'));
    }
     
       public function seminternalmark(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();  
       return view('obe.view_sem_wise_internalmark',compact('courses','assessmentmethods','terms','subtype'));
    } 
    
     public function get_seminternalmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $assmnt_method = $request->assmnt_method;
        $exam_id = $request->exam_id;
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $internalmaxmark = InternalObeNames::where('course',$course)->where('division',$semester_id)->where('subject',$sub_id)->where('term_id',$term_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->where('subtyp_id',$subtyp_id)->get();  
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.view_semwise_internalmark_list',compact('course','semester_id','subjects','ac_id','internalmaxmark','semesters','sub_id','term_id','assmnt_method','exam_id','btlevels','co','internalquestions','students','subtyp_id'));
         
     }
     
     public function seminternalmarkprint($course,$semester_id,$sub_id,$term_id,$assmnt_method,$exam_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmethod_name = ObeAssessmentMethod::where('id',$assmnt_method)->whereNull('deleted_at')->first();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $exam_name = InternalObeNames::where('id',$exam_id)->whereNull('deleted_at')->first(); 
        $term_name = ObeTerm::where('id',$term_id)->whereNull('deleted_at')->first(); 
        $internalquestions = ObeQuestions::where('course_id',$course)->where('division_id',$semester_id)->where('subject_id',$sub_id)->where('term_id',$term_id)->where('assmnt_method',$assmnt_method)->where('exam_id',$exam_id)->where('ac_id',$ac_id)->get();  

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_seminternalmark',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','internalquestions','assessmethod_name','exam_name','term_name','sub_id','exam_id'));
    }
    
     public function achievementpercentage(){
        
         
         $ac_id = getAcyear();
         $previous_acyear = Acyear::where('ac_id', '<', $ac_id)
                              ->orderBy('ac_id', 'desc')
                              ->first();
        $previousAcId = $previous_acyear ? $previous_acyear->ac_id : null;                      
        $cp1 = ObeInternalPercentage::where('ac_id', $previousAcId)->get();
        if(!ObeInternalPercentage::where('ac_id', $ac_id)->exists())
        {
            foreach ($cp1 as $ct) {
                    $cp_n1 = ObeInternalPercentage::create([
                    'percentage' => $ct->percentage,
                   
                    'ac_id' => $ac_id,
                   
                    ]); 
            }
        }
        $cp = ObeInternalPercentage::where('ac_id',$ac_id)->whereNull('deleted_at')->first(); 
        
        if ($cp) {
            $percentage = $cp->percentage;
        } else {
            $percentage = null; 
        }
       
       
        return view('obe.achievementpercentage_add',compact('percentage'));
    }   
    
 public function achievement_save(Request $request)
 {   $ac_id = getAcyear();
     
     $validated = $request->validate([
            'percentage' => 'required',
          
        ]);
         $cp = ObeInternalPercentage::where('ac_id',$ac_id)->whereNull('deleted_at')->first(); 
         if ($cp) 
         {
                $cp->update([
                'percentage' => $request->percentage,
            ]);
            $obecp = $cp;
         }
         else
         {
            $obecp = ObeInternalPercentage::create([
                    'percentage' => $request->percentage,
                    'ac_id' => $ac_id,
                   
                ]); 
         }
        if($obecp){
        $msg_array = array('message'=>'Percentage Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Percentage Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.achievement')->with($msg_array); 
     
 }   
 
    public function finalinternalmark(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();
         
       return view('obe.final_internalmark',compact('courses','assessmentmethods','terms','subtype'));
    } 
    public function get_finalinternalmark(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $co_id = $request->co_id;
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.view_final_internalmark_list',compact('course','semester_id','subjects','ac_id','semesters','sub_id','term_id','co_id','btlevels','co','students','assessmentmethods','subtyp_id'));
         
     }
     
     public function finalinternalmarkprint($course,$semester_id,$subtyp_id,$sub_id,$term_id,$co_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $co_name = ObeCo::where('id',$co_id)->whereNull('deleted_at')->first();
        $term_name = ObeTerm::where('id',$term_id)->whereNull('deleted_at')->first(); 

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_finalinternalmark',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','term_name','sub_id','co_id','assessmentmethods','course','semester_id','term_id','co_name','subtyp_id'));
    }
    
     public function finalinternalgrade(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();  
       return view('obe.final_internalgrade',compact('courses','assessmentmethods','terms','subtype'));
    } 
    
    public function get_finalinternalgrade(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $co_id = $request->co_id;
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.view_final_internalgrade_list',compact('course','semester_id','subjects','ac_id','semesters','sub_id','term_id','co_id','btlevels','co','students','assessmentmethods','subtyp_id'));
         
     }
    
     public function finalinternalgradeprint($course,$semester_id,$subtyp_id,$sub_id,$term_id,$co_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $co_name = ObeCo::where('id',$co_id)->whereNull('deleted_at')->first();
        $term_name = ObeTerm::where('id',$term_id)->whereNull('deleted_at')->first(); 

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_finalinternalgrade',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','term_name','sub_id','co_id','assessmentmethods','course','semester_id','term_id','co_name','subtyp_id'));
    }
    
    public function internalmrkgeneratn(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
         
       return view('obe.internalmark_generation',compact('courses','assessmentmethods','terms'));
    } 
    
    
    public function get_internalmrkgeneratn(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        
        $scheme_code = $request->scheme_code;
        $exam_month = $request->exam_month;
        $exam_year = $request->exam_year;
        $ac_id = getAcyear();
        
        $intmrkcheck = ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();  
       
       
        if($intmrkcheck){
            $intmrkcheck->update([
                'scheme_code' => $scheme_code,
                'exam_month' => $exam_month,
                'exam_year' => $exam_year,
            ]);
            
        }
        else
        {
             $intmrkgntn = ObeInternalMarkGeneration::create([
                    'course_id' => $course,
                    'semester' => $semester_id,
                    'sub_id' => $sub_id,
                    'scheme_code' => $scheme_code,
                    'exam_month' => $exam_month,
                    'exam_year' => $exam_year,
                    'ac_id' => $ac_id,
                   
                ]); 
               
        }
        
        
        
        
        $intmrkgenrtn = ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first(); 
        
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.view_internalmrkgeneratn',compact('course','semester_id','subjects','ac_id','semesters','sub_id','btlevels','co','students','cur_acyear','intmrkgenrtn'));
         
     }
     
      public function save_internalmrkgeneratn(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $sub_id = decrypt($request->sub_id);
        
        $ac_id = getAcyear();
        $intmrkcheck = ObeInternalMarkGeneration::where('course_id',$crs_id)->where('semester',$sem_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();  
        $i=0;
       
        if($intmrkcheck){
            $intmrkcheck->update([
                'scheme_code' => $request->input("scheme_code"),
                'exam_month' => $request->input("exam_month"),
                'exam_year' => $request->input("exam_year"),
            ]);
             $i++; 
        }
        else
        {
             $intmrkgntn = ObeInternalMarkGeneration::create([
                     'course_id' => $crs_id,
                     'semester' => $sem_id,
                     'sub_id' => $sub_id,
                    'scheme_code' => $request->input("scheme_code"),
                    'exam_month' => $request->input("exam_month"),
                    'exam_year' => $request->input("exam_year"),
                    'ac_id' => $ac_id,
                   
                ]); 
                $i++;
        }
       
        
      if($i>0){
            $msg_array = array('message'=>'Internal Mark has been Generated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Internal Mark Could not be Generated !','alert-type'=>'error');
        }
          return redirect()->route('obe.internalmrkgeneratn')->with($msg_array);   
        
     }
 public function generateinternalmark($course,$semester_id,$sub_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
       
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $intmrkcheck = ObeInternalMarkGeneration::where('course_id',$course)->where('semester',$semester_id)->where('sub_id',$sub_id)->where('ac_id',$ac_id)->first();  


        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_generateinternalgrade',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','sub_id','course','semester_id','intmrkcheck'));
    }
    
    public function coachievement(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();
         
       return view('obe.coachievement',compact('courses','assessmentmethods','terms','subtype'));
    } 
    
    public function get_coachievement(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $term_id = $request->term_id;
        $co_id = $request->co_id;
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.view_coachievement',compact('course','semester_id','subjects','ac_id','semesters','sub_id','term_id','co_id','btlevels','co','students','assessmentmethods','subtyp_id'));
         
     }
    
     public function coachievementprint($course,$semester_id,$subtyp_id,$sub_id,$term_id,$co_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $co_name = ObeCo::where('id',$co_id)->whereNull('deleted_at')->first();
        $term_name = ObeTerm::where('id',$term_id)->whereNull('deleted_at')->first(); 

        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_coachievementprint',compact('students','subjects_name','ac_id','ins_det','cur_acyear','course_name','sem_name','term_name','sub_id','co_id','assessmentmethods','course','semester_id','term_id','co_name','subtyp_id'));
    }
    
    public function coexternalmrkreport(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
         
       return view('obe.co_externalmrkreport',compact('courses','assessmentmethods','terms'));
    } 
    
    public function get_coexternalmrkreport(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        
       
        
        $ac_id = getAcyear();
        $semesters = Semester::where('course_id',$course)->get();
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        $btlevels = ObeLevel::all();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
       
        return view('obe.view_coexternalmrkreport',compact('course','semester_id','subjects','ac_id','semesters','btlevels','students','externalpercentage'));
         
     }
     
      public function coexternalmrkreportprint($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_coexternalmrkreport',compact('students','ac_id','ins_det','cur_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id'));
    }
    
     public function cooverallreport(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $subtype = SubjectType::all();
         
       return view('obe.cooverallreport',compact('courses','assessmentmethods','terms','ac_id','subtype'));
    } 
    
    public function get_cooverallreport(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $subtyp_id = $request->subtyp_id;
        $sub_id = $request->sub_id;
        $co_id = $request->co_id;
        $ac_id = getAcyear();
        
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
       
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->where('subtyp_id',$subtyp_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $subjectsone = Subject::where('subject_id',$sub_id)->get();
        return view('obe.view_cooverallreport',compact('course','semester_id','subjects','ac_id','semesters','sub_id','co_id','btlevels','co','students','assessmentmethods','subjectsone','externalpercentage','subtyp_id'));
         
     }
     
     public function cooverallreportprint($course,$semester_id,$subtyp_id,$sub_id,$co_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $subjectsone = Subject::where('subject_id',$sub_id)->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $co_name = ObeCo::where('id',$co_id)->whereNull('deleted_at')->first();
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_cooverallreportprint',compact('students','ac_id','ins_det','cur_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id','subjectsone','assessmentmethods','sub_id','co_id','co_name','subjects_name','subtyp_id'));
    }
    
    public function psoachievement(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
         
       return view('obe.psoachievement',compact('courses','assessmentmethods','terms','ac_id'));
    } 
    public function get_psoachievement(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        
        $ac_id = getAcyear();
        $pso = ObePso::where('course',$course)->get();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
       
        $semesters = Semester::where('course_id',$course)->get();
        $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $btlevels = ObeLevel::all();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        
        return view('obe.view_psoachievement',compact('course','semester_id','subjects','ac_id','semesters','btlevels','students','assessmentmethods','externalpercentage','pso'));
         
     }
    public function psoachievementprint($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        
        $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();

        $pso = ObePso::where('course',$course)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_psoachievementprint',compact('students','ac_id','ins_det','cur_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id','assessmentmethods','pso'));
    }
    
    public function poachievement(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
         
       return view('obe.poachievement',compact('courses','assessmentmethods','terms','ac_id'));
    }
    
     public function get_poachievement(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        
        $ac_id = getAcyear();
        $po = ObePo::all();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
       
        $semesters = Semester::where('course_id',$course)->get();
       // $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
       $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        $btlevels = ObeLevel::all();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        
        return view('obe.view_poachievement',compact('course','semester_id','subjects','ac_id','semesters','btlevels','students','assessmentmethods','externalpercentage','po'));
         
     }
     
     public function poachievementprint($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
       // $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
       $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();

        $po = ObePo::all();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_poachievementprint',compact('students','ac_id','ins_det','cur_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id','assessmentmethods','po'));
    }
    
    public function coattainmentrep(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $acyears = Acyear::all();  
       return view('obe.coattainmentrep',compact('courses','assessmentmethods','terms','acyears','ac_id'));
    } 
    
     public function get_coattainmentrep(Request $request)
     {
        $ac_id = $request->ac_id;
        $course = $request->course;
        $semester_id = $request->semester_id;
        $sub_id = $request->sub_id;
        
        $query_target = ObeCoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $co = ObeCo::where('course',$course)->where('semester_id',$semester_id)->where('sub_id',$sub_id)->get();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $sub_max_all = ObeSubMaxMark::where('ac_id',$ac_id)->where('course_id', $course)->where('sem_id', $semester_id) ->where('sub_id', $sub_id)->first();
        $semesters = Semester::where('course_id',$course)->get();
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        $btlevels = ObeLevel::all();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        
        return view('obe.view_coattainmentreport',compact('course','semester_id','subjects','ac_id','semesters','btlevels','students','assessmentmethods','externalpercentage','co','sub_id','query_target','sub_max_all'));
         
     }
     
     public function coattainmentachieveprint($ac_id,$course,$semester_id,$sub_id,$co_id,$tg){
        $ins_det = instituteDetails();
        
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $subjects_name = Subject::where('subject_id',$sub_id)->whereNull('deleted_at')->first(); 
        $co_name = ObeCo::where('id',$co_id)->whereNull('deleted_at')->first();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $sub_max_all = ObeSubMaxMark::where('ac_id',$ac_id)->where('course_id', $course)->where('sem_id', $semester_id) ->where('sub_id', $sub_id)->first();
        $query_target = ObeCoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $ac_acyear = Acyear::where('ac_id',$ac_id)->whereNull('deleted_at')->first(); 
        return view('obe.print_coattainmentachievement',compact('students','ac_id','ins_det','ac_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id','assessmentmethods','subjects_name','co_name','tg','co_id','sub_id','sub_max_all','query_target'));
    }
    
    public function psoattainmentrep(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $acyears = Acyear::all();  
       return view('obe.psoattainmentrep',compact('courses','assessmentmethods','terms','acyears','ac_id'));
    } 
    
    public function get_psoattainmentrep(Request $request)
     {
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $query_target = ObePsoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $pso = ObePso::where('course',$course)->get();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        
        $semesters = Semester::where('course_id',$course)->get();
        //$subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $subjects = collect();
    
    $sem_name = Semester::where('semester_id',$semester_id)->first();
    $subcategories = SubCategory::all();
    foreach ($subcategories as $subcategory) {
         $query = Subject::join('course_subject', 'subjects.subject_id', '=', 'course_subject.subject_id')
                        ->where('subjects.subject_categ', $subcategory->id)
                        ->where('course_subject.semester_id', $sem_name->semester_name);
        if (!in_array($subcategory->id, [2, 3, 4])) {
            $query->where('course_subject.course_id', $sem_name->course_id);
        }
     $subjects = $subjects->merge($query->select('subjects.*')->get());
    }
        $btlevels = ObeLevel::all();
        
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        
        return view('obe.view_psoattainmentreport',compact('course','semester_id','subjects','ac_id','semesters','btlevels','students','assessmentmethods','externalpercentage','query_target','pso'));
         
     }
     
      public function psoattainmentrepprint($course,$semester_id,$ac_id,$ps_outcome,$tg){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $subjects = Subject::where('course_id',$course)->where('semester_id',$semester_id)->get();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
       
        $pso_name = ObePso::where('id',$ps_outcome)->whereNull('deleted_at')->first();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $query_target = ObePsoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('obe.print_psoattainmentrepprint',compact('students','ac_id','ins_det','cur_acyear','course_name','sem_name','externalpercentage','subjects','course','semester_id','assessmentmethods','pso_name','tg','ps_outcome','query_target'));
    }
    
     
      public function poattainmentrep(Request $request){
        
       $courses = Course::all();
       $assessmentmethods= ObeAssessmentMethod::all();
       $terms = ObeTerm::all();
       $ac_id = getAcyear();
       $acyears = Acyear::all();  
       return view('obe.poattainmentrep',compact('courses','assessmentmethods','terms','acyears','ac_id'));
    } 
    
    public function get_poattainmentrep(Request $request)
     {
        $ac_id = $request->ac_id;
        
        $courses = Course::all();
        $query_target = ObePoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $po = ObePo::All();
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
       return view('obe.view_poattainmentrep',compact('ac_id','assessmentmethods','externalpercentage','query_target','po','courses'));
         
     }
      public function poattainmentrepprint($ac_id,$p_outcome,$tg){
        $ins_det = instituteDetails();
        
        $assessmentmethods= ObeAssessmentMethod::where('type','Internal')->get();
        
        $courses = Course::all();
        $po_name = ObePo::where('id',$p_outcome)->whereNull('deleted_at')->first();
        $externalpercentage = ObeConversionPercentage::where('ac_id',$ac_id)->first();
        $query_target = ObePoAchievement::where('ac_id',$ac_id)->where('target',1)->first();
        $students = array();
        $ac_acyear = Acyear::where('ac_id',$ac_id)->whereNull('deleted_at')->first(); 
        return view('obe.print_poattainment',compact('students','ac_id','ins_det','ac_acyear','externalpercentage','assessmentmethods','po_name','tg','p_outcome','query_target','courses'));
    }
    
    public function activityroll(){
        $domains = ObeDomain::all();
       
        return view('obe.activityroll_add',compact('domains'));
    }
    
     public function activityroll_save(Request $request)
 {
     
     $data = $request->validate([
            'roll.*' => 'required',
         'weightage.*' => 'required',
          'domain_id' => 'required',
         'activity_id' => 'required',
         'roll' => 'required|array',
            'weightage' => 'required|array',
            'activity_outcome'=>'required',
           
        ]);
     $ac_id = getAcyear();
             foreach ($data['roll'] as $key => $code) {
                 try{
           $rolladd=ObeActivityRoll::create([
                'domain_id' => $data['domain_id'],
                'activity_id' => $data['activity_id'],
                'activity_outcome' =>$data['activity_outcome'],
                 'roll_name' =>$code,
                'weightage' => $data['weightage'][$key],
              
                'ac_id' => $ac_id,
            ]);
        
                       \Log::info('Roll created successfully:', ['coutcome' => $rolladd]);
    } catch (\Exception $e) {
        // Log error details
        \Log::error('Roll creation failed:', ['error' => $e->getMessage()]);
    }
                 }
               
         if($rolladd){
            $msg_array = array('message'=>'Roll Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Roll Could not be Added !','alert-type'=>'error');
        }       
               
        return redirect()->route('obe.activityroll')->with($msg_array); 
     
 }
 
 public function editactivityroll(){
        $domains = ObeDomain::all();
       
        return view('obe.activityroll_edit',compact('domains'));
    }
    
     public function get_editactivityroll(Request $request)
     {
        $domain_id = $request->domain_id;
        $activity_id = $request->activity_id;
        $activity_outcome = $request->activity_outcome;
        $ac_id = getAcyear();
        
        $Activity_roll = ObeActivityRoll::where('ac_id',$ac_id)->where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->get();
       
       return view('obe.view_editactivityroll',compact('ac_id','activity_outcome','activity_id','domain_id','Activity_roll'));
         
     }
     
     public function edit_activityroll(Request $request){
        $domain_id = decrypt($request->domain_id);
        $activity_id = decrypt($request->activity_id);
        $activity_outcome = decrypt($request->activity_outcome);
      
        $ac_id = getAcyear();
        $activityroll = ObeActivityRoll::where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->where('ac_id',$ac_id)->get();  
        $i=0;
        
        foreach($activityroll as $actv)
        {
            $rollcheck = ObeActivityRoll::where([
                'id' => $actv->id
               
            ])->first();
             if($rollcheck){
            $rollcheck->update([
                'roll_name' => $request->input("roll$actv->id"),
                'weightage' => $request->input("weightage$actv->id"),
               
            ]);
             $i++; 
             }
        }
        
      if($i>0){
            $msg_array = array('message'=>'Roll has been Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Roll Could not be Updated !','alert-type'=>'error');
        }
          return redirect()->route('obe.editactivityroll')->with($msg_array);   
        
     }
     
      public function performancemrk(){
         $ac_id = getAcyear();
         $activityperformance = ObeActivityPerformance::all(); 
        return view('obe.performancemrk_add',compact('ac_id','activityperformance'));
    }
    
   public function performancemrk_save(Request $request)
 {
     
     $validated = $request->validate([
            'mark' => 'required',
            'remark' => 'required',
           
          
        ]);
        
       $ac_id = getAcyear();
        $ap = ObeActivityPerformance::create([
            'mark' => $request->mark,
            'remark' => $request->remark,
            'ac_id' => $ac_id,
           
        ]); 
        if($ap){
        $msg_array = array('message'=>'Performance Mark Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Performance Mark Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('obe.performancemrk')->with($msg_array); 
     
 }  
 
 public function performancemrk_delete($aid){
        
        $ap = ObeActivityPerformance::find(decrypt($aid));
        
 if($ap){
            if($ap->count() > 0){
                $ap->delete();
                $msg_array = array('message'=>'Performance Mark deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Performance Mark Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('obe.performancemrk')->with($msg_array);
    } 
    
    public function performancemrk_edit($aid){
        
        $ap = ObeActivityPerformance::find(decrypt($aid));
        
        return view('obe.performancemrk_edit',compact(array('ap')));
    }  
    
    
     public function performancemrk_update(Request $request){
        
        $p_id = decrypt($request->p_id);
        $validated = $request->validate([
            
            'mark' => 'required:obe_activity_performance,mark,'.$p_id.',id',
        
        ]);
        
        $ap = ObeActivityPerformance::find($p_id);
        $ap->update([
        
        'mark' => $request->mark,
        'remark' => $request->remark,
            
        ]);
        
        if($ap){
            $msg_array = array('message'=>'Performance Mark Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Performance Mark Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('obe.performancemrk')->with($msg_array);
    } 
    public function studperformancemrk(){
         $ac_id = getAcyear();
         $domains = ObeDomain::all(); 
         $courses = Course::all();
        return view('obe.studperformancemrk_add',compact('ac_id','domains','courses'));
    }
    
      public function get_studperformancemrk(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $domain_id = $request->domain_id;
        $activity_id = $request->activity_id;
        $activity_outcome = $request->activity_outcome;
        $ac_id = getAcyear();
        $domains = ObeDomain::all(); 
        $courses = Course::all();
        $semesters = Semester::where('course_id',$course)->get();
        $activity = ObeActivity::where('domain_id',$domain_id)->get();
        $activityoutcomes = ObeActivityOutcome::where('activity_id',$activity_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $activityroll = ObeActivityRoll::where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->where('ac_id',$ac_id)->get();  
        $activityperformance = ObeActivityPerformance::all(); 
        return view('obe.studperformancemrk_get',compact('course','semester_id','activity','ac_id','students','semesters','domain_id','activity_id','activity_outcome','activityroll','activityperformance'));
         
     }
     
      public function save_studperformancemrk(Request $request){
        $crs_id = decrypt($request->crs_id);
        $sem_id = decrypt($request->sem_id);
        $domain_id = decrypt($request->domain_id);
        $activity_id = decrypt($request->activity_id);
        $activity_outcome = decrypt($request->activity_outcome);
         $ac_id = getAcyear();
        $activityroll = ObeActivityRoll::where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->where('ac_id',$ac_id)->get();  

       
        $i=0;
         foreach($request->posted as $ids){
            foreach($activityroll as $aroll){
                $roll_id = $aroll->id;
                $check = ObeStudActivityPerformance::where([
                'ac_id' => $ac_id,
                'semester_id' => $sem_id,
                'course_id' => $crs_id,
                'domain_id' => $domain_id,
                'activity_id' => $activity_id,
                'activityoutcome_id' => $activity_outcome,
                'range_id'=>$roll_id,
                'stud_id' => $ids
            ])->first();
            
            $MarkValue = $request->input("stud_mrk".$roll_id."_".$ids);
                if(!$check){
                    if (!is_null($MarkValue)) {
                         $marklist = ObeStudActivityPerformance::create([
                        'stud_id' => $ids,
                        'ac_id' => $ac_id,
                        'course_id' => $crs_id,
                        'semester_id' => $sem_id,
                        'domain_id' => $domain_id,
                        'activity_id' => $activity_id,
                        'activityoutcome_id' => $activity_outcome,
                        'range_id' => $roll_id,
                       
                        'mark' =>$request->input("stud_mrk".$roll_id."_".$ids),
                    ]);
                    if($marklist){ $i++; }
                     
                    }
                }
                else
                {
                     $check->update([
                    'mark' => $request->input("stud_mrk".$roll_id."_".$ids),
                ]);
                 $i++;
                }
            }
         }
         
        if($i>0){
            $msg_array = array('message'=>'Activity Outcome Mark has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Activity Outcome Mark Could not be Saved !','alert-type'=>'error');
        }
        return redirect()->route('obe.studperformancemrk')->with($msg_array);   
     }
     
     
      public function viewstudperformancemrk(){
         $ac_id = getAcyear();
         $domains = ObeDomain::all(); 
         $courses = Course::all();
        return view('obe.studperformancemrk_view',compact('ac_id','domains','courses'));
    }
    
      public function get_viewstudperformancemrk(Request $request)
     {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $domain_id = $request->domain_id;
        $activity_id = $request->activity_id;
        $activity_outcome = $request->activity_outcome;
        $ac_id = getAcyear();
        $domains = ObeDomain::all(); 
        $courses = Course::all();
        $semesters = Semester::where('course_id',$course)->get();
        $activity = ObeActivity::where('domain_id',$domain_id)->get();
        $activityoutcomes = ObeActivityOutcome::where('activity_id',$activity_id)->get();
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $activityroll = ObeActivityRoll::where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->where('ac_id',$ac_id)->get();  
        $activityperformance = ObeActivityPerformance::all(); 
        return view('obe.view_studperformancemrk',compact('course','semester_id','activity','ac_id','students','semesters','domain_id','activity_id','activity_outcome','activityroll','activityperformance'));
         
     }
     
       public function viewstudperformancemrkprint($course,$semester_id,$domain_id,$activity_id,$activity_outcome){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        $domain_name = ObeDomain::where('id',$domain_id)->whereNull('deleted_at')->first(); 
        $activity_name = ObeActivity::where('id',$activity_id)->whereNull('deleted_at')->first(); 
        $activityoutcome_name = ObeActivityOutcome::where('id',$activity_outcome)->whereNull('deleted_at')->first(); 
        $students = array();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        $activityroll = ObeActivityRoll::where('domain_id',$domain_id)->where('activity_id',$activity_id)->where('activity_outcome',$activity_outcome)->where('ac_id',$ac_id)->get();  

        $ac_acyear = Acyear::where('ac_id',$ac_id)->whereNull('deleted_at')->first(); 
        return view('obe.print_studperformancemrk',compact('students','ac_id','activityroll','ins_det','ac_acyear','domain_id','activityoutcome_name','course_name','activity_id','sem_name','activity_outcome','domain_name','activity_name','course','semester_id'));
    }
     
 
}
