<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\Letterhead;
use App\Models\Course;
use App\Models\Semester;

use App\Models\StaffSubject;
use App\Models\Subject;
use App\Models\Econtent;


use Image; 
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
class Other extends Controller
{
   public function letter_head()
   {
       $institution = instituteDetails();
       return view('Other.letter_head',compact('institution'));
   }
   public function letter_head_save(Request $request)
   {
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
         $ac_id = $cur_acyear->ac_id;
       $date=$request->date;
      $userId = Auth::id();
       $lettercontent=$request->letter_content;
       $letterhead=Letterhead::create([
           'date'=>$date,
           'letter_content'=>$lettercontent,
           'ac_id'=>$ac_id,
           'created_by'=>$userId,
           ]);
           if($letterhead)
           {
               $msg_array=array('message'=>'Letter Head Saved successfully!','success');
           }
           else
           {
                $msg_array=array('message'=>'Letter Head Could not be Saved successfully!','error');
           }
           return redirect()->route('others.letterhead')->with($msg_array);
   }
   
   public function letter_head_view()
   {
       $userId = Auth::id();
       $institution = instituteDetails();
       $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
         $ac_id = $cur_acyear->ac_id;
       $letterhead=Letterhead::where('ac_id',$ac_id)->where('created_by',$userId)->get();
       return view('Other.letter_head_view',compact('letterhead','institution'));
       
   }
   public function letter_head_view_single($id)
   {
       $letterhead_id=Letterhead::find($id);
        $institution = instituteDetails();
        $letterhead=Letterhead::where('letterhead_id',$id)->first();
        return view('Other.letter_head_view_single',compact('letterhead','institution'));
   }
  public function letter_head_edit($id)
  {
      $letterhead_id=Letterhead::find($id);
      $institution = instituteDetails();
       $letterhead=Letterhead::where('letterhead_id',$id)->first();
       return view('Other.letter_head_edit',compact('letterhead','institution','letterhead_id'));
  }
    public function letter_head_update(Request $request)
    {
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
        $ac_id = $cur_acyear->ac_id;
        $date=$request->date;
        $letterhead_id=$request->letterhead_id;
        $userId = Auth::id();
        $lettercontent=$request->letter_content;
        $letterheadeupdate=Letterhead::where('letterhead_id',$letterhead_id)->first();
        $letterheadeupdate->update([
            'date'=>$date,
            'letter_content'=>$lettercontent,
            'ac_id'=>$ac_id,
            'created_by'=>$userId,
        ]);
        
        if($letterheadeupdate){
            $msg_array=array('message'=>'Letter Head updated successfully','success');
        }else{
            $msg_array=array('message'=>'Letter Head Could not update','error');
        }
        
        return redirect()->route('others.letterhead.view')->with($msg_array);
    }
   
    public function econtent()
    {
        $userId = Auth::id();
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
        $ac_id = $cur_acyear->ac_id;
        
        $staffsubjects = StaffSubject::join('courses','courses.course_id','=','staff_subject.course_id')
            ->join('semesters','semesters.semester_id','=','staff_subject.semester_id')
            ->where('staff_subject.acyear_id',$ac_id)
            ->where('staff_subject.user_id',$userId)
            ->select('courses.course_name','staff_subject.*','semesters.semester_name')
            ->get();
            
        return view('Other.econtent',compact('staffsubjects'));
    }
    
    public function econtent_save(Request $request)
    {
        $validated = $request->validate([
            
           'url' => 'required',
        ]);
        
        $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
        $ac_id = $cur_acyear->ac_id;
        $userId = Auth::id();
       
        $file_name="";
        if($request->hasFile('file')){
            $file = $request->file;
            $ext = $file->extension();
            $file_name = 'file_'.time().'.'.$ext;
            $file->storeAs('staff/econtent',$file_name);
        }
        
        $contentsave = Econtent::create([
            'course_id' => $request->course_id,
            'semester_id' => $request->semester_id,
            'subject_id' => $request->subject_id,
            'ac_id' => $ac_id,
            'user_id' => $userId,
            'url' => $request->url,
            'description' => $request->description,
            'file' => $file_name,
            'date' => Carbon::now(), 
        ]);
        
        if($contentsave){
            $msg_array=array('message'=>'E-Content posted successfully', 'alert-type' => 'success');
        }else{
            $msg_array=array('message'=>'E-Content could not post', 'alert-type' => 'error');
        }
           
        return redirect()->route('others.econtent')->with($msg_array);
    }
   
    public function econtent_getsem($id)
    {
        $userId = Auth::id();
        $semesters = array();
        $rows = Semester::join('staff_subject','staff_subject.semester_id','=','semesters.semester_id')
            ->where('staff_subject.course_id',$id)
            ->where('user_id',$userId)
            ->get();
            
        foreach($rows as $row){
            $semesters[$row->semester_id] = $row->semester_name;
        }
        return json_encode($semesters);
    }
  
    public function econtent_getsub(Request $request)
    {
        $course = Course::find($request->course);
        $userId = Auth::id();
        $sem = Semester::find($request->semester_id);
        $subject = array();
        $rows = Subject::join('staff_subject','staff_subject.subject_id','=','subjects.subject_id')
            ->where('staff_subject.course_id',$request->course)
            ->where('staff_subject.semester_id',$request->semester_id)
            ->where('user_id',$userId)
            ->get();
            
        foreach($rows as $row){
            $subject[$row->subject_id] = $row->subject_name;
        }
        
        return json_encode($subject);
    }
    
    public function econtent_view()
    {
        $userId = Auth::id();
        $subjects = Econtent::join('staff_subject','staff_subject.subject_id','=','econtent.subject_id')
            ->join('subjects','subjects.subject_id','=','econtent.subject_id')
            ->join('users','users.user_id','=','econtent.user_id')
            ->where('econtent.user_id',$userId)
            ->get();
            
        return view('Other.econtent_view',compact('subjects'));
    }
  
}