<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Acyear;
use App\Models\Course;
use App\Models\Semester;
use App\Models\FeeCategory;
use App\Models\Student;
use App\Models\Promote;
use App\Models\TcDetail;
use App\Models\MenuAccess;
use App\Models\Community;
use App\Models\acquotamodel;
use App\Models\Religion;

  

use Image;

use Illuminate\Support\Facades\DB;

class Reports extends Controller
{
    public function report(){
        $acyears = Acyear::all();
        $courses = Course::all();
         $acquota = acquotamodel::all();
         $religion=Religion::all();
         $community=Community::all();
        
        
        return view('reports.report',compact('acyears','courses','acquota','community','religion'));
    }
    
    public function getData(Request $request){
        
        $col_order = ['adno','name','paddress','mobile','course_name','semester_name','religion_name','community'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        
        $acyear = $request->get('acyear');
        $course = $request->get('course');
        $religion=$request->get('religion');
        $category = $request->get('category');
        $quota = $request->get('quota');
        
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id')->
                    join('academic_quota','students.quota','=','academic_quota.aq_id')->
                    join('religion','students.religion_id','=','religion.religion_id')->
                    join('community','students.community_id','=','community.community_id')
                    ;
                    if($acyear!=''){
                        $query->where('promotes.ac_id',$acyear);
                    }
                    if($course!=''){
                        $query->where('promotes.course_id',$course);
                    }
                    if($religion!=''){
                        $query->where('students.religion_id',$religion);
                    }
                      if($category!=''){
                        $query->where('students.community_id',$category);
                    }
                    if($quota!=''){
                        $query->where('students.quota',$quota);
                    }
                    
                    if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('students.paddress','like','%'.$search.'%')->
                            orWhere('students.mobile','like','%'.$search.'%')->
                            orWhere('courses.course_name','like','%'.$search.'%')->
                            orWhere('semesters.semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name','community.community','academic_quota.quota','religion.religion_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $view=$edit=$delete=$tc=0;
        if(MenuAccess::have_access(56) == true){ $view=1; }
        if(MenuAccess::have_access(23) == true){ $edit=1; }
        if(MenuAccess::have_access(24) == true){ $delete=1; }
        if(MenuAccess::have_access(58) == true){ $tc=1; }
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['address'] = $student->paddress;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                $row['religion'] = $student->religion_name;
                $row['community'] = $student->community;
                // $row['caste'] = $student->caste;
                $row['quota'] = $student->quota;
                $tcst=$tccl='';
                if($student->tcstatus==1){ $tccl='badge-success'; $tcst='Issued'; }else if($student->tcstatus==0){ $tccl='badge-warning'; $tcst='Not Issued'; }
                $row['tcstatus'] = '<div class="badge '.$tccl.' p-1">'.$tcst.'</div>';
                
                $st='';
                if($student->status==1){ $st='text-success'; }else if($student->status==0){ $st='text-warning'; }
                $row['status'] = '<i class="icon icon-check text-sm '.$st.'"></i>';
                $html="";
                if($student->tcstatus==0 && $tc==1){
                    $html .= '<a href="'.route('tc.generate',encrypt($student->student_id)).'" title="Generate TC"><i class="icon-sm icon-share-alt text-info"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($view==1){
                    $html .= '<a href="'.route('student.view',encrypt($student->student_id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($edit==1){
                    $html .= '<a href="'.route('student.edit',encrypt($student->student_id)).'" title="Edit"><i class="icon-sm icon-pencil text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($delete==1){
                    $html .= '<a href="'.route('student.delete',encrypt($student->student_id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }
}