<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\BasicSalary; 
use App\Models\Stafftype;
use App\Models\UserType;
use App\Models\User;
use App\Models\SlryAllowance;
use App\Models\SlryDeduction;
use App\Models\SalaryProcessing;
use App\Models\SalaryProcessingAD;
use App\Models\PaymentCriteria;
use App\Models\Acyear;
use App\Models\SetSalaryDeduction;
use App\Models\StaffAllowDedu;
use App\Models\AdvanceSalaryProcess;
use App\Models\Paymentmode;
use App\Models\AdvanceSalaryPayment;
use App\Models\StaffAttendance;
use App\Models\SalaryPayment;
use App\Models\SalaryAllowDedPer;

class Salary extends Controller
{

public function salary()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    
    return view('salary.salary',compact('stafftype','staffdesignation'));
}
public function salary_get(Request $request)
{
   
    $stafftype=Stafftype::find($request->tid);
    $staffdesig=UserType::find($request->did);
    $staff=User::where('staftyp_id',$request->tid)->where('type_id',$request->did)->get();
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $slrydeductionset=SetSalaryDeduction::where('ac_id',$ac_id)->get();
    $allowance=SlryAllowance::all();
    $deduction=SlryDeduction::all();
    $basicsalary = BasicSalary::where('staftyp_id', $request->tid)
                               ->where('type_id', $request->did)
                               ->where('ac_id', $ac_id)
                               ->get();
                               
    $staffAllowances = [];
    foreach ($staff as $staffMember) {
        $staffAllowances[$staffMember->user_id] = StaffAllowDedu::where('user_id', $staffMember->user_id)
            ->where('allo_dedu_status', 1) 
            ->get()->pluck('amount', 'allo_dedu_id')->toArray(); 
    }

  
    $staffDeductions = [];
    foreach ($staff as $staffMember) {
        $staffDeductions[$staffMember->user_id] = StaffAllowDedu::where('user_id', $staffMember->user_id)
            ->where('allo_dedu_status', 0) 
            ->get()->pluck('amount', 'allo_dedu_id')->toArray(); 
    }

//   $salarydaper=SalaryAllowDedPer::where('sttype_id',$request->tid)->where('type_id',$request->did)->get();
    $allowance = SlryAllowance::all();
        $deduction = SlryDeduction::all();
        if(!$allowance)
        {
            $allowance_cnt = 0;
        }
        else
        {
            $allowance_cnt = count($allowance);
        }
        if(!$deduction)
        {
            $deduction_cnt =0;
        }
        else
        {
            $deduction_cnt = count($deduction);
        }
  
   
    return view('salary.salary_get',compact('stafftype','allowance','deduction','allowance_cnt','deduction_cnt','staffdesig','staff','basicsalary','slrydeductionset','allowance','deduction','staffDeductions','staffAllowances')); 
    
}


public function salary_save(Request $request)
{

$validated = $request->validate([
    'staftyp_id' => 'required',
    'type_id' => 'required',
    
]);

$stafftype = $request->staftyp_id;
$desig = $request->type_id;
$i = 0;
 $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
foreach ($request->user_id as $user) {
    $salarybasic = $request->post("basicpay$user");
    \Log::info('Processing user: ' . $user . ', basic pay: ' . $salarybasic);

    $check = BasicSalary::where('staftyp_id', $stafftype)
        ->where('type_id', $desig)
        ->where('user_id', $user)
        ->first(); 

    if (!$check) {
        $basicSalary=BasicSalary::create([
            'staftyp_id' => $stafftype,
            'type_id' => $desig,
            'user_id' => $user,
            'basicpay' => $salarybasic,
            'ac_id'=>$ac_id,
        ]);
          $basicSalaryId = $basicSalary->bcslry_id;
        $i++;
    } else {
        $check->update([
            'basicpay' => $salarybasic, 
        ]);
       $basicSalaryId = $check->bcslry_id;
        $i++;
    }

  
    if (isset($request->allowance_details[$user])) {
        foreach ($request->allowance_details[$user] as $allowanceId => $amount) {
            StaffAllowDedu::updateOrCreate(
                [
                    'user_id' => $user,
                    'bcslry_id'=>$basicSalaryId,
                    'allo_dedu_id' => $allowanceId,
                    'allo_dedu_status' => 1,
                ],
                ['amount' => $amount]
            );
        }
    }

  
    if (isset($request->deduction_details[$user])) {
        foreach ($request->deduction_details[$user] as $deductionId => $amount) {
            StaffAllowDedu::updateOrCreate(
                [
                    'user_id' => $user,
                    'bcslry_id'=>$basicSalaryId,
                    'allo_dedu_id' => $deductionId,
                    'allo_dedu_status' => 0,
                ],
                ['amount' => $amount]
            );
        }
    }
}

$msg_array = $i > 0
    ? ['message' => 'Basic pay, allowances, and deductions updated successfully!', 'alert-type' => 'success']
    : ['message' => 'No updates were made.', 'alert-type' => 'info'];

return redirect()->route('salary')->with($msg_array);

}




public function salary_processing()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    return view('salary.salary_processing',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date')); 
}
 
public function salaryprocessing_get(Request $request)
{
 
   $stafftype=$request->tid;
   $pdate = $request->date;
   $pdate=date('Y-m-d',strtotime($pdate));
   $mnth_yr = $request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
   $allowance = SlryAllowance::all();
   $deduction = SlryDeduction::all();
   if(!$allowance)
   {
       $allowance_cnt = 0;
   }
   else
   {
       $allowance_cnt = count($allowance);
   }
   if(!$deduction)
   {
       $deduction_cnt =0;
   }
   else
   {
       $deduction_cnt = count($deduction);
   }
   $ac_id = getAcyear();
   $ded_type = SetSalaryDeduction::where('ac_id',$ac_id)->first();
   $staff_det = User::where('staftyp_id',$request->tid)->get();
 return view('salary.salaryprocessing_get',compact('stafftype','mnth_yr','pdate','staff_det','allowance','deduction','allowance_cnt','deduction_cnt','ded_type','ac_id','month','year'));
    
}


public function salaryprocessing_save(Request $request)
 {
    $staftyp_id = decrypt($request->staftyp_id);
    $mnth_yr = decrypt($request->mnth_yr);
    $pdate = decrypt($request->pdate);
    $ac_id = getAcyear();
    $exp=explode("-",$mnth_yr);
    $year=$exp[0];//salary month
    $month=$exp[1];//salary year
    $i=0;
    
  if($request->posted !='')
    {
        foreach($request->posted as $ids)
        {
            $check = SalaryProcessing::where([
                   
                    'salary_year' => $year,
                    'salary_month' => $month,
                    'user_id' => $ids
                    ])->first();
            
            $advnc_rec = $request->input("advance_recover".$ids);
            $basicpay_det = BasicSalary::where('user_id',$ids)->where('ac_id', $ac_id)->first();
            $basic_pay1 = $basicpay_det['basicpay'];
            $basic_pay_id = $basicpay_det['bcslry_id'];
            $ded_type = SetSalaryDeduction::where('ac_id',$ac_id)->first();
            $basic_pay=0;$deductamount=0;
            if($ded_type->type == 'Percentage')
            {
                $deductamount = ceil(($basic_pay1*$ded_type->percentage_amount)/100);
                $basic_pay = $basic_pay1 - $deductamount;
            }
            else if($ded_type->type == 'Amount')
            {
                $deductamount =   $ded_type->percentage_amount;
                if($basic_pay1 != '0')
                {
                    $basic_pay = $basic_pay1 - $deductamount;
                }
                else
                {
                     $basic_pay = 0; 
                }
            } 
            $leaveexstatus =0;$leavestatus =1;
           $staff_det = User::where('user_id',$ids)->first();
           $type_id = $staff_det->type_id;
           $allowance_total = StaffAllowDedu::where('user_id', $ids)->where('allo_dedu_status', 1)->sum('amount');
           $deduction_total = StaffAllowDedu::where('user_id', $ids)->where('allo_dedu_status', 0)->sum('amount');
           $advance_recovered = $staff_det->advancesalprocess->where('salary_month',$month)->where('salary_year',$year)->pluck('advance_amount')->first();   
           $total_working_days = $staff_det->totalWorkingDays($ids,$mnth_yr);
           $total_present_days = $staff_det->totalPresentDays($ids,$mnth_yr);
            if ($request->has("avoid_leave{$ids}")) {
               
               $net_sal_array = $staff_det->netSalary($basic_pay,$advance_recovered,$allowance_total,$deduction_total,$leaveexstatus);
               $net_sal=$net_sal_array[0];
			   $net_advance=$net_sal_array[1];
           }
           else
           {
             	$net_sal_array=$staff_det->netSalary($basic_pay,$advance_recovered,$allowance_total,$deduction_total,$leavestatus,$total_working_days,$total_present_days,$mnth_yr);
				$net_sal=$net_sal_array[0];
				$net_advance=$net_sal_array[1];  
           }
           if($advnc_rec > $net_advance){
				$advnc_rec=$net_advance;}
			$cur_advance=$net_advance-$advnc_rec;
			$net_sal+=$cur_advance;	
			
			if(!$check)
            {
                $psal = SalaryProcessing::create([
                            'staftyp_id' => $staftyp_id,
                            'type_id'=>$type_id,
                            'pdate' => $pdate,
                            'user_id' => $ids,
                            'basic_pay' => $basic_pay,
                            'advance_recovery' =>$advnc_rec,
                            'bcslry_id'=>$basic_pay_id,
                            'working_days'=>$total_working_days,
                            'present_days'=>$total_present_days,
                            'salary_month'=>$month,
                            'salary_year' =>$year,
                            'net_salary'=>$net_sal,
                             'status'=>0,
                            'ac_id' => $ac_id,
                            ]);
                           
                   if($psal)  
                   {
                        $i++;
                       $allowances_all = StaffAllowDedu::where('user_id', $ids)->get();
                        if(!empty($allowances_all))
                        {
                            foreach($allowances_all as $all)
                            {
                              $psalad = SalaryProcessingAD::create([
                                'sa_id' => $psal->slryproc_id,
                                'ad'=>$all->allo_dedu_id,
                                'adtype' => $all->allo_dedu_status,
                                'adamount' => $all->amount,
                               
                                ]);  
                            $i++;
                            }
                        }
                   }
            }
            else
            {
                $check->update([
                        'net_salary' => $net_sal,'pdate' => $pdate,'basic_pay'=>$basic_pay,'advance_recovery'=>$advnc_rec,'bcslry_id'=>$basic_pay_id,'working_days'=>$total_working_days,'present_days'=>$total_present_days,'status' =>0,
                        ]); 
                   $i++;      
                 $allowances_all = StaffAllowDedu::where('user_id', $ids)->get();
                 if(!empty($allowances_all))
                 {
                     foreach($allowances_all as $all)
                     {
                         $checkad = SalaryProcessingAD::where([
                   
                            'sa_id' => $check->slryproc_id ,
                            'ad' => $all->allo_dedu_id,
                            'adtype' => $all->allo_dedu_status
                            ])->first();
                            if(!$checkad)
                            {   $i++;
                                $psalad = SalaryProcessingAD::create([
                                'sa_id' => $check->slryproc_id,
                                'ad'=>$all->allo_dedu_id,
                                'adtype' => $all->allo_dedu_status,
                                'adamount' => $all->amount,
                               
                                ]); 
                            }
                            else
                            {
                                 $checkad->update([
                        'ad' => $all->allo_dedu_id,'adtype' => $all->allo_dedu_status,'adamount'=>$all->amount,
                        ]);
                         $i++;
                            }
                     }
                 }
            }
			
            
        }
    }
    
    if($i>0){
            $msg_array = array('message'=>'Salary Processed Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Salary  Could not be Processed !','alert-type'=>'error');
        }
        return redirect()->route('salary.processing')->with($msg_array); 
    
}


public function salary_approve()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    return view('salary.salary_approval',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date')); 
}

public function salaryapprove_get(Request $request)
{
 
   $stafftype=Stafftype::find($request->tid);
  
   $mnth_yr = $request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
   
   $ac_id = getAcyear();
   $allowance = SlryAllowance::all();
   $deduction = SlryDeduction::all();
   if(!$allowance)
   {
       $allowance_cnt = 0;
   }
   else
   {
       $allowance_cnt = count($allowance);
   }
   if(!$deduction)
   {
       $deduction_cnt =0;
   }
   else
   {
       $deduction_cnt = count($deduction);
   }
   //$staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->where(array('users.staftyp_id'=>$request->tid,'salary_advance.salary_year'=>$year,'salary_advance.salary_month'=>$month,'salary_advance.status'=>0))->select('users.*')->get();
   $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->where(array('users.staftyp_id'=>$request->tid,'salary_processing.status'=>0,'salary_processing.ac_id'=>$ac_id,'salary_processing.salary_month'=>$month,'salary_processing.salary_year'=>$year))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.working_days','salary_processing.present_days','salary_processing.advance_recovery','salary_processing.basic_pay')->get();

   return view('salary.approve_salary_get',compact('stafftype','mnth_yr','staff_det','ac_id','month','year','allowance','deduction','allowance_cnt','deduction_cnt'));
    
}



public function salaryapprove_save(Request $request)
 {
     
        $staftyp_id = decrypt($request->staftyp_id);
        $mnth_yr = decrypt($request->mnth_yrs);
        
        $ac_id = getAcyear();
        $exp=explode("-",$mnth_yr);
       $year=$exp[0];//salary month
       $month=$exp[1];//salary year
        $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $check = SalaryProcessing::where([
                   
                    'salary_year' => $year,
                    'salary_month' => $month,
                    'user_id' => $ids
                    ])->first();
                    if (!is_null($check)) 
                         {
                             if($request->action === 'approve'){
                            $status = 1;
                             }
                             else
                             {
                                 $status = 2;
                             }
                             $remark = $request->input("remark".$ids);
                     $check->update([
                        'status' => $status,'remarks'=>$remark
                        ]);
                        $i++;
                         }
                
            }
        }
        
        if($request->action === 'approve'){
            $msg_array = array('message'=>'Salary ' . $request->action . ' Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Salary   ' . $request->action . ' Successfully !','alert-type'=>'error');
        }
        return redirect()->route('salary.approve')->with($msg_array); 
       
}








public function advsalary_processing()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    return view('salary.advance_salary_processing',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date')); 
}


public function advsalaryprocessing_get(Request $request)
{
 
   $stafftype=Stafftype::find($request->tid);
   $pdate = $request->date;
   $pdate=date('Y-m-d',strtotime($pdate));
   $mnth_yr = $request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
   
   $ac_id = getAcyear();
   $ded_type = SetSalaryDeduction::where('ac_id',$ac_id)->first();
   $staff_det = User::where('staftyp_id',$request->tid)->get();
 return view('salary.advance_salaryprocessing_get',compact('stafftype','mnth_yr','pdate','staff_det','ac_id','month','year'));
    
}



 public function advsalaryprocessing_save(Request $request)
 {
     
        
        $staftyp_id = decrypt($request->staftyp_id);
        $mnth_yr = decrypt($request->mnth_yrs);
        $pdate = decrypt($request->pdate);
        $ac_id = getAcyear();
        $exp=explode("-",$mnth_yr);
       $year=$exp[0];//salary month
       $month=$exp[1];//salary year
        $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $check = AdvanceSalaryProcess::where([
                   
                    'salary_year' => $year,
                    'salary_month' => $month,
                    'user_id' => $ids
                    ])->first();
                    
                    $advanceamount = $request->input("advance".$ids);
                    $type_id = $request->input("type_id".$ids);
                     if(!$check)
                     {
                         if (!is_null($advanceamount)) 
                         {
                             $advsal = AdvanceSalaryProcess::create([
                            'user_id' => $ids,
                            'type_id'=>$type_id,
                            'salary_month' => $month,
                            'salary_year' => $year,
                            'advance_amount' => $advanceamount,
                            'process_date' =>$pdate,
                            
                            'status' =>0,
                            'ac_id' => $ac_id,
                            ]);
                            $i++;
                         }
                     }
                     else
                     {
                          $check->update([
                        'advance_amount' => $advanceamount,'process_date' => $pdate,'type_id'=>$type_id,'status' =>0,
                        ]);
                        $i++;
                     }
            }
            
        }
        if($i>0){
            $msg_array = array('message'=>'Advance Salary Processed Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Advance Salary  Could not be Processed !','alert-type'=>'error');
        }
        return redirect()->route('salary.advprocessing')->with($msg_array); 
     
     
 }


public function advsalary_approve()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    return view('salary.advance_salary_approval',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date')); 
}

public function advsalaryapprove_get(Request $request)
{
 
   $stafftype=Stafftype::find($request->tid);
  
   $mnth_yr = $request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
   
   $ac_id = getAcyear();
   
   //$staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->where(array('users.staftyp_id'=>$request->tid,'salary_advance.salary_year'=>$year,'salary_advance.salary_month'=>$month,'salary_advance.status'=>0))->select('users.*')->get();

   $staff_det = User::where('staftyp_id',$request->tid)->get();
   return view('salary.approve_advance_salary_get',compact('stafftype','mnth_yr','staff_det','ac_id','month','year'));
    
}



public function advsalaryapprove_save(Request $request)
 {
     
        $staftyp_id = decrypt($request->staftyp_id);
        $mnth_yr = decrypt($request->mnth_yrs);
        
        $ac_id = getAcyear();
        $exp=explode("-",$mnth_yr);
       $year=$exp[0];//salary month
       $month=$exp[1];//salary year
        $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $check = AdvanceSalaryProcess::where([
                   
                    'salary_year' => $year,
                    'salary_month' => $month,
                    'user_id' => $ids
                    ])->first();
                    if (!is_null($check)) 
                         {
                             if($request->action === 'approve'){
                            $status = 1;
                             }
                             else
                             {
                                 $status = 2;
                             }
                             $remark = $request->input("remark".$ids);
                     $check->update([
                        'status' => $status,'remarks'=>$remark
                        ]);
                        $i++;
                         }
                
            }
        }
        
        if($request->action === 'approve'){
            $msg_array = array('message'=>'Advance Salary ' . $request->action . ' Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Advance Salary   ' . $request->action . ' Successfully !','alert-type'=>'error');
        }
        return redirect()->route('salary.advapprove')->with($msg_array); 
       
}





public function paymentcriteria()
{
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $paymentcriteria=PaymentCriteria::where('ac_id',$ac_id)->first();
    return view('salary.paymentcriteria',compact('paymentcriteria'));
}

public function paymentcriteria_save(Request $request)
{
    $validates=$request->validate([
        'payment_criteria'=>'required',
        ]);
     $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $payment_exist=PaymentCriteria::where('ac_id',$ac_id)->first();
    
    if(!$payment_exist)
    {
        PaymentCriteria::create([
        'payment_criteria'=>$request->payment_criteria,
        'ac_id'=>$ac_id,
        ]); 
         $msg_array = ['message' => 'Payment Criteria saved successfully.', 'success'];
    }
    else
    {
        $payment_exist->update([
        'payment_criteria'=>$request->payment_criteria,
        ]); 
        $msg_array = ['message' => 'Payment Criteria updated successfully.', 'success'];
    }
    
  
  return redirect()->back()->with($msg_array);  
}

public function salary_deduction_set()
{
    $currentAcyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear ? $currentAcyear->ac_id : null;

    $salaryDeduction = SetSalaryDeduction::where('ac_id', $ac_id)->first();

    return view('salary.salary_deduction_set',compact('salaryDeduction'));
}

public function salary_deduction_set_save(Request $request)
{
 
 
    $validated = $request->validate([
        'type' => 'required',
        'percentage_amount' => 'required',
    ]);

 
    $currentAcyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear ? $currentAcyear->ac_id : null;

   
    $salaryDeduction = SetSalaryDeduction::where('ac_id', $ac_id)->first();

    if ($salaryDeduction) {
       
        $salaryDeduction->update([
            'type' => $request->type,
            'percentage_amount' => $request->percentage_amount,
        ]);
        $msg_array = ['message' => 'Salary deduction updated successfully.', 'success'];
    } else {
     
        SetSalaryDeduction::create([
            'type' => $request->type,
            'percentage_amount' => $request->percentage_amount,
            'ac_id' => $ac_id,
        ]);
        $msg_array = ['message' => 'Salary deduction set successfully.', 'success'];
    }

    return redirect()->back()->with($msg_array);



}


public function advsalary_payment()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    $paymodes = Paymentmode::where('status',1)->get();
    return view('salary.advance_salary_payment',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date','paymodes')); 
}



public function advsalarypayment_get(Request $request)
{
 
   $stafftype=Stafftype::find($request->stafftype);
   $pdate=$request->pdate;
   $mode_id=$request->mode_id;
  
   $ac_id = getAcyear();
   $rec_no = AdvanceSalaryPayment::max('receipt_no');
  
   $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->where(array('users.staftyp_id'=>$request->stafftype,'salary_advance.status'=>1,'salary_advance.ac_id'=>$ac_id))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id')->get();

   /*$staff_det = User::where('staftyp_id',$request->stafftype)->get();*/
   return view('salary.advance_salary_payment_get',compact('stafftype','staff_det','ac_id','pdate','mode_id','rec_no'));
    
}



 public function advsalarypayment_save(Request $request)
 {
     
        
        $staftyp_id = decrypt($request->staftyp_id);
        $mode_id = decrypt($request->mode_id);
        $pdate = decrypt($request->pdate);
        $ac_id = getAcyear();
        
        $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $sa_id = $request->input("sa_id".$ids);
                $rec_no = AdvanceSalaryPayment::max('receipt_no');
                $rec_no += 1;
                $check = AdvanceSalaryProcess::where([
                   
                    'id' => $sa_id,
                   
                    'user_id' => $ids
                    ])->first();
                    
                    
                    
                     if($check)
                     {
                         
                        $advsalpay = AdvanceSalaryPayment::create([
                        'receipt_no' => $rec_no,
                        'sa_id'=>$sa_id,
                        'payment_date' => $pdate,
                        'payment_mode' => $mode_id,
                        'ac_id' => $ac_id,
                        ]);
                        
                        $check->update([
                        'status' => 3
                        ]); 
                        $i++;
                        
                     }
                    
            }
            
        }
        if($i>0){
            $msg_array = array('message'=>'Advance Salary Paid Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Advance Salary  Could not be Paid !','alert-type'=>'error');
        }
        return redirect()->route('salary.advpaidreport')->with($msg_array); 
     
     
 }



public function advsalary_processreport()
{
    
    $cur_mnth_yr = date('Y-m');
    
    return view('salary.advance_salary_processed_report',compact('cur_mnth_yr')); 
}

public function advsalaryprocessreport_get(Request $request)
{
 
   
   $mnth_yr=$request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
  
   
  
   $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->where(array('salary_advance.status'=>1,'salary_advance.salary_month'=>$month,'salary_advance.salary_year'=>$year))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id','salary_advance.remarks','salary_advance.process_date')->get();

   
   return view('salary.advance_salary_process_report_get',compact('staff_det','mnth_yr','year','month'));
    
}

 public function advsalary_processreport_print($mnth_yr){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $exp=explode("-",$mnth_yr);
        $year=$exp[0];//salary month
        $month=$exp[1];//salary year

        $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->where(array('salary_advance.status'=>1,'salary_advance.salary_month'=>$month,'salary_advance.salary_year'=>$year))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id','salary_advance.remarks','salary_advance.process_date')->get();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.advsalary_processreport_print',compact('staff_det','mnth_yr','year','ins_det','cur_acyear','month'));
    }
    
    
    public function advsalary_advpaidreport()
{
    
    $cur_mnth_yr = date('Y-m');
    
    return view('salary.advance_salary_paid_report',compact('cur_mnth_yr')); 
}

public function advpaidreport_get(Request $request)
{
 
   
   $mnth_yr=$request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
  
   
  
   $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->Join('salary_advance_payment','salary_advance_payment.sa_id','=','salary_advance.id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_advance_payment.payment_mode')->where(array('salary_advance.status'=>3,'salary_advance.salary_month'=>$month,'salary_advance.salary_year'=>$year))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id','salary_advance.remarks','salary_advance.process_date','salary_advance_payment.payment_date','salary_advance_payment.payment_mode','salary_advance_payment.receipt_no','paymentmodes.mode_name')->get();

   
   return view('salary.advance_salary_paid_report_get',compact('staff_det','mnth_yr','year','month'));
    
}

public function advsalary_paidreport_print($mnth_yr){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $exp=explode("-",$mnth_yr);
        $year=$exp[0];//salary month
        $month=$exp[1];//salary year

        $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->Join('salary_advance_payment','salary_advance_payment.sa_id','=','salary_advance.id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_advance_payment.payment_mode')->where(array('salary_advance.status'=>3,'salary_advance.salary_month'=>$month,'salary_advance.salary_year'=>$year))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id','salary_advance.remarks','salary_advance.process_date','salary_advance_payment.payment_date','salary_advance_payment.payment_mode','salary_advance_payment.receipt_no','paymentmodes.mode_name')->get();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.advsalary_paidreport_print',compact('staff_det','mnth_yr','year','ins_det','cur_acyear','month'));
    }
    
    public function advsalaryslipprint($receipt_no,$payment_date,$user_id,$sa_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        

        $staff_det = AdvanceSalaryProcess::Join('users','salary_advance.user_id','=','users.user_id')->Join('salary_advance_payment','salary_advance_payment.sa_id','=','salary_advance.id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_advance_payment.payment_mode')->where(array('salary_advance.status'=>3,'salary_advance_payment.receipt_no'=>$receipt_no,'salary_advance_payment.payment_date'=>$payment_date,'salary_advance.user_id'=>$user_id,'salary_advance.id'=>$sa_id))->select('users.*','salary_advance.salary_month','salary_advance.salary_year','salary_advance.advance_amount','salary_advance.id','salary_advance.remarks','salary_advance.process_date','salary_advance_payment.payment_date','salary_advance_payment.payment_mode','salary_advance_payment.receipt_no','paymentmodes.mode_name')->first();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.advsalary_slip_print',compact('staff_det','receipt_no','payment_date','ins_det','cur_acyear','user_id','sa_id'));
    }
    
    
    
public function salary_payment()
{
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    $cur_mnth_yr = date('Y-m');
    $cur_date = date('Y-m-d');
    $paymodes = Paymentmode::where('status',1)->get();
    return view('salary.salary_payment',compact('stafftype','staffdesignation','cur_mnth_yr','cur_date','paymodes')); 
}



public function salarypayment_get(Request $request)
{
 
   $stafftype=Stafftype::find($request->stafftype);
   $pdate=$request->pdate;
   $mode_id=$request->mode_id;
  
   $ac_id = getAcyear();
   $rec_no = SalaryPayment::max('receipt_no');
 
   $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->where(array('users.staftyp_id'=>$request->stafftype,'salary_processing.status'=>1,'salary_processing.ac_id'=>$ac_id))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id')->get();

 
   return view('salary.salary_payment_get',compact('stafftype','staff_det','ac_id','pdate','mode_id','rec_no'));
    
}



 public function salarypayment_save(Request $request)
 {
     
        
        $staftyp_id = decrypt($request->staftyp_id);
        $mode_id = decrypt($request->mode_id);
        $pdate = decrypt($request->pdate);
        $ac_id = getAcyear();
        
        $i=0;
        if($request->posted !='')
        {
            foreach($request->posted as $ids)
            {
                $sa_id = $request->input("sa_id".$ids);
                $rec_no = SalaryPayment::max('receipt_no');
                $rec_no += 1;
                $check = SalaryProcessing::where([
                   
                    'slryproc_id' => $sa_id,
                   
                    'user_id' => $ids
                    ])->first();
                    
                    
                    
                     if($check)
                     {
                         
                        $salpay = SalaryPayment::create([
                        'receipt_no' => $rec_no,
                        'sa_id'=>$sa_id,
                        'payment_date' => $pdate,
                        'payment_mode' => $mode_id,
                        'ac_id' => $ac_id,
                        ]);
                        
                        $check->update([
                        'status' => 3
                        ]); 
                        $i++;
                        
                     }
                    
            }
            
        }
        if($i>0){
            $msg_array = array('message'=>'Salary Paid Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Salary  Could not be Paid !','alert-type'=>'error');
        }
        return redirect()->route('salary.paidreport')->with($msg_array); 
     
     
 }
 
 public function salary_processreport()
{
    
    $cur_mnth_yr = date('Y-m');
    
    return view('salary.salary_processed_report',compact('cur_mnth_yr')); 
}

public function salaryprocessreport_get(Request $request)
{
 
   
   $mnth_yr=$request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary year
   $month=$exp[1];//salary month
   $allowance = SlryAllowance::all();
   $deduction = SlryDeduction::all();
   if(!$allowance)
   {
       $allowance_cnt = 0;
   }
   else
   {
       $allowance_cnt = count($allowance);
   }
   if(!$deduction)
   {
       $deduction_cnt =0;
   }
   else
   {
       $deduction_cnt = count($deduction);
   }
   
  
   $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->where(array('salary_processing.status'=>1,'salary_processing.salary_month'=>$month,'salary_processing.salary_year'=>$year))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.remarks','salary_processing.pdate','salary_processing.basic_pay','salary_processing.advance_recovery','salary_processing.working_days','salary_processing.present_days')->get();

   
   return view('salary.salary_process_report_get',compact('staff_det','mnth_yr','year','month','allowance','deduction','allowance_cnt','deduction_cnt'));
    
}

 public function salary_processreport_print($mnth_yr){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $exp=explode("-",$mnth_yr);
        $year=$exp[0];//salary month
        $month=$exp[1];//salary year
        $allowance = SlryAllowance::all();
       $deduction = SlryDeduction::all();
       if(!$allowance)
       {
           $allowance_cnt = 0;
       }
       else
       {
           $allowance_cnt = count($allowance);
       }
       if(!$deduction)
       {
           $deduction_cnt =0;
       }
       else
       {
           $deduction_cnt = count($deduction);
       }
        $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->where(array('salary_processing.status'=>1,'salary_processing.salary_month'=>$month,'salary_processing.salary_year'=>$year))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.remarks','salary_processing.pdate','salary_processing.basic_pay','salary_processing.advance_recovery','salary_processing.working_days','salary_processing.present_days')->get();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.salary_processreport_print',compact('staff_det','mnth_yr','year','ins_det','cur_acyear','month','allowance','deduction','allowance_cnt','deduction_cnt'));
    }
    
public function salary_paidreport()
{
    
    $cur_mnth_yr = date('Y-m');
    
    return view('salary.salary_paid_report',compact('cur_mnth_yr')); 
}

public function salarypaidreport_get(Request $request)
{
 
   
   $mnth_yr=$request->did;
   $exp=explode("-",$mnth_yr);
   $year=$exp[0];//salary month
   $month=$exp[1];//salary year
  
   $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->Join('salary_payment','salary_payment.sa_id','=','salary_processing.slryproc_id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_payment.payment_mode')->where(array('salary_processing.status'=>3,'salary_processing.salary_month'=>$month,'salary_processing.salary_year'=>$year))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.remarks','salary_processing.pdate','salary_payment.payment_date','salary_payment.payment_mode','salary_payment.receipt_no','paymentmodes.mode_name')->get();

   return view('salary.salary_paid_report_get',compact('staff_det','mnth_yr','year','month'));
    
}

public function salaryslipprint($receipt_no,$payment_date,$user_id,$sa_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $allowance = SlryAllowance::all();
       $deduction = SlryDeduction::all();
       if(!$allowance)
       {
           $allowance_cnt = 0;
       }
       else
       {
           $allowance_cnt = count($allowance);
       }
       if(!$deduction)
       {
           $deduction_cnt =0;
       }
       else
       {
           $deduction_cnt = count($deduction);
       }

        $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->Join('salary_payment','salary_payment.sa_id','=','salary_processing.slryproc_id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_payment.payment_mode')->where(array('salary_processing.status'=>3,'salary_payment.receipt_no'=>$receipt_no,'salary_payment.payment_date'=>$payment_date,'salary_processing.user_id'=>$user_id,'salary_processing.slryproc_id'=>$sa_id))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.remarks','salary_processing.pdate','salary_payment.payment_date','salary_payment.payment_mode','salary_payment.receipt_no','paymentmodes.mode_name','salary_processing.working_days','salary_processing.present_days','salary_processing.basic_pay','salary_processing.advance_recovery')->first();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.salary_slip_print',compact('staff_det','receipt_no','payment_date','ins_det','cur_acyear','user_id','sa_id','allowance','deduction','allowance_cnt','deduction_cnt'));
    }
    
    public function salary_paidreport_print($mnth_yr){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        
        $exp=explode("-",$mnth_yr);
        $year=$exp[0];//salary month
        $month=$exp[1];//salary year

        $staff_det = SalaryProcessing::Join('users','salary_processing.user_id','=','users.user_id')->Join('salary_payment','salary_payment.sa_id','=','salary_processing.slryproc_id')->Join('paymentmodes','paymentmodes.mode_id','=','salary_payment.payment_mode')->where(array('salary_processing.status'=>3,'salary_processing.salary_month'=>$month,'salary_processing.salary_year'=>$year))->select('users.*','salary_processing.salary_month','salary_processing.salary_year','salary_processing.net_salary','salary_processing.slryproc_id','salary_processing.remarks','salary_processing.pdate','salary_payment.payment_date','salary_payment.payment_mode','salary_payment.receipt_no','paymentmodes.mode_name')->get();

        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('salary.salary_paidreport_print',compact('staff_det','mnth_yr','year','ins_det','cur_acyear','month'));
    }
    
    
    public function dedallsetting()
    {
        $stafftype=Stafftype::all();
        $staffdesignation=UserType::all();
        
        return view('salary.salary_dedallsetting',compact('stafftype','staffdesignation'));
    }
    
    
    public function dedallsetting_get(Request $request)
    {
       
        $stafftype=$request->tid;
        $staffdesig=$request->did;
        $staffdesig_all=UserType::find($staffdesig);
        $ac_id = getAcyear();
        $allowance = SlryAllowance::all();
        $deduction = SlryDeduction::all();
        if(!$allowance)
        {
            $allowance_cnt = 0;
        }
        else
        {
            $allowance_cnt = count($allowance);
        }
        if(!$deduction)
        {
            $deduction_cnt =0;
        }
        else
        {
            $deduction_cnt = count($deduction);
        }
        return view('salary.dedallsetting_get',compact('stafftype','staffdesig','ac_id','allowance','deduction','allowance_cnt','deduction_cnt','staffdesig_all'));
    }
    
    
    public function dedallsetting_save(Request $request)
    {

        $i=0;

        $check = SalaryAllowDedPer::where([
                   'type_id'=>$request->staffdesig,
                    'ad_id' => $request->allowanceId,
                   'sttype_id' => $request->stafftype,
                    'ad_type' => 0
                    ])->first();

                     if(!$check)
                     {
                         
                        $salpay = SalaryAllowDedPer::create([
                        'sttype_id' => $request->stafftype,
                        'type_id'=>$request->staffdesig,
                        'ad_id' => $request->allowanceId,
                        'mode' => $request->pa,
                        'adpercentage' => $request->allwamount,
                        'ad_type' =>0,
                        ]);
                        
                      
                        $i++;
                        
                     }
                     else
                     {
                          $check->update([
                        'adpercentage' => $request->allwamount,'mode' =>$request->pa
                        ]); 
                        $i++;
                     }
        
       
        return true;
    }
    
    
    
     public function deducsetting_save(Request $request)
    {
       
        
        $i=0;
       
     
        $check = SalaryAllowDedPer::where([
                   'type_id'=>$request->staffdesig,
                    'ad_id' => $request->deductionId,
                   'sttype_id' => $request->stafftype,
                    'ad_type' => 1
                    ])->first();
                    
                    
                    
                     if(!$check)
                     {
                         
                        $salpay = SalaryAllowDedPer::create([
                        'sttype_id' => $request->stafftype,
                        'type_id'=>$request->staffdesig,
                        'ad_id' => $request->deductionId,
                        'mode' => $request->pa,
                        'adpercentage' => $request->dedamount,
                        'ad_type' =>1,
                        ]);
                        
                      
                        $i++;
                        
                     }
                      else
                     {
                          $check->update([
                        'adpercentage' => $request->dedamount,'mode' =>$request->pa
                        ]); 
                        $i++;
                     }
        
        
        return true;
       
    }
    
    
    
}
