<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Staffcategory;
use App\Models\Stafftype;
use App\Models\Staffdesig;
use App\Models\Staffleavtype;
use App\Models\Staffleaveset;
use App\Models\UserType;
use App\Models\SlryAllowance;
use App\Models\Accounttype;
use App\Models\SlryDeduction;
use App\Models\ClassTeacher;
use App\Models\Semester;
use App\Models\Course;
use App\Models\Acyear;
use App\Models\User;
use App\Models\SubjectType;
use App\Models\StaffSubject;
use App\Models\Subject; 
use App\Models\FeedbackType; 
use App\Models\FeedbackMainCri; 
use App\Models\FeedbackSubCri; 
use App\Models\BasicSalary; 
use App\Models\StaffAttendance; 
use App\Models\StaffLeaveRequest; 
use App\Models\StaffLeaveBalance;
use App\Models\LeaveForward;
use App\Models\Department;
use App\Models\HOD;
use App\Models\AcHoliday;


use App\Models\StudentLeaveRequest;
use DB;
 
use Illuminate\Support\Facades\Auth;
  
use Illuminate\Support\Carbon;


class Staff extends Controller
{
    public function staffcategory(){
        $staffcategory = Staffcategory::all();
        return view('staff.staffcategory',compact('staffcategory'));
    }

    public function staffcategory_save(Request $request){
        $validated = $request->validate([
            'name' => 'required',
            'description' => 'required', 
        ]);
        
        $staffcategory = Staffcategory::create([
            'name' => $request->name,
            'description' => $request->description,
        ]);
        
        if($staffcategory){
            $msg_array = array('message'=>'Staff category Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Staff category Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('staffcategory')->with($msg_array); 
    }
    
    //  public function staffcategory_delete($cid){
    //      $staffcategory = Staffcategory::find(decrypt($cid));
    //      if($staffcategory){
    //          if($staffcategory->count() > 0){
    //              $staffcategory->delete();
    //              $msg_array = array('message'=>'Staff category  Deleted Successfully !','alert-type'=>'success');
    //          }else{
    //              $msg_array = array('message'=>'Staff category  Could not be Deleted !','alert-type'=>'error');
    //          }
    //      }
    //      return redirect()->route('staffcategory')->with($msg_array);
    //  }
        
    public function stafftype(){
        $staffcategory = Staffcategory::all();
        $stafftype = Stafftype::all();
        return view('staff.stafftype',compact('stafftype','staffcategory'));
    }
        
    public function stafftype_save(Request $request){
        $validated = $request->validate([
            'type_name' => 'required',
        ]);
        $stafftype = Stafftype::create([
            'stfcate_id' => $request->stfcate_id,
            'type_name' => $request->type_name,
        ]); 
        if($stafftype){
            $msg_array = array('message'=>'Staff Type Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Staff Type Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('stafftype')->with($msg_array); 
    }  
        
    public function stafftype_delete($tid){
        $stafftype = Stafftype::find(decrypt($tid));
        if($stafftype){
            if($stafftype->count() > 0){
                $stafftype->delete();
                $msg_array = array('message'=>'Staff Type Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Staff Type Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('stafftype')->with($msg_array);
    }   
        
    public function leavtype(){
        $staffcategory = Staffcategory::all();
        $stafftype = Stafftype::all();
        $userType=UserType::all();
         $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $sdate=date('Y',strtotime($currentAcyear->sdate));
        $edate=date('Y',strtotime($currentAcyear->edate));
        $leavtype=Staffleavtype::join('staff_type','staff_type.staftyp_id','=','staff_leave_type_new.staftyp_id')
        ->join('user_types','staff_leave_type_new.type_id','=','user_types.type_id')
        ->where('ac_id',$ac_id)
        ->get();
      
        // $leavtype=Staffleavtype::all();
        $leavname=Staffleaveset::all();
        return view('staff.leavtype',compact('stafftype','staffcategory','leavname','userType','leavtype','sdate','edate'));
    }
        
public function leavtype_save(Request $request)
{
    $validated = $request->validate([
        'max_allwdleav' => 'required',
        'staftyp_id' => 'required',
        'type_id' => 'required',
        'leav_id' => 'required',
    ]);

    $currentAcyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();

    if (!$currentAcyear) {
        $msg_array = array('message' => 'Active Academic Year not found!', 'alert-type' => 'error');
        return redirect()->route('leavtype')->with($msg_array);
    }

    $ac_id = $currentAcyear->ac_id;

    try {
        $leavtype = Staffleavtype::create([
            'ac_id' => $ac_id,
            'staftyp_id' => $request->staftyp_id,
            'type_id' => $request->type_id,
            'leav_id' => $request->leav_id,
            'max_allwdleav' => $request->max_allwdleav,
        ]);

        if ($leavtype) {
            $msg_array = array('message' => 'Leave Type Added Successfully!', 'alert-type' => 'success');
        } else {
            $msg_array = array('message' => 'Leave Type Could not be Added!', 'alert-type' => 'error');
        }
    } catch (\Exception $e) {
        $msg_array = array('message' => 'Error: ' . $e->getMessage(), 'alert-type' => 'error');
    }

    return redirect()->route('leavtype')->with($msg_array);
}

    public function slryallowance(){
        $accountype=Accounttype::all();
        $slryallowance = SlryAllowance::all();
        
        return view('staff.slryallowance',compact('slryallowance','accountype'));
    }
        
    public function slryallowance_save(Request $request){
        $validated = $request->validate([
            'allowance_name' => 'required',
            'allowance_code' => 'required',
        ]);
        $slryallowance = SlryAllowance::create([
            'allowance_name' => $request->allowance_name,
            'allowance_code' => $request->allowance_code,
            'accounttype_id' => $request->accounttype_id,
        ]); 
        if($slryallowance){
            $msg_array = array('message'=>' Allowance Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Allowance Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('slryallowance')->with($msg_array); 
    }    
        
    public function slryallowance_edit($aid){
        $accountype=Accounttype::all();
        $slryallowance = SlryAllowance::find(decrypt($aid));
        return view('staff.slryallowanceedit',compact(array('slryallowance','accountype')));
    }
        
    public function slryallowance_update(Request $request){
        $allowance_id = decrypt($request->allowance_id);
        $validated = $request->validate([
            'allowance_name' => 'required|unique:staff_leave_allowance,allowance_name,'.$allowance_id.',allowance_id',
            'allowance_code' => 'required|unique:staff_leave_allowance,allowance_code,'.$allowance_id.',allowance_id',
        ]);
        
        $slryallowance = SlryAllowance::find($allowance_id);
        $slryallowance->update([
            'allowance_name' => $request->allowance_name,
            'allowance_code' => $request->allowance_code,
            'accounttype_id' => $request->accounttype_id,
        ]);
        
        if($slryallowance){
            $msg_array = array('message'=>'Allowance Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Allowance Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('slryallowance')->with($msg_array);
    }      
   
    public function slryallowance_delete($aid){
        $slryallowance = SlryAllowance::find(decrypt($aid));
        if($slryallowance){
            if($slryallowance->count() > 0){
                $slryallowance->delete();
                $msg_array = array('message'=>'Allowance deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Allowance Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('slryallowance')->with($msg_array);
    }         
        
    public function slrydeduction(){
        $accountype=Accounttype::all();
        $slrydeduction = SlryDeduction::all();
        return view('staff.slrydeduction',compact('slrydeduction','accountype'));
    }
        
    public function slrydeduction_save(Request $request){
        $validated = $request->validate([
            'deduction_name' => 'required',
            'deduction_code' => 'required',
        ]);
        $slrydeduction = SlryDeduction::create([
            'deduction_name' => $request->deduction_name,
            'deduction_code' => $request->deduction_code,
            'accounttype_id' => $request->accounttype_id,
        ]); 
        if($slrydeduction){
            $msg_array = array('message'=>' Deduction Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Deduction Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('slrydeduction')->with($msg_array); 
    }     
        
    public function slrydeduction_edit($did){
        $accountype=Accounttype::all();
        $slrydeduction = SlryDeduction::find(decrypt($did));
        return view('staff.slrydeductionedit',compact(array('slrydeduction','accountype')));
    }
        
    public function slrydeduction_update(Request $request){
        $deduction_id = decrypt($request->deduction_id);
        $validated = $request->validate([
            'deduction_name' => 'required|unique:staff_salary_deduction,deduction_name,'.$deduction_id.',deduction_id',
            'deduction_code' => 'required|unique:staff_salary_deduction,deduction_code,'.$deduction_id.',deduction_id',
        ]);
            
        $slrydeduction = SlryDeduction::find($deduction_id);
        $slrydeduction->update([
            'deduction_name' => $request->deduction_name,
            'deduction_code' => $request->deduction_code,
            'accounttype_id' => $request->accounttype_id,
        ]);
            
        if($slrydeduction){
            $msg_array = array('message'=>'Deduction Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Deduction Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('slrydeduction')->with($msg_array);
    }      
        
    public function slrydeduction_delete($did){
        $slrydeduction = SlryDeduction::find(decrypt($did));
        if($slrydeduction){
            if($slrydeduction->count() > 0){
                $slrydeduction->delete();
                $msg_array = array('message'=>'Deduction deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Deduction Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('slrydeduction')->with($msg_array);
    }         
        
    public function classteacher(){
        //  $user = User::all();
        $user=User::where('type_id',12)->get();
        $course = Course::all();
        $semester = Semester::all();
        $acyear = Acyear::all();
        $classteacher=ClassTeacher::all();
        $acyeardefault=Acyear::where('default1',1)->first();
        $defaultYearTeachers = ClassTeacher::where('ac_id', $acyeardefault->ac_id)->get();
        return view('staff.classteacher',compact('user','course','semester','acyear','classteacher','acyeardefault','defaultYearTeachers'));
    }
        
    public function classteacher_save(Request $request){
        $validated = $request->validate([
            'ac_id' => 'required',
            'course_id' => 'required',
            'semester_id' => 'required',
            'user_id' => 'required',
        ]);
        $classteacher = ClassTeacher::create([
            'ac_id' => $request->ac_id,
            'course_id' => $request->course_id,
            'semester_id' => $request->semester_id,
            'user_id' => $request->user_id,
        ]); 
        if($classteacher){
            $msg_array = array('message'=>'Class teacher Assigned Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Class teacher Could not be Assigned !','alert-type'=>'error');
        }
        return redirect()->route('classteacher')->with($msg_array); 
    }
        
    public function classteacher_edit($did){
        $acyear = Acyear::all();
        $classteacher = ClassTeacher::find(decrypt($did));
        $course = Course::all();
        $semester = Semester::all();
        $user = User::all();
        return view('staff.classteacheredit',compact(array('classteacher','acyear','course','semester','user')));
    }
        
    public function classteacher_update(Request $request){
        $classteacher_id = decrypt($request->clstchr_id);
        $validated = $request->validate([
            'ac_id' => 'required|unique:classteacher,ac_id,'.$classteacher_id.',clstchr_id',
            'course_id' => 'required|unique:classteacher,course_id,'.$classteacher_id.',clstchr_id',
            'semester_id' => 'required|unique:classteacher,semester_id,'.$classteacher_id.',clstchr_id',
            'user_id' => 'required|unique:classteacher,user_id,'.$classteacher_id.',clstchr_id',
        ]);
        $classteacher = ClassTeacher::find($classteacher_id);
        $classteacher->update([
            'course_id' => $request->course_id,
            'semester_id' => $request->semester_id,
            'user_id' => $request->user_id,
            'ac_id' => $request->ac_id,
        ]);
        
        if($classteacher){
            $msg_array = array('message'=>'Class Teacher Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Class Teache Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('classteacher')->with($msg_array);
    }      
        
    public function classteacher_delete($did){
        $classteacher = ClassTeacher::find(decrypt($did));
        if($classteacher){
            if($classteacher->count() > 0){
                $classteacher->delete();
                $msg_array = array('message'=>'Classteacher Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Classteacher  Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('classteacher')->with($msg_array);
    }   
        
    public function staffsubject(){
      
        $user=User::where('type_id',12)->get();
        $course = Course::all();
        $semester = Semester::all();
       
        $subject = Subject::all();
        $staffsubject=StaffSubject::all();
        return view('staff.staffsubject',compact('user','course','semester','subject','staffsubject'));
    }
        
    public function staffsubject_save(Request $request){
        $validated = $request->validate([
            'user_id' => 'required',
            'course_id' => 'required',
            'semester_id' => 'required',
            
            'subject_id' => 'required',
        ]);
        $ac_id = getAcyear();
        $staffsubject = StaffSubject::create([
            'user_id' => $request->user_id,
            'course_id' => $request->course_id,
            'semester_id' => $request->semester_id,
            
            'subject_id' => $request->subject_id,
            'acyear_id' => $ac_id,
        ]); 
        if($staffsubject){
            $msg_array = array('message'=>' Subjects Assigned to Staff  Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subjects Could not be Assigned !','alert-type'=>'error');
        }
        return redirect()->route('staffsubject')->with($msg_array); 
    }     
        
    public function feedbkcrit(){
        $fdbktyp = FeedbackType::all();
        $main=FeedbackMainCri::all();
        $sub=FeedbackSubCri::all();
        return view('staff.feedbkcrit',compact('fdbktyp','main','sub'));
    }
        
    public function maincriteria(){
        $fdbktyp = FeedbackType::all();
        $main=FeedbackMainCri::all();
        return view('staff.maincriteria',compact('fdbktyp','main'));
    }
        
    public function subcriteria(){
        $fdbktyp = FeedbackType::all();
        $main=FeedbackMainCri::all();
        $sub=FeedbackSubCri::all();
        return view('staff.subcriteria',compact('fdbktyp','main','sub'));
    }

    //  public function maincate_get(){
    //     $main_det = FeedbackMainCri::find($request->mainid);
    //     $fdbktyp = FeedbackType::all();
    //     return view('staff.fdbkmaincri',compact('fdbktyp','main_det'));
    // }


    //  public function subcate_get(){
    //      $main_det = Acyear::find($request->mainid);
    //      $fdbkmaincri = FeedbackMainCri::all();
    //      $fdbktyp = FeedbackType::all();
    //      return view('staff.fdbkmaincri',compact('fdbktyp','fdbkmaincri','main_det'));
    //  }

    //  public function fdsubcriteria(){
    //      $fdbktyp = FeedbackType::all();
    //     $fdbkmaincri = FeedbackMainCri::all();
    //     return view('staff.fdbksubcri',compact(array('fdbktyp','fdbkmaincri')));
    // }

    public function fdmaincriteria_save(Request $request){
        $validated = $request->validate([
            'main_criteria' => 'required',
            'fdbktyp_id' => 'required',
        ]);
        $maincriteria = FeedbackMainCri::create([
            'main_criteria' => $request->main_criteria,
            'fdbktyp_id' => $request->fdbktyp_id,
        ]); 
        if($maincriteria){
            $msg_array = array('message'=>' Feedback Criteria Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Feedback Criteria Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('feedbkcrit.main')->with($msg_array); 
    }  
        
    public function fdmaincriteria_saves(Request $request){
        $validated = $request->validate([
            'fdbkmainc_id' => 'required',
            'sub_criteria' => 'required',
        ]);
        $subcriteria = FeedbackSubCri::create([
            'fdbkmainc_id' => $request->fdbkmainc_id,
            'sub_criteria' => $request->sub_criteria,
        ]); 
        if($subcriteria){
            $msg_array = array('message'=>' Feedback Subcriteria Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Feedback Subcriteria Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('feedbkcrit.sub')->with($msg_array); 
    }  
        
    public function fdsubcriteria_edit($mid){
        $sub = FeedbackSubCri::where('fdbksubc_id',decrypt($mid))->first();
        $main=FeedbackMainCri::all();
        return view('staff.fdsubcriteria_edit',compact('sub','main'));
    }
        
    public function fdsubcriteria_update(Request $request){
        $subcriteria_id = decrypt($request->fdbksubc_id);
        $validated = $request->validate([
            'sub_criteria' => 'required|unique:feeback_subcriteria,sub_criteria,'.$subcriteria_id.',fdbksubc_id',
        ]);
        $sub = FeedbackSubCri::find($subcriteria_id);
        $sub->update([
            'fdbkmainc_id' => $request->fdbkmainc_id,
            'sub_criteria' => $request->sub_criteria,
            
        ]);
        if($sub){
            $msg_array = array('message'=>'Allowance Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Allowance Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('feedbkcrit.sub')->with($msg_array);
    }      
        
    public function fdsubcriteria_delete($mid){
        $sub = FeedbackSubCri::find(decrypt($mid));
        if($sub){
            if($sub->count() > 0){
                $sub->delete();
                $msg_array = array('message'=>'Subcriteria Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Subcriteria Name Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('feedbkcrit.sub')->with($msg_array);
    }   
        
    public function fdmaincriteria_edit($msid){
        $main = FeedbackMainCri::where('fdbkmainc_id', decrypt($msid))->first(); 
        $fdbktyp = FeedbackType::all();
        return view('staff.fdmaincriteria_edit',compact('fdbktyp','main'));
    }
        
    public function fdmaincriteria_update(Request $request){
        $maincriteria_id = decrypt($request->fdbkmainc_id);
        $validated = $request->validate([
            'main_criteria' => 'required|unique:feedback_maincriteria,main_criteria,'.$maincriteria_id.',fdbkmainc_id',
        ]);
        $main = FeedbackMainCri::find($maincriteria_id);
        $main->update([
            'main_criteria' => $request->main_criteria,
            'fdbktyp_id' => $request->fdbktyp_id,
        ]);
        if($main){
            $msg_array = array('message'=>' Criteria Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Criteria Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('feedbkcrit.main')->with($msg_array);
    }      
        
    public function fdmaincriteria_delete($msid){
        $main = FeedbackMainCri::find(decrypt($msid));
        if($main){
            $main->feedbackSubcriteria()->delete(); 
            $main->delete();
            $msg_array = array('message' => 'Criteria Deleted Successfully!', 'alert-type' => 'success');
        }else{
            $msg_array = array('message' => 'Criteria Could not be Deleted!', 'alert-type' => 'error');
        }
        return redirect()->route('feedbkcrit.main')->with($msg_array);
    }   
        
    public function staffattendance(){
       $stafftype=Stafftype::all();
       $staffdesignation=UserType::all();
       return view('staff.staffattendance',compact('stafftype','staffdesignation')); 
    }
    
    public function staffattendance_get(Request $request){
        $stafftype=Stafftype::find($request->tid);
        $staffdesig=UserType::find($request->did);
        $month=$request->input('month');
        $staff=User::where('staftyp_id',$request->tid)->where('type_id',$request->did)->get();
        $staffleavset=Staffleaveset::all();
        // $staffleavset=Staffleaveset::join('staff_leave_type_new','staff_leave_type_new.leav_id','=','staff_leave_setting.leav_id')
        // ->
        $staffleav=Staffleavtype::where('staftyp_id',$request->tid)->where('type_id',$request->did)->get();
        $year = date('Y', strtotime($month));
        $month = date('m', strtotime($month));
        $startOfMonth = \Carbon\Carbon::create($year, $month, 1);
        $daysInMonth = $startOfMonth->daysInMonth;
        $dates = [];
        for ($i = 1; $i <= $daysInMonth; ++$i) {
            $dates[] = $startOfMonth->copy()->day($i)->format('Y-m-d');
        }
        $absences = StaffAttendance::whereMonth('date',$month)
        ->whereYear('date',$year)
        ->get()
        ->groupBy('user_id');                               
          
        $attendanceStatus = [];
        foreach ($absences as $userId => $attendances) {
            foreach ($attendances as $attendance) {
                $attendanceStatus[$userId][$attendance->date] = [
                    'am' => $attendance->am,
                    'pm' => $attendance->pm,
                    'leav_id'=>$attendance->leav_id,
                ];
            }
        }
        $leaveNames=StaffLeaveSet::all();
       $acholiday=AcHoliday::where('staff','1')->get();
        return view('staff.staffattendance_get',compact('acholiday','leaveNames','stafftype','staffdesig','month','staff','staffleavset','staffleav','absences','attendanceStatus','dates'));
    }
        
    public function staffattendance_save(Request $request){
        $data = $request->all();
        $ac_id = getAcyear();
      
        if (!isset($data['attendance']) || !is_array($data['attendance'])) {
            return redirect()->back()->withErrors('Invalid attendance data.');
        }
            
        $staffIds = $data['staff_id'];
        $dates = $data['attendance'];
        $stafftype = $data['staftyp_id']; 
        $staffdesignation = $data['type_id'];
        foreach ($staffIds as $staffId){
            if(isset($dates[$staffId])){
                foreach ($dates[$staffId] as $date => $status){
                    $existingattendance=StaffAttendance::where('user_id',$staffId)->where('date',$status)->first();
                    if(!$existingattendance){
                        $attendance = new StaffAttendance();
                        $attendance->user_id = $staffId;
                        $attendance->ac_id = $ac_id;
                        $attendance->date = $status;
                        $attendance->month = \Carbon\Carbon::parse($status)->format('m');
                        $attendance->year = \Carbon\Carbon::parse($status)->format('Y');
                        $attendance->staftyp_id = $stafftype;
                        $attendance->type_id = $staffdesignation;
                        $attendance->save(); 
                    }
                }
            }
        }
        return redirect()->route('staff.attendance')->with('success', 'Attendance saved successfully');
    }
        
    public function staffattendance_report(){
        $staffAttendance=StaffAttendance::all();
        $stafftype=Stafftype::all();
        $staffdesignation=UserType::all();
        return view('staff.staffattendance_report',compact('staffAttendance','stafftype','staffdesignation'));
    }
        
    public function staffattendance_report_get(Request $request){
        $stafftype=Stafftype::find($request->tid);
        $desig=UserType::find($request->did);
        $fdate=$request->input('fdate');
        $tdate=$request->input('tdate');
        $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id = $currentAcyear->ac_id;
        $staffs=User::where('type_id',$request->did)->where('staftyp_id',$request->tid)->get();
        $staffAttendance = StaffAttendance::where('type_id', $request->did)
                            ->where('staftyp_id', $request->tid)
                            ->whereBetween('date', [$fdate, $tdate])
                            ->get()
                            ->groupBy('user_id');
        $attendanceSummary = [];
        $markedDays = StaffAttendance::where('type_id', $request->did)
                        ->where('staftyp_id', $request->tid)
                        ->whereBetween('date', [$fdate, $tdate])
                        ->distinct('date')
                        ->count('date');
        $attendanceSummary = [];
            
        foreach ($staffs as $staff) {
            $presentDays = 0;
            $totalDays = 0;
            if(isset($staffAttendance[$staff->user_id])){
                $totalDays = count($staffAttendance[$staff->user_id]);
                foreach ($staffAttendance[$staff->user_id] as $attendance) {
                    if ($attendance->am == 0 && $attendance->pm == 0) {
                        $presentDays++;
                    }
                }
            }
            $absentDays = $totalDays - $presentDays;
            $attendancePercentage = $totalDays > 0 ? ($presentDays / $totalDays) * 100 : 0;
            $attendanceSummary[] = [
                'staff_name' => $staff->name,
                'emid' => $staff->employee_id_num,
                'present_days' => $presentDays,
                'absent_days' => $absentDays,  
                'attendance_percentage' => round($attendancePercentage, 2)
            ];
        }
        return view('staff.staffattendance_report_get',compact('stafftype','desig','fdate','tdate','attendanceSummary','markedDays'));
    }
        
public function staffattendance_report_print($type_id,$staftyp_id,$fdate,$tdate)
{
  $ins_det = instituteDetails();   
   
  $stafftype = Stafftype::find($staftyp_id);
 
  $desig=UserType::find($type_id);
  
    $staffs=User::where('type_id',$type_id)->where('staftyp_id',$staftyp_id)->get();
  
    $staffAttendance = StaffAttendance::where('type_id',$type_id)
                                          ->where('staftyp_id',$staftyp_id)
                                          ->whereBetween('date', [$fdate, $tdate])
                                          ->get()
                                     ->groupBy('user_id');
      
    $attendanceSummary = [];

$markedDays = StaffAttendance::where('type_id',$type_id)
                                   ->where('staftyp_id',$staftyp_id)
                                   ->whereBetween('date', [$fdate, $tdate])
                                   ->distinct('date')
                                   ->count('date');
                             
    foreach ($staffs as $staff) {
        $presentDays = 0;

        if (isset($staffAttendance[$staff->user_id])) {
            foreach ($staffAttendance[$staff->user_id] as $attendance) {
                if ($attendance->am == 0 && $attendance->pm == 0) {
                    $presentDays++;
                }
            }
        }
  $attendancePercentage = $markedDays > 0 ? ($presentDays / $markedDays) * 100 : 0;
  

        $attendanceSummary[] = [
            'staff_name' => $staff->name,
            'emid' => $staff->employee_id_num,
            'present_days' => $presentDays,
             'attendance_percentage' => round($attendancePercentage, 2)
        ];
    }

 
   return view('staff.staffattendance_report_print',compact('stafftype','desig','fdate','tdate','attendanceSummary','markedDays','ins_det'));
       
}












public function staff_absent(Request $request)
{
      $am = 0;
    $pm = 0;

  $ac_id = getAcyear();
    $amChecked = $request->amChecked; 
    $pmChecked = $request->pmChecked;
    $staffId = $request->staffId;
    $absentDate = $request->date;
    $staffName = $request->staff_name;
    $reason = $request->reason;
    $leaveType = $request->leaveType;
    $stafftype = $request->stafftype; 
    $staffdesignation = $request->desig;

  
    $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $cur_acyear->ac_id;

   
    $absentmarked = StaffAttendance::where('user_id', $staffId)
        ->where('staftyp_id', $stafftype)
        ->where('type_id', $staffdesignation)
        ->where('leav_id', $leaveType)
        ->where('date', $absentDate)
        ->exists();

    if (!$absentmarked) {
     
        if ($leaveType == 1 || $leaveType == 3 || $leaveType == 5) {
          
            if ($amChecked && $pmChecked) {
                $am = 1;
                $pm = 1;
            } elseif ($amChecked) {
              
                $am = 1;
                $pm = 0;
            } elseif ($pmChecked) {
               
                $am = 0;
                $pm = 1;
            } else {
              
                $am = 0;
                $pm = 0;
            }
        } elseif ($leaveType == 2) {
            $am = 0;
            $pm = 0;
        } else {
            $am = 0;
            $pm = 0;
        }

        $attendance = new StaffAttendance();
        $attendance->user_id = $staffId;
        $attendance->ac_id= $ac_id;
        $attendance->leav_id = $leaveType;
        $attendance->date = $absentDate;
        $attendance->month = \Carbon\Carbon::parse($absentDate)->format('m');
        $attendance->year = \Carbon\Carbon::parse($absentDate)->format('Y');
        $attendance->am = $am;
        $attendance->pm = $pm;
        $attendance->reason = $reason;
        $attendance->staftyp_id = $stafftype;
        $attendance->type_id = $staffdesignation;

        $attendance->save();

        return redirect()->back()->with('success', 'Absent details saved successfully.');
    } else {
        return redirect()->back()->with('error', 'Attendance has already been marked for this date.');
    }
}

public function staff_leave_request()
{
    
    $staffleavreport=StaffLeaveRequest::all();
    $userId = Auth::id();
    $userType=User::where('user_id',$userId)->where('type_id',17)->get();
  
    // $userType=UserType::where('type_id','17')->get();
    $superadmin=User::where('type_id','1')->get();
    $admin=User::where('type_id','2')->get();
    $principal=User::join('user_types','user_types.type_id','=','users.type_id')->where('users.type_id','13')->get();
    $course = DB::table('classteacher')
    ->where('user_id', $userId)
    ->select('course_id')
    ->first();
$hodDetails = [];
if ($course) {
  
    $deptCourse = DB::table('department_course')
        ->where('course_id', $course->course_id)
        ->select('dept_id')
        ->first();

    if ($deptCourse) {
      
        $hod = DB::table('section_head')
            ->where('id', $deptCourse->dept_id)
            ->first();

        if ($hod) {
        
            $hodDetails = DB::table('users')
                ->where('user_id', $hod->user_id)
                ->first();

           
           
        } else {
         
            return null; 
        }
    } else {
       
        return null; 
    }
}
    $staffleaveset=Staffleaveset::all();
          $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $leaveOptions = [];
     foreach ($staffleaveset as $leave) {
      
        $usedLeaveCount = StaffAttendance::where('user_id', $userId)
            ->where('leav_id', $leave->leav_id)
            ->where('ac_id',$ac_id )
            ->count();

        
        $maxAllowedLeave = Staffleavtype::where('leav_id', $leave->leav_id)->
        where('ac_id',$ac_id)->
        value('max_allwdleav');

      
        if ($usedLeaveCount <= $maxAllowedLeave) {
          
            $leaveOptions[] = [
                'leav_id' => $leave->leav_id,
                'leave_name' => $leave->leave_name
            ];
        }
    }

    
    
    return view('staff.staff_leave_request',compact('leaveOptions','principal','staffleavreport','staffleaveset','hodDetails','userType','superadmin','admin'));
}


public function staff_leave_request_save(Request $request)
{
      $validated = $request->validate([
            'lfrom' => 'required',
            'luntil' => 'required',
            'leav_id'=>'required',
            'reason'=>'required',
            // 'request_to'=>'required',
          
        ]);
        
$lfrom=$request->lfrom;
$luntil=$request->luntil;
$leav_id=$request->leav_id;
$current_date = date('Y-m-d');
$reason=$request->reason;
$fulltime = $request->has('fulltime') ? true : false;
$userId = Auth::id();
$user=User::find($userId);
$staff_type=$user->staftyp_id;
$type_id=$user->type_id;
$staff_id=User::join('user_types','users.type_id','=','user_types.type_id')->join('staff_leave_type_new','user_types.type_id','=','staff_leave_type_new.type_id')->where('users.user_id',$userId)->first();
    
$staff_id=User::join('user_types','users.type_id','=','user_types.type_id')->where('users.user_id',$userId)->first();






  $request_to = null;

    if (Auth::user()->type_id == 12) { 
       
        $course = DB::table('classteacher')->where('user_id', $userId)->select('course_id')->first();
        $hodDetails = null;

        if ($course) {
            $deptCourse = DB::table('department_course')
                ->where('course_id', $course->course_id)
                ->select('dept_id')
                ->first();

            if ($deptCourse) {
                $hod = DB::table('section_head')->where('id', $deptCourse->dept_id)->first();
                if ($hod) {
                    $hodDetails = DB::table('users')->where('user_id', $hod->user_id)->first();
                    $request_to = $hodDetails->user_id;
                }
            }
        }
    } elseif (Auth::user()->type_id == 17) { 
        
        $princi = User::where('type_id', 13)->first(); 
        $request_to = $princi->user_id;
    } else {
        $princi = User::where('type_id', 13)->first(); 
        $request_to = $princi->user_id;
    }
      $fulltime_value = $this->calculateFullTime($request);
    
    

 
   $stafflvrequest = StaffLeaveRequest::create([
        'lfrom' => $lfrom,
        'luntil' => $luntil,
        'staftyp_id'=>$staff_type,
        'type_id'=>$type_id,
        'applied_on' => $current_date,
        'user_id' => $userId,
        'leav_id' => $leav_id,
        'reason' => $reason,
        'status' => '0',
        'fulltime' => $fulltime_value,
        'request_to' => $request_to,
    ]);

    if ($stafflvrequest) {
        $msg_array = array('message' => 'Leave Request Submitted Successfully!', 'alert-type' => 'success');
    } else {
        $msg_array = array('message' => 'Leave Request Could not be submitted!', 'alert-type' => 'error');
    }

    return redirect()->route('staff.leave.request')->with($msg_array);
 
 

}
private function calculateFullTime($request)
{
    $fulltime = $request->has('fulltime') ? true : false;
    $first_half = $request->input('first_half');
    $second_half = $request->input('second_half');
    
    if ($fulltime) {
        if ($first_half && !$second_half) {
            return 0; 
        } elseif (!$first_half && $second_half) {
            return 1; 
        } elseif ($first_half && $second_half) {
            return 2; 
        } else {
            return 2; 
        }
    }
    return 2;
}
public function staff_leave_status()
{
    
    $staffleaverequest=StaffLeaveRequest::where('status','0')->get();
    return view('staff.staff_leave_status',compact('staffleaverequest'));
}





public function staff_leave_request_get(Request $request)
{
     $user_id = $request->input('user_id');
   
    $leaveTypes = StaffLeaveBalance::where('user_id', $user_id)
                                  ->where('leave_count', '>', 0)
                                  ->join('staff_leave_type_new', 'staff_leave_balance.leavtyp_id', '=', 'staff_leave_type_new.leavtyp_id')
                                  ->get(['staff_leave_type_new.leavtyp_id as leavtyp_id', 'staff_leave_type_new.leav_id', 'staff_leave_balance.leave_count']);
    
    return response()->json($leaveTypes);
}

public function staff_leave_status_pending($stfleavereq_id)
{
    $stflvrqst_user=StaffLeaveRequest::join('users','staff_leave_request.user_id','=','users.user_id')->where('staff_leave_request.stfleavereq_id',$stfleavereq_id)->select('users.name','users.user_id','users.employee_id_num','users.mobile','users.father_guardian','staff_leave_request.*')->first();
    $stflvrqst=StaffLeaveRequest::where('stfleavereq_id',$stfleavereq_id)->first();
    $user=User::whereIn('user_id',[2,1])->get();
    return view('staff.staff_leave_status_pending',compact('stflvrqst_user','stflvrqst','user'));
    
}
public function staff_leave_status_approve($stfleavereq_id)
{
  $request = StaffLeaveRequest::find($stfleavereq_id);

        
        if ($request) {
          
            $request->status = 1;
            $request->save();
            return redirect()->back()->with('success', 'Request Approved successfully.');
        } 
    
    
}



public function staff_leave_status_reject($stfleavereq_id)
{
 
    $request = StaffLeaveRequest::find($stfleavereq_id);

        if ($request) {
            $request->status = 2;
            $request->save();
            
          
            return redirect()->back()->with('success', 'Request rejected successfully.');
        }
}


public function staff_request_forward(Request $request,$stfleavereq_id)
{
    $requestData = $request->all();
    $current_date = date('Y-m-d');
    $userId = Auth::id();
    $user_id=$request->user_id;
    
    $exist=LeaveForward::where('stfleavereq_id',$stfleavereq_id)->exists();
 if ($exist) {
      
        return redirect()->back()->with('error', 'Leave has already been forwarded.');
    }
        LeaveForward::create([
            'stfleavereq_id' => $stfleavereq_id,
            'forwarded_to' => $request->user_id,
           'applied_by'=>$request->applied_by,
            'forwarded_by'=>$userId,
            'date'=>$current_date,
            'status'=>'0',
        ]);

        return redirect()->back()->with('success', 'Request forwarded successfully.');
    
     

}




public function staff_get_maxleave($leav_id)
{
    $userId = Auth::id();
    // $staffleavetype=User::join('user_types','users.type_id','=','user_types.type_id')->join('staff_leave_type_new','user_types.type_id','=','staff_leave_type_new.type_id')->where('users.userd_id',$userId)->where('staff_leave_type_new.leav_id',$leav_id)->get();
    // return json_encode($staffleavetype);
}

public function staff_summary()
{
    $userId = Auth::id();
    // $staffleavreport=StaffLeaveRequest::where('user_id',$userId)->get();
    //   $stafffwrdapprove=LeaveForward::join('staff_leave_request','staff_leave_request.stfleavereq_id','=','staff_leave_forwardto.stfleavereq_id')->select('staff_leave_request.reason','staff_leave_request.applied_on','staff_leave_request.lfrom','staff_leave_request.luntil','staff_leave_forwardto.*','staff_leave_request as rstatus','staff_leave_forwardto.status as fstatus')->where('staff_leave_forwardto.applied_by',$userId)->get();
$user=User::find($userId);
    $stafftype_id=$user->staftyp_id;
    $type_id=$user->type_id;

$stafffwrdapprove = LeaveForward::join('staff_leave_request', 'staff_leave_request.stfleavereq_id', '=', 'staff_leave_forwardto.stfleavereq_id')
      ->join('users as frwduser', 'frwduser.user_id', '=', 'staff_leave_forwardto.forwarded_to')
    ->join('users as reqstuser', 'reqstuser.user_id', '=', 'staff_leave_request.request_to')

    ->where('staff_leave_forwardto.applied_by', $userId)
      ->where('staff_leave_request.staftyp_id', $stafftype_id)
        ->where('staff_leave_request.type_id', $type_id)
    ->select(
        'staff_leave_request.reason',
        'staff_leave_request.applied_on',
        'staff_leave_request.lfrom',
        'staff_leave_request.luntil',
        'staff_leave_forwardto.*',
        'staff_leave_request.status as rstatus', 
        'staff_leave_forwardto.status as fstatus' ,
        'frwduser.name as approver_name',
          'reqstuser.name as req_name',
        'staff_leave_forwardto.status as approver_status' ,
         'staff_leave_request.status as request_status'
    )
   
    ->get();
    



    
    return view('staff.staff_summary',compact('stafffwrdapprove'));
}

public function staff_pending()
{
    $userId = Auth::id();
    $staffleavreport=StaffLeaveRequest::where('request_to',$userId)->get();
     $user=User::where('type_id',13)->first();
     $users=User::where('type_id',1)->first();
     $staffforward=LeaveForward::where('forwarded_to',$userId)->get();
    return view('staff.staff_pending',compact('staffleavreport','userId','user','staffforward','users'));
}
public function staff_approve()
{
    $staffleavreport=StaffLeaveRequest::where('status','1')->get();
   
   $userId = Auth::id();
   $stafffwrdapprove=LeaveForward::join('staff_leave_request','staff_leave_request.stfleavereq_id','=','staff_leave_forwardto.stfleavereq_id')->select('staff_leave_request.reason','staff_leave_request.applied_on','staff_leave_request.lfrom','staff_leave_request.luntil','staff_leave_forwardto.*')->where('staff_leave_forwardto.status','1')->get();
    return view('staff.staff_approve',compact('staffleavreport','stafffwrdapprove','userId'));
}
public function staff_reject()
{
    $staffleavreport=StaffLeaveRequest::where('status','2')->get();
      $stafffwrdapprove=LeaveForward::join('staff_leave_request','staff_leave_request.stfleavereq_id','=','staff_leave_forwardto.stfleavereq_id')->select('staff_leave_request.reason','staff_leave_request.applied_on','staff_leave_request.lfrom','staff_leave_request.luntil','staff_leave_forwardto.*')->where('staff_leave_forwardto.status','2')->get();

    return view('staff.staff_reject',compact('staffleavreport','stafffwrdapprove'));
}

public function staff_forward()
{
    // $staffforward=StaffLeaveRequest::where('status','3')->get();
   $staffforward=StaffLeaveRequest::join('staff_leave_forwardto','staff_leave_request.stfleavereq_id','=','staff_leave_forwardto.stfleavereq_id')->where('staff_leave_forwardto.status','0')->get();
   
    return view('staff.staff_forward',compact('staffforward'));
}

public function staffattendance_report_yearly()
{
    $staffAttendance=StaffAttendance::all();
    $stafftype=Stafftype::all();
    $staffdesignation=UserType::all();
    return view('staff.staffattendance_report_yearly',compact('staffAttendance','stafftype','staffdesignation'));
}

public function staffattendance_report_yearly_get(Request $request)
{
    
    
    $stafftype = Stafftype::find($request->tid);
    $desig = UserType::find($request->did);
    $year = $request->input('year');

    $staffs = User::where('type_id', $request->did)
                  ->where('staftyp_id', $request->tid)
                  ->get();

    $staffAttendance = StaffAttendance::where('type_id', $request->did)
                                      ->where('staftyp_id', $request->tid)
                                      ->where('year', $year)
                                      ->get()
                                      ->groupBy(['user_id', 'month']); // Group by user_id and month

    $attendanceSummary = [];
    $totalMonthlyAttendance = array_fill(1, 12, ['present' => 0, 'total' => 0]);

    foreach ($staffs as $staff) {
        $monthlyAttendance = [];
        $totalPresentDays = 0;
        $totalDays = 0;

        // Retrieve attendance records for the staff member
        if (isset($staffAttendance[$staff->user_id])) {
            $monthlyData = $staffAttendance[$staff->user_id];

            foreach ($monthlyData as $month => $records) {
                if (!isset($monthlyAttendance[$month])) {
                    $monthlyAttendance[$month] = ['present' => 0, 'total' => 0];
                }

                // Iterate over each record to count present and total days
                foreach ($records as $attendance) {
                    $monthlyAttendance[$month]['total']++;
                    $totalDays++;

                    if ($attendance->am == 0 && $attendance->pm == 0) {
                        $monthlyAttendance[$month]['present']++;
                        $totalPresentDays++;
                    }

                    // Accumulate totals for each month
                    $totalMonthlyAttendance[$month]['total']++;
                    if ($attendance->am == 0 && $attendance->pm == 0) {
                        $totalMonthlyAttendance[$month]['present']++;
                    }
                }
            }
        }

        // Calculate total attendance percentage for the staff member
        $totalAttendancePercentage = $totalDays > 0 ? ($totalPresentDays / $totalDays) * 100 : 0;

        $monthlySummary = [];
        for ($month = 1; $month <= 12; $month++) {
            $presentDays = isset($monthlyAttendance[$month]) ? $monthlyAttendance[$month]['present'] : 0;
            $totalDays = isset($monthlyAttendance[$month]) ? $monthlyAttendance[$month]['total'] : 0;

            $attendancePercentage = $totalDays > 0 ? ($presentDays / $totalDays) * 100 : 0;

            $monthlySummary[$month] = [
                'present_days' => $presentDays,
                'total_days' => $totalDays,
                'attendance_percentage' => round($attendancePercentage, 2)
            ];
        }

        $attendanceSummary[] = [
            'staff_name' => $staff->name,
            'emid' => $staff->employee_id_num,
            'monthly_summary' => $monthlySummary,
            'total_percentage' => round($totalAttendancePercentage, 2) // Add total percentage here
        ];
    }

    // Calculate total percentage for each month
    $totalMonthlySummary = [];
    for ($month = 1; $month <= 12; $month++) {
        $presentDays = $totalMonthlyAttendance[$month]['present'];
        $totalDays = $totalMonthlyAttendance[$month]['total'];

        $attendancePercentage = $totalDays > 0 ? ($presentDays / $totalDays) * 100 : 0;

        $totalMonthlySummary[$month] = [
            'present_days' => $presentDays,
            'total_days' => $totalDays,
            'attendance_percentage' => round($attendancePercentage, 2)
        ];
    }

    return view('staff.staffattendance_report_yearly_get', compact('stafftype', 'desig', 'year', 'attendanceSummary', 'totalMonthlySummary'));
}

    
 public function course_change()
 {
     $acyear=Acyear::all();
     $course=Course::all();
     $sem=Semester::all();
     return view('staff.course_change',compact('acyear','course','sem'));
 }


    
 public function sectionhead()
 {
     $department=Department::all();
     $user=User::where('type_id',12)->get();
     $acyears=Acyear::all();
     $HOD=HOD::all();
     return view('staff.sectionhead',compact('department','user','acyears','HOD'));
 }
    
    public function sectionhead_save(Request $request)
    {
         $validated = $request->validate([
            'ac_id' => 'required',
            'dept_id' => 'required',
             'user_id' => 'required',
        ]);
        $ac_id=$request->ac_id;
        $dept=$request->dept_id;
        $user_id=$request->user_id;
        $hod=HOD::create([
            'id'=>$dept,
            'user_id'=>$user_id,
            'ac_id'=>$ac_id,
            ]);
            
            return redirect()->route('sectionhead')->with('message','HOD set successfully!');
        
        
        
    }

public function sectionhead_delete($hod_id)
{
    $hod_id=HOD::find(decrypt($hod_id));
            if($hod_id){
            if($hod_id->count() > 0){
                $hod_id->delete();
                $msg_array = array('message'=>'HOD deleted successfully!','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'HOD could not be deleted. Please try again!','alert-type'=>'error');
            }
        }
        
        return redirect()->route('sectionhead')->with($msg_array);

}
public function subject_jax(Request $request)
{
   $col_order = ['subject_name','subject_code','subject_type','course_name','semester_name']; 
   $total_data = Subject::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
         $query=Subject::join('subject_type','subjects.subject_categ','=','subject_type.subtyp_id')->
         join('courses','subjects.course_id','=','courses.course_id')->
         join('semesters','subjects.semester_id','=','semesters.semester_id');
         
                             if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('subjects.subject_name','like','%'.$search.'%')->
                            orWhere('subjects.subject_code','like','%'.$search.'%')->
                            orWhere('subjects.subject_type','like','%'.$search.'%');
                        });
                    }
 $total_filtered = $query->count();
  $subjects  =   $query->select('subjects.*','courses.course_name','semesters.semester_name','subject_type.subject_type')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
                    $data = array();
                    
                    
                            if($subjects){
            foreach($subjects as $subject){
                $row['subject'] = $subject->subject_name;
                $row['subjectcode'] = $subject->subject_code;
                $row['category'] = $subject->subject_type;
                $row['course'] = $subject->course_name;
                $row['semester'] = $subject->semester_name;
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
  $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
                    
                
         
}


public function staff_leave_forward_pending($stfleavfrwd)
{
    
      $user=User::where('type_id',13)->first();
    $stflvfrwrd_user=LeaveForward::join('users','staff_leave_forwardto.applied_by','=','users.user_id')->join('staff_leave_request','staff_leave_request.stfleavereq_id','=','staff_leave_forwardto.stfleavereq_id')->where('staff_leave_forwardto.stfleavfrwd',$stfleavfrwd)->select('users.name','users.user_id','users.employee_id_num','users.mobile','users.father_guardian','staff_leave_request.applied_on','staff_leave_request.reason','staff_leave_request.lfrom','staff_leave_request.luntil','staff_leave_forwardto.*')->first();
   
   
    // $stflvrqst=StaffLeaveRequest::where('stfleavereq_id',$stfleavereq_id)->first();
    // $user=User::whereIn('user_id',[2,1])->get();
    return view('staff.staff_leave_forward_pending',compact('stflvfrwrd_user','user'));
    
}

public function staff_leave_forward_approve($stfleavfrwd)
{
     $request = LeaveForward::where('stfleavfrwd',$stfleavfrwd)->first();

        
        if ($request) {
          
            $request->status = 1;
            $request->save();
            return redirect()->back()->with('success', 'Request Approved successfully.');
        } 
    
}

public function staff_leave_forward_reject($stfleavfrwd)
{
     $request = LeaveForward::where('stfleavfrwd',$stfleavfrwd)->first();

        
        if ($request) {
          
            $request->status = 2;
            $request->save();
            return redirect()->back()->with('success', 'Request Approved successfully.');
        } 
    
}
public function studentreq()
{
    $userId=Auth::id();
    $request=StudentLeaveRequest::where('user_id',$userId)->where('status','0')->get();
    return view('staff.studentreq',compact('request'));
}
public function studentreq_rply($id)
{
    $request=StudentLeaveRequest::find($id);
    return view('staff.studentreq_rply',compact('request'));
    
}
public function studentreq_rply_approve($id)
{
    $request=StudentLeaveRequest::find($id);
      if ($request) {
          
            $request->status = 1;
            $request->save();
            return redirect()->back()->with('success', 'Request Approved successfully.');
        } 
}
public function studentreq_rply_reject($id)
{
    $request=StudentLeaveRequest::find($id);
      if ($request) {
          
            $request->status = 2;
            $request->save();
            return redirect()->back()->with('success', 'Request Approved successfully.');
        } 
}

// public function staffattendance_fetch_leave(Request $request)
// {
//     $staffId = $request->input('staff_id');

//     $leaveData = Staffleaveset::join('staff_leave_type_new', 'staff_leave_type_new.leav_id', '=', 'staff_leave_setting.leav_id')
//         ->leftJoin('staff_attendance', 'staff_attendance.leav_id', '=', 'staff_leave_type_new.leav_id')
//         ->where('staff_attendance.user_id', $staffId)  
//         ->select(
//             'staff_leave_type_new.leav_id',  
//             'staff_leave_setting.leave_name',  
//             'staff_leave_type_new.max_allwdleav', 
//             \DB::raw('SUM(
//                 CASE
//                     WHEN staff_attendance.am = 1 AND staff_attendance.pm = 1 THEN 1  -- Full day leave
//                     WHEN staff_attendance.am = 1 OR staff_attendance.pm = 1 THEN 0.5  -- Half day leave
//                     ELSE 0
//                 END
//             ) as used_leave') 
//         )
//         ->groupBy('staff_leave_type_new.leav_id', 'staff_leave_setting.leave_name', 'staff_leave_type_new.max_allwdleav')  // Group by necessary columns
//         ->get();
//         print_r($leaveData);
//         die;
//  \Log::debug('Leave data:', ['data' => $leaveData]);
  
//     foreach ($leaveData as $leave) {
//         $leave->remaining_leave = $leave->max_allwdleav - $leave->used_leave;

       
//         if ($leave->remaining_leave < 0) {
//             $leave->remaining_leave = 0;
//         }
//     }

   
//     return response()->json(['leave_data' => $leaveData]);
// }

 public function updateAbsentToPresent(Request $request)
   {
    //   dd($request->all());

    $am = 0;  
    $pm = 0;
     $cur_acyear = Acyear::where('default1', 1)->whereNull('deleted_at')->first();
    $ac_id = $cur_acyear->ac_id;
    $stafftype=$request->stafftype;
    $desig=$request->desig;
    
    
    $user=$request->staffId;
     $absentDate =$request->absentDate;
    $attendance = StaffAttendance::where('staftyp_id', $stafftype)
        ->where('type_id', $desig)
        ->where('user_id', $user)
        ->where('date', $absentDate)
        ->first();
        
            if ($attendance) {
     
        $attendance->am = $am;  
        $attendance->pm = $pm;  
        $attendance->leav_id = null;
        $attendance->reason=null;
        $attendance->save();

         
    } 

    return redirect()->back()->with('success', 'Attendance marked as present successfully.');
    
 
          
}


public function staffattendance_load_leave(Request $request)
{
     
    $user_id = $request->input('staff_id');
    
    $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
    $leaveNames = StaffLeaveSet::all();

   
    $leaveOptions = [];

   
    foreach ($leaveNames as $leave) {
      
        $usedLeaveCount = StaffAttendance::where('user_id', $user_id)
            ->where('leav_id', $leave->leav_id)
            ->where('ac_id',$ac_id )
            ->count();

        
        $maxAllowedLeave = Staffleavtype::where('leav_id', $leave->leav_id)->
        where('ac_id',$ac_id)->
        value('max_allwdleav');

      
        if ($usedLeaveCount <= $maxAllowedLeave) {
          
            $leaveOptions[] = [
                'leav_id' => $leave->leav_id,
                'leave_name' => $leave->leave_name
            ];
        }
    }

    
    return response()->json([
        'leaveOptions' => $leaveOptions
    ]);
}
// public function staff_lv_count()
// {
//       $userId = Auth::id();
//      $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
//     $ac_id = $currentAcyear->ac_id;
    
//  $leaveNames = StaffLeaveSet::all();

   
//     $leaveOptions = [];

   
//     foreach ($leaveNames as $leave) {
      
//         $usedLeaveCount = StaffAttendance::where('user_id', $user_id)
//             ->where('leav_id', $leave->leav_id)
//             ->where('ac_id',$ac_id )
//             ->count();

        
//         $maxAllowedLeave = Staffleavtype::where('leav_id', $leave->leav_id)->
//         where('ac_id',$ac_id)->
//         value('max_allwdleav');

      
//         if ($usedLeaveCount <= $maxAllowedLeave) {
          
//             $leaveOptions[] = [
//                 'leav_id' => $leave->leav_id,
//                 'leave_name' => $leave->leave_name
//             ];
//         }
//     }

    
//     return response()->json([
//         'leaveOptions' => $leaveOptions
//     ]);
// }

public function leaveblncreport()
{
       $stafftype=Stafftype::all();
       return view('staff.leaveblncreport',compact('stafftype'));
}
public function leavebalance_get(Request $request)
{
 $stafftype=$request->tid;
 $usertype=$request->did;
 $users=User::where('type_id',$usertype)->where('staftyp_id',$stafftype)->get();
 $staffleavedetting=Staffleaveset::all();
  $currentAcyear=Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id = $currentAcyear->ac_id;
  $leaveBalances = [];
  
     foreach ($users as $user) {
        $userLeaveBalance = [];
        $totalLeaveBalance = 0; 
        foreach ($staffleavedetting as $leaveSetting) {
            $leave_id = $leaveSetting->leav_id;
            $usedLeaveCount = StaffAttendance::where('user_id', $user->user_id)
                ->where('leav_id', $leave_id)
                ->where('ac_id', $ac_id)
                ->count(); 



           
          $maxAllowedLeave = Staffleavtype::where('leav_id', $leave_id)
                ->where('ac_id', $ac_id)
                ->value('max_allwdleav');  

            
            $remainingLeave = max(0, $maxAllowedLeave - $usedLeaveCount);
            $totalLeaveBalance += $remainingLeave;
           
            $userLeaveBalance[] = [
                'leave_code' => $leaveSetting->leave_code,
                'used_leave' => $usedLeaveCount,
                'max_leave' => $maxAllowedLeave,
                'remaining_leave' => $remainingLeave
            ];
        }
  $leaveBalances[] = [
            'staff_name' => $user->name, 
            'leave_balance' => $userLeaveBalance,
             'total_leave_balance' => $totalLeaveBalance
        ];
    }
 
 

 if(!$staffleavedetting)
 {
     $leave_names_count=0;
     
 }
 else
 {
  $leave_names_count=count($staffleavedetting);   
 }
 return view('staff.leavebalance_get',compact('totalLeaveBalance','leaveBalances','stafftype','usertype','staffleavedetting','users','leave_names_count'));

    
    
    
}

}
