<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Acyear;
use App\Models\Course;
use App\Models\Semester;
use App\Models\Subject;
use App\Models\Student;
use App\Models\Promote;
use App\Models\TcDetail;
use App\Models\MenuAccess;
use App\Models\acquotamodel;
use App\Models\Syllabus;
use App\Models\Enrolment;
use App\Models\Studentleavetype;
use App\Models\FeeCategory;
use Maatwebsite\Excel\Facades\Excel;
use App\Exports\StudentsExport;
use App\Models\Paymentmode;
use App\Models\Fee;
use App\Models\SubjectType; 
use App\Models\SemesterYear;
use App\Models\Religion;
use App\Models\FeeStructureType;
use App\Models\FeeStructure;
use App\Models\StudentAttendance;
use App\Models\SubCategory;
use App\Models\RollOutStudents;
use App\Models\FyugpStudSub;
use App\Models\SpecialClassAdd;
use App\Models\StaffSubject;
use App\Models\ObeCo;
use App\Models\FyugpExamSubject;
use App\Models\STUDFAMARKS;
use App\Models\STUDSAMARKS;


   
 use Illuminate\Support\Facades\Auth;
 use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Hash;
  
use Carbon\Carbon;
use Image;

use Illuminate\Support\Facades\DB;

class Students extends Controller
{
    public function add(){
        
        $acyears = Acyear::all();
        $courses = Course::all();
        $categories = FeeCategory::all();
        $acquota = acquotamodel::all();

        $student_max = Student::max('adno');
	    $adno = $student_max+1;
	    $prev_adm = Student::whereNull('deleted_at')->latest()->first();
	    $semesters = Semester::where('course_id',$prev_adm->course_id)->get();
	    $religion=Religion::all();
        $minorIsub =  Subject::where('course_id',$prev_adm->course_id)->where('semester_id',$prev_adm->semester_id)->where('subject_categ',2)->get();
        $minorIIsub =  Subject::where('course_id',$prev_adm->course_id)->where('semester_id',$prev_adm->semester_id)->where('subject_categ',3)->get();
        $mdcIsub =  Subject::where('course_id',$prev_adm->course_id)->where('semester_id',$prev_adm->semester_id)->where('subject_categ',4)->get();
        $aecIsub =  Subject::where('course_id',$prev_adm->course_id)->where('semester_id',$prev_adm->semester_id)->where('subject_categ',5)->get();
        $aecIIsub =  Subject::where('course_id',$prev_adm->course_id)->where('semester_id',$prev_adm->semester_id)->where('subject_categ',6)->get();
        return view('students.add',compact('acyears','courses','semesters','categories','adno','prev_adm','acquota','religion','minorIsub','minorIIsub','mdcIsub','aecIsub','aecIIsub'));
    }
    
    public function save(Request $request){
        
        $data = $request->except('_token','same');
        $validated = $request->validate([
            'name' => 'required',
            'gender' => 'required',
            'mobile' => 'required|numeric',
            'email' => 'nullable|email',
            'aadhar' => 'nullable|numeric',
            'dob' => 'required|date',
            'gmobile' => 'nullable|numeric',
            'fmobile' => 'nullable|numeric',
            'photo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'income' => 'nullable|numeric',
            'lastyear' => 'nullable|numeric',
            'sslc' => 'nullable|numeric',
            'plustwo' => 'nullable|numeric',
            'degree' => 'nullable|numeric',
            'adate' => 'required|date',
            'adno' => 'required|unique:students,adno,NULL,student_id,deleted_at,NULL',
            'ac_id' => 'required|numeric',
            'course_id' => 'required|numeric',
            'category_id' => 'required|numeric',
            'minorI' => 'nullable|numeric',  
            'minorII' => 'nullable|numeric', 
            'mdcI' => 'nullable|numeric',
            'aecI' => 'nullable|numeric',
            'aecII' => 'nullable|numeric',
        ]);
        
        $photo="student.png";
        if($request->hasFile('photo')){
            $ext = $request->photo->extension();
            $photo = 'photo_'.time().'.'.$ext;
            
            Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        }
        $data['photo'] = $photo;
        $data['password'] = bcrypt(date('dmY',strtotime($data['dob'])));
        
        $minorI = $data['minorI'] ?? null;
        $minorII = $data['minorII'] ?? null;
        $mdcI = $data['mdcI'] ?? null;
        $aecI = $data['aecI'] ?? null;
        $aecII = $data['aecII'] ?? null;
        unset($data['minorI']);
        unset($data['minorII']);
        unset($data['mdcI']);
        unset($data['aecI']);
        unset($data['aecII']);
        $student = Student::create($data);
        
        if($student){
            $promote = Promote::create([
                'student_id' => $student->student_id,
                'ac_id' => $student->ac_id,
                'course_id' => $student->course_id,
                'semester_id' => $student->semester_id,
                'category_id'=>$student->category_id,
            ]);
            
            if($minorI)
            {
             $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorI,
                        'sub_cat' =>2,
                        
                    ]);
            }  
            
             if($minorII)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $minorII,
                        'sub_cat' =>3,
                        
                    ]);
            }
            
             if($mdcI)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $mdcI,
                        'sub_cat' =>4,
                        
                    ]);
            }
            
             if($aecI)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $aecI,
                        'sub_cat' =>5,
                        
                    ]);
            }
            
             if($aecII)
            {
                     $minorIlist = FyugpStudSub::create([
                        'stud_id' => $student->student_id,
                        'acyear_id' => $student->ac_id,
                        'course' => $student->course_id,
                        'sem' => $student->semester_id,
                        'sub_id' => $aecII,
                        'sub_cat' =>6,
                        
                    ]);
            }
            
            $msg_array = array('message'=>'Student Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('student.add')->with($msg_array);
    }
    
    public function report(){
        return view('students.report');
    }
    
    public function report_ajax(Request $request){
        
        $col_order = ['adno','name','address','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;

        
        // $query  =   Student::join('courses','students.course_id','=','courses.course_id')->
        //             leftJoin('semesters','students.semester_id','=','semesters.semester_id');
        $query=Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)->
                    where('students.tcstatus','0');

                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like',$search.'%')->
                    orWhere('mobile','like','%'.$search.'%');
                    // orWhere('course_name','like','%'.$search.'%')->
                    // orWhere('semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $view=$edit=$delete=$tc=0;
        if(MenuAccess::have_access(56) == true){ $view=1; }
        if(MenuAccess::have_access(23) == true){ $edit=1; }
        if(MenuAccess::have_access(24) == true){ $delete=1; }
        if(MenuAccess::have_access(58) == true){ $tc=1; }
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = wordwrap($student->name, 20, "<br />\n");
                $row['address'] = wordwrap($student->paddress, 20, "<br />\n");
                $row['mobile'] = $student->mobile;
                $row['course'] = wordwrap($student->course_name, 20, "<br />\n");
                $row['semester'] = $student->semester_name;
                $tcst=$tccl='';
                if($student->tcstatus==0){ $tccl='badge-warning'; $tcst='Not Issued'; }
                $row['tcstatus'] = '<div class="badge '.$tccl.' p-1">'.$tcst.'</div>';
                $html="";
                if($student->tcstatus==0 && $tc==1){
                    $html .= '<a href="'.route('tc.generate',encrypt($student->student_id)).'" title="Generate TC"><i class="icon-sm icon-share-alt text-info"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($view==1){
                    $html .= '<a href="'.route('student.view',encrypt($student->student_id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($edit==1){
                    $html .= '<a href="'.route('student.edit',encrypt($student->student_id)).'" title="Edit"><i class="icon-sm icon-pencil text-success"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                if($delete==1){
                    $html .= '<a href="'.route('student.delete',encrypt($student->student_id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                }
                $row['action'] = $html;
                $st='';
                if($student->status==1){ $st='text-success'; }else if($student->status==0){ $st='text-warning'; }
                $row['status'] = '<i class="icon icon-check text-sm '.$st.'"></i>';
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }
    
    public function view($sid){
        
        $student = Student::find(decrypt($sid));
        
        return view('students.view',compact('student'));
    }
    
    public function edit($sid){
        
        $student = Student::find(decrypt($sid));
        $acyears = Acyear::all();
        $courses = Course::all();
        $semesters = Semester::where('course_id',$student->course_id)->get();
        $categories = FeeCategory::all();
        $religion=Religion::all(); 
        return view('students.edit',compact('student','acyears','courses','semesters','categories','religion'));
    }
    
    public function update(Request $request){
        
        $student_id = decrypt($request->student);
        $student_det = Student::find($student_id);
        
        $data = $request->except('_token','student','same');
        $validated = $request->validate([
            'name' => 'required',
            'gender' => 'required',
            'mobile' => 'required|numeric',
            'email' => 'nullable|email',
            'aadhar' => 'nullable|numeric',
            'dob' => 'required|date',
            'gmobile' => 'nullable|numeric',
            'photo' => 'nullable|max:5120|mimes:jpeg,png,jpg',
            'income' => 'nullable|numeric',
            'lastyear' => 'nullable|numeric',
            'sslc' => 'nullable|numeric',
            'plustwo' => 'nullable|numeric',
            'degree' => 'nullable|numeric',
            'adate' => 'required|date',
            'adno' => 'required|unique:students,adno,'.$student_id.',student_id,deleted_at,NULL',
            'ac_id' => 'required|numeric',
            'course_id' => 'required|numeric',
            'category_id' => 'required|numeric',
        ]);
        
        $photo="student.png";
        if($student_det->photo){ $photo=$student_det->photo; }
        if($request->hasFile('photo')){
            $ext = $request->photo->extension();
            $photo = 'photo_'.time().'.'.$ext;
            
            Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        }
        $data['photo'] = $photo;
        $data['password'] = bcrypt(date('dmY',strtotime($data['dob'])));
        
        $student = Student::find($student_id);
        $student->update($data);
        
        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('student')->with($msg_array);
    }
    
    public function delete($student_id){
        
        $student = Student::find(decrypt($student_id))->delete();
        if($student){
            $msg_array = array('message'=>'Student Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('student')->with($msg_array);
    }
    
    public function promote(){
        
        $courses = Course::all();
        
        return view('students.promote',compact('courses'));
    }
    
    public function get_promote(Request $request){
        
        $validated = $request->validate([
                'course_id' => 'required',
                'semester_id' => 'required',
            ]);
            
        $course_id = $request->course_id;
        $semester_id = $request->semester_id;
        $semesters = Semester::where('course_id',$course_id)->get();
        $acyears = Acyear::all();
        $courses = Course::all();
        $ac_id = getAcyear();
        $fee_category=FeeCategory::all();
        
        $students = array();
        if($request->semester_id == 'na'){
            $students = DB::table('students')->whereNotIn('student_id', DB::table('promotes')->pluck('student_id'))->get()->toArray();
        }else{
            $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course_id,'promotes.semester_id'=>$semester_id))->select('students.*')->get();
        }
        
        return view('students.get_promote',compact('acyears','ac_id','courses','course_id','semesters','semester_id','students','fee_category'));
    }
    
    public function save_promote(Request $request){
        
        $validated = $request->validate([
                'acyr_id' => 'required|numeric',
                'sem_id' => 'required|numeric',
                'category_id'=>'required',
                'posted' => 'present|array'
            ]);
            
        $acyr_id = $request->acyr_id;
        $crs_id = decrypt($request->crs_id);
        $sem_id = $request->sem_id;
        $category_id=$request->category_id;
        $i=0;
        foreach($request->posted as $ids){
            $check = Promote::where(array('student_id'=>$ids,'ac_id'=>$acyr_id,'semester_id'=>$sem_id))->get()->toArray();
            if(!$check){
                $promote = Promote::create([
                    'student_id' => $ids,
                    'ac_id' => $acyr_id,
                    'course_id' => $crs_id,
                    'semester_id' => $sem_id,
                    'category_id' =>$category_id,
                ]);
                if($promote){ $i++; }
            }
        }
        
        if($i>0){
            $msg_array = array('message'=>'Students has been Promoted Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Students Could not be Promoted !','alert-type'=>'error');
        }
            
        return redirect()->route('promote')->with($msg_array);
    }
    
    // public function tc_generate($sid){
        
    //     $student = Student::find(decrypt($sid));
    //     $tcno_max = TcDetail::max('tc_code');
    //     $tc_code = $tcno_max+1;
    //     $tcno = 'SF '.$tc_code;
    //     $subjects = Subject::where('course_id',$student->course_id)->get();
    //     $prev_tc = TcDetail::whereNull('deleted_at')->latest()->first();
        
    //     $fees = Fee::studentFees(decrypt($sid),$cdate);
        
        
    //     return view('students.tc_generate',compact('student','tc_code','tcno','subjects','prev_tc'));
    // }
    
    
    
    public function tc_generate($sid) {
    $student = Student::find(decrypt($sid));
    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $ac_id=$cur_acyear->ac_id;
    $semesters=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student)->get();
   
    $cdate = date('Y-m-d');
    $fees = Fee::studentFees(decrypt($sid), $cdate);
    $total_due = 0;

    foreach ($fees as $ac_id => $sem_details) {
        foreach ($sem_details as $sem_id => $term_details) {
            foreach ($term_details['fee_structure'] as $term_id => $fee_details) {
                foreach ($fee_details['fee_type'] as $ftype_id => $ftype_details) {
                    $famount = $ftype_details['due_amount'] + $ftype_details['fine_amount'];
                    $total_due += $famount;
                }
            }
        }
    }

    $error = $total_due > 0 ? 'Please clear the due fees before generating the TC.' : null;



    $tcno_max = TcDetail::max('tc_code');
    $tc_code = $tcno_max + 1;
    $tcno = 'SF ' . $tc_code;
    $subjects = Subject::where('course_id', $student->course_id)->get();
    $prev_tc = TcDetail::whereNull('deleted_at')->latest()->first();


    
    return view('students.tc_generate', compact('student', 'tc_code', 'tcno', 'subjects', 'prev_tc', 'fees','error','semesters'));
}

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function tc_save(Request $request){
        
        $data = $request->except('_token');
        $data['student_id'] = decrypt($request->student_id);
        $validated = $request->validate([
            'tcno' => 'required|unique:tc_details,tcno,NULL,tc_id,deleted_at,NULL',
            'ldate' => 'required|date',
            'adate' => 'required|date',
            'idate' => 'required|date',
            'reason' => 'required',
            'regno' => 'required',
            'appear' => 'required',
            'conduct' => 'nullable',
        ]);
        
        $data['tcno'] = strtoupper($data['tcno']);
        $data['regno'] = strtoupper($data['regno']);
        $promote = Promote::where('student_id',$data['student_id'])->whereNull('deleted_at')->orderBy('promote_id','DESC')->first();
        if($promote){
            $data['lcourse'] = $promote->course_id;
            $data['lsemester'] = $promote->semester_id;
            $data['subjects'] = implode(', ',array_filter($data['subjects']));
            $tc = TcDetail::create($data);
            if($tc){
                $student = Student::find($data['student_id']);
                $student->update([
                    'tcstatus' => 1
                    ]);
                    
                echo "<script>window.open('".route('tc.print',encrypt($tc->tc_id))."');</script>";
                
                $msg_array = array('message'=>'TC Generated Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'TC Could not be Generated !','alert-type'=>'error');
            }
        }else{
            $msg_array = array('message'=>'Student Semester not assigned !','alert-type'=>'error');
        }
        return redirect()->route('student')->with($msg_array);
    }
    
    public function tc_report(){
        
        return view('students.tc_report');
    }
    
    public function tc_ajax(Request $request){
        
        $col_order = ['tcno','idate','adno','name','course_name','semester_name'];
        $total_data = TcDetail::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        
        $query  =   TcDetail::join('students','tc_details.student_id','=','students.student_id')->
                    join('courses','tc_details.lcourse','=','courses.course_id')->
                    join('semesters','tc_details.lsemester','=','semesters.semester_id')->
                    whereNull('tc_details.deleted_at');
                    if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('tc_details.tcno','like','%'.$search.'%')->
                            orWhere('tc_details.idate','like','%'.$search.'%')->
                            orWhere('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('course_name','like','%'.$search.'%')->
                            orWhere('semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $tcdetails  =   $query->select('tc_details.*','students.adno','students.name','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
        
        $delete=$print1=$print2=0;
        if(MenuAccess::have_access(59) == true){ $print1=1; }
        if(MenuAccess::have_access(60) == true){ $delete=1; }
       if(MenuAccess::have_access(318) == true){ $print2=1; }

        $data = array();
        if($tcdetails){
            foreach($tcdetails as $tcdetail){
                $row['tcno'] = $tcdetail->tcno;
                $row['idate'] = $tcdetail->idate_formatted;
                $row['adno'] = $tcdetail->adno;
                $row['name'] = $tcdetail->name;
                $row['course'] = $tcdetail->course_name;
                $row['semester'] = $tcdetail->semester_name;
                $html="";
                if($print1==1){
                    $html .= '<a href="'.route('tc.print',encrypt($tcdetail->tc_id)).'" title="Print TC" target="blank_"><i class="icon-sm icon-printer text-dark"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                    if($print2==1){
                    $html .= '<a href="'.route('cc.print',encrypt($tcdetail->tc_id)).'" title="Print CC" target="blank_"><i class="icon-sm icon-printer text-danger"></i></a>&nbsp;&nbsp;&nbsp;';
                }

                if($delete==1){
                    $html .= '<a href="'.route('tc.delete',encrypt($tcdetail->tc_id)).'" title="Delete" onClick="return confirm(\'Are you sure you want to delete?\');"><i class="icon-sm icon-trash text-danger"></i></a>';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }
    
    public function tc_print($tcid){
        
        $institution = instituteDetails();
        $tcdetails = TcDetail::find(decrypt($tcid));
        
        return view('students.tc_print',compact('institution','tcdetails'));
    }
   
       public function cc_print($tcid){
        
        $institution = instituteDetails();
        $tcdetails = TcDetail::find(decrypt($tcid));
        
        return view('students.cc_print',compact('institution','tcdetails'));
    }

   
   
    
    public function tc_delete($tcid){
        
        $tc = TcDetail::find(decrypt($tcid));
        $student_id = $tc->student_id;
        $tc->delete();
        if($tc){
            $student = Student::find($student_id)->update(['tcstatus'=>0]);
            $msg_array = array('message'=>'TC Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('tc')->with($msg_array);
    }
    
    public function sdata_save(Request $request){
        $student_id = decrypt($request->sid);
        $validated = $request->validate([
            'sadno' => 'required|unique:students,adno,'.$student_id.',student_id,deleted_at,NULL',
            'sname' => 'required',
            'sdob' => 'required|date',
            'sadate' => 'required|date',
            'sfname' => 'required',
            'smname' => 'required',
        ]);
                    
        $student = Student::find($student_id);
        $student->update([
            'adno' => $request->sadno,
            'name' => $request->sname,
            'dob' => $request->sdob,
            'adate' => $request->sadate,
            'fname' => $request->sfname,
            'mname' => $request->smname
        ]);
        
        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('tc.generate',encrypt($student_id))->with($msg_array);
    }

    
     public function addsubject(){
        
        
        $subject = Subject::all();
        $course = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subcategory = SubCategory::whereNull('deleted_at')->get();
        
        $subject=Subject::all();
        
        return view('students.addsubject',compact('subject','course','semester','subtype','subcategory','subject'));
    }
   
       public function addsubject_save(Request $request)
 {
   
     $data = $request->validate([
            'subject_code.*' => 'required',
         'subject_name.*' => 'required',
          'course_id' => 'required',
         'semester_id' => 'required|array',
         'subject_code' => 'required|array',
            'subject_name' => 'required|array',
             'subject_credit'=>'required|array',
            'subject_categ'=>'required|array',
            
            
        ]);
       
       foreach ($data['semester_id'] as $sem => $sem_id) { 
           foreach ($data['subject_code'] as $key => $code) {
            $categ_name =  $data['subject_categ'][$key];
            $sub_name = $data['subject_name'][$key];
            $subject_credit = $data['subject_credit'][$key];
            $subcategory = SubCategory::where('category',$categ_name)->whereNull('deleted_at')->first(); 
            $subcnt = Subject::where('subject_name',$sub_name)->where('subject_code',$code)->where('semester_id',$sem_id)->where('subject_categ',$subcategory->id)->count();
            if ($subcnt == 0) {
                 try{
           $subject=Subject::create([
                'course_id' => $data['course_id'],
                'semester_id' => $sem_id,
                'subject_code' => $code,
                'subject_name' => $sub_name,
                'subject_credit' => $subject_credit,
                'subject_categ' => $subcategory->id,
            ]);
        
                       \Log::info('Subject created successfully:', ['subject' => $subject]);
    } catch (\Exception $e) {
        // Log error details
        \Log::error('Subject creation failed:', ['error' => $e->getMessage()]);
    }
                 
             }        
               
           }
        
    }           
         if($subject){
            $msg_array = array('message'=>'Subject Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Subject Could not be Added !','alert-type'=>'error');
        }       
               
        return redirect()->route('addsubject')->with($msg_array); 
     
 }
 
public function viewsubject(){
        
        
        $subject = Subject::all();
        $course = Course::all();
        $semester = Semester::all();
        $subtype = SubjectType::all();
        $subcategory = SubCategory::whereNull('deleted_at')->get();
        
        $subject=Subject::all();
        
        return view('students.viewsubject',compact('subject','course','semester','subtype','subcategory','subject'));
    }
    
    public function viewsubject_get(Request $request)
 {
    $course_id = $request->cid;
    $semester_id = $request->sid;
    
     $ac_id = getAcyear();
     $subject=Subject::where('course_id',$course_id)->where('semester_id',$semester_id)->get();
    return view('students.viewsubject_get',compact('subject','course_id','semester_id','ac_id'));
    
 }
 
 
  public function subject_edit($sid){
        $courses=Course::all();
        $subject = Subject::find(decrypt($sid));
        $subcategory = SubCategory::all();
        return view('students.subject_edit',compact(array('subject','courses','subcategory')));
    }
    
    public function subject_update(Request $request){
        
        $subject_id = decrypt($request->subject_id);
       
        $subject = Subject::find($subject_id);
        $subject->update([
            'subject_code' => $request->subject_code,
            'subject_name' => $request->subject_name,
            'subject_credit' => $request->subject_credit,
            'subject_categ' => $request->subject_categ,
        ]);
        
        if($subject){
            $msg_array = array('message'=>' Subject Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>' Subject Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('viewsubject')->with($msg_array);
    }
 
  public function subject_delete($sid){
        
        $subject = Subject::find(decrypt($sid));
        
        if($subject){
             $staffsubjects = StaffSubject::where('subject_id',decrypt($sid))->count();
             $syllabus=Syllabus::where('subject_id',decrypt($sid))->count();
             $obco = ObeCo::where('sub_id',decrypt($sid))->count();
             $fyugpstud = FyugpStudSub::where('sub_id',decrypt($sid))->count();
             $examsub = FyugpExamSubject::where('subject',decrypt($sid))->count();
             $famark = STUDFAMARKS::where('sub_id',decrypt($sid))->count();
             $samark = STUDSAMARKS::where('sub_id',decrypt($sid))->count();
            if($staffsubjects == 0 && $syllabus == 0 && $obco == 0 && $fyugpstud == 0 && $examsub == 0 && $famark == 0 && $samark == 0){
                $subject->delete();
                $msg_array = array('message'=>'Subject Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Subject Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('viewsubject')->with($msg_array);
    }        
 
 
 
 
 public function addsubjectcateg(){
        
        $subcategory = SubCategory::all();
        
        return view('students.addsubjectcateg',compact('subcategory'));
    }
    
    public function addsubjectcateg_save(Request $request){
        
        $validated = $request->validate([
            'category' => 'required|unique:sub_category,category',
        ]);
        
        $subcategory = SubCategory::create([
            'category' => $request->category,
        ]);
        
        if($subcategory){
            $msg_array = array('message'=>'Category Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Category Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('addsubjectcateg')->with($msg_array);
    }
    
    
    
    public function subcateg_delete($mid){
        
       $subcategory=SubCategory::find(decrypt($mid));
     if($subcategory){
          $subdet = Subject::where('subject_categ', decrypt($mid))->count();
           if ($subdet == 0) {
            
                $subcategory->delete();
                $msg_array = array('message'=>'Category Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Category Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('addsubjectcateg')->with($msg_array);
    }
    
         public function syllabus(){
        
        
        $subject = Subject::all();
        $course = Course::all();
      $semester = Semester::all();
      $syllabus=Syllabus::all();
        
        return view('students.syllabus',compact('subject','course','semester','syllabus'));
    }

    
    
        public function syllabus_save(Request $request){
        
        $validated = $request->validate([
            'course_id' => 'required',
            'semester_id' => 'required',
            'subject_id'=>'required',
            'photo' => 'nullable|mimes:pdf,doc,docx,xls,xlsx|max:20480',
        ]);
        
        // $photo="syllabus.png";
        $photo = null;
           if($request->hasFile('photo')){
            $file=$request->photo;
            $ext = $file->extension();
            $photo = 'syllabus_'.time().'.'.$ext;
            
            $file->storeAs('public/uploads/student/syllabus',$photo);
        }     
     $syllabus = Syllabus::create([
        'course_id'   => $request->course_id,
        'semester_id' => $request->semester_id,
        'subject_id'  => $request->subject_id,
        'text' => $request->text,
        'photo'=> $photo,
    ]);
    
    
    
    
        // if($request->hasFile('photo')){
        //     $ext = $request->photo->extension();
        //     $photo = 'photo_'.time().'.'.$ext;
            
        //     Image::make($request->photo)->resize(500,500)->save('public/uploads/student/syllabus/'.$photo);
        // }
        //      $syllabus = Syllabus::create([
        //     'course_id' => $request->course_id,
        //     'semester_id' => $request->semester_id,
        //     'subject_id' => $request->subject_id,
        //       'text' => $request->text,
        //     'photo' => $request->photo,

        // ]); 
                   if($syllabus){
            $msg_array = array('message'=>'Syllabus Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Syllabus Could not be Added !','alert-type'=>'error');
        }
        return redirect()->route('syllabus')->with($msg_array); 
       
       
          
        
    }

public function getsub(Request $request)
{
    $course_id = $request->input('course_id');
    $semester_id = $request->input('semester_id');
    
    // Retrieve subjects based on course_id and semester_id
    $subjects = Subject::where('course_id', $course_id)
                       ->where('semester_id', $semester_id)
                       ->get(['subject_id', 'subject_name']);
    
    return response()->json($subjects);
}
    
     public function enrolment(){
      
      $course=Course::get();
      $semester=Semester::get();
      $acyears=Acyear::get();
       
        
        return view('students.enrolment',compact('course','semester','acyears'));
    }
   

 public function enrolment_get(Request $request){
        $ac_det = Acyear::find($request->aid);
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        // $student = Student::all();
        $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.ac_id'=>$request->aid,'promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->where('students.tcstatus','0')->select('students.*')->latest()->get();
        
        // $stypes = FeeStructureType::Join('fee_structures','fee_structure_types.structure_id','=','fee_structures.structure_id')->where(array('fee_structures.ac_id'=>$request->aid,'fee_structures.course_id'=>$request->cid,'fee_structures.semester_id'=>$request->sid,'fee_structures.category_id'=>$request->ctid,'fee_structures.term_id'=>$request->tid))->select('fee_structure_types.*')->latest()->get();
$enrolment=Enrolment::all();
        return view('students.enrolment_get',compact('crs_det','sem_det','student','ac_det','enrolment'));
    }
    



public function enrolment_save(Request $request)
{
           $validated = $request->validate([
            'ac_id' => 'required',
            'course_id' =>'required',
            'semester_id'=>'required',
        ]);
       $course_id=$request->course_id;
       $semester_id=$request->semester_id;
       $ac_id=$request->ac_id;
       
       $i=0;
       foreach($request->student_id as $stdnt)
       {

           $registernumber=$request->post("register_no$stdnt");
           if($registernumber!=NULL)
           {
               
           
           $check=Enrolment::where('course_id',$course_id)->where('ac_id',$ac_id)->where('semester_id',$semester_id)->where('student_id',$stdnt)->first();
          if(!$check)
          {
              $addregi=Enrolment::create([
                  'ac_id' =>$ac_id,
                  'course_id'=>$course_id,
                  'semester_id'=>$semester_id,
                  'student_id'=>$stdnt,
                  'register_no'=>$registernumber,
                  ]);
                  if($stdnt){ $i++; }
          }
          
           else
                {
                    $check->update(['register_no' => $registernumber]);
                    $i++;
                }
           }
       }
       
      if($i>0){
            $msg_array = array('message'=>'Register Number Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Register Number Could not be Added !','alert-type'=>'error');
        }  
       return redirect()->route('enrolment')->with($msg_array);

}







        public function leavesetting(){
        
      $studentleave=Studentleavetype::all();
       
        
        return view('students.leavesetting',compact('studentleave'));
    }
















    public function leavesetting_save(Request $request)
    {
        $validated= $request->validate([
            
            'leave_code'=>'required',
            'leave_name' =>'required',
            'leave_color' =>'required',
            ]);
            
            $studentleave=Studentleavetype::create([
                
                'leave_code'=>$request->leave_code,
                'leave_name'=>$request->leave_name,
                'leave_color'=>$request->leave_color,
                ]);
                if($studentleave)
                {
                    $msgarray=array('message'=>'Student Leave Could not be Saved !','alert-type'=>'error');
                }
                else
                {
                    $msgarray=array('message'=>'Student Leave Saved Successfully !','alert-type'=>'success');
                }
                
                return redirect()->route('leavesetting')->with($msgarray);
            
            
    }
    
  
  public function leavesetting_edit($lid)
  {
      $stuleave=Studentleavetype::find(decrypt($lid));
      return view('students.leavesettingedit',compact('stuleave'));
  }
    
  
  
  public function leavesetting_update(Request $request)
  {
      $leaveid=decrypt($request->stuleav_id);
      $stuleave=Studentleavetype::find($leaveid);
      $validated=$request->validate([
          
          'leave_name'=>'required|unique:student_leave_setting,leave_name,'.$leaveid.',stuleav_id',
          
          ]);
      $stuleave->update([
          'leave_code'=>$request->leave_code,
          'leave_name'=>$request->leave_name,
          'leave_color'=>$request->leave_color,
          
          ]);
          if($stuleave)
          {
              $msg_array=array('message'=>'Student Leave Updated Successfully !','alert-type'=>'success');
          }
          else
          {
             $msg_array=array('message'=>'Student Leave Could not be updated !','alert-type'=>'error'); 
          }
          
          return redirect()->route('leavesetting')->with($msg_array);
          
          
      
  }
public function leavesetting_delete($lid)  
{
    
     $leaveid=Studentleavetype::find(decrypt($lid));
     if($leaveid){
            if($leaveid->count()>0){
                $leaveid->delete();
                $msg_array = array('message'=>'Student Leave Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Student Leave Could not be Deleted !','alert-type'=>'error');
            }
        }
        
        return redirect()->route('leavesetting')->with($msg_array);
    
    
}
  
  
public function searchstudent()
{
   
$studentdet=Student::all();
$enrolment=Enrolment::all();


return view('students.searchstudent',compact('studentdet','enrolment'));

}
  
 

  
  
  public function search_get(Request $request)
      {
        
        $col_order = ['adno','name','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $searchs = $request->get('searchterm');
      
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)
                    ->where('students.tcstatus','0');
                    
                 if ($searchs != '') {
        $query->where(function ($query) use ($searchs, $current_academic_year_id) {
        $query->where('students.name', 'like',  $searchs . '%')
              ->orWhere('students.adno', 'like', $searchs . '%')
              ->orWhere('students.mobile', 'like',$searchs . '%');
    });
}
                    
                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('paddress','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }

      $query->select('students.*','courses.course_name','semesters.semester_name');
                    
         $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $view=0;
        if(MenuAccess::have_access(209) == true){ $view=1; }
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
               
                $html='';
                
                if($view==1){
                    $html .= '<a href="'.route('searchstudent.get.view',encrypt($student->student_id)).'" title="View"><i class="icon-sm icon-magnifier text-primary"></i></a>&nbsp;&nbsp;&nbsp;';
                }
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }

 
  
// {
//  $studentdet=Student::find($request->srchstu);
// $student  =   Student::join('courses','students.course_id','=','courses.course_id')->
//             leftJoin('semesters','students.semester_id','=','semesters.semester_id')->select('students.*','courses.course_name','semesters.semester_name')->where('students.name','like','%'.$request->srchstu.'%')->orWhere('students.adno','like','%'.$request->srchstu.'%')->orWhere('students.mobile','like','%'.$request->srchstu.'%')->get();

// return view('students.getstudent',compact('studentdet','student'));



// }
 
 
 
 public function importstudent()
 {
     
     $categories=FeeCategory::all();
     $course=Course::all();
     $acyears=Acyear::all();
     $student=Student::all();
     return view('students.importstudent',compact('student','acyears','course','categories'));
 }

public function downloadsample()
{
    $file_path = public_path('uploads/student/sample.xlsx');
    return response()->download($file_path,'sample.xlsx');
    
     
    
}
    
 public function admission_report()
 {
     $acyears=Acyear::all();
     $course=Course::all();
     
      return view('students.admission_report',compact('acyears','course'));

 }
   
   public function totalstudent_getData(Request $request){
        
        $col_order = ['adno','name','paddress','mobile','fname','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        
        $acyear = $request->get('acyear');
        $course = $request->get('course');
        $sem=$request->get('sem');
        
        $query  =   Student::join('courses','students.course_id','=','courses.course_id')->
                    join('semesters','students.semester_id','=','semesters.semester_id');
                    
                  
                    if($acyear!=''){
                        $query->where('students.ac_id',$acyear);
                    }
                    if($course!=''){
                        $query->where('students.course_id',$course);
                    }
                    if($sem!=''){
                        $query->where('students.semester_id',$sem);
                    }

                    if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('students.paddress','like','%'.$search.'%')->
                            orWhere('students.mobile','like','%'.$search.'%')->
                            orWhere('courses.course_name','like','%'.$search.'%')->
                            orWhere('semesters.semester_name','like','%'.$search.'%');
                        });
                    }
        $total_filtered = $query->count();
        $students  =   $query->select('students.*','courses.course_name','semesters.semester_name')->
                    offset($start)->limit($limit)->orderBy($order,$dir)->get();
                   
        
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['address'] = $student->paddress;
                $row['parent_name'] = trim($student->fname . ' / ' . $student->mname);
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
               
                
                $html="";
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data,
             'total_students' => $total_data
        );
            
        echo json_encode($json);
    }


   
    
    
    
//  public function totalstudent_get(Request $request)
//  {
//   $ac_det=Acyear::find($request->aid);
//   $crs_det=Course::find($request->cid);
//   $student=Student::where('ac_id',$request->aid)->where('course_id',$request->cid)->get();
  
//   return view('students.totalstudent_get',compact('ac_det','crs_det','student'));
     
//  }
    
   public function totalstudent_excel($ac_id,$course_id)
   {
       $course_id;
       $ac_id;
       
      $ins_det = instituteDetails();
      $student=Student::where('course_id',$course_id)->where('ac_id',$ac_id)->get();
  
    //   echo $student=Student::where('course_id',$course_id)->get();
      return Excel::download(new StudentsExport($ac_id,$course_id), 'students.xlsx');

   }
    
   public function search_view($student_id)
   {
 $student=Student::where('student_id',decrypt($student_id))->first();
$enrolment=Enrolment::where('student_id',decrypt($student_id))->first();
$cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
$ac_id=$cur_acyear->ac_id;
$cur_date=now();
$semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',decrypt($student_id))->get();


// $currentAcademicYear = SemesterYear::whereDate('start_date', '<=', $cur_date)
//                                           ->whereDate('end_date', '>=', $cur_date)
//                                           ->first();
// $currentAcademicYearId = $currentAcademicYear->ac_id;
// $currentSem = Promote::join('semester_year_setting', 'semester_year_setting.ac_id', '=', 'promotes.ac_id')
//                       ->where('promotes.student_id', $student_id)
//                       ->where('promotes.ac_id', $currentAcademicYearId)
//                       ->first();
// print_r($currentSem);
//  $sem=Promote::join('students','students.student_id','=','promotes.student_id')->where('promotes.ac_id',$cur_acyear)->where('promotes.student_id',$student_id)->first();
// echo $sem=Student::join('promotes','students.student_id','=','promotes.student_id')->where('promotes.ac_id',$cur_acyear)->where('students.student_id',$student_id)->get();
// $current_sem=Promote::join('semester_year_setting','semester_year_setting.ac_id','=','promotes.ac_id')->where('promotes.student_id',$student_id)->where('promotes.ac_id',)
 return view('students.search_view',compact('student','enrolment','semester'));
   }
    
    public function edit_view($student_id)
    {
        $student=Student::where('student_id',$student_id)->first();
$enrolment=Enrolment::where('student_id',$student_id)->first();
$cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
 return view('students.edit_view',compact('student','enrolment'));

    }
   public function updatestudent(Request $request)
   {
        
          $student_id = decrypt($request->student_id);
          $student = Student::find($student_id);
          $student->update([
            'dob' => $request->dob,
            'mobile' => $request->mobile,
            'caste_id' => $request->caste_id,
            'religion_id' => $request->religion_id,
            'community_id'=>$request->community_id,
            'email' => $request->email,
            'caddress' => $request->caddress,
            'paddress' => $request->paddress,
            'bgroup' => $request->bgroup,
            'aadhar' => $request->aadhar,
            'income' => $request->income,
            'physical' => $request->physical,
            'lastinst' => $request->lastinst,
            'lastcourse' => $request->lastcourse,
            'fname' => $request->fname,
            'foccupation' => $request->foccupation,
            'mname' => $request->mname,
            'moccupation' => $request->moccupation,
            'gname' => $request->gname,
            'gaddress' => $request->gaddress,
            'gmobile' => $request->gmobile,


        ]);
        

        // $photo="student.png";
        // if($student_det->photo){ $photo=$student_det->photo; }
        // if($request->hasFile('photo')){
        //     $ext = $request->photo->extension();
        //     $photo = 'photo_'.time().'.'.$ext;
            
        //     Image::make($request->photo)->resize(300,300)->save('public/uploads/student/photo/'.$photo);
        // }
        // $data['photo'] = $photo;
        

        if($student){
            $msg_array = array('message'=>'Student Details Updated Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Student Details Could not be Updated !','alert-type'=>'error');
        }
        return redirect()->route('searchstudent.get.view',$student)->with($msg_array);
    
   
   }
    
    
    
    
    
    
 public function viewstudentpayment($student_id)
 {
       $fees = array();
        $student_fee=Fee::where('student_id',$student_id)->get();
        $student_det = Student::find($student_id);
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id=$cur_acyear->ac_id;
        $student_sem=Promote::where('student_id',$student_id)->orWhere('ac_id',$cur_acyear)->first();
        $rec_no = Fee::max('receipt_no');
        $next_rec_no = $rec_no + 1;
        $fee_category = $student_det->category_id;
        $current_date = Carbon::now()->toDateString();
       if ($fee_category > 0) {
        $fees = Fee::studentFees($student_id, $current_date);
    } else {
       
   
        }
        
        $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student_id)->get();

        $paymode=Paymentmode::all();
        $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_id)->get();
        $grouped_payments = $paid_history->groupBy('receipt_no');
        //  $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_id)->orderBy('fees.receipt_no') 
        //             ->get()
        //             ->groupBy('fees.receipt_no');
        //             where('fees.status',1)->select('fees.receipt_no','fees.paid_date','fees.student_id')->groupBy(['fees.receipt_no','fees.paid_date','fees.student_id'])->get();
         $mode_id=Fee::join('students','fees.student_id','=','students.student_id')->join('paymentmodes','paymentmodes.mode_id','=','fees.mode_id')->where('fees.student_id',$student_id)->get();
        return view('students.viewstudentpayment',compact('student_det','fee_category','student_fee','fees','next_rec_no','paymode','grouped_payments','semester'));
   
   
 }
   public function viewstudentpayment_save(Request $request)
   {
        $validated = $request->validate([
                'posted' => 'present|array',
                'mode_id' => 'required',
            ]);
        $data=array();
        $rec_no = Fee::max('receipt_no');
        $rec_no += 1;
        $data['receipt_no'] = $rec_no;
        $data['student_id'] =$request->sid;
        $data['mode_id']=$request->mode_id;
        $data['paid_date']=$request->paid_date;
        $student = Student::find($request->sid);
        // $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        // $data['ac_id'] = $cur_acyear->ac_id;
        // $data['ac_id'] = $student->ac_id;
        $data['created_by'] = auth()->user()->user_id;
        $i=0;   
        foreach($request->posted as $ids){
            $fee_det = explode('-',$ids);
            $data['ac_id'] = $fee_det[0];
            $data['semester_id'] = $fee_det[1];
            $data['term_id'] = $fee_det[2];
            $data['type_id'] = $fee_det[3];
            $data['fee_amount'] = $request->input("fee_amount".$ids);
            $data['fine_amount'] = $request->input("fine_amount".$ids);
            $data['discount'] =$request->input("discount".$ids);
            $data['remarks'] =$request->input("remarks");
            
            
            $fees = Fee::create($data);
            if($fees){ $i++; }
        }
        
        if($i > 0){
            echo "<script>window.open('".route('fee.print',encrypt($rec_no))."');</script>";
            $msg_array = array('message'=>'Fee Paid Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Fee Could not be Paid !','alert-type'=>'error');
        }
        
        return redirect()->route('searchstudent.payment',$student)->with($msg_array);
   }
   
   public function searchstudent_payment_print($rec_no,$paid_date)
   {
   
   $student_payment=Fee::where('receipt_no',$rec_no)->where('paid_date',$paid_date)->get();
   $ins_det = instituteDetails();  

//   echo $feetype=Fee::join('fee_types','fees.type_id','=','fee_types.type_id')->where('fees.fee_id',$fee_id)->get();
  return view('students.searchstudent_payment_print',compact('student_payment','ins_det'));
       
   }
    
   public function search_feereport($student_id)
   {
         $student_det = Student::find($student_id);
         $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_id)->get();
         $grouped_payments = $paid_history->groupBy('receipt_no'); 
         $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
         $ac_id=$cur_acyear->ac_id;
         $student_promote  =  Student::join('promotes','students.student_id','=','promotes.student_id')->
                        join('courses','promotes.course_id','=','courses.course_id')->
                        join('semesters','promotes.semester_id','=','semesters.semester_id')->
                        where('promotes.ac_id',$cur_acyear->ac_id)->where('promotes.student_id',$student_id)->groupBy('promotes.student_id')->get();

                    
                    // ->groupBy('promotes.student_id')->get();
        // $student_promote=Student::join('promotes','promotes.student_id','=','students.student_id')->where('students.student_id',$student_id)->get();
         $paymode=Paymentmode::all();
        $paid_history = Fee::join('students','fees.student_id','=','students.student_id')->where('fees.student_id',$student_id)->get();
        $grouped_payments = $paid_history->groupBy('receipt_no');
    $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student_id)->get();

      return view('students.search_feereport',compact('grouped_payments','student_det','student_promote','grouped_payments','semester'));
   }
   
   
   
   
    public function search_duereport($student_id)
    {
        $cdate = date('Y-m-d');
        $student = Student::find($student_id);
        $fees = Fee::studentFees(($student_id),$cdate);
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $ac_id=$cur_acyear->ac_id;
        $semester=Student::join('promotes','students.student_id','=','promotes.student_id')->join('courses','promotes.course_id','=','courses.course_id')->join('semesters','promotes.semester_id','=','semesters.semester_id')->where('promotes.ac_id',$ac_id)->where('promotes.student_id',$student_id)->get();


        return view('students.search_duereport',compact('student','fees','semester'));
    }
    
    
    public function acwisestudent_ajax(Request $request){
            
        $col_order = ['adno','name','address','mobile','course','semester','religion','community','caste','quota'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $acyear = $request->get('acyear');
        $course = $request->get('course');
        $query=Student::join('courses','students.course_id','=','courses.course_id')->join('semesters','students.semester_id','=','semesters.semester_id');
        if($acyear!=''){
                        $query->where('students.ac_id',$acyear);
                    }
                     if($course!=''){
                        $query->where('students.course_id',$course);
                    }
                                        if(!empty($request->input('search.value'))){
                        $search = $request->input('search.value');
                        $query->where(function ($qry) use ($search){
                            $qry->where('students.adno','like','%'.$search.'%')->
                            orWhere('students.name','like','%'.$search.'%')->
                            orWhere('students.paddress','like','%'.$search.'%')->
                            orWhere('students.mobile','like','%'.$search.'%')->
                            orWhere('courses.course_name','like','%'.$search.'%')->
                            orWhere('semesters.semester_name','like','%'.$search.'%');
                        });
                    }
$query->select('students.*','courses.course_name','semesters.semester_name');
      print_r($query);              
        $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = wordwrap($student->name, 20, "<br />\n");
                $row['address'] = $student->paddress;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                $row['religion'] = $student->religion;
                $row['community'] = $student->category;
                $row['caste'] = $student->caste;
                
                $data[] = $row;
                
                
               
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
          
        // echo json_encode($json);
        
         return response()->json($json);
    }

     public function course_change()
 {
     $acyear=Acyear::all();
     $course=Course::all();
     $sem=Semester::all();
     return view('staff.course_change',compact('acyear','course','sem'));
 }
    
    
    public function course_change_get(Request $request)
    {
        $ac_det = Acyear::find($request->aid);
        $crs_det = Course::find($request->cid);
        $sem_det = Semester::find($request->sid);
        $course=Course::all();
       
             
      
        $student=Student::Join('promotes','students.student_id','=','promotes.student_id')->where(array('promotes.ac_id'=>$request->aid,'promotes.course_id'=>$request->cid,'promotes.semester_id'=>$request->sid))->select('students.*')->latest()->get();
        // $course=Course::all();
       

    return view('staff.course_change_get',compact('crs_det','sem_det','student','ac_det','course'));
    }

   
 public function course_change_view($student_id)
 { 
    $student = Student::find($student_id);
    // $acid = Student::find($ac_id);
    $lastFeePaid=Fee::where('student_id',$student_id)->where('status','1')->first();
    
    $course=Course::all();
    
return view('students.course_change_view',compact('student','course'));
     
 }
 public function course_change_update(Request $request)
{
 
    $student_id = $request->input('student_id');
    $course_id = $request->input('course_id');
    $semester_id = $request->input('semester_id');
    $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
    $current_academic_year_id = $cur_acyear->ac_id;
  
    $student = Student::find($student_id);
    
    
    
    
    
    if ($student) {
       
        $student->update([
            'course_id' => $course_id,
            'semester_id' => $semester_id,
        ]);
        $promotion = Promote::where('student_id', $student_id)->first();
        if ($promotion) {
            $promotion->update([
                'course_id' => $course_id,
                'semester_id' => $semester_id,
                
            ]);
        } 
    
    $lastFeePaid=Fee::where('student_id',$student_id)->where('status','1')->get();
              if ($lastFeePaid->isNotEmpty()) {
foreach ($lastFeePaid as $fee) {
        $fee->update([
            'status' => '5',
        ]);
    }
        } 
        
        // $feeStructure=FeeStructure::where('course_id',$course_id)->where('semester_id',$semester_id)->first();
        // $feeStructure=FeeStructure::join('fee_structure_types','fee_structures.structure_id','=','fee_structure_types.structure_id')->
        // where('course_id',$course_id)->where('semester_id',$semester_id)->first();
//   if ($feeStructure) {
          
//             $feeTypes = FeeStructureType::where('structure_id',$feeStructure->structure_id)->get();

         
//             foreach ($feeTypes as $feeType) {
             
//                 $existingFee = Fee::where('student_id', $student_id)
//                     ->where('type_id', $feeType->type_id)
//                     ->where('status', '1') 
//                     ->first();
                 

//                 if ($existingFee) {
               
//                     $existingFee->update([
//                         'type_id' => $feeType->type_id, 
//                         'fee_amount' => $feeType->amount, 
//                         'fine_amount' => 0, 
//                         'discount' => 0, 
                      
//                     ]);
//                 }
//             }
//         }        
        
        // $feestructure_id=$feeStructure->structure_id;
        // $feetypestructure=FeeStructureType::where('structure_id',$feestructure_id)->get(); 
       

        
        // $feestructure=FeeStructure::join('fee_structure_types','fee_structures.structure_id','=','fee_structure_types.structure_id')->
        // where('fee_structures.course_id',$course_id)->where('fee_structures.$semester_id')->get();
        
    } 

    // Return a success response
    return redirect()->route('student.course.change')->with('message','Course Changed Successfully!!');
}


public function roll_out()
{
   $course=Course::all();
   $acyear=Acyear::all();
   
   return view('students.roll_out',compact('course','acyear'));
}
   
public function roll_out_get(Request $request)
{
$ac_det = Acyear::find($request->aid);
$crs_det = Course::find($request->cid);
$sem_det = Semester::find($request->sid);

$sem_year_setting = SemesterYear::where('course_id', $request->cid)
    ->where('semester_id', $request->sid)
    ->where('ac_id', $request->aid)
    ->select('start_date', 'end_date')
    ->first();

if ($sem_year_setting) {
    $startDate = $sem_year_setting->start_date;
    $endDate = $sem_year_setting->end_date;

    
    $students = Student::join('promotes', 'students.student_id', '=', 'promotes.student_id')
        ->where([
            'promotes.ac_id' => $request->aid,
            'promotes.course_id' => $request->cid,
            'promotes.semester_id' => $request->sid
        ])
        ->select('students.*')
        ->latest()
        ->get();

   
    $studentsWithExcessiveAbsences = [];

    foreach ($students as $student) {
      
        $attendanceRecords = StudentAttendance::where('student_id', $student->student_id)
            ->where('course_id', $request->cid)
            ->where('semester_id', $request->sid)
            ->whereBetween('date', [$startDate, $endDate])
            ->get();

    
        $absentDays = $attendanceRecords->filter(function ($record) {
            return $record->am == 1 && $record->pm == 1; 
        })->count();

     
        if ($absentDays > 14) {
            $studentsWithExcessiveAbsences[] = [
                'student_id' => $student->student_id,
                'name' => $student->name, 
                'adno'=>$student->adno,
                'absent_days' => $absentDays,
                'total_days' => $attendanceRecords->count(), 
            ];
        }
    }
} else {
    $studentsWithExcessiveAbsences = collect();
}

return view('students.roll_out_get', compact('crs_det','sem_det','studentsWithExcessiveAbsences','ac_det'));

}

    
   public function roll_out_save(Request $request)
   {
    $ac_id = $request->ac_id;
      
         
          $course_id=$request->course_id;
         
          $sem_id=$request->semester_id;
          $student_id=$request->student_id;
          $fdate=$request->fdate;
         
          $tdate=$request->tdate;
           
          foreach($student_id as $index=>$stu)
          {
              $fromdate=$request->fdate[$index];
              $todate=$request->tdate[$index];
              
              $rollout=RollOutStudents::create([
                'ac_id'=>$ac_id,
                'course_id'=>$course_id,
                'semester_id'=>$sem_id,
                'student_id'=>$stu,
                'fdate'=>$fromdate,
                'tdate'=>$todate,
                  
                  ]);
                  
         
          }
          if($rollout)
                  {
                     $msgarray=array('message'=>'Student Roll-Out Successful !','alert-type'=>'success'); 
                  }
                  else
                  {
                      $msgarray=array('message'=>'Student Roll-Out Failure !','alert-type'=>'error'); 
                  }
         return redirect()->back()->with($msgarray);
          
          
          
          
   }
    
   public function specialclass()
   {
         $userId = Auth::id();
      
      $staffsubject=StaffSubject::join('users','users.user_id','=','staff_subject.user_id')->
      join('courses','courses.course_id','=','staff_subject.course_id')->
      where('staff_subject.user_id',$userId)->
      get();
      
      return view('students.specialclass',compact('staffsubject'));
   }
    
  public function specialclass_save(Request $request)
  {
      $course_id=$request->course_id;
  
       $validated = $request->validate([
                'course_id' => 'required',
                'semester_id' => 'required',
                'subject_id' =>'required',
                'date'=>'required',
                'from'=>'required',
                'to'=>'required'
            ]);
            $userId = Auth::id();
 $spclclass = SpecialClassAdd::create([
        'course_id' => $request->course_id,
        'semester_id' => $request->semester_id,
        'subject_id' => $request->subject_id,
        'date' => $request->date,
        'from' => $request->from,
        'to' => $request->to,
        'user_id'=>$userId,
    ]);            
             if($spclclass){
            $msg_array = array('message'=>'SpecialClass Added Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'SpecialClass Could not be Added !','alert-type'=>'error');
        }
      return redirect()->route('specialclass')->with($msg_array);      
  }
    
  public function specialclass_view()
  {
      $userId = Auth::id();
    //   $spclclass=SpecialClassAdd::join('staff_subject','add_specialclass.course_id','=','staff_subject.course_id')->
    //   where('staff_subject.user_id',$userId)->get();
   $spclclass=SpecialClassAdd::where('user_id',$userId)->get();
      return view('students.specialclass_view',compact('spclclass'));
  }
    public function specialclass_delete($id)
    {
       
        $spclclasses = SpecialClassAdd::find($id)->delete();
        if($spclclasses){
            $msg_array = array('message'=>'Deleted Successfully !','alert-type'=>'success');
        }

        return redirect()->route('specialclass.view')->with($msg_array);
    }
    
  public function discontinue()
  {
     $studentdet=Student::all();



return view('students.discontinue',compact('studentdet'));
  }

public function discontinue_get(Request $request)
{
         
        
        $col_order = ['adno','name','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
        $searchs = $request->get('searchterm');
      
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)
                    ->where('students.tcstatus','0')->where('students.status','1');
                 if ($searchs != '') {
    $query->where(function ($query) use ($searchs, $current_academic_year_id) {
        $query->where('students.name', 'like', '%' . $searchs . '%')
              ->orWhere('students.adno', 'like', '%' . $searchs . '%')
              ->orWhere('students.mobile', 'like', '%' . $searchs . '%');
    });
}
                    
                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('paddress','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }

      $query->select('students.*','courses.course_name','semesters.semester_name');
                    
         $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $dis=0;
        
        if(MenuAccess::have_access(209) == true){ $dis=1; }
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
               
                $html='';
                
                if($student->status=='1')
                {
                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.get.click',encrypt($student->student_id)).'" title="View" onClick="return confirm(\'Are you sure you want to discontinue this student?\');">Discontinue</a>&nbsp;&nbsp;&nbsp;';
                }

                }
                 if($student->status=='0')
                 {
                     
                 
                                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.inactive.click',encrypt($student->student_id)).'" title="View" style="color:red;" onClick="return confirm(\'Are you sure you want to continue this student?\');">Discontinued</a>&nbsp;&nbsp;&nbsp;';
                }
}
                
                
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
    }



 public function discontinue_get_click($student_id)
 {
     
     $student=Student::where('student_id',decrypt($student_id))->first();
     $student->update([
    'status'=>'0',
    ]);
     return redirect()->route('discontinue')->with('message','Student discontinued from the course successfully!');
 }
    
    
    
   public function discontinue_inactive_click($student_id)
   {
       $student=Student::where('student_id',decrypt($student_id))->first();
     $student->update([
    'status'=>'1',
    ]);
     return redirect()->route('discontinued.student')->with( 'Student continued in the course successfully!');
   }
    
    public function discontinued_student()
    {
                   $studentdet=Student::all();
                   return view('students.discontinued_student');
    }
    
    
 public function discontinued_student_get(Request $request)
 {
    
         
        
        $col_order = ['adno','name','mobile','course_name','semester_name'];
        $total_data = Student::whereNull('deleted_at')->count();
        $limit = $request->input('length');
        $start = $request->input('start');
        $order = $col_order[$request->input('order.0.column')];
        $dir = $request->input('order.0.dir');
      
      
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first();
        $current_academic_year_id = $cur_acyear->ac_id;
        $query  =   Student::join('promotes','students.student_id','=','promotes.student_id')->
                    join('courses','promotes.course_id','=','courses.course_id')->
                    join('semesters','promotes.semester_id','=','semesters.semester_id') ->where('promotes.ac_id',$current_academic_year_id)
                    ->where('students.tcstatus','0')->where('students.status','0');

                    if(!empty($request->input('search.value'))){
                    $search = $request->input('search.value');
                    $query->where(function ($qry) use ($search){
                    $qry->where('adno','like','%'.$search.'%')->
                    orWhere('name','like','%'.$search.'%')->
                    orWhere('paddress','like','%'.$search.'%')->
                    orWhere('mobile','like','%'.$search.'%')->
                    orWhere('course_name','like','%'.$search.'%')->
                    orWhere('semester_name','like','%'.$search.'%');
                        });
                    }

      $query->select('students.*','courses.course_name','semesters.semester_name');
                    
         $total_filtered = $query->count();
         $students  = $query->offset($start)->limit($limit)->orderBy($order,$dir)->get(); 
        
        $dis=0;
        
        if(MenuAccess::have_access(209) == true){ $dis=1; }
       
        
        $data = array();
        if($students){
            foreach($students as $student){
                $row['adno'] = $student->adno;
                $row['name'] = $student->name;
                $row['mobile'] = $student->mobile;
                $row['course'] = $student->course_name;
                $row['semester'] = $student->semester_name;
                
               
                $html='';
                
                if($student->status=='1')
                {
                //                     if($dis==1){
                //     $html .= '<a href="'.route('discontinue.get.click',encrypt($student->student_id)).'" title="View" onClick="return confirm(\'Are you sure you want to discontinue this student?\');">Discontinue</a>&nbsp;&nbsp;&nbsp;';
                // }

                }
                 if($student->status=='0')
                 {
                     
                 
                                                    if($dis==1){
                    $html .= '<a href="'.route('discontinue.inactive.click',encrypt($student->student_id)).'" title="View" style="color:blue;" onClick="return confirm(\'Are you sure you want to continue this student?\');"><span style="color:#66FF00">Active</span></a>&nbsp;&nbsp;&nbsp;';
                }
}
                
                
                $row['action'] = $html;
                
                $data[] = $row;
            }
        }
        
        $json = array(
            'draw' => intval($request->input('draw')),
            'recordsTotal' => intval($total_data),
            'recordsFiltered' => intval($total_filtered),
            'data' => $data
        );
            
        echo json_encode($json);
  

 }
    
    
    
    
    
    
    
    
    
    public function login(){
        if(auth()->guard('student')->check()){
             return redirect()->route('student.home');
        }else{
            return view('students.login');
        }
    }
    
    public function logaction(){
        $input = ['email' => request('email'),'password' => request('password'),'status'=>1];
        if(auth()->guard('student')->attempt($input,true)){
            Cache::flush();
            return redirect()->route('student.home');
        }else{
            return redirect()->route('student.login')->with('message','Invalid Credentials or User Blocked !');
        }
    }
    
    public function logout(){
        auth()->guard('student')->logout();
        Cache::flush();
        return redirect()->route('student.login');
    }
    
    public function home(){
        return view('students.home');
    }
    
    
}
