<?php

namespace App\Http\Controllers;
use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\Periods;
use App\Models\Timetable;
use App\Models\StaffSubject;
use App\Models\User;
use App\Models\Course;
use App\Models\SubjectType; 
use App\Models\Semester;
use App\Models\Subject;
use App\Models\DayOfWeek;
use App\Models\TimetableTemporary;
use App\Models\Promote;
use App\Models\Student;
use App\Models\Studentleavetype;
use App\Models\StudentAttendance;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
class Timetables extends Controller
{
    public function generateTimetable(){
        $courses = Course::all();
       
       
        return view('timetable.generateTimetable',compact('courses'));

        
    }
     public function generateTimetable_get(Request $request)
     {
      
        $course = $request->get('course');
        $semester_id = $request->get('semester_id');
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        
        $getDayOfWeek = DayOfWeek::all();
        
        $timetabletemporary_old = TimetableTemporary::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
        if($timetabletemporary_old->count() > 0){
             
             foreach ($timetabletemporary_old as $timetable_old) {
                $timetable_old->delete(); 
            }   
                
        }
        
        
        foreach ($getDayOfWeek as $day) {
        foreach ($periods as $period) {
            $assigned = false;
            $randomSubject = $staffsubjects->random();
            //foreach ($randomSubject as $staffsubject) {
            if (!$assigned) {
           $existingotherAssignment = TimetableTemporary::where('period_id', $period->id)
    ->where('day_of_week', $day->day)
    ->where('course', $course)
    ->where('semester', $semester_id)->where('acyear', $ac_id)
    ->where('user_id', '!=', $randomSubject->user_id) 
    ->first();     
          $existingAssignment = TimetableTemporary::where('user_id', $randomSubject->user_id)
                    ->where('period_id', $period->id)->where('day_of_week', $day->day)->where('acyear', $ac_id)
                    ->first();
                    
                    $existingdayAssignment = TimetableTemporary::where('period_id', $period->id)
    ->where('day_of_week', $day->day)
    ->where('course', $course)->where('acyear', $ac_id)
    ->where('semester', $semester_id)
   
    ->first(); 

                if (!$existingAssignment && !$existingotherAssignment && !$existingdayAssignment) { 
                  $existingAssignmentstaff = TimetableTemporary::where('user_id', $randomSubject->user_id)
                    ->where('day_of_week', $day->day)->where('semester', $semester_id)->where('acyear', $ac_id)
                    ->where('course', $course)->where('subject_id', $randomSubject->subject_id)
    
                    ->first(); 
                if (!$existingAssignmentstaff){    
                    TimetableTemporary::create([
                        'period_id' => $period->id,
                        'day_of_week' => $day->day,  
                        'subject_id' => $randomSubject->subject_id,
                        'user_id' => $randomSubject->user_id,
                        'course'=>$course,
                        'semester'=>$semester_id,
                        'acyear' => $ac_id
                    ]);

                    $assigned = true;
                }
                }
            }
       // }
       
        
        if (!$assigned) {
           \Log::warning("No teacher available for period ID: {$period->id}");
        }
    }
        }
      }
     
    public function timetable_update(Request $request)
    {
        
    $course = $request->courseId;
    $sem = $request->semesterId;
    $period_id = $request->period_id;
    $day_of_week = $request->day_of_week;
     $staff_id = $request->staff_id;
    $subject_id = $request->subject_id;
    $ac_id = getAcyear();
    $is_free_period = $request->is_free_period; 
    if ($is_free_period == 'true') {
         $checkfree = TimetableTemporary::where([
                'course' => $course,
                'semester' => $sem,
                'period_id' => $period_id,
                'day_of_week' => $day_of_week,
                
            ])->first();
            if ($checkfree) {
             $checkfree->delete();
              
        } 
    }
    else
    {
        $check = TimetableTemporary::where([
                    'course' => $course,
                    'semester' => $sem,
                    'period_id' => $period_id,
                    'day_of_week' => $day_of_week,
                    
                ])->first();
            if ($check) 
            {
                   
                   $check->update([
                        'subject_id' => $subject_id,'user_id' => $staff_id,
                    ]);
            
            }
            else
            {
                 TimetableTemporary::create([
                                'period_id' => $period_id,
                                'day_of_week' => $day_of_week,  
                                'subject_id' => $subject_id,
                                'user_id' => $staff_id,
                                'course'=>$course,
                                'semester'=>$sem,
                                'acyear' => $ac_id
                            ]);
            }
    }
    return true;
}
    
    public function viewTimetable_get(Request $request)
    {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        
        $getDayOfWeek = DayOfWeek::all();
        $staff = StaffSubject::Join('users','staff_subject.user_id','=','users.user_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('users.*')->distinct()->get();
        $subjects = StaffSubject::Join('subjects','staff_subject.subject_id','=','subjects.subject_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('subjects.*')->distinct()->get();
        $timetable = TimetableTemporary::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
        return view('timetable.generateTimetable_get',compact('course','semester_id','periods','ac_id','staffsubjects','timetable','getDayOfWeek','staff','subjects'));

        
    }
    
    
  public function timetable_save(Request $request)
{
    $course = decrypt($request->course);
    $semester_id = decrypt($request->sem_id);
    $ac_id = getAcyear();
   
    $timetable_temporary = TimetableTemporary::where('acyear', $ac_id)
        ->where('course', $course)
        ->where('semester', $semester_id)
        ->get();
    
  
    DB::beginTransaction();
    
    try {
       
        Timetable::where('acyear', $ac_id)
            ->where('course', $course)
            ->where('semester', $semester_id)
            ->delete();
        
      
        $k = 0;
        foreach ($timetable_temporary as $temporary) {
            Timetable::create([
                'period_id'   => $temporary->period_id,
                'day_of_week' => $temporary->day_of_week,
                'subject_id'  => $temporary->subject_id,
                'user_id'     => $temporary->user_id,
                'course'      => $temporary->course,
                'semester'    => $temporary->semester,
                'acyear'      => $temporary->acyear
            ]);
            $k++;
        }
        
      
        DB::commit();
        
       
        if ($k > 0) {
            $msg_array = ['message' => 'Timetable Generated Successfully!', 'alert-type' => 'success'];
        } else {
            $msg_array = ['message' => 'Timetable Could not be Generated!', 'alert-type' => 'error'];
        }
        
        return redirect()->route('generate.timetable')->with($msg_array);
        
    } catch (\Exception $e) {
      
        DB::rollback();
        
       
        \Log::error('Error generating timetable: ' . $e->getMessage());
        
        $msg_array = ['message' => 'An error occurred. Please try again!', 'alert-type' => 'error'];
        return redirect()->route('generate.timetable')->with($msg_array);
    }
}


public function Timetable_view(){
        $courses = Course::all();
       
       
        return view('timetable.view.view_timetable',compact('courses'));

        
    }
    
    public function Timetable_get(Request $request)
    {
      
        $course = $request->course;
        $semester_id = $request->semester_id;
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        
        $getDayOfWeek = DayOfWeek::all();
        $staff = StaffSubject::Join('users','staff_subject.user_id','=','users.user_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('users.*')->distinct()->get();
        $subjects = StaffSubject::Join('subjects','staff_subject.subject_id','=','subjects.subject_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('subjects.*')->distinct()->get();
        $timetable = Timetable::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
        return view('timetable.view.view_timetable_get',compact('course','semester_id','periods','ac_id','staffsubjects','timetable','getDayOfWeek','staff','subjects'));

        
    }
       public function timetable_print($course,$semester_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $staffsubjects = StaffSubject::where('acyear_id', $ac_id)->where('course_id',$course)->where('semester_id',$semester_id)->get();
        $getDayOfWeek = DayOfWeek::all();
       
        $course_name = Course::where('course_id',$course)->whereNull('deleted_at')->first(); 
        $sem_name = Semester::where('semester_id',$semester_id)->whereNull('deleted_at')->first(); 
        
        $staff = StaffSubject::Join('users','staff_subject.user_id','=','users.user_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('users.*')->distinct()->get();
        $subjects = StaffSubject::Join('subjects','staff_subject.subject_id','=','subjects.subject_id')->where(array('staff_subject.acyear_id'=>$ac_id,'staff_subject.course_id'=>$course,'staff_subject.semester_id'=>$semester_id))->select('subjects.*')->distinct()->get();
        $timetable = Timetable::where('acyear', $ac_id)->where('course', $course)->where('semester', $semester_id)->get();
   
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('timetable.view.timetable_print',compact('staff','ac_id','ins_det','cur_acyear','course_name','sem_name','timetable','subjects','periods','getDayOfWeek'));
    }
    
    public function staff_timetable_view(){
        $userId = Auth::id();
       
        $staffsdet = User::where('user_id',$userId)->first();
        if($staffsdet->type_id == '12')
        {
            $staffs = User::where('user_id',$userId)->get();
        }
        else
        {
            $staffs = User::where('staftyp_id',1)->get();
        }
        return view('timetable.staff.view_timetable',compact('userId','staffs','staffsdet'));

        
    }
    
    public function staff_timetable_get(Request $request)
    {
      
        $user_id = $request->user_id;
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $getDayOfWeek = DayOfWeek::all();
        $timetable = Timetable::where('acyear', $ac_id)->where('user_id', $user_id)->get();
        $staffsdet = User::where('user_id',$user_id)->first();
        if($staffsdet->type_id == '12')
        {
            $staffs = User::where('user_id',$user_id)->get();
        }
        else
        {
            $staffs = User::where('staftyp_id',1)->get();
        }
        return view('timetable.staff.view_timetable_get',compact('periods','ac_id','timetable','getDayOfWeek','staffs','user_id'));
    }
    
    public function staff_timetable_print($user_id){
        $ins_det = instituteDetails();
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $getDayOfWeek = DayOfWeek::all();
        $staffsdet = User::where('user_id',$user_id)->first();
        $timetable = Timetable::where('acyear', $ac_id)->where('user_id', $user_id)->get();
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        return view('timetable.staff.timetable_print',compact('staffsdet','ac_id','ins_det','cur_acyear','timetable','user_id','periods','getDayOfWeek'));
    }
    
     public function hourlyattendance_view(){
        $userId = Auth::id();
       
        $staffsdet = User::where('user_id',$userId)->first();
        $cur_date = date('Y-m-d');
        return view('timetable.studentattendance.hourlyattendance_view',compact('userId','cur_date','staffsdet'));

        
    }
    
    public function hourlyattendance_get(Request $request)
    {
        $userId = Auth::id();
        $staffsdet = User::where('user_id',$userId)->first();
        $cur_date = $request->date;
        $ac_id = getAcyear();
        $periods = Periods::where('acyear', $ac_id)->get();
        $getDayOfWeek = DayOfWeek::all();
        $timetable = Timetable::where('acyear', $ac_id)->where('user_id', $userId)->get();
        $year = date('Y',strtotime($cur_date));
        $week = date('W',strtotime($cur_date));
        $from = date("d/m/Y", strtotime("{$year}-W{$week}-1"));
        $to = date("d/m/Y", strtotime("{$year}-W{$week}-6"));
        
        return view('timetable.studentattendance.hourlyattendance__get',compact('periods','ac_id','timetable','getDayOfWeek','cur_date','userId','staffsdet','year','week','from','to')); 
    }
    
    public function index($cid, $did, $date, $prd, $subj , $periodname)
    {
        $ac_id = getAcyear();
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$cid,'promotes.semester_id'=>$did))->select('students.*')->get();
        $studentleav = Studentleavetype::all();
        
        return view('timetable.studentattendance.index', compact('cid', 'did', 'date', 'prd', 'subj','periodname','students','studentleav'));
    }
    
    public function hourlyattendance_update(Request $request)
    { 
        $course = $request->input('course_id');
        $sem_id = $request->input('semester_id');
        $subject = $request->input('subject_id');
        $date = $request->input('date');
        $period_id = $request->input('period_id');
        $student_id = $request->input('student_id');
        $periodname = $request->input('periodname');
        $reason = $request->input('reason');
        $leaveType = $request->input('stuleav_id');
        $present_period = $request->present_period;
           try {
        $formattedDate = Carbon::createFromFormat('d-m-Y', $date)->format('Y-m-d');
    } catch (\Exception $e) {
        return back()->with('error', 'Invalid date format. Please provide the date in DD-MM-YYYY format.');
    }
        $absentmarked=StudentAttendance::where('course_id',$course)
        ->where('semester_id',$sem_id)
        ->where('subject_id',$subject)
        ->where('student_id',$student_id)
         ->where('period_id',$period_id)
        ->where('date',$formattedDate)
        ->first();
        if(!$absentmarked)
        {
             if ($present_period == 'on') {
                 $attendance = new StudentAttendance();
            $attendance->course_id = $course;
            $attendance->semester_id =  $sem_id;
            $attendance->subject_id =  $subject;
            $attendance->student_id =$student_id;
            $attendance->period_id =$period_id;
            $attendance->stuleav_id=Null;
            $attendance->date = $formattedDate;
            $attendance->month = \Carbon\Carbon::parse($date)->format('m');
            $attendance->year = \Carbon\Carbon::parse($date)->format('Y');
            
                $attendance->am = 0;
                $attendance->pm = 0;
           
                 
             }
             else
             {
           $attendance = new StudentAttendance();
            $attendance->course_id = $course;
            $attendance->semester_id =  $sem_id;
            $attendance->subject_id =  $subject;
            $attendance->student_id =$student_id;
            $attendance->period_id =$period_id;
            $attendance->stuleav_id=$leaveType;
            $attendance->date = $formattedDate;
            $attendance->month = \Carbon\Carbon::parse($date)->format('m');
            $attendance->year = \Carbon\Carbon::parse($date)->format('Y');
            if($leaveType == 2)
            {
                $attendance->am = 1;
                $attendance->pm = 1;
            }
            else
            {
                $attendance->am = 0;
                $attendance->pm = 0;
            }
             }
            $attendance->reason = $reason;
            $attendance->save(); 
        }
        else
        {
            
    if ($present_period == 'on') {
       
        $absentmarked->update([
                'am' => 0,
                'pm' => 0,
                'stuleav_id'=>null,
               
            ]);
        }
        else
        {
            if($leaveType == '1' || $leaveType == '3')
            {   
                $absentmarked->update([
                'am' => 0,
                'pm' => 0,
                'stuleav_id'=>$leaveType,
                'reason'=>$reason,
            ]);
            
            }
            else
            {
              $absentmarked->update([
                'am' => 1,
                'pm' => 1,
                'stuleav_id'=>$leaveType,
                'reason'=>$reason,
            ]); 
                
            }
        }
        }   
    
       return redirect()->route('student_attendance.index', [
        'cid' => $course,
        'did' => $sem_id,
        'date' => $formattedDate,
        'prd' => $period_id,
        'subj' => $subject,
        'periodname' => $periodname,
    ]);
    }
    
    public function hourlyattendance_save(Request $request)
    {
        $course = decrypt($request->course);
        $sem_id = decrypt($request->sem_id);
        $date = decrypt($request->date);
        $period = decrypt($request->period);
        $subject = decrypt($request->subject);
        $ac_id = getAcyear();
        $i=0;
        $students = Promote::Join('students','promotes.student_id','=','students.student_id')->where(array('promotes.ac_id'=>$ac_id,'promotes.course_id'=>$course,'promotes.semester_id'=>$sem_id))->select('students.*')->get();
        foreach($students as $student)
        {
            $absentmarked=StudentAttendance::where('course_id',$course)
            ->where('semester_id',$sem_id)
            ->where('subject_id',$subject)
            ->where('student_id',$student->student_id)
             ->where('period_id',$period)
            ->where('date',$date)
            ->exists();
            if(!$absentmarked)
            {
               $attendance = new StudentAttendance();
                $attendance->course_id = $course;
                $attendance->semester_id =  $sem_id;
                $attendance->subject_id =  $subject;
                $attendance->student_id =$student->student_id;
                $attendance->period_id =$period;
                $attendance->date = $date;
                $attendance->month = \Carbon\Carbon::parse($date)->format('m');
                $attendance->year = \Carbon\Carbon::parse($date)->format('Y');
                $attendance->am = 0;
                $attendance->pm = 0;
                $attendance->save(); 
                $i++;
            }
        }
        if($i>0){
            $msg_array = array('message'=>'Attendance has been Saved Successfully !','alert-type'=>'success');
        }else{
            $msg_array = array('message'=>'Attendance Could not be Saved !','alert-type'=>'error');
        }
          return redirect()->route('staff.hourlyattendance')->with($msg_array);
    }
    
    public function hourlyattendance_present_update(Request $request)
    { 
        $course = $request->input('course_id');
        $sem_id = $request->input('semester_id');
        $subject = $request->input('subject_id');
        $date = $request->input('date');
        $period_id = $request->input('period_id');
        $student_id = $request->input('student_id');
        $periodname = $request->input('periodname');
        $reason = $request->input('reason');
        $leaveType = $request->input('stuleav_id');
        $present_period = $request->present_period;
        
           try {
        $formattedDate = Carbon::createFromFormat('d-m-Y', $date)->format('Y-m-d');
    } catch (\Exception $e) {
        return back()->with('error', 'Invalid date format. Please provide the date in DD-MM-YYYY format.');
    }
        $absentmarked=StudentAttendance::where('course_id',$course)
        ->where('semester_id',$sem_id)
        ->where('subject_id',$subject)
        ->where('student_id',$student_id)
        ->where('period_id',$period_id)
        ->where('date',$formattedDate)
        ->first();
        if(!$absentmarked)
        {
           $attendance = new StudentAttendance();
            $attendance->course_id = $course;
            $attendance->semester_id =  $sem_id;
            $attendance->subject_id =  $subject;
            $attendance->student_id =$student_id;
            $attendance->period_id =$period_id;
            $attendance->date = $formattedDate;
            $attendance->month = \Carbon\Carbon::parse($date)->format('m');
            $attendance->year = \Carbon\Carbon::parse($date)->format('Y');
            $attendance->am = 0;
            $attendance->pm = 0;
        
            $attendance->reason = $reason;
            $attendance->save(); 
        }
        else
        {
            if ($present_period == 'on') {
            $absentmarked->update([
                'am' => 0,
                'pm' => 0,
                'stuleav_id'=>null,
                'reason'=>$reason,
            ]);
            }
            else
            {
                if($leaveType == 1 || $leaveType == 3 )
                {
                    $absentmarked->update([
                'am' => 0,
                'pm' => 0,
                'stuleav_id'=>$leaveType,
                'reason'=>$reason,
            ]);
                }
                else
                {
                    $absentmarked->update([
                'am' => 1,
                'pm' => 1,
                'stuleav_id'=>$leaveType,
                'reason'=>$reason,
            ]);
                }
                
            }
        }
        
    
       return redirect()->route('student_attendance.index', [
        'cid' => $course,
        'did' => $sem_id,
        'date' => $formattedDate,
        'prd' => $period_id,
        'subj' => $subject,
        'periodname' => $periodname,
    ]);
    }
}
