<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\User;
use App\Models\Course;
use App\Models\AddEvent;
use App\Models\AddCompetition;
use App\Models\AcademicCalendar;
use Carbon\Carbon;

class event extends Controller
{
    public function add()
    {
        $acyears=Acyear::all();
        $staff=User::where('status','1')->get();
        $course=Course::all();
        return view('event.add',compact('acyears','staff','course'));
    }

    public function add_save(Request $request)
    {
       
         $validated = $request->validate([
            'ac_id' => 'required',
             'user_id' => 'required',
             'course_id' => 'required',
             'event' => 'required',
        ]);
        
     
        $event=AddEvent::create([
            'ac_id'=>$request->ac_id,
            'user_id'=>$request->user_id,
            'course_id'=>$request->course_id,
            'event'=>$request->event,
            'desc'=>$request->desc,
            'fdate'=>$request->fdate,
            'tdate'=>$request->tdate,
            ]);
        if($event)
        {
            $startDate = Carbon::parse($request->fdate);
            $endDate = Carbon::parse($request->tdate);
            while ($startDate->lte($endDate)) 
             {
                $accalendar = AcademicCalendar::create([
                                'type' => 3,
                                'tb_id' => $event->addevent_id,
                                'event' => $request->event,
                                'ev_date' => $startDate->format('Y-m-d'),
                                'ac_id' => $request->ac_id,
                               
                            ]);
                $startDate->addDay();
             }
            $msg_array=array('message'=>'Event Added successfully!','success');
        }
        else
        {
             $msg_array=array('message'=>'Event could not added !','error');
        }
        
       return redirect()->route('events')->with($msg_array); 
    }
    
    public function add_report()
    {
        $event=AddEvent::all();
        
        return view('event.add_report',compact('event'));
    }
    
    public function add_report_delete($id)
    {
        $event_id=AddEvent::find($id);
        if($event_id)
        {
          if($event_id->count() > 0){
                $event_id->delete();
                $msg_array = array('message'=>'Event Deleted!','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>'Template Could not be Deleted !','alert-type'=>'error');
            }
        }
        return redirect()->route('events.report')->with($msg_array);
    }
    
    public function add_report_edit($id)
    {
        
       
       $event_id=AddEvent::find(decrypt($id));
       $event=AddEvent::where('addevent_id',$id)->get();
      
       return view('event.add_report_edit',compact('event','event_id'));
    }
    
    public function add_report_print()
    {
        $event=AddEvent::all();
         $institution = instituteDetails();  
        return view('event.add_report_print',compact('event','institution'));
    }
    
   public function competition()
   {
       $event=AddEvent::all();
       $staff=User::all();
       $course=Course::all();
       return view('event.competition',compact('event','staff','course'));
   }
    
    
public function competition_save(Request $request)
{
     $validated = $request->validate([
            'addevent_id' => 'required',
             'user_id' => 'required',
             'course_id' => 'required',
             'date' => 'required',
             'compt'=>'required',
             'lda'=>'required',
        ]);

    $compe=AddCompetition::create([
        'addevent_id'=>$request->addevent_id,
        'user_id'=>$request->user_id,
        'course_id'=>$request->course_id,
        'date'=>$request->date,
        'compt'=>$request->compt,
        'lda'=>$request->lda,
        ]);
        
        if($compe)
        {
            $msg_array=array('message'=>'Competition added successfully!!','success');
        }
    else
    {
            $msg_array=array('message'=>'Competition could not be added!!','error');
        
    }
   return redirect()->route('event.competition')->with($msg_array); 
    
    
}
    
  public function competition_report()
  {
      $compt=AddCompetition::all();
      return view('event.competition_report',compact('compt'));
  }
    
    public function competition_report_edit($id)
    {
        $compt_id=AddCompetition::find($id);
       $event=AddEvent::all();
       $staff=User::all();
       $course=Course::all();
        return view('event.competition_report_edit',compact('compt_id','event','staff','course'));
    }
    
    public function competition_report_update(Request $request)
    {
        $compt_id=AddCompetition::find($request->addcompt_id);
        $compt_id->update([
            'user_id'=>$request->user_id,
            'addevent_id'=>$request->addevent_id,
            'course_id'=>$request->course_id,
            'compt'=>$request->compt,
            'date'=>$request->date,
            'lda'=>$request->lda,
            ]);
            if($compt_id)
        {
            $msg_array=array('message'=>'Competition Updated successfully!!','success');
        }
    else
    {
            $msg_array=array('message'=>'Competition could not  Update!!','error');
        
    }
    
    return redirect()->route('event.competition.report')->with($msg_array); 
    }
    
    
    
    public function competition_report_delete($id)
    {
        $compt_id=AddCompetition::find($id);
       if($compt_id->count() > 0){
                $compt_id->delete();
                $msg_array = array('message'=>'Deleted Successfully !','alert-type'=>'success');
            }else{
                $msg_array = array('message'=>' Could not be Deleted !','alert-type'=>'error');
            }
       
   
    return redirect()->route('event.competition.report')->with($msg_array); 
    }
    
    
    
    
    
    
    
    
}
