<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use App\Models\Acyear;
use App\Models\ObePsoAchievement;
class Checkandcopyachievementdata
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
       
        $cur_acyear = Acyear::where('default1',1)->whereNull('deleted_at')->first(); 
        $newAcId = $cur_acyear->ac_id;
        $previousAcId = $this->getPreviousAcId($newAcId);

        if ($previousAcId && !$this->dataExists($newAcId)) {
            $this->copyData($previousAcId, $newAcId);
        }

        return $next($request);
    }
    
     protected function getPreviousAcId($newAcId)
    {
        
        return $newAcId - 1; 
    }
    protected function dataExists($acId)
    {
        return ObePsoAchievement::where('ac_id', $acId)->exists();
    }

    protected function copyData($oldAcId, $newAcId)
    {
        $oldData = ObePsoAchievement::where('ac_id', $oldAcId)->get();

        foreach ($oldData as $data) {
            $newData = $data->replicate();
            $newData->ac_id = $newAcId;
            $newData->save();
        }
    }
}
