<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Carbon\Carbon;
class BookIssueList extends Model
{
    use HasFactory,SoftDeletes;
    protected $table = 'book_issue_list';
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
      public function books_det(){
        return $this->hasmany(Books::class,'id','book_id');
    }
    
     public function calculateFineForBookIssue($bookId,$returnedDate,$bk_id)
    {
        // Retrieve the book issue details
        $bookIssue = self::where('book_id', $bookId)
            ->where('status', 0)->where('id', $bk_id)
            ->first(['id', 'member_id', 'member_type', 'issue_date', 'act_return_date']);
        
        if (!$bookIssue) {
            return [
                'fine_amount' => 0,
                'total_due_days' => 0,
                'fine_details' => '',
            ];
        }

        $memberType = $bookIssue->member_type;
        $returnedDate = Carbon::parse($returnedDate);
        $returnDate = Carbon::parse($bookIssue->act_return_date);
        $issueDate = Carbon::parse($bookIssue->issue_date);

        // Calculate total due days
        $totalDueDays = $returnedDate->diffInDays($returnDate);
        $totalDueDays = max(0, $totalDueDays); // Ensure non-negative

        // Retrieve fine details
        $fineDetails = LibraryMemberDue::where('member_types', $memberType)
            ->first(['fine_amount', 'fine_count', 'fine_per']);
if($returnedDate > $returnDate){
        if ($fineDetails) {
            $fineAmount = 0;

            if ($fineDetails->fine_per == 1) {
                $fineAmount = $totalDueDays * $fineDetails->fine_amount;
            } else {
                $fineAmount = ceil($fineDetails->fine_amount * ($totalDueDays / 30));
            }

            $fineDetailsString = "{$fineDetails->fine_amount} / {$fineDetails->fine_count}";

            return [
                'fine_amount' => $fineAmount,
                'total_due_days' => $totalDueDays,
                'fine_details' => $fineDetailsString,
            ];
        }
}
        return [
            'fine_amount' => 0,
            'total_due_days' => 0,
            'fine_details' => '',
        ];
    }
    
    
}
