<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Books extends Model
{
   use HasFactory,SoftDeletes;
    protected $table = 'books';
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
    
    
    public function mcategname(){
        return $this->hasOne(Libcategory::class,'libcat_id','categ_id');
    }
    
     public function subcategname(){
        return $this->hasOne(Libsubcategory::class,'libsub_id','subcateg_id');
    }
    
     public function mlocname(){
        return $this->hasOne(Libmainloc::class,'ml_id','mloc');
    }
    
     public function sublocname(){
        return $this->hasOne(Libsubloc::class,'sl_id','subloc');
    }
    
    
   /*  public function getBooksKey($skey)
    {
       
        $books = $this->where('title', 'like', '%' . $skey . '%')
                    ->get()
                    ->toArray();
                     \Log::info($books); // 
                        return $books;
                       
    }*/
    public function getBooksKey($skey)
    {
        
        $books = $this->where('title', 'like', '%' . $skey . '%')->get();
    
        
        \Log::info($books); 
    
        
        $availableBooks = [];
    
        foreach ($books as $book) {
           
            $issuedCount = BookIssueList::where('book_id', $book->id)->where('status',0)->count();
            
           
            if ($book->quantity > $issuedCount) {
                $availableBooks[] = $book;
            }
        }
    
        return $availableBooks;
    }
}
