<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class CoPsoMapping extends Model
{
    use HasFactory,SoftDeletes;
    protected $table  = 'co_pso';
    protected $guarded = [];
    protected $hidden = ['id'];
    
    public function coursen(){
        return $this->belongsTo(Course::class,'course','course_id')->withDefault(['name' => '']);
    }
    
    public function coutcome(){
        return $this->belongsTo(ObeCo::class,'co_id','id')->withDefault(['name' => '']);
    }
    public function psoutcome(){
        return $this->belongsTo(ObePso::class,'pso_id','id')->withDefault(['name' => '']);
    }
     public function subjectn(){
        return $this->belongsTo(Subject::class,'sub','subject_id')->withDefault(['name' => '']);
    }
    public function btleveln(){
        return $this->belongsTo(ObeLevel::class,'level_id','id')->withDefault(['name' => '']);
    }
    public function asessmethodn(){
        return $this->belongsTo(ObeAssessmentMethod::class,'assmnt_method','id')->withDefault(['name' => '']);
    }
}
