<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class ComplaintAdd extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'complaint_add';
    
    protected $primaryKey = 'complaint_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['complaint_id'];
    
     public function complaintTo()
    {
        return $this->belongsTo(User::class,'complaint_to','user_id');
    }
    public function complaintFrom()
    {
        return $this->belongsTo(User::class,'complaint_from','user_id');
    }
     public function forwardedTo()
    {
        return $this->belongsTo(User::class,'forwarded_to','user_id');
    }
    
    public function replies()
{
    return $this->hasMany(ForwardedComplaints::class, 'complaint_id', 'complaint_id');
} 

public function forwardededReply()
{
    return $this->hasMany(ForwardedComplaints::class, 'complaint_id', 'complaint_id'); 
}




}
