<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Course extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'courses';
    
    protected $primaryKey = 'course_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['course_id'];
    
    public function semesters(){
        return $this->hasMany(Semester::class,'course_id','course_id');
    }
    
    public function subjects(){
        return $this->hasMany(Subject::class,'course_id','course_id');
    }
    
}
