<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Enquiry extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'enquiry';
    
    protected $primaryKey = 'id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['id'];
    
    public function getenqstatus(){
    $statuses = [
        0 => "PENDING",
        1 => "ADMITTED",
        2 => "REJECTED",
    ];

    return $statuses[$this->enq_status] ?? 'UNKNOWN';
}
    
     public function staname(){
        return $this->belongsTo(User::class,'handled_by','user_id')->withDefault(['name' => '']);
    }
     public function cname(){
        return $this->belongsTo(Course::class,'class','course_id')->withDefault(['name' => '']);
    }
}
