<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Financialyear extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function getSdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->sdate));
    }
    
    public function getEdateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->edate));
    }
    
    protected $appends = ['sdate_formatted','edate_formatted'];
    
    public static function getDefaultFyearId($acid)
    {
        return self::where('default'.$acid, 1)->value('id');
    }
}
