<?php

namespace App\Models\Library;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class LibraryBook extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function category(){
        return $this->belongsTo(LibraryCategory::class,'category_id')->withDefault(['name' => '']);
    }
    
    public function subcategory(){
        return $this->belongsTo(LibrarySubcategory::class,'subcategory_id')->withDefault(['name' => '']);
    }
    
    public function location(){
        return $this->belongsTo(LibraryLocation::class,'location_id')->withDefault(['name' => '']);
    }
    
    public function sublocation(){
        return $this->belongsTo(LibrarySublocation::class,'sublocation_id')->withDefault(['name' => '']);
    }
    
    public function issues(){
        return $this->hasmany(LibraryIssue::class,'book_id','id');
    }
}
