<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Menu extends Model
{
    use HasFactory;
    
    protected $table = 'menus';
    
    protected $primaryKey = 'menu_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['menu_id'];
    
    public function submenus()
    {
        return $this->hasMany(Menu::class, 'menu_parent', 'menu_id')
            ->where('status', 1)
            ->with('submenus')
            ->orderBy('menu_order', 'ASC');
    }
}
