<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class MenuAccess extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'menu_access';
    
    protected $primaryKey = 'access_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['access_id'];
    
    static function have_access($id){
        $type_id = auth()->user()->type_id;
        $access = self::where('type_id',$type_id)->where('menu_id',$id)->where('status',1)->get()->first();
        if(!empty($access)){
            return $access->access_id;
        }
        return false;
    }
}
