<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Otherfee extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $guarded = [];
    
    public function acyear(){
        return $this->hasOne(Acyear::class,'ac_id','ac_id');
    }
    
    public function ftype(){
        return $this->hasOne(FeeType::class,'type_id','type_id');
    }
    
    public function mode(){
        return $this->hasOne(Paymentmode::class,'mode_id','mode_id');
    }
    
    public function createdby(){
        return $this->hasOne(User::class,'created_by','user_id');
    }
    
    public function getPaidDateFormattedAttribute(){
        return date('d/m/Y',strtotime($this->paid_date));
    }
    
    protected $appends = ['paid_date_formatted'];
}
