<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Semester extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'semesters';
    
    protected $primaryKey = 'semester_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['semester_id'];
    
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
    public static function semesterName($sid){
        $sem="";
        $row = self::find($sid);
        if($row){
            $sem = $row->semester_name;
        }
        
        return $sem;
    }
}
