<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Subject extends Model
{
    use HasFactory,SoftDeletes;
    
    protected $table = 'subjects';
    
    protected $primaryKey = 'subject_id'; 
    
    protected $guarded = [];
    
    protected $hidden = ['subject_id'];
    
    public function submax(){
        return $this->hasmany(ObeSubMaxMark::class,'sub_id','subject_id');
    }
    
    public function marklists(){
        return $this->hasmany(ObeMarkList::class,'sub_id','subject_id');
    }
    
     public function subco(){
        return $this->hasmany(ObeCo::class,'sub_id','subject_id');
    }
    public function SubtypeName(){
        return $this->belongsTo(SubjectType::class,'subtyp_id','subtyp_id')->withDefault(['name' => '']);
    }
    
    public function subcredits(){
        return $this->hasmany(FyugpSubjectCredit::class,'subject','subject_id');
    }
     public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
     public function sem(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
     /*public function subtype(){
        return $this->hasOne(SubjectType::class,'subtyp_id','subject_categ');
    }*/
    
     public function subcategoryname(){
        return $this->hasOne(SubCategory::class,'id','subject_categ');
    }
     
   public function minsubstudtotcnt(){
        return $this->hasmany(FyugpStudSub::class,'sub_id','subject_id');
    }
     public function coursesubjects()
    {
        return $this->hasMany(CourseSubject::class, 'subject_id', 'subject_id');
    }
    
}
