<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
class Syllabus extends Model
{
    use HasFactory, SoftDeletes;
    
    protected $table = 'syllabus';
    protected $primaryKey = 'syllabus_id'; 
    protected $guarded = [];
    protected $hidden = ['syllabus_id'];
    
    public function course(){
        return $this->hasOne(Course::class,'course_id','course_id');
    }
    
    public function semester(){
        return $this->hasOne(Semester::class,'semester_id','semester_id');
    }
    
    public function subject(){
        return $this->hasOne(Subject::class,'subject_id','subject_id');
    }
    
}
