<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('acyears', function (Blueprint $table) {
            $table->bigIncrements('ac_id');
            $table->date('sdate');
            $table->date('edate');
            $table->boolean('default1')->default(0)->comment('1:Default, 0:Custom');
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('acyears');
    }
};
