<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hostel_fees', function (Blueprint $table) {
            $table->bigIncrements('fee_id');
            $table->unsignedBigInteger('hostel_id');
            $table->foreign('hostel_id')->references('hostel_id')->on('hostels');
            $table->date('from');
            $table->double('amount');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hostel_fees');
    }
};
