<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('hostel_payments', function (Blueprint $table) {
            $table->bigIncrements('fee_id');
            $table->unsignedBigInteger('receipt_no');
            $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->integer('ptype')->comment('0:Rent, 1:Mess Fee');
            $table->integer('month');
            $table->integer('year');
            $table->double('amount');
            $table->double('discount')->nullable();
            $table->date('paid_date');
            $table->unsignedBigInteger('mode_id');
            $table->foreign('mode_id')->references('mode_id')->on('paymentmodes');
            $table->string('remarks')->nullable();
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->unsignedBigInteger('created_by');
            $table->foreign('created_by')->references('user_id')->on('users');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('hostel_payments');
    }
};
