<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('staff_subject', function (Blueprint $table) {
            $table->bigIncrements('stfsub_id'); 
            $table->unsignedBigInteger('user_id');
       $table->foreign('user_id')->references('user_id')->on('users');
            $table->unsignedBigInteger('course_id');
       $table->foreign('course_id')->references('course_id')->on('courses');
       $table->unsignedBigInteger('semester_id');
       $table->foreign('semester_id')->references('semester_id')->on('semesters');
       $table->unsignedBigInteger('subtyp_id');
       $table->foreign('subtyp_id')->references('subtyp_id')->on('subject_type');
       $table->unsignedBigInteger('subject_id');
       $table->foreign('subject_id')->references('subject_id')->on('subjects');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('staff_subject');
    }
};
