<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('stock_add', function (Blueprint $table) {
            $table->bigIncrements('stockadd_id');
            $table->string('item_code');
             $table->string('stock_item');
            $table->unsignedBigInteger('c_id');
            $table->foreign('c_id')->references('c_id')->on('stock_category');
            $table->unsignedBigInteger('subcate_id');
            $table->foreign('subcate_id')->references('subcate_id')->on('stock_sub_category');
             $table->unsignedBigInteger('stockloc_id');
            $table->foreign('stockloc_id')->references('stockloc_id')->on('stock_location');
            $table->double('opening_quantity');
             $table->unsignedBigInteger('stock_id');
            $table->foreign('stock_id')->references('stock_id')->on('stock_unit');
            $table->double('unit_price');
            $table->double('total');
            $table->string('saleable');
            $table->string('consumable');
            $table->date('date');
            $table->timestamps();
             $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('stock_add');
    }
};
