<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cc_details', function (Blueprint $table) {
            $table->bigIncrements('cc_id');
             $table->string('ccno');
             $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->date('ldate');
            $table->date('adate');
            $table->date('idate');
            $table->unsignedBigInteger('lcourse');
            $table->foreign('lcourse')->references('course_id')->on('courses');
            $table->unsignedBigInteger('lsemester');
            $table->foreign('lsemester')->references('semester_id')->on('semesters');
            $table->string('regno')->nullable();
            $table->string('appear')->nullable();
            $table->string('result')->nullable();
            $table->string('conduct')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cc_details');
    }
};
