<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('duplicate_tc_fees', function (Blueprint $table) {
            $table->bigIncrements('dtcfees_id');
            $table->unsignedBigInteger('student_id');
            $table->foreign('student_id')->references('student_id')->on('students');
            $table->unsignedBigInteger('receipt_no');
            $table->date('paid_date');
            $table->unsignedBigInteger('mode_id');
            $table->foreign('mode_id')->references('mode_id')->on('paymentmodes');
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('type_id')->on('fee_types');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('duplicate_tc_fees');
    }
};
