<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_attendance', function (Blueprint $table) {
           $table->bigIncrements('stuatten_id'); 
           $table->unsignedBigInteger('course_id');
           $table->foreign('course_id')->references('course_id')->on('courses');
           $table->unsignedBigInteger('semester_id');
           $table->foreign('semester_id')->references('semester_id')->on('semesters');
           $table->unsignedBigInteger('stuleav_id');
           $table->foreign('stuleav_id')->references('stuleav_id')->on('student_leave_setting');
           $table->double('month');
            $table->double('year');
            $table->double('am');
            $table->double('pm');
            $table->date('date');
            $table->string('reason');
           $table->timestamps();
           $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_attendance');
    }
};
