<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('generate_staff_certificate', function (Blueprint $table) {
            $table->bigIncrements('genstafcert_id');
            $table->unsignedBigInteger('user_id');
            $table->foreign('user_id')->references('user_id')->on('users');
            $table->unsignedBigInteger('templatestaff_id');
            $table->foreign('templatestaff_id')->references('templatestaff_id')->on('certificate_template_staff');
            $table->date('date');
            $table->string('certificate_number');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('generate_staff_certificate');
    }
};
