<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
    * Run the migrations.
    *
    * @return void
    */
    public function up()
    {
        Schema::create('vouchers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('group_id');
            $table->unsignedBigInteger('vtype_id');
            $table->unsignedBigInteger('vno');
            $table->date('vdate');
            $table->unsignedBigInteger('dr_ledger');
            $table->unsignedBigInteger('cr_ledger');
            $table->double('vamount');
            $table->string('cdno')->nullable();
            $table->string('cto')->nullable();
            $table->date('cdate')->nullable();
            $table->string('remarks')->nullable();
            $table->boolean('status')->default(1)->comment('1:Active, 0:Inactive');
            $table->unsignedBigInteger('created_by');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vouchers');
    }
};
