<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_memberships', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('membership_no');
            $table->unsignedBigInteger('membership_type');
            $table->unsignedBigInteger('membership_user');
            $table->string('member_name');
            $table->string('barcode');
            $table->unsignedBigInteger('membership_date');
            $table->boolean('approval')->default(1)->comment('0:Pending, 1:Approved, 2:Rejected');
            $table->boolean('status')->default(1)->comment('0:Inactive, 1:Active');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_memberships');
    }
};
