<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_books', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('book_no');
            $table->string('access_no');
            $table->string('title');
            $table->string('sub_title')->nullable();
            $table->string('barcode',20)->nullable();
            $table->unsignedBigInteger('category_id');
            $table->foreign('category_id')->references('id')->on('library_categories')->onDelete('cascade');
            $table->unsignedBigInteger('subcategory_id');
            $table->foreign('subcategory_id')->references('id')->on('library_subcategories')->onDelete('cascade');
            $table->unsignedBigInteger('location_id');
            $table->foreign('location_id')->references('id')->on('library_locations')->onDelete('cascade');
            $table->unsignedBigInteger('sublocation_id');
            $table->foreign('sublocation_id')->references('id')->on('library_sublocations')->onDelete('cascade');
            $table->date('date')->nullable();
            $table->string('language',60)->nullable();
            $table->string('author')->nullable();
            $table->string('publisher')->nullable();
            $table->string('volume',20)->nullable();
            $table->string('edition',20)->nullable();
            $table->string('year',10)->nullable();
            $table->double('amount')->nullable();
            $table->string('condition',100);
            $table->string('isbn')->nullable();
            $table->string('reference',20);
            $table->string('awards')->nullable();
            $table->string('keywords')->nullable();
            $table->string('subject',100)->nullable();
            $table->string('writer',100)->nullable();
            $table->integer('copies',20);
            $table->string('call_no',20);
            $table->string('image')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_books');
    }
};
