<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_issues', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('id')->on('library_member_types');
            $table->unsignedBigInteger('member_id');
            $table->foreign('member_id')->references('id')->on('library_memberships');
            $table->unsignedBigInteger('book_id');
            $table->foreign('book_id')->references('id')->on('library_books');
            $table->date('issue_date');
            $table->date('due_date');
            $table->string('status',10)->default('Issued')->comment('Issued, Returned');
            $table->date('return_date')->nullable();
            $table->string('remarks')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_issues');
    }
};
