<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('library_reservations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('type_id');
            $table->foreign('type_id')->references('id')->on('library_member_types');
            $table->unsignedBigInteger('member_id');
            $table->foreign('member_id')->references('id')->on('library_memberships');
            $table->unsignedBigInteger('book_id');
            $table->foreign('book_id')->references('id')->on('library_books');
            $table->date('date');
            $table->string('approval',10)->default('Pending')->comment('Pending, Approved, Rejected');
            $table->string('status',10)->default('Active')->comment('Active, Inactive');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('library_reservations');
    }
};
