$(document).ready(function(){
        
    $("#course").on('change',function(){
        var course = $(this).val();
        $("#semester").empty();
        $.ajax({
            type : 'GET',
            url : '../get-semesters/'+course,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#semester").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
        
    $("#checkAll").on('click',function () {
        if($(this).is(':checked')){
            $('.checkSub').each(function(){
                this.checked = true;
            });
        }else{
            $('.checkSub').each(function(){
                this.checked = false;
            });
        }
        get_total();
    });
        
    $(".checkSub").on('change',function () {
        get_total();
    });
});

function showFine(amount,ac,term,ftype){
    amount = parseFloat(amount);
    if(isNaN(amount) || amount==null || amount < 0){ amount=0; }
    var cur_fine = parseFloat($("#current_fine"+ac+"-"+term+"-"+ftype).val());
    if(isNaN(cur_fine) || cur_fine==null){ cur_fine=0; }
    if(amount > cur_fine){ amount=cur_fine; }
    $("#fine_amount"+ac+"-"+term+"-"+ftype).val(amount);
        
    var fee_amount = parseFloat($("#fee_amount"+ac+"-"+term+"-"+ftype).val());
    if(isNaN(fee_amount) || fee_amount==null){ fee_amount=0; }
    var total = fee_amount+amount;
    $(".ftotal"+ac+"-"+term+"-"+ftype).html(total);
        
    get_total();
}

function showFee(amount,ac,term,ftype){
    amount = parseFloat(amount);
    if(isNaN(amount) || amount==null || amount < 0){ amount=0; }
    var cur_fee = parseFloat($("#current_fee"+ac+"-"+term+"-"+ftype).val());
    if(isNaN(cur_fee) || cur_fee==null){ cur_fee=0; }
    if(amount > cur_fee){ amount=cur_fee; }
    $("#fee_amount"+ac+"-"+term+"-"+ftype).val(amount);
        
    var fine_amount = parseFloat($("#fine_amount"+ac+"-"+term+"-"+ftype).val());
    if(isNaN(fine_amount) || fine_amount==null){ fine_amount=0; }
    var total = fine_amount+amount;
    $(".ftotal"+ac+"-"+term+"-"+ftype).html(total);
        
    get_total();
}
 
function showDiscount(amount, ac, term, ftype) {
    amount = parseFloat(amount) || 0;
    var totalDiscount = 0;
    $("#discount" + ac + "-" + term + "-" + ftype).val(amount);
    $('input[id^="discount"]').each(function() {
        totalDiscount += parseFloat($(this).val()) || 0;
    });
        
    get_total();
}

function get_total(discountTotal) {
    var total = 0;
    var tdisc = 0;
    $('input:checkbox.checkSub').each(function () {
        if (this.checked) {
            var code = $(this).val();
            var fine = parseFloat($("#fine_amount" + code).val()) || 0;
            if(isNaN(fine) || fine===null){ fine=0; }
            var fee = parseFloat($("#fee_amount" + code).val()) || 0;
            if(isNaN(fee) || fee===null){ fee=0; }
            var discount = parseFloat($("#discount" + code).val()) || 0;
            if(isNaN(discount) || discount===null){ discount=0; }
            
            total += fee + fine - discount;
        }
    });
        
    $("#gtotal").html(total.toFixed(2));
}