var baseUrl = window.location.origin;

$(document).ready(function() {
    
    $('#barcode').focus();
    
    $('#member').select2({
        placeholder: "Search for a Member",
        allowClear: true,
        ajax: {
            type : 'GET',
            url: baseUrl+'/library/search-members',
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    skey: params.term
                };
            },
            processResults: function (data) {
                return {
                    results: data.map(function (item) {
                        return { id: item.id, text: item.membership_no+' - '+item.member_name };
                    })
                };
            }
        }
    });
    
    $('#get-member').click(function(){
        getMember();
    });
    
});

function checkAll(source){
    const checkboxes = document.querySelectorAll('.checkSub');
    checkboxes.forEach(checkbox => checkbox.checked = source.checked);
}

function bookList(){
    $('#book').select2({
        placeholder: "Search for a Book",
        allowClear: true,
        ajax: {
            type : 'GET',
            url: baseUrl+'/library/search-books',
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    skey: params.term
                };
            },
            processResults: function (data) {
                return {
                    results: data.map(function (item) {
                        return { id: item.id, text: item.book_no+' - '+item.title };
                    })
                };
            }
        }
    });
}

function getMember(){
    var barcode = $('#barcode').val();
    var memberno = $('#memberno').val();
    var member = $('#member').val();
    
    $("#member-det").html('');
    
    if(barcode!=='' || memberno!=='' || member !== null){
        $("#member-det").html('<div class="overlay"><div class="spinner-border"></div></div>');
        $.ajax({
            type : 'GET',
            url : baseUrl+'/library/get-member',
            dataType: 'json',
            data : { barcode: barcode, memberno: memberno, member: member },
            success : function(response){
                if(response){
                    if(response.success){
                        viewMember(response.memberid);
                    }else{
                        $("#member-det").html('<div class="alert alert-info">Invalid Member !</div>');
                    }
                }else{
                    $("#member-det").html('<div class="alert alert-info">No Result Found !</div>');
                }
            },
            error: function (xhr, status, error) {
                $('#member-det').html('<div class="alert alert-danger">Could not able to fetch data. Try again later !</div>');
            }
        });
    }else{
        alert('Please enter any field !');
    }
}

function viewMember(mid){
    $.ajax({
        type : 'GET',
        url : baseUrl+'/library/view-member',
        data : { mid: mid },
        success : function(response){
            if(response){
                $("#member-det").html(response);
                $('#bookcode').focus();
                bookList();
                viewBooks(mid);
            }else{
                $("#member-det").html('<div class="alert alert-info">No Result Found !</div>');
            }
        },
        error: function (xhr, status, error) {
            $('#member-det').html('<div class="alert alert-danger">Could not able to fetch data. Try again later !</div>');
        }
    });
}

function addBook(){
    var memberid = $('#member_id').val();
    var bookcode = $('#bookcode').val();
    var bookno = $('#bookno').val();
    var book = $('#book').val();
    
    if(memberid !==null){
        if(bookcode!=='' || bookno!=='' || book !== null){
            $("#temp-books").html('<div class="overlay"><div class="spinner-border"></div></div>');
            $.ajax({
                type : 'GET',
                url : baseUrl+'/library/add-book',
                dataType: 'json',
                data : { memberid: memberid, bookcode: bookcode, bookno: bookno, book: book },
                success : function(response){
                    if(response){
                        if(response.status){
                            $('#temp-books').html('<div class="alert alert-success">Book Added !</div>');
                        }else{
                            alert('Book not Available');
                        }
                    }
                },
                error: function (xhr, status, error) {
                    $('#temp-books').html('<div class="alert alert-danger">Could not able to fetch data. Try again later !</div>');
                }
            });
            getMember();
            $('#book').val(null).trigger('change');
            $('#bookcode').focus();
        }else{
            alert('Please select a book !');
        }
    }else{
        alert('Please select a member !');
    }
}

function viewBooks(mid){
    $.ajax({
        type : 'GET',
        url : baseUrl+'/library/view-book',
        data : { mid: mid },
        success : function(response){
            if(response){
                $("#temp-books").html(response);
            }else{
                $("#temp-books").html('<div class="alert alert-info">No Result Found !</div>');
            }
        },
        error: function (xhr, status, error) {
            $('#temp-books').html('<div class="alert alert-danger">Could not able to fetch data. Try again later !</div>');
        }
    });
}

function deleteTemp(tid){
    if(tid){
        $.ajax({
            type : 'GET',
            url : baseUrl+'/library/delete-issue',
            dataType: 'json',
            data : { tid: tid },
            success : function(response){
                if(response){
                    if(response.success){
                        viewBooks(response.memberid);
                        $('#bookcode').focus();
                    }
                }
            },
            error: function (xhr, status, error) {
                $('#temp-books').html('<div class="alert alert-danger">Could not able to fetch data. Try again later !</div>');
            }
        });
    }
}

function issueBooks(mid){
    if(mid){
        $.ajax({
            type : 'GET',
            url : baseUrl+'/library/issue-books',
            dataType: 'json',
            data : { mid: mid },
            success : function(response){
                if(response){
                    alert('Books Issued successfully');
                }else{
                    alert('Books couldnot be Issued');
                }
            },
            error: function (xhr, status, error) {
                alert('Could not able to fetch data. Try again later !');
            }
        });
        
        getMember();
        $('#bookcode').focus();
    }
}

function returnBooks(mid){
    if(mid){
        const posted = $('.checkSub:checked').map(function () {
            return $(this).val();
        }).get();
        if(posted!=''){
            $.ajax({
                type : 'GET',
                url : baseUrl+'/library/return-books',
                dataType: 'json',
                data : { posted: posted },
                success : function(response){
                    if(response){
                        alert('Books Returned successfully');
                    }else{
                        alert('Books couldnot be Returned');
                    }
                },
                error: function (xhr, status, error) {
                    alert('Could not able to fetch data. Try again later !');
                }
            });
            getMember();
        }else{
            alert('Select books to be returned');
        }
    }else{
        alert('Invalid Member');
    }
}

function renewBooks(mid){
    if(mid){
        const posted = $('.checkSub:checked').map(function () {
            return $(this).val();
        }).get();
        if(posted!=''){
            $.ajax({
                type : 'GET',
                url : baseUrl+'/library/renew-books',
                dataType: 'json',
                data : { mid: mid, posted: posted },
                success : function(response){
                    if(response){
                        alert('Books Renewed successfully');
                    }else{
                        alert('Books couldnot be Renewed');
                    }
                },
                error: function (xhr, status, error) {
                    alert('Could not able to fetch data. Try again later !');
                }
            });
            getMember();
        }else{
            alert('Select books to be renewed');
        }
    }else{
        alert('Invalid Member');
    }
}