@extends('layouts.template')
@section('title','Financial Year')
@section('heading','Financial Year')
@section('breadcrumb','Home / Financial Year')
@section('content')
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="financialTable" width="100%">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Start Date</th>
                    <th>End Date</th>
                    <th>Default</th>
                </tr>
                </thead>
                <tbody>
                    @foreach($fyears as $fyear)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $fyear->sdate_formatted }}</td>
                            <td>{{ $fyear->edate_formatted }}</td>
                            <td>
                                @if($fyear->$accountstr == 1)
                                    <a href="#"><i class="fas fa-check-circle text-success fa-lg"></i></a>
                                @else
                                    <a href="{{ route('accounts.financialyear.update',[$fyear->id,$accountstr]) }}"><i class="fas fa-check-circle text-secondary fa-lg"></i></a>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var financialTable = $("#financialTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                stateSave : true,
                ordering: false,
            });
        });
    </script>
@endsection