@extends('layouts.template')
@section('title','Ledger')
@section('heading','Ledgers')
@section('breadcrumb','Home / Ledgers')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Ledgers</b></div>
    <div class="card-body">
    <form action="{{ route('ledger.save') }}" method="post">
    @csrf
                        
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="ledger_name" class="required"><b>Ledger Name</b></label>
                        <input type="text" class="form-control @error('ledger_name') border-danger @enderror" id="ledger_name" name="ledger_name" value="{{ old('ledger_name') }}">
                        @error('ledger_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="acsubgrp_id" class="required"><b>Group of</b></label>
                            <select class="form-control" id="acsubgrp_id" name="acsubgrp_id" required>
                            @foreach($accountsubgroup as $sub)
                            <option value="{{ $sub->acsubgrp_id }}" {{ old('acsubgrp_id')==$sub->acsubgrp_id ? "selected":"" }}>{{ $sub->subgroup }}</option>
                            @endforeach
                            </select>
                            @error('acsubgrp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="opening_balance" class="required"><b>Opening Balance</b></label>
                                    <input type="text" class="form-control @error('opening_balance') border-danger @enderror" id="opening_balance" name="opening_balance" placeholder="0.00" value="{{ old('opening_balance') }}">
                                    @error('opening_balance')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                    </div>
                    </div>
                    </div>
      
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header"  style="background-color:#004170;color:white"><b>Ledger Details</b></div>
        <div class="card-body">
                            <table class="table table-bordered">
                            <thead>
                            <tr>
                            <th><b>Ledger</b></th>
                            <th><b>Sub Group</b></th>
                            <th><b>Opening Balance</b></th>
                            <th><b>DR/CR</b></th>
                            <th><b>Edit</b></th>
                            <th><b>Delete</b></th>
                            </tr>
                            </thead>
                            <tbody>
                            @forelse($ledger as $led)
                            <tr>
                            <td>{{$led->ledger_name}}</td>
                            <td>{{ $led->sub ? $led->sub->subgroup : 'N/A' }}</td>
                            <td>{{$led->openbal ? $led->openbal->opening_bal : '0.00'}}</td>
                            <td>{{$led->dc}}</td>
                            <td>{{ app_table_links($led->ledger_id,array(160)) }}</td>
                            <td>{{ app_table_links($led->ledger_id,array(161)) }}</td>

                                 
                            </tr>
                            @empty
                            <tr>
                            <td colspan="2">No Result Found !</td>
                            </tr>
                            @endforelse
                            </tbody>
                            </table>
    </div>
    </div>
    </div>
    </div>
     
     
     
     
     
     
                
  <style>
                       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
  </style>      
@endsection