@extends('layouts.template')
@section('title','Ledger')
@section('heading','Ledgers')
@section('breadcrumb','Home / Ledgers / Edit')
@section('content')
    <div class="card card-primary">
        <div class="card-header"><b>Edit Ledger</b></div>
        <div class="card-body">
            <form action="{{ route('accounts.ledger.update') }}" method="post">
                @csrf
                <input type="hidden" name="ledger_id" value="{{ encrypt($ledger->ledger_id) }}">
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="ledger_name" class="required">Ledger Name</label>
                            <input type="text" class="form-control @error('ledger_name') border-danger @enderror" id="ledger_name" name="ledger_name" value="{{ old('ledger_name') ?? $ledger->ledger_name }}">
                            @error('ledger_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="acsubgrp_id" class="required">Group</label>
                            @php $group_id = old('acsubgrp_id') ?? $ledger->ag_id;  @endphp
                            <select class="form-control" id="acsubgrp_id" name="acsubgrp_id" required>
                                @foreach($acgroups as $acgroup)
                                    <option value="{{ $acgroup->acsubgrp_id }}" {{ $acgroup->acsubgrp_id==$group_id ? "selected":"" }}>{{ $acgroup->subgroup }}</option>
                                @endforeach
                            </select>
                            @error('acsubgrp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="opening_balance">Opening Balance</label>
                            <input type="text" class="form-control @error('opening_balance') border-danger @enderror" id="opening_balance" name="opening_balance" placeholder="0.00" value="{{ old('opening_balance') ?? optional($ledger->openbal)->opening_bal ?? '' }}">
                            @error('opening_balance')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <a href="{{ url()->previous() }}" class="btn btn-danger" >Cancel</a>
                            <button type="submit" class="btn btn-success float-right">Update</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection