@extends('layouts.template') 
@section('title', 'Profit & Loss') 
@section('heading', 'Profit & Loss') 
@section('breadcrumb', 'Home / Account / Report / Profit & Loss') 
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('accounts.report.profitloss') }}" method="GET">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="{{ $fdate }}" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="{{ $tdate }}" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        @if($export==1)
                            <a href="{{ route('accounts.report.profitloss.export',['fdate'=>$fdate,'tdate'=>$tdate,'accountid'=>$accountid]) }}" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                        @endif
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Expense</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            @php $total_expense=0; @endphp
                            @foreach($expenses as $key => $value)
                                @php $total_expense += $value['total_amount']; @endphp
                                <tr>
                                    <td>{{ $value['ledger_name'] }}</td>
                                    <td align="right">{{ number_format($value['total_amount'],2) }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Income</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            @php $total_income=0; @endphp
                            @foreach($incomes as $key => $value)
                                @php $total_income += $value['total_amount']; @endphp
                                <tr>
                                    <td>{{ $value['ledger_name'] }}</td>
                                    <td align="right">{{ number_format($value['total_amount'],2) }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            @php $profit_loss = $total_income-$total_expense; @endphp
                            @if($profit_loss > 0)
                                @php $total_expense += $profit_loss; @endphp
                                <tr>
                                    <td width="70%">Surplus ( Profit )</td>
                                    <td align="right">{{ number_format($profit_loss,2) }}</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            @if($profit_loss < 0)
                                @php $total_income += (-$profit_loss); @endphp
                                <tr>
                                    <td width="70%">Deficit ( Loss )</td>
                                    <td align="right">{{ number_format(-$profit_loss,2) }}</td>
                                </tr>
                            @endif
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b>{{ number_format($total_expense,2) }}</b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b>{{ number_format($total_income,2) }}</b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection