@extends('layouts.template')
@section('title','Account Type')
@section('heading','Account Type')
@section('breadcrumb','Home / Account Type')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Account Types</div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Account Type</th>
                    <th>Default</th>
                </tr>
                </thead>
                <tbody>
                    @forelse($actypes as $actype)
                        <tr>
                            <td>{{ $loop->iteration }}</td>
                            <td>{{ $actype->account_type }}</td>
                            <td>
                                @if($actype->default1 == 1)
                                    <a href="#"><i class="fas fa-check-circle text-success fa-lg"></i></a>
                                @else
                                    <a href="{{ route('accounts.actype.update',[$actype->accounttype_id]) }}"><i class="fas fa-check-circle text-secondary fa-lg"></i></a>
                                @endif
                            </td>
                        </tr>
                    @empty
                        <tr>
                            <td colspan="3">No Result Found !</td>
                        </tr>
                    @endforelse
                </tbody>
            </table>
        </div>
    </div>
@endsection