@extends('layouts.template')
@section('title','Account Settings')
@section('heading','Account Settings')
@section('breadcrumb','Home / Account Settings')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Ledger Preferences</div>
        <div class="card-body">
            <form action="{{ route('accounts.preference.update') }}" method="post">
                @csrf
                <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>Ledgers</th>
                        <th>Account Type</th>
                    </tr>
                    </thead>
                    <tbody>
                        @forelse($acsettings as $acsetting)
                            @php $actype_id = $acsetting->actype->accounttype_id ?? null; @endphp
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $acsetting->legder->ledger_name }}<input type="hidden" name="ledger[]" value="{{ $acsetting->ledger_id }}"></td>
                                <td>
                                    <select class="form-control" id="actype_id" name="actype_id[]">
                                        <option value="">Select</option>
                                        @foreach($actypes as $actype)
                                            <option value="{{ $actype->accounttype_id }}" {{ $actype_id==$actype->accounttype_id ? "selected":"" }}>{{ $actype->account_type }}</option>
                                        @endforeach
                                    </select>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="3">No Result Found !</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
                <br>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Update</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection