@extends('layouts.template')
@section('title','Journal Voucher')
@section('heading','Journal Voucher')
@section('breadcrumb','Home / Voucher / Journal')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Add Journal Voucher</div>
        <div class="card-body">
            <form action="{{ route('accounts.journal.voucher.save') }}" method="post">
                @csrf
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="voucher_type" class="required">Voucher Type</label>
                            <select class="form-control" id="voucher_type" name="voucher_type" required>
                                @foreach($vtypes as $vtype)
                                    <option value="{{ $vtype->id }}" {{ old('voucher_type')==$vtype->id ? "selected":"" }}>{{ $vtype->vtype_name }}</option>
                                @endforeach
                            </select>
                            @error('voucher_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="voucher_no" class="required">Voucher No</label>
                            <input type="text" class="form-control @error('voucher_no') border-danger @enderror" id="voucher_no" name="voucher_no" value="{{ $vno }}" readonly required>
                            @error('voucher_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="voucher_date" class="required">Voucher Date</label>
                            <input type="date" class="form-control @error('voucher_date') border-danger @enderror" id="voucher_date" name="voucher_date" value="{{ old('voucher_date') ?? date('Y-m-d'); }}" required>
                            @error('voucher_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="debit" class="required">Debit</label>
                            <select class="js-example-basic-single" id="debit" name="debit" required style="width:100%;">
                                <option value="">Select</option>
                                @foreach($ledgers as $ledger)
                                    <option value="{{ $ledger->ledger_id }}" {{ old('debit')==$ledger->ledger_id ? "selected":"" }}>{{ $ledger->ledger_name }}</option>
                                @endforeach
                            </select>
                            @error('debit')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="credit" class="required">Credit</label>
                            <select class="js-example-basic-single" id="credit" name="credit" required style="width:100%;">
                                <option value="">Select</option>
                                @foreach($ledgers as $ledger)
                                    <option value="{{ $ledger->ledger_id }}" {{ old('credit')==$ledger->ledger_id ? "selected":"" }}>{{ $ledger->ledger_name }}</option>
                                @endforeach
                            </select>
                            @error('credit')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="amount" class="required">Amount</label>
                            <input type="text" class="form-control @error('amount') border-danger @enderror" id="amount" name="amount" value="{{ old('amount') }}" required>
                            @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="cdno">Cheque/DD No</label>
                            <input type="text" class="form-control" id="cdno" name="cdno" value="{{ old('cdno') }}">
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="cto">To</label>
                            <input type="text" class="form-control" id="cto" name="cto" value="{{ old('cto') }}">
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="cdate">Cheque Date</label>
                            <input type="date" class="form-control @error('cdate') border-danger @enderror" id="cdate" name="cdate" value="{{ old('cdate') }}">
                            @error('cdate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <label for="remarks">Remarks</label>
                            <textarea class="form-control" id="remarks" name="remarks" rows="3">{{ old('remarks') }}</textarea>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/accounts/voucher.js') }}"></script>
@endsection