@extends('layouts.template')
@section('title','Home')
@section('heading','Add Books')
@section('breadcrumb','Home/Books/Add Books')
@section('content')

  <form action="{{ route('book.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Add New Book</b></div>
    <div class="card-body" style="">
        
    <div class="row">
        
    <div class="col-md-6">
    <div class="form-group">
    <label for="date" class="required">Date</label>
    <input type="date" class="form-control" id="date" name="date" value="{{ date('Y-m-d') }}" required>
    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                             
    <div class="col-md-6">
    <div class="form-group">
    <label for="categ_id" class="required">Book category</label>
       <select class="js-example-basic-single" id="categ_id" name="categ_id" style="width:100%" required>
          <option value="">Select</option>
             @foreach($category as $categ)
          <option value="{{ $categ->libcat_id  }}" {{ old('categ_id') == $categ->libcat_id  ? "selected":"" }}>{{ $categ->category_code.' - '.$categ->category_name}}</option>
             @endforeach
       </select>
    </div>
    </div>
    
    </div>
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="subcateg_id" class="required">Book sub-category</label>
        <select class="js-example-basic-single" id="subcateg_id" name="subcateg_id" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="book_no" class="required">Book No./ Access No.</label>
           <input type="text" class="form-control text" id="book_no" name="book_no" value="{{ $next_book_no }}" required>
          @error('book_no')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div>
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="title" class="required">Book Title</label>
       <input type="text" class="form-control text" id="title" name="title" value="{{ old('title') }}" required>
          @error('title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="language">Language</label>
           <input type="text" class="form-control text" id="language" name="language" value="{{ old('language') }}">
          @error('language')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="author">Author</label>
       <input type="text" class="form-control text" id="author" name="author" value="{{ old('author') }}">
          @error('author')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="publisher">Publisher</label>
           <input type="text" class="form-control text" id="publisher" name="publisher" value="{{ old('publisher') }}">
          @error('publisher')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="volume">Volume</label>
       <input type="text" class="form-control text" id="volume" name="volume" value="{{ old('volume') }}">
          @error('volume')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="edition">Edition</label>
           <input type="text" class="form-control text" id="edition" name="edition" value="{{ old('edition') }}">
          @error('edition')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="mloc" class="required">Main Location</label>
       <select class="js-example-basic-single" id="mloc" name="mloc" style="width:100%" required>
          <option value="">Select</option>
             @foreach($mainlocation as $mainloc)
                <option value="{{ $mainloc->ml_id  }}" {{ old('mloc') == $mainloc->ml_id  ? "selected":"" }}>{{ $mainloc->mainloc_code.' - '.$mainloc->mainloc_name}}</option>
             @endforeach
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="subloc" class="required">Sub Location</label>
           <select class="js-example-basic-single" id="subloc" name="subloc" style="width:100%" required>
              <option value="">Select</option>
                
           </select>
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="condition" class="required">Condition</label>
       <select class="js-example-basic-single" id="condition" name="condition" style="width:100%" required>
          <option value="">Select</option>
           
                <option value="GOOD" {{ old('condition') == "GOOD"  ? "selected":"" }}>GOOD</option>
                <option value="DAMAGED" {{ old('condition') == "DAMAGED"  ? "selected":"" }}>DAMAGED</option>
                <option value="MISSING" {{ old('condition') == "MISSING"  ? "selected":"" }}>MISSING</option>
            
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="amount">Amount</label>
            <input type="text" class="form-control text" id="amount" name="amount" value="{{ old('amount') }}">
          @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="condition">Book Year</label>
       <input type="text" class="form-control text" id="year" name="year" value="{{ old('year') }}">
          @error('condition')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="isbn">ISBN</label>
            <input type="text" class="form-control text" id="isbn" name="isbn" value="{{ old('isbn') }}">
          @error('isbn')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
     <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="ref_issue" class="required">Reference/Issue</label>
        <select class="js-example-basic-single" id="ref_issue" name="ref_issue" style="width:100%" required>
          <option value="">Select</option>
           
                <option value="REFERENCE" {{ old('ref_issue') == "REFERENCE"  ? "selected":"" }}>REFERENCE</option>
                <option value="AVAILABLE" {{ old('ref_issue') == "AVAILABLE"  ? "selected":"" }}>AVAILABLE</option>
                
            
       </select>
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="awards">Awards won</label>
            <input type="text" class="form-control text" id="awards" name="awards" value="{{ old('awards') }}">
          @error('awards')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
      <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="keywords">Keywords</label>
       <input type="text" class="form-control text" id="keywords" name="keywords" value="{{ old('keywords') }}">
          @error('keywords')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="sub_title">Sub Title</label>
            <input type="text" class="form-control text" id="sub_title" name="sub_title" value="{{ old('sub_title') }}">
          @error('sub_title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
    
    <div class="row">
        
        <div class="col-md-6">
        <div class="form-group">
        <label for="sub">Subject</label>
       <input type="text" class="form-control text" id="sub" name="sub" value="{{ old('sub') }}">
          @error('sub')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
                             
        <div class="col-md-6">
        <div class="form-group">
        <label for="writer2">Writer 2</label>
            <input type="text" class="form-control text" id="writer2" name="writer2" value="{{ old('writer2') }}">
          @error('writer2')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
    
    </div> 
   <div class="row"> 
    
       <div class="col-md-6">
        <div class="form-group">
        <label for="quantity" class="required">Quantity</label>
            <input type="text" class="form-control text" id="quantity" name="quantity" value="{{ old('quantity') }}" required>
          @error('quantity')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
     </div> 
     
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
        
   
    </div>
  
    </form>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/libsubloc.js') }}"></script>
    <script src="{{ asset('public/js/libsubcat.js') }}"></script>
   
@endsection