@extends('layouts.template')
@section('title','Home')
@section('heading','Fine Settings')
@section('breadcrumb','Home/Books/Fine Settings')
@section('content')


<form action="{{ route('book.fine.save') }}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Fine Settings</b></div>
    <div class="card-body">
    <div class="row">
     
    <div class="col-md-2">
      <div class="form-group">
        <label for="member_type" class="required"><b>Member Type</b></label>
          <select class="form-control" id="member_type" name="member_type" required>
            <option value="">Select</option>
             @foreach($membertypes as $mbts)
            <option value="{{ $mbts->mmbrtyp_id }}" {{ old('member_type')==$mbts->mmbrtyp_id ? "selected":"" }}>{{ $mbts->member_type }}</option>
             @endforeach
         </select>
         @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
      </div>
    </div>
    
    <div class="col-md-2">
     <div class="form-group">
        <label for="fine_amount" class="required">Fine Amount</label>
        <input type="text" class="form-control" id="fine_amount" name="fine_amount" value="{{ old('fine_amount') }}" required>
        @error('fine_amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
    </div>
    
    <div class="col-md-1">
     <div class="form-group">
        <label for="fine_count" class="required">Per</label>
        <input type="text" class="form-control" id="fine_count" name="fine_count" value="1" required>
        @error('fine_count')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
     </div>
    </div>
    
     <div class="col-md-2">
      <div class="form-group">
        <label for="fine_per" class="required"><b>Day</b></label>
          <select class="form-control" id="fine_per" name="fine_per" required>
            <option value="">Select</option>
             
            <option value="1" {{ old('fine_per')==1 ? "selected":"" }}>Day</option>
            <option value="2" {{ old('fine_per')==2 ? "selected":"" }}>Month</option>
            
         </select>
         @error('fine_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
      </div>
    </div>
    </div>
    
      <div class="row">
        <div class="col-md-12">
            <div class="form-group">
               <button type="submit" class="btn btn-primary float-right">Save / Update</button>
            </div>
        </div>
    </div>
    
    </div>
    </div>
    </div>
       
    </div>    
   
   
  
    </form>
    
   
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Member Type</b></th>
                            <th><b>Fine Amount</b></th>
                            <th><b>Term	</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @php $i=0; @endphp
                            @forelse($finesettings as $fine)
                            @php $i++; @endphp
                                <tr>
                                      <td>{{$i}}</td>
                                    <td>{{ $fine->membertypename->member_type}}</td>
                                    <td>{{$fine->fine_amount}}</td>
                                  
                                    <td>{{$fine->fine_count.' - '.$fine->getfineper();}}</td>
                                    <td>{{ app_table_links($fine->id,array(549)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    @endsection
    