@extends('layouts.template')
@section('title','Home')
@section('heading','Issue Book Report')
@section('breadcrumb','Home/Books/ report/Issue Book Report')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
     <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
         
                       {{ app_button_links_v(array(564,565,566,569)) }}
            
        </div> 
     </div>
    </div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        
                        <div class="col-md-4">
                         <div class="form-group">
                            <label for="from_date" class="required">From Date</label>
                            <input type="date" class="form-control" id="from_date" name="from_date" value="{{ date('Y-m-d') }}" required>
                            @error('from_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                        
                        <div class="col-md-4">
                         <div class="form-group">
                            <label for="to_date" class="required">To Date</label>
                            <input type="date" class="form-control" id="to_date" name="to_date" value="{{ date('Y-m-d') }}" required>
                            @error('to_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Issue Date</b></th>
                            <th><b>Membership No</b></th>
                            <th><b>Member Name</b></th>
                            <th><b>Member Details</b></th>
                            <th><b>Book No</b></th>
                            <th><b>Book Title</b></th>
                            <th><b>Return Date</b></th>
                            <th ><b>Returned Date</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.issue.report.get') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.from_date = $('#from_date').val();
                        data.to_date = $('#to_date').val();
                        
                    }
                },
                columns : [
                    { data : 'issue_date' },
                    { data : 'mem_det_id' },
                    { data : 'member_id' },
                    { data : 'member_type' },
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'act_return_date' },
                    { data : 'returning_date' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    


@endsection