@extends('layouts.template')
@section('title','Home')
@section('heading','Member Wise Report')
@section('breadcrumb','Home/Books/ report/Member Wise Report')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
     <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
         
                       {{ app_button_links_v(array(564,565,566,569)) }}
            
        </div> 
     </div>
    </div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        
                        <div class="col-md-4">
                         <div class="form-group">
                              <label for="member_type" class="required"><b>Member Type</b></label>
                              <select class="form-control" id="member_type" name="member_type" required>
                                <option value="">Select</option>
                                 @foreach($membertypes as $mbts)
                                <option value="{{ $mbts->mmbrtyp_id }}" {{ old('member_type')==$mbts->mmbrtyp_id ? "selected":"" }}>{{ $mbts->member_type }}</option>
                                 @endforeach
                             </select>
                             @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="member_id" class="required">Member</label>
                                <select class="js-example-basic-single" id="member_id" name="member_id" style="width:100%" required>
                                    <option value="">Select</option>
                                        
                                </select>
                            </div>
                        </div>
                            
                        
                        
                        <div class="col-md-4">
                         <div class="form-group">
                            <label for="to_date" class="required">Date</label>
                            <input type="date" class="form-control" id="to_date" name="to_date" value="{{ date('Y-m-d') }}" required>
                            @error('to_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Issue Date</b></th>
                            <th><b>Book No.</b></th>
                            <th><b>Book Title</b></th>
                            <th><b>Return Date</b></th>
                            <th><b>Returned Date</b></th>
                            <th><b>Due Days</b></th>
                            <th><b>Due amount</b></th>
                            <th ><b>Status</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/member.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.member.report.get') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.to_date = $('#to_date').val();
                        data.member_type = $('#member_type').val();
                        data.member_id = $('#member_id').val();
                        
                    }
                },
                columns : [
                    { data : 'issue_date' },
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'act_return_date' },
                    { data : 'returning_date' },
                    { data : 'due_days' },
                    { data : 'due_amount' },
                    { data : 'status' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
  

@endsection