@extends('layouts.template')
@section('title','Home')
@section('heading','Library Stock Report')
@section('breadcrumb','Home/Books/ report/Library Stock Report')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
     <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
         
                       {{ app_button_links_v(array(564,565,566,569)) }}
            
        </div> 
     </div>
    </div>
</div>

    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        
                        <div class="col-md-4">
                         <div class="form-group">
                            <label for="from_date" class="required">Date</label>
                            <input type="date" class="form-control" id="from_date" name="from_date" value="{{ date('Y-m-d') }}" required>
                            @error('from_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                         </div>
                        </div>
                     
                     
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <button type="button" class="btn btn-primary float-right" id="getData">Get Details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:3px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered" id="reportTable" width="100%">
                        <thead>
                        <tr>
                            <th><b>Book No</b></th>
                            <th><b>Book Name</b></th>
                            <th><b>Category</b></th>
                            <th><b>Location</b></th>
                            <th><b>Author</b></th>
                            <th><b>Total Quantity</b></th>
                            <th><b>Issued Quantity</b></th>
                            <th><b>Available Quantity</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var reportTable = $("#reportTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('book.stock.report.get') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.from_date = $('#from_date').val();
                       
                        
                    }
                },
                columns : [
                    { data : 'book_no' },
                    { data : 'title' },
                    { data : 'category' },
                    { data : 'location' },
                    { data : 'author' },
                    { data : 'tot_quantity' },
                    { data : 'issued_qty' },
                    { data : 'available_qty' },
                ]
            });
            
            $('#getData').click(function(){
                reportTable.draw();
            });
        });
    </script>
    


@endsection