
@extends('layouts.template')
@section('title','Home')
@section('heading','Join Request')
@section('breadcrumb','Home/Club/Join Request')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;">
                <b>Join Request</b>
            </div>
            <div class="card-body">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th><b>#</b></th>
                            <th><b>Date Submitted</b></th>
                            <th><b>Student Name</b></th>
                            <th><b>Adno</b></th>
                            <th><b>Club Name</b></th>
                            <th><b>Status</b></th>
                            <th colspan="1"><b>Actions</b></th>
                            
                        </tr>
                    </thead>
                    <tbody>
                        @forelse($joinrequest as $joinrequests)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{ date('d-m-Y', strtotime($joinrequests->date)) }}</td>
                                <td   style="word-wrap: break-word; word-break: break-all; white-space: normal;">{{ $joinrequests->student->name }}</td>
                                <td>{{ $joinrequests->student->adno }}</td>
                                <td>{{ $joinrequests->club->club_name }}</td>
                                @if($joinrequests->status == 1)
                           <td> <p class="text-success" style="font-size:15px;"><b>Approved</b></p></td>
                        @elseif($joinrequests->status == 2)
                            <td><p class="text-danger" style="font-size:15;"><b>Rejected</b></p></td>
                            @else
                             <td><p class="text-danger" style="font-size:15;"><b>Pending</b></p></td>
                        @endif
                                <td>
                                    <button type="button" class="btn view-btns" data-url="{{route('club.request.actions',['id'=>$joinrequests->joinclub_id ])}}">
                                        <i class="fa-solid fa-magnifying-glass"></i>
                                    </button>
                                </td>
                                
                               
                                
                                
                            </tr>
                        @empty
                            <tr>
                                <td colspan="7">No Result Found!</td>
                            </tr>
                        @endforelse
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="viewModal" tabindex="-1" role="dialog" aria-labelledby="viewModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewModalLabel">Action</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            </div>
        </div>
    </div>
</div>

<style>
   
    .form-control {
        border:1px solid black;
    }
    .card-body {
        border-left:1px solid #DCDCDC;
        border-right:1px solid #DCDCDC;
        border-bottom:1px solid #DCDCDC;
    }
</style>


<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
    $(document).ready(function() {
        $('.view-btns').on('click', function(e) {
            e.preventDefault();
            var url = $(this).data('url');

            $.get(url, function(data) {
                $('#viewModal .modal-body').html(data);
                $('#viewModal').modal('show');
            });
        });
    });
</script>

@endsection