@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Add Specialisation')
@section('breadcrumb','Settings / Specialisation /Add Specialisation')
@section('content')







    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color:#005A9C;color:white"><b>Add</b></div>
                <div class="card-body">
                    <form action="{{ route('specialisation.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                       <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="specialisation" class="required"><b>Add specialisation</b></label>
                                            <input type="text" class="form-control @error('specialisation') border-danger @enderror" id="specialisation" name="specialisation" value="{{ old('specialisation') }}">
                                            @error('specialisation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
</div>
 <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Course</b></th>
                            
                            <th><b>Specialisation</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($special as $spcl)
                                <tr>
                                     <td>{{$spcl->course->course_name}}</td>
                                    
                                   <td>{{$spcl->specialisation}}</td>
                                   <td>{{ app_table_links($spcl->specialtn_id,array(98,99)) }}</td>

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
      
    <style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection