<div class="row">
    <div class="col-12">
        <div class="card card-default">
            <div class="card-header">
                <div class="row">
                    <div class="col-12 col-sm-6">
                        <h3 class="card-title"><i class="fas fa-chart-pie mr-1"></i> Admissions</h3>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="card-tools float-right">
                            <ul class="nav nav-pills ml-auto">
                                <li class="nav-item">
                                    <a class="nav-link btn-sm active" href="#yearly-chart" data-toggle="tab">Yearly</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link btn-sm" href="#course-chart" data-toggle="tab">Course</a>
                                </li>
                                <li class="nav-item" style="padding-left:3px;">
                                    <select class="form-control" id="year">
                                        <option value="">Year</option>
                                        @foreach($acyears as $acyear)
                                            <option value="{{ $acyear->ac_id }}">{{ date('Y', strtotime($acyear->sdate)).'-'.date('y', strtotime($acyear->edate)); }}</option>
                                        @endforeach
                                    </select>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="tab-content p-0">
                    <div class="chart tab-pane active" id="yearly-chart" style="position: relative; height: 300px;">
                        <canvas id="yearly-chart-canvas" height="300" style="height: 300px;"></canvas>
                    </div>
                    <div class="chart tab-pane" id="course-chart" style="position: relative; height: 300px;">
                        <canvas id="course-chart-canvas" height="300" style="height: 300px;"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/template/plugins/chartjs/Chart.min.js') }}"></script>
<script>
  	$(function () {
		var ticksStyle = {
            fontColor: '#495057',
            fontStyle: 'bold'
        }
        
        var mode      = 'index'
        var intersect = true
        
		var $yearlyChart = $('#yearly-chart-canvas')
        var yearlyChart  = new Chart($yearlyChart, {
            type   : 'bar',
            data   : {
                labels  : <?=json_encode($years);?>,
                datasets: [
                    {
                        backgroundColor: '#ffd100',
                        borderColor    : '#ffd100',
                        data           : <?=json_encode($counts);?>
                    }
                ]
            },
            options: {
                maintainAspectRatio: false,
                tooltips : {
                    mode      : mode,
                    intersect : intersect
                },
                hover : {
                    mode      : mode,
                    intersect : intersect
              	},
                legend : {
                    display : false
                },
                scales : {
                    yAxes : [{
                        gridLines : {
                            display       : true,
                            lineWidth     : '4px',
                            color         : 'rgba(0, 0, 0, .2)',
                            zeroLineColor : 'transparent'
                        },
                        ticks : $.extend({
                            beginAtZero : true,
							stepSize : 100000
                        }, ticksStyle)
                    }],
                    xAxes : [{
                        display : true,
                        gridLines : {
                            display : false
                        },
                        ticks : ticksStyle
                    }]
                }
            }
        });
    })
  	
    $(document).ready(function(){
        $("#year").on('change', function(){
            var year = $(this).val(); 
            $("#course-chart-canvas").remove();
            $("#course-chart").append('<canvas id="course-chart-canvas" height="300" style="height: 300px;"></canvas>');
            
            $.ajax({
                type: 'GET',
                url: '{{ route('graph.course') }}',
                data: { year: year },
                dataType: "text",  
                cache:false,
                success: function(response){
                    var data = jQuery.parseJSON(response);
                    var ticksStyle = {
                        fontColor: '#495057',
                        fontStyle: 'bold'
                    }
                    
                    var mode      = 'index'
                    var intersect = true
                    
                    var $courseChart = $('#course-chart-canvas')
                    var courseChart = new Chart($courseChart, {
                        type : 'bar',
                        data : {
                            labels : data[0],
                            datasets : [
                                {
                                    backgroundColor : '#ffd100',
                                    borderColor : '#ffd100',
                                    data : data[1]
                                }
                            ]
                        },
                        options : {
                            maintainAspectRatio : false,
                            tooltips : {
                                mode : mode,
                                intersect : intersect
                            },
                            hover : {
                                mode : mode,
                                intersect : intersect
                            },
                            legend : {
                                display : false
                            },
                            scales : {
                                yAxes : [{
                                    gridLines: {
                                        display : true,
                                        lineWidth : '4px',
                                        color : 'rgba(0, 0, 0, .2)',
                                        zeroLineColor : 'transparent'
                                    },
                                    ticks : $.extend({
                                        beginAtZero : true,
                                        stepSize : 100000
                                    }, ticksStyle)
                                }],
                                xAxes : [{
                                    display : true,
                                    gridLines : {
                                        display : false
                                    },
                                    ticks : ticksStyle
                                }]
                            }
                        }
                    });
                }
            });
        });
  	});
</script>