@extends('layouts.template')
@section('title','Home')
@section('heading','Enquiry')
@section('breadcrumb','Home/Enquiry/Admission')
@section('content')

<form action="{{ route('enquiry.admsave') }}" method="post" enctype="multipart/form-data">
    @csrf
    <input type="hidden" class="form-control text" id="enq_id" name="enq_id" value="{{ $enquiry->id }}" required>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Personal Information</b></div>
    <div class="card-body" style="">
        
 <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="name" class="required">Name</label>
    <input type="text" class="form-control text" id="name" name="name" value="{{ $enquiry->visitor_name }}" required>
    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
        <div class="form-group">
           <label for="male" class="required">Gender</label>
            <div class="row">
              <div class="col-md-4">
                <div class="form-check form-check-success">
                  <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ $enquiry->gender =='male' ? "checked":"" }}> Male </label>
                </div>
              </div>
            <div class="col-md-8">
        <div class="form-check form-check-success">
        <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ $enquiry->gender =='female' ? "checked":"" }}> Female </label>
      </div>
      </div>
     </div>
     </div>
    </div>
                                
                                
                           
                                
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="paddress" class="required">Permanent Address</label>
                            <textarea class="form-control text" id="paddress" name="paddress" required rows="2">{{ $enquiry->address }}</textarea>
                            @error('paddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caddress">
                                <input type="checkbox" class="form-check-input" id="same" name="same" value="1" {{ old('same')=='1' ? "checked":"" }}> Communication Address
                                </label>
                                <textarea class="form-control text" id="caddress" name="caddress" rows="2">{{ $enquiry->address }}</textarea>
                                @error('caddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                </div>
                                 <br>
                                
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control text" id="mobile" name="mobile" value="{{ $enquiry->mobile }}" required>
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="email" class="required">Email</label>
                                    <input type="text" class="form-control text" id="email" name="email" value="{{ $enquiry->email }}" required>
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="aadhar">Aadhar No</label>
                                    <input type="text" class="form-control text" id="aadhar" name="aadhar" value="{{ old('aadhar') }}">
                                    @error('aadhar')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="dob" class="required">Date of Birth</label>
                                    <input type="date" class="form-control text" id="dob" name="dob" value="{{ old('dob') }}" required>
                                    @error('dob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                        <div class="row">
                                        <div class="col-md-3">
                                        <div class="form-group">
                                        <label for="bgroup">Blood Group</label>
                                        <select class="form-control text" id="bgroup" name="bgroup">
                                        <option value="">Select</option>
                                        <option value="O+ve" {{ old('bgroup')=='O+ve' ? "selected":"" }}>O+ve</option>
                                        <option value="O-ve" {{ old('bgroup')=='O-ve' ? "selected":"" }}>O+ve</option>
                                        <option value="A+ve" {{ old('bgroup')=='A+ve' ? "selected":"" }}>A+ve</option>
                                        <option value="A-ve" {{ old('bgroup')=='A-ve' ? "selected":"" }}>A-ve</option>
                                        <option value="B+ve" {{ old('bgroup')=='B+ve' ? "selected":"" }}>B+ve</option>
                                        <option value="B-ve" {{ old('bgroup')=='B-ve' ? "selected":"" }}>B-ve</option>
                                        <option value="AB+ve" {{ old('bgroup')=='AB+ve' ? "selected":"" }}>AB+ve</option>
                                        <option value="AB-ve" {{ old('bgroup')=='AB-ve' ? "selected":"" }}>AB-ve</option>
                                        </select>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="religion">Religion</label>
                                    <select class="js-example-basic-single" id="religion_id" name="religion_id" style="width:100%">
                                    <option value="">Select</option>
                                    @foreach($religion as $religions)
                                    <option value="{{ $religions->religion_id  }}" {{ old('religion_id') == $religions->religion_id  ? "selected":"" }}>{{ $religions->religion_name}}</option>
                                    @endforeach
                                    </select>
                                    @error('religion_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="community_id" >Community</label>
                            <select class="js-example-basic-single " id="community_id" name="community_id" style="width:100%">
                            <option value="">Select</option>    
                            </select>
                            @error('community_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                    
                                    
                                    
                                    
                                    
                                    
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="caste">Caste</label>
                                <select class="js-example-basic-single " id="caste_id" name="caste_id" style="width:100%">
                                <option value="">Select</option>    
                                </select>
                                @error('caste_id ')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                            
                            
                                </div>
                       <br>
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="apl">APL/BPL</label>
                        <div class="row">
                        <div class="col-md-4">
                        <div class="form-check form-check-success">
                        <label class="form-check-label"><input type="radio" class="form-check-input " id="apl" name="pline" value="APL" {{ old('pline')=='APL' ? "checked":"" }}> APL </label>
                        </div>
                        </div>
                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="bpl" name="pline" value="BPL" {{ old('pline')=='BPL' ? "checked":"" }}> BPL </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fname">Father Name</label>
                                    <input type="text" class="form-control text" id="fname" name="fname" value="{{ old('fname') }}">
                                    @error('fname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                            
                            
                            
                            <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="fmobile" class="required">Father Mobile</label>
                                    <input type="text" class="form-control text" id="fmobile" name="fmobile" value="{{ old('fmobile') }}" required>
                                    @error('fmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                            
                            
                            
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="foccupation">Father Occupation</label>
                                    <input type="text" class="form-control text" id="foccupation" name="foccupation" value="{{ old('foccupation') }}">
                                    @error('foccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                    
                                    <div class="row">
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="mname">Mother Name</label>
                                    <input type="text" class="form-control text" id="mname" name="mname" value="{{ old('mname') }}">
                                    @error('mname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="moccupation">Mother Occupation</label>
                                    <input type="text" class="form-control text" id="moccupation" name="moccupation" value="{{ old('moccupation') }}">
                                    @error('moccupation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gname">Guardian Name</label>
                                    <input type="text" class="form-control text" id="gname" name="gname" value="{{ old('gname') }}">
                                    @error('gname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="col-md-3">
                                    <div class="form-group">
                                    <label for="gaddress">Guardian Address</label>
                                    <textarea class="form-control text" id="gaddress" name="gaddress" rows="2">{{ old('gaddress') }}</textarea>
                                    @error('gaddress')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                    </div>
                                    </div>
                                    <br>
                                     <div class="row">
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="gmobile" class="required">Guardian Mobile</label>
                            <input type="text" class="form-control text" id="gmobile" name="gmobile" value="{{ old('gmobile') }}" required>
                            @error('gmobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            
                            
                            
                       
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="income" class="required">Annual Income</label>
                        <input type="text" class="form-control text" id="income" name="income" value="{{ old('income') }}" required>
                        @error('income')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                                <div class="col-md-3">
                                <div class="form-group">
                                <label for="yes">Day Scholar</label>
                                <div class="row">
                                <div class="col-md-4">
                                <div class="form-check form-check-success">
                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="dscholar" value="Yes" {{ old('dscholar')=='Yes' ? "checked":"" }}> Yes </label>
                                </div>
                                </div>
                                
                                
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="dscholar" value="No" {{ old('dscholar')=='No' ? "checked":"" }}> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        
                                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="accomodation">Accomodation Details</label>
                            <textarea class="form-control text" id="accomodation" name="accomodation" rows="2">{{ old('accomodation') }}</textarea>
                            @error('accomodation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             </div>
                             
                             <br>
                            <div class="row">
                                
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="yes">Malankara Catholic Community</label>
                            <div class="row">
                            <div class="col-md-4">
                            <div class="form-check form-check-success">
                            <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="catholic" value="Yes" {{ old('catholic')=='Yes' ? "checked":"" }}> Yes </label>
                            </div>
                           </div>
                                        
                                        <div class="col-md-8">
                                        <div class="form-check form-check-success">
                                        <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="catholic" value="No" {{ old('catholic')=='No' ? "checked":"" }}> No </label>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                        </div>
                                      
                        
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="parish">Name of Parish</label>
                        <input type="text" class="form-control text" id="parish" name="parish" value="{{ old('parish') }}">
                        @error('parish')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                        
                        
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="physical">Physically Handicaped</label>
                            <input type="text" class="form-control text" id="physical" name="physical" value="{{ old('physical') }}">
                            @error('physical')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                             
                             
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="photo">Photo</label>
                            <input type="file" class="form-control file text" id="photo" name="photo">
                            @error('photo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                           
                            
        </div>
       
        </div>
        </div>
        </div>
       
        
        
        
        
        
        
        
        
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background-color:#004170;color:white;"><b>Academic Information</b></div>
        <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastinst">Institution Last Studied</label>
                                    <input type="text" class="form-control text" id="lastinst" name="lastinst" value="{{ old('lastinst') }}">
                                    @error('lastinst')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastcourse">Course Last Studied</label>
                                    <input type="text" class="form-control text" id="lastcourse" name="lastcourse" value="{{ old('lastcourse') }}">
                                    @error('lastcourse')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lastyear">Year of Study</label>
                                    <input type="text" class="form-control text" id="lastyear" name="lastyear" value="{{ old('lastyear') }}">
                                    @error('lastyear')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="sslc">SSLC Marks (%)</label>
                                    <input type="text" class="form-control text" id="sslc" name="sslc" value="{{ old('sslc') }}">
                                    @error('sslc')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="plustwo">Plus Two Marks (%)</label>
                                    <input type="text" class="form-control text" id="plustwo" name="plustwo" value="{{ old('plustwo') }}">
                                    @error('plustwo')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="degree">Degree Marks (%)</label>
                                    <input type="text" class="form-control text" id="degree" name="degree" value="{{ old('degree') }}">
                                    @error('degree')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#004170;color:white;"><b>Course Information</b></div>
                    <div class="card-body" style="">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adate" class="required">Admission Date</label>
                                    <input type="date" class="form-control" id="adate" name="adate" value="{{ old('adate') ? old('adate'):$cur_date }}" required>
                                    @error('adate')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="adno" class="required">Admission No</label>
                                    <input type="text" class="form-control text" id="adno" name="adno" value="{{ old('adno') ? old('adno'):$adno }}" required>
                                    @error('adno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required">Academic Year</label>
                                   
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        @foreach($acyears as $acyear)
                                            <option value="{{ $acyear->ac_id }}" {{ $ac_id==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required">Course</label>
                                    
                                   
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ $enquiry->class == $course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id">Semester</label>
                                  @php $semester_id = old('semester_id') ? old('semester_id'):$prev_adm->semester_id; @endphp
                                    <select class="form-control" id="semester_id" name="semester_id">
                                        <option value="">Select</option>
                                        @foreach($semesters as $semester)
                                            <option value="{{ $semester->semester_id }}" {{ $semester_id==$semester->semester_id ? "selected":"" }}>{{ $semester->semester_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="clno">Class No</label>
                                    <input type="text" class="form-control text" id="clno" name="clno" value="{{ old('clno') }}">
                                    @error('clno')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="seclang">Common Course Selected</label>
                                   
                                    <select class="form-control" id="seclang" name="seclang">
                                        <option value="">Select</option>
                                        <option value="Malayalam" {{ old('seclang')=='Malayalam' ? "selected":"" }}>Malayalam</option>
                                        <option value="Hindi" {{ old('seclang')=='Hindi' ? "selected":"" }}>Hindi</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="category_id" class="required">Fee Category</label>
                                    @php $category_id = old('category_id') ? old('category_id'):$prev_adm->category_id; @endphp
                                    <select class="form-control text" id="category_id" name="category_id" required>
                                        <option value="">Select</option>
                                        @foreach($categories as $category)
                                            <option value="{{ $category->category_id }}" {{ $category_id==$category->category_id ? "selected":"" }}>{{ $category->category_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('category_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="quota">Admission Quota</label>
                                    <select class="form-control text" id="quota" name="quota">
                                        <option value="">Select</option>
                                         @foreach($acquota as $quota)
                                      <option value="{{ $quota->aq_id }}" {{ $quota== $quota->quota ? "selected":"" }}>{{ $quota->quota }}</option>
                                         @endforeach
                                         </select>
                                         @error('quota')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror 
                                  
                                </div>
                            </div>
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorI"><b>Minor I</b></label>
                                     <select class="form-control" id="minorI" name="minorI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="minorII"><b>Minor II</b></label>
                                     <select class="form-control" id="minorII" name="minorII">
                                        <option value="">Select</option>
                                        
                                     </select>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mdcI"><b>MDC I</b></label>
                                     <select class="form-control" id="mdcI" name="mdcI">
                                        <option value="">Select</option>
                                         
                                     </select>
                                </div>
                            </div>
                            
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Register</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/student.js') }}"></script>
    <style>
        .text{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
    </style>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/caste.js') }}"></script>
    <script src="{{ asset('public/js/getcaste.js') }}"></script>
    <script src="{{ asset('public/js/minorI.js') }}"></script>
     <script src="{{ asset('public/js/minorII.js') }}"></script>
@endsection