@extends('layouts.template')
@section('title','Enquiry')
@section('heading','Enquiry')
@section('breadcrumb','Home / Enquiry / Report')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
        
   
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Enquiry report</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
            
         
        
           <div class="col-md-3">
            <div class="form-group">
                 <label for="fdate" class="required"><b>From Date</b></label>
                <input type="date" class="form-control text" id="fdate" name="fdate" value="{{ old('fdate',$selected_fdate) }}" required>
              
            </div>
        </div>
        
           <div class="col-md-3">
            <div class="form-group">
                 <label for="tdate" class="required"><b>To Date</b></label>
                <input type="date" class="form-control text" id="tdate" name="tdate" value="{{ old('tdate',$selected_tdate) }}" required>
              
            </div>
        </div>
        
        <div class="col-md-3">
                <div class="form-group">
                    <label for="handled_by" ><b>Lead Handled By</b></label>
                    <select class="form-control" id="handled_by" name="handled_by" >
                       <option value="">Select</option>
                          @foreach($staffs as $stf)
                            <option value="{{ $stf->user_id }}" {{ old('handled_by',$selected_handled_by)==$stf->user_id ? "selected":"" }}>{{ $stf->name.' '.$stf->lname }}</option>
                           @endforeach
                    </select>
                  @error('handled_by')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
            
               <div class="col-md-3">
                                <div class="form-group">
                                    <label for="meeting_status" >Meeting Status</label>
                                    <select class="form-control" id="meeting_status" name="meeting_status" >
                                         <option value="">Select</option>
                                        <option value="PENDING" {{ old('meeting_status',$selected_meeting_status)=="PENDING" ? "selected":"" }}>PENDING</option>
                                        <option value="2" {{ old('meeting_status',$selected_meeting_status)=="DONE" ? "selected":"" }}>DONE</option>
                                      
                                    </select>
                                    @error('meeting_status')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
            
              <div class="col-md-3">
                <div class="form-group">
                    <label for="course" ><b>Course</b></label>
                    <select class="form-control" id="course" name="course" >
                        <option value="">Select</option>
                        @foreach($courses as $crs)
                        <option value="{{ $crs->course_id}}" {{ old('course',$selected_course)==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                        @endforeach
                    </select>
                @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
         
               <div class="col-md-3">
                                <div class="form-group">
                                    <label for="enq_status" >Enquiry Status</label>
                                    <select class="form-control" id="enq_status" name="enq_status" >
                                         <option value="">Select</option>
                                        <option value="0" {{ old('enq_status',$selected_enq_status)=="0" ? "selected":"" }}>PENDING</option>
                                        <option value="1" {{ old('enq_status',$selected_enq_status)=="1" ? "selected":"" }}>ADMITTED</option>
                                        <option value="2" {{ old('enq_status',$selected_enq_status)=="2" ? "selected":"" }}>REJECTED</option>
                                    </select>
                                    @error('enq_status')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
        
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 
   
   <script src="{{ asset('public/js/viewenquiry.js') }}"></script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection
    