@extends('layouts.template')
@section('title', 'Edit Competition Report')
@section('heading', 'Edit Competition')
@section('breadcrumb', 'Home/Events/Competition/Edit')

@section('content')
<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;">
                <b>Edit Competition Report</b>
            </div>
            <div class="card-body">
                <form action="{{route('event.competition.report.update')}}" method="post">
                    @csrf
                    
<input type="hidden" name="addcompt_id" value="{{$compt_id->addcompt_id }}">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="addevent_id"><b>Event</b></label>
                                <select class="form-control" id="addevent_id" name="addevent_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($event as $events)
                                        <option value="{{ $events->addevent_id }}" {{ $compt_id->addevent_id == $events->addevent_id ? 'selected' : '' }}>{{ $events->event }}</option>
                                    @endforeach
                                </select>
                                @error('addevent_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="compt"><b>Competition</b></label>
                                <input type="text" name="compt" class="form-control" value="{{ old('compt', $compt_id->compt) }}" required>
                                @error('compt')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="user_id"><b>Staff-in-charge</b></label>
                                <select class="form-control" id="user_id" name="user_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($staff as $staffs)
                                        <option value="{{ $staffs->user_id }}" {{ $compt_id->user_id == $staffs->user_id ? 'selected' : '' }}>{{ $staffs->name }}</option>
                                    @endforeach
                                </select>
                                @error('user_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                            </div>
                        </div>

                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="course_id"><b>Course</b></label>
                                <select class="form-control" id="course_id" name="course_id" required>
                                    <option value=""><span class="fw-bold">Select</span></option>
                                    @foreach($course as $courses)
                                        <option value="{{ $courses->course_id }}" {{ $compt_id->course_id == $courses->course_id ? 'selected' : '' }}>{{ $courses->course_name }}</option>
                                    @endforeach
                                </select>
                                @error('course_id')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                            </div>
                        </div>

                        <div class="col-md-4">
                            <label for="date"><b>Date</b></label>
                            <input type="date" class="form-control" id="date" name="date" value="{{ old('date', $compt_id->date) }}" required>
                            @error('date')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>

                        <div class="col-md-4">
                            <label for="lda"><b>Last Date to Apply</b></label>
                            <input type="date" class="form-control" id="lda" name="lda" value="{{ old('lda', $compt_id->lda) }}" required>
                            @error('lda')<div class="text-danger small mt-1">{{ $message }}</div>@enderror
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary float-right">Update</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
