<!DOCTYPE html>
<html>
<head>
    <title>Staff Feedback Report From Student</title>
    <style>
        
        body {
            font-family: Arial, sans-serif;
            border:1px solid #000;
            padding:20px;
        }
       
        .page-header {
            text-align: center;
            margin-bottom: 20px;
        }
    </style>
</head>
<body>
    <div>
    <div class="container">
      <div class="page-header"> 
      <p style="text-center"><b>{{ $ins_det->name }}</b></p>
      <p style="text-center"><b>{{ $ins_det->affiliation }}</b></p>
      <p style="text-center"><b>{{ $ins_det->address }}</b></p>
      <p style="text-center"><b>{{ 'Ph : '.$ins_det->mobile.' '.$ins_det->landline }}</b></p>
    </div> 
    </div>
    
    <div class="page-header">
        <h3 style="text-decoration:underline;">Staff Feedback Report From Student</h3>
        <h3 style="text-decoration:underline;">{{$staff->name}}</h3>
    </div>
    
     <div class="content">
             @php
     $gradePoints = [
    'Outstanding' =>  5.0,
    'Very Good' => 3.5,
    'Good' => 3.0,
    'Average' => 2.0,
];
  $totalGradePoints = 0;


$totalResponses = 0;     
$i=1;
                @endphp
         @foreach($criteriaWithSubcriteria as $criteria)
                    @foreach ($criteria['subcriteria'] as  $subcriterion )
                                 <h5 style="margin-top: 20px;">{{$i++}} . {{ $subcriterion->sub_criteria }}</h5>

         
          <table style="border-bottom:1px solid black" width="100%">
        <thead style="background-color:#fed35c;">
          <tr>
                                     <th ><b>STUDENT CLASS</b></th>
                                    <th><b>OUTSTANDING</b></th>
                                    <th><b>VERY GOOD</b></th>
                                    <th><b>GOOD</b></th>
                                    <th><b>AVERAGE</b></th>
                                    <th><b>TOTAL RESPONSE</b></th>
                                    <th><b>TOTAL GRADE POINT</b></th>
                                    <th><b>TYPICAL SCORE</b></th>
                                    
                                </tr>
         
         </thead>
         <tbody>
              <tbody>
                                @php
                                    $outstanding = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Outstanding'] ?? 0;
                                    $veryGood = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Very Good'] ?? 0;
                                    $good = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Good'] ?? 0;
                                    $average = $criteria['ratingCounts'][$subcriterion->sub_criteria]['Average'] ?? 0;
                                    $total = $outstanding + $veryGood + $good + $average;
                                      $gradePointsTotal = (
                                        ($outstanding * $gradePoints['Outstanding']) +
                                        ($veryGood * $gradePoints['Very Good']) +
                                        ($good * $gradePoints['Good']) +
                                        ($average * $gradePoints['Average'])
                                    );
                                    $totalGradePoints += $gradePointsTotal;
                                    $totalResponses += $total;
                                @endphp
                                <tr>
                                    <td  style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                      @foreach($criteria['courses'] as $courseId => $courseName)
                            {{ $courseName }} <br> 
                        @endforeach
                           </td>        
                                    <td>{{ $outstanding }}</td>
                                    <td>{{ $veryGood }}</td>
                                    <td>{{ $good }}</td>
                                    <td>{{ $average }}</td>
                                    <td>{{ $total }}</td>
                                     <td>{{$gradePointsTotal}}</td>
                                    <td>
                        @if($total > 0)
                            {{ number_format($gradePointsTotal / $total, 2) }}
                        @else
                            0.00
                        @endif
                    </td>
                                </tr>
                           
         </tbody>
         </table>
         @endforeach
                @endforeach
         </div>
         <h4 class="mt-4" STYLE="background:#fed35c"><b>Cumulative Grade Point Average (CGPA): </b>
                    @if($totalResponses > 0)
                        {{ number_format($totalGradePoints / $totalResponses, 2) }} / 5.00
                    @else
                        0.00 / 5.00
                    @endif
                </h4>
    </body>
    </html>