@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Fee Category')
@section('breadcrumb','Settings / Fee Settings / Fee Category')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Add Fee Category</b></div>
    <div class="card-body">
    <form action="{{ route('feecategory.save') }}" method="post">
    @csrf
    <div class="row">
    <div class="col-md-8">
    <label for="category_name" class="required"><b>Fee Category Name</b></label>
    <div class="row">
    <div class="col-md-6">
    <div class="form-group">
    <input type="text" class="form-control @error('category_name') border-danger @enderror" id="category_name" name="category_name" value="{{ old('category_name') }}">
    @error('category_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <button type="submit" class="btn btn-primary">Save</button>
    </div>
    </div>
    </div>
    </div>
    </div>
    </form>
    </div>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #004170">
               
    <div class="card-body">
    <table class="table table-bordered">
    <thead>
    <tr>
    <th><b>Fee Category Name</b></th>
    <th><b>Actions</b></th>
    </tr>
    </thead>
    <tbody>
                            @forelse($categories as $category)
                                <tr>
                                    <td>{{ $category->category_name }}</td>
                                    <td>{{ app_table_links($category->category_id,array(15)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection