@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Fee Fine')
@section('breadcrumb','Settings / Fee Settings / Fee Fine')
@section('content')






    <form action="{{ route('fine.save') }}" method="post">
    @csrf
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background-color:#005A9C;color:white;"><b>Select the Criteria</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ac_id" class="required"><b>Academic Year</b></label>
                                    <select class="form-control" id="ac_id" name="ac_id" required>
                                        @foreach($acyears as $acyear)
                                            <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                                        @endforeach
                                    </select>
                                    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="type_id" class="required"><b>Fee Type</b></label>
                                    <select class="form-control" id="type_id" name="type_id" required>
                                        <option value="">Select</option>
                                        @foreach($feetypes as $feetype)
                                            <option value="{{ $feetype->type_id }}" {{ old('type_id')==$feetype->type_id ? "selected":"" }}>{{ $feetype->type_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('type_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="fine_type" class="required"><b>Fine Type</b></label>
                                    <select class="form-control" id="fine_type" name="fine_type" required>
                                        <option value="0" {{ old('fine_type')==0 ? "selected":"" }}>Per Day</option>
                                        <option value="1" {{ old('fine_type')==1 ? "selected":"" }}>Per Month</option>
                                    </select>
                                    @error('fine_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    </form>
    
    
    
    
    
       
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(document).ready(function(){
    
            $("#btn-get").on('click',function(){
                var aid = $('#ac_id').val();
                var cid = $('#course_id').val();
                var tid = $('#type_id').val();
                var fid = $('#fine_type').val();
                $("#result").html('');
                $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
                if(aid=='' || cid=='' || tid=='' || fid==''){
                    alert('Please select all mandatory fields !');
                }else{
                    $.ajax({
                        type : 'GET',
                        url : '../fine-get',
                        data : {aid:aid,cid:cid,tid:tid,fid:fid},
                        success : function(response){
                            $("#result").html('');
                            $("#result").append(response);
                        }
                    });
                }
            });
        });
    </script>
    <style>
                         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }

    </style>
@endsection