@extends('layouts.template')
@section('title','FYUGP')
@section('heading','Four-Year Undergraduate Programme')
@section('breadcrumb','Home / FYUGP / Grading System')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Grading System</b></div>
        <div class="card-body">
        <form action="{{ route('fyugpgrade.save') }}" method="post">
        @csrf
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="gp_from" class="required"><b>Grade Range From</b></label>
        <input type="text" class="form-control @error('gp_from') border-danger @enderror" id="gp_from" name="gp_from" value="{{ old('gp_from') }}">
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="gp_to" class="required"><b>Grade Range To</b></label>
         <input type="text" class="form-control @error('gp_to') border-danger @enderror" id="gp_to" name="gp_to" value="{{ old('gp_to') }}">
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="gp" class="required"><b>Grade Point</b></label>
         <input type="text" class="form-control @error('gp') border-danger @enderror" id="gp" name="gp" value="{{ old('gp') }}">
        </div>
        </div>
       
         <div class="col-md-3">
        <div class="form-group">
        <label for="grade" class="required"><b>Letter Grade</b></label>
         <input type="text" class="form-control @error('grade') border-danger @enderror" id="grade" name="grade" value="{{ old('grade') }}">
        </div>
        </div>
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="p_from" class="required"><b>Percentage From</b></label>
        <input type="text" class="form-control @error('p_from') border-danger @enderror" id="p_from" name="p_from" value="{{ old('p_from') }}">
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="p_to" class="required"><b>Percentage To</b></label>
         <input type="text" class="form-control @error('p_to') border-danger @enderror" id="p_to" name="p_to" value="{{ old('p_to') }}">
        </div>
        </div>
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="description" class="required"><b>Description</b></label>
         <input type="text" class="form-control @error('description') border-danger @enderror" id="description" name="description" value="{{ old('description') }}">
        </div>
        </div>
        
         </div>                   
                            
      
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
             <button type="submit" class="btn btn-primary float-right">Save</button>
         
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      
        
        
        </div>
        </div>
        </div>
    </div>
    
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Percentage of Marks</b></th>
                            <th><b>Description</b></th>
                            <th><b>Letter Grade</b></th>
                            <th><b>Grade Point</b></th>
                            <th><b>Range of Grade Points</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
           
                            @forelse($grading as $gdng)
                                            
                                <tr>
                                    <td>{{$gdng->p_from.' - '.$gdng->p_to}}</td>
                                    <td>{{$gdng->description}}</td>
                                    <td>{{ $gdng->grade}}</td>
                                    <td>{{ $gdng->gp}}</td>
                                    <td>{{$gdng->gp_from.' - '.$gdng->gp_to}}</td>
                                     <td>{{app_table_links($gdng->id,array(352)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>
@endsection