@extends('layouts.template')
@section('title','Home')
@section('heading','Due Report')
@section('breadcrumb','Home/Hostel/Due Report')
@section('content')






    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header"  style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="course"><b>Course</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="course" name="course">
                                    <option value="">Select</option>
                                    @foreach($courses as $course)
                                        <option value="{{ $course->course_id }}" {{ old('course')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label for="semester"><b>Semester</b></label>
                                <select class="js-example-basic-single" style="width:100%" id="semester" name="semester">
                                    <option value="">Select</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-2">
                            <div class="form-group">
                                <label for="ftype"><b>Fee Type</b></label>
                                <select class="js-example-basic-single" id="ftype" name="ftype" style="width:100%">
                                    <option value="">Select</option>
                                    <option value="1" {{ old('ftype') == 1 ? "selected":"" }}>Rent</option>
                                    <option value="2" {{ old('ftype') == 2 ? "selected":"" }}>Mess Fee</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="cdate"><b>Date</b></label>
                                <div class="row">
                                    <div class="col-md-8">
                                        <input type="date" class="form-control" id="cdate" name="cdate" value="{{ old('cdate') ? old('cdate'):date('Y-m-d') }}">
                                    </div>
                                    <div class="col-md-4">
                                        <button type="button" class="btn btn-primary" id="getData">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header"  style="background-color: #004170;color:white;"><b>Due Report</b></div>
                <div class="card-body">
                    <table class="table table-bordered" id="tablecss" width="100%">
                        <thead>
                        <tr>
                            <th><b>Adm No</b></th>
                            <th><b>Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th class="no-sort aright"><b>Due Amount</b></th>
                            <th class="no-sort"><b>Action</b></th>
                        </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-8 text-right font-weight-bold">Total :</div>
                        <div class="col-4 font-weight-bold" id="total">0.00</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
     
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/fee.js') }}"></script>
    <script>
        $(function () {
            var dueTable = $("#dueTable").DataTable({
                lengthChange: true,
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                columnDefs : [{ targets: 'no-sort', orderable: false },{ targets: 'aright', className: 'text-right'}],
                ajax : {
                    url : '{{ route('hostelpayment.due.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.course = $('#course').val();
                        data.semester = $('#semester').val();
                        data.ftype = $('#ftype').val();
                        data.cdate = $('#cdate').val();
                    }
                },
                columns : [
                    { data : 'adno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'due' },
                    { data : 'action' },
                ]
            });
            $('#getData').click(function(){
                dueTable.draw();
                get_total();
            });
            get_total();
        });
        
        function get_total(){
            var course = $('#course').val();
            var semester = $('#semester').val();
            var ftype = $('#ftype').val();
            var cdate = $('#cdate').val();
            
            $.ajax({
                type: "GET",
                url: '{{ route('hpdue.total.ajax') }}',
                data: { course:course, semester:semester, ftype:ftype, cdate:cdate },
                cache: false,
                success: function(data){
                    $("#total").text(data);
                }
            });
        }
    </script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        
       
        .form-control{
            border:1px solid #E8E8E8;
        }
        
    </style>
@endsection