@extends('layouts.template')
@section('title','Home')
@section('heading','Hostel Payment')
@section('breadcrumb','Home/Hostel/Fee')
@section('content')





    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('hostelpayment.get') }}" method="post">
    @csrf
                                <div class="row">
                                <div class="col-md-4">
                                <label for="student_id" class="required"><b>Student</b></label>
                                <div class="form-group">
                                <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%">
                                <option value="">Select</option>
                                @foreach($students as $student)
                                <option value="{{ $student->student_id }}" {{ $student_id == $student->student_id ? "selected":"" }}>{{ $student->adno.' - '.$student->name }}</option>
                                @endforeach
                                </select>
                                @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                
                                
                                <div class="col-md-3">
                                <label for="paid_date" class="required"><b>Date</b></label>
                                <div class="form-group">
                                <input type="date" class="form-control @error('paid_date') border-danger @enderror" id="paid_date" name="paid_date" value="{{ $paid_date }}">
                                @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                            
                                <div class="col-md-5">
                                <label for="mode_id" class="required"><b>Payment Mode</b></label>
                                <div class="row">
                                <div class="col-md-7">
                                <div class="form-group">
                                <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
                                @foreach($paymodes as $paymode)
                                <option value="{{ $paymode->mode_id }}" {{ $mode_id == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                @endforeach
                                </select>
                                @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                                
                                            <div class="col-md-5">
                                            <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Get Details</button>
                                            </div>
                                            </div>
                                            
                                            </div>
                    </div>
                    </div>
                    </form>
        </div>
        </div>
        </div>
        </div>
        
        <br>
        <br>
    @if(!empty($student_det))
        <div class="row">
        <div class="col-lg-2 grid-margin stretch-card">
        <div class="card" style="border-top:3px solid #004170;border-radius:12px">
                    
        <div class="card-body">
        <div class="form-group row">
        <img class="img-md rounded-circle" src="{{ asset('public/uploads/student/photo/'.$student_det->photo) }}" alt="Profile image" width="90px">
        </div>
        <div class="form-group row">
                   <p style="font-size:15px"><b>{{ strtoupper($student_det->name)}}</b></p>
                   <br>
                   <br>
                 
                </div>
        <div class="form-group row">
                <p><span class="text-white bg-success"><b>Adm No :{{$student_det->adno}}</b></span></p>
                </div>
                            
                             <div class="form-group row">
                <p><span class="text-white" style="background-color:#e1ad01"><b>Gender :{{$student_det->gender}}</b></span></p>
                </div>
                
                <div class="form-group row">
                <p>Mobile :{{$student_det->mobile}}</p>
                </div>
                <div class="form-group row">
                <p>Course :{{$student_det->course->course_code}}</p>
                </div>
                
                <div class="form-group row">
                <p>Acyear : {{ date('Y', strtotime($student_det->acyear->sdate)) . '-' . date('Y', strtotime($student_det->acyear->edate)) }}</p>
                </div>
                            </div>
            </div>
            </div>
                <div class="col-lg-10 grid-margin stretch-card">
                <div class="card" style="border-top:3px solid #004170;border-radius:12px;background:#F8F8F8">
                <div class="card-body">
                <form action="{{ route('hostelpayment.save') }}" method="post">
                            @csrf
                            <input type="hidden" name="sid" value="{{ encrypt($student_id) }}">
                            <input type="hidden" name="pdate" value="{{ $paid_date }}">
                            <input type="hidden" name="mode" value="{{ $mode_id }}">
                            <div class="form-group row">
                            <div class="col-md-12">
                            <div class="scroll">
                                
                                                <table class="table table-bordered" id="tablecss" width="100%">
                                                <thead>
                                                <th>
                                                <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                                </div>
                                                </th>
                                                <th width="10%"><b>Month</b></th>
                                                <th width="10%"><b>Fee Type</b></th>
            									<th width="20%" ><b>Fee Amount</b></th>
            									<th width="10%"><b>Discount</b></th>
            									<th width="20%"><b>Gross Amount</b></th>
            									<th width="30%"><b>Remarks</b></th>
                                                </thead>
                                                <tbody>
                                                @php foreach($fees as $ac_id => $ac_details){
                                                    foreach($ac_details as $month_id => $month_details){
                                                        $sem = $month_details['semester'];
                                                        $mid = $month_details['month'];
                                                        $yid = $month_details['year'];
                                                        foreach($month_details['fee'] as $ftype_id => $fee_details){
                                                            $famount = $fee_details['due']; @endphp
                                                            <tr>
                                                                <td>
                                                                    <div class="form-check form-check-success text-center">
                                                                        <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $mid.'-'.$yid.'-'.$ftype_id }}"> </label>
                                                                    </div>
                                                                </td>
                                                                <td>{{ $month_details['myear'] }}</td>
                                                                <td>{{ $fee_details['fee_type'] }}
                                                                    <input type="hidden" id="{{ 'current_fee'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $fee_details['due'] }}">
        														    <input type="hidden" name="{{ 'fee_type'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $ftype_id }}">
        														    <input type="hidden" name="{{ 'sem'.$mid.'-'.$yid.'-'.$ftype_id }}" value="{{ $sem }}">
                                                                </td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="{{ 'fee_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" name="{{ 'fee_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" placeholder="0.00" value="{{ $fee_details['due'] }}" onkeyup="showFee(this.value,'{{ $mid }}','{{ $yid }}','{{ $ftype_id }}')" ></td>
                                                                <td align="right"><input type="text" class="form-control text-right" id="{{ 'disc_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" name="{{ 'disc_amount'.$mid.'-'.$yid.'-'.$ftype_id }}" placeholder="0.00" onkeyup="showDisc(this.value,'{{ $mid }}','{{ $yid }}','{{ $ftype_id }}')"></td>
                                                                <td align="center"><span class="{{ 'ftotal'.$mid.'-'.$yid.'-'.$ftype_id }}">{{ $famount }}</span></td>
                                                                <td><textarea class="form-control" name="{{ 'remarks'.$mid.'-'.$yid.'-'.$ftype_id }}"></textarea></td>
                                                            </tr>
                                                        @php } 
                                                    }
                                                }  @endphp
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                                <div class="form-group row">
                                <div class="col-md-9 text-right">
                                <p class="font-weight-bold">Total Amount :</p>
                                </div>
                                <div class="col-md-3">
                                <span class="font-weight-bold" id="gtotal">0.00</span>
                                </div>
                                </div>
                            
                                <div class="form-group row">
                                <div class="col-md-12">
                                <div class="form-group">
                                <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                                </div>
                                </div>
        </form>
        </div>
        </div>
        </div>
        </div>
        
        
        
     
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/hostelfee.js') }}"></script>
    <style>
                   .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
#tablecss{
     font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
#tablecss td, #tablecss th {
  border: 1px solid #ccc;
  padding: 2px;
}


#tablecss tr:nth-child(even){background-color:white;}

#tablecss tr:hover {background-color: #ddd;}

#tablecss th {
  padding-top: 9px;
  padding-bottom: 9px;
  text-align: left;
  background-color:#004170;
  color: white;
}
    </style>
@endsection