@extends('layouts.template')
@section('title','Home')
@section('heading','Fee')
@section('breadcrumb','Home/Hostel/Fee')
@section('content')



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Select the Criteria</b></div>
                <div class="card-body">
                    <form action="{{ route('hostelpayment.get') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <label for="student_id" class="required">Student</label>
                                <div class="form-group">
                                    <select class="js-example-basic-single" id="student_id" name="student_id" style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($students as $student)
                                            <option value="{{ $student->student_id }}" {{ old('student_id') == $student->student_id ? "selected":"" }}>{{ $student->adno.' - '.$student->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('student_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <label for="paid_date" class="required">Date</label>
                                <div class="form-group">
                                    <input type="date" class="form-control @error('paid_date') border-danger @enderror" id="paid_date" name="paid_date" value="{{ old('paid_date') ? old('paid_date'):date('Y-m-d')  }}">
                                    @error('paid_date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-5">
                                <label for="mode_id" class="required">Payment Mode</label>
                                <div class="row">
                                    <div class="col-md-7">
                                        <div class="form-group">
                                            <select class="js-example-basic-single" id="mode_id" name="mode_id" style="width:100%">
                                                @foreach($paymodes as $paymode)
                                                    <option value="{{ $paymode->mode_id }}" {{ old('mode_id') == $paymode->mode_id ? "selected":"" }}>{{ $paymode->mode_name }}</option>
                                                @endforeach
                                            </select>
                                            @error('mode_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-5">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Get Details</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
     
    <style>
           .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
    </style>
@endsection