@extends('layouts.template')
@section('title','Student Hostel Due')
@section('heading','Student Hostel Due')
@section('breadcrumb','')
@section('content')
    @if(!empty($student))
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Name</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->name }}</div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Adm No.</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->adno }}</div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Course</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->course->course_name }}</div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Address</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->address }}</div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group row">
                                    <label class="col-4"><b>Mobile</b></label>
                                    <div class="col-8"><b>:</b> {{ $student->mobile }}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <div class="form-group row">
                            <div class="col-md-12">
                                <div class="scroll">
                                    <table class="table table-bordered">
                                        <thead>
                                            <th>Month</th>
                                            <th>Fee Type</th>
            								<th>Fee Amount</th>
            								<th>Due Amount</th>
                                        </thead>
                                        <tbody>
                                            @php $total=0; foreach($fees as $ac_id => $ac_details){
                                                foreach($ac_details as $month_id => $month_details){
                                                    foreach($month_details['fee'] as $ftype_id => $fee_details){
                                                        $total += $fee_details['due']; @endphp
                                                        <tr>
                                                            <td>{{ $month_details['myear'] }}</td>
                                                            <td>{{ $fee_details['fee_type'] }}</td>
                                                            <td align="right">{{ number_format($fee_details['fee'],2) }}</td>
                                                            <td align="right">{{ number_format($fee_details['due'],2) }}</td>
                                                        </tr>
                                                    @php } 
                                                }
                                            } @endphp
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <div class="col-9 text-right font-weight-bold">Total Due Amount :</div>
                            <div class="col-3 font-weight-bold">{{ number_format($total,2) }}</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @else
        <div class="alert alert-primary" role="alert">No Result Found!</div>
    @endif
@endsection