<div class="container mt-5">
    <h3 class="text-center mb-4" style="font-family: 'Arial', sans-serif; color: #003b5c; font-weight: bold; font-size: 2.2em;">Exam Chart</h3>
    
    <div class="exam-timetable">
        <table class="table table-bordered table-hover" id="exam-table">
            <thead>
                <tr>
                    <th>Exam Name</th>
                    <th>Subject</th>
                    <th>Date</th>
                    <th>Start Time</th>
                    <th>End Time</th>
                </tr>
            </thead>
            <tbody>
                @foreach($exam as $exams)
                    <tr>
                        <td>{{ $exams->exam_name }}</td>
                        <td>{{ $exams->subject->subject_name }}</td>
                        <td>{{ date('d-m-Y', strtotime($exams->date)) }}</td>
                        <td>{{ $exams->s_time }}</td>
                        <td>{{ $exams->e_time }}</td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

<style>
    
    .container {
        max-width: 100%;
        background: #f4f7f6;
        padding: 30px;
        /*border-radius: 15px;*/
        /*box-shadow: 0px 10px 30px rgba(0, 0, 0, 0.1);*/
    }

  
    table {
        width: 100%;
        border-collapse: collapse;
        background-color: #ffffff;
        border-radius: 10px;
        /*box-shadow: 0 4px 15px rgba(0, 0, 0, 0.1);*/
    }

    th, td {
        padding: 15px;
        text-align: center;
        font-size: 1.1em;
       
    }

 
    th {
        background-color: #004170;
        color: #fff;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 1px;
    }

   
    td {
        background-color: #f9f9f9;
        color: black;
        /*font-weight: 300;*/
    }

  

 
    tr:nth-child(even) {
        background-color: #fafafa;
    }

 
    h3 {
        font-family: 'Arial', sans-serif;
        color: #003b5c;
        font-weight: bold;
        font-size: 2.2em;
        margin-bottom: 30px;
    }

  
    .table-bordered {
        border: 1px solid #ddd;
    }

    .table-hover tbody tr:hover {
        background-color: #b3e5fc;
    }

  
    @media (max-width: 768px) {
        table {
            font-size: 1em;
        }

        th, td {
            padding: 10px;
        }
    }
</style>

<!-- Bootstrap 4 CSS (Optional) -->
<!--<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">-->
