<div class="card" style="border-top:3px solid #004170">
    <div class="card-body">
        <form action="{{ route('inter.assignment.submittd.save') }}" method="post">
            @csrf
            <input type="hidden" id="course" name="course" value="{{ $courseId }}">
            <input type="hidden" id="sem" name="sem" value="{{ $semId }}">
            <input type="hidden" id="sub" name="sub" value="{{ $subId }}">
            <input type="hidden" id="ac_id" name="ac_id" value="{{ $ac_id }}">

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <br>
                        <div class="table-scroll-container">
                            <table id="table-fine" class="table table-bordered">
                                <thead style="background-color:#8FBC8F">
                                    <tr>
                                        <th colspan="1" rowspan="2">
                                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                <label class="container">
                                                    <input type="checkbox" class="form-check-input" id="checkAll">
                                                </label>
                                            </div>
                                        </th>
                                        <th>Adno</th>
                                        <th>Student Name</th>
                                        <th>Assignment Title</th>
                                        <th>Submission Deadline</th>
                                        <th>Date of Submission</th>
                                        <th>Submitted Assignment</th>
                                        <th>Grade Point</th>
                                        <th>Grade</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($students as $student)
                                  
                                        <input type="hidden" name="assig_id[{{ $student->student_id }}]" value="{{ $student->assig_id }}">
                                        <input type="hidden" name="student_id" value="{{ $student->student_id }}">
                                        <tr>
                                            <td align="center">
                                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                    <label class="container">
                                                        <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}">
                                                    </label>
                                                </div>
                                            </td>
                                            <td>{{ $student->adno }}</td>
                                            <td>{{ $student->name }}</td>
                                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;">
                                                {{ $student->assignment_topic }}
                                            </td>
                                            <td>{{ date('d-m-Y', strtotime($student->submit_date)) }}</td>
                                            <td>{{ date('d-m-Y', strtotime($student->submitted_date)) }}</td>
                                            <td>
                                                @php
                                                    $fileUrl = url('public/uploads/InternalAssessment/Assignment/' . $student->assignment);
                                                @endphp
                                                <a href="{{ $fileUrl }}" target="_blank">
                                                    <i class="fas fa-paperclip"></i> Download
                                                </a>
                                            </td>
                                            <td>
                                                <input type="text" id="gp{{ $student->student_id }}" name="gradepoint[{{ $student->student_id }}]" value="{{ isset($existingMarks[$student->student_id][$student->assig_id]) ? $existingMarks[$student->student_id][$student->assig_id]->gradepoint : '' }}">
                                            </td>
                                            <td>
                                                <input type="text" id="g{{ $student->student_id }}" name="grade[{{ $student->student_id }}]" value="{{ isset($existingMarks[$student->student_id][$student->assig_id]) ? $existingMarks[$student->student_id][$student->assig_id]->grade : '' }}">
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <div id="load"></div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">Save</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>

<script>
<script>
    $(document).ready(function() {
        // Select All functionality
        $('#checkAll').change(function() {
            $('.checkSub').prop('checked', this.checked);
        });

        // When Grade Point is changed, update Grade automatically
        $('input[id^="gp"]').on('input', function() {
            var studentId = $(this).attr('id').replace('gp', '');
            var gradePoint = $(this).val();

            // Logic to calculate grade based on grade point (this is an example)
            var grade = calculateGrade(gradePoint);

            // Update the corresponding grade field
            $('#g' + studentId).val(grade);
        });
    });

    // Example logic to calculate Grade from Grade Point
    function calculateGrade(gradePoint) {
        // Adjust this logic based on your grading system
        if (gradePoint >= 9) {
            return 'A';
        } else if (gradePoint >= 8) {
            return 'B';
        } else if (gradePoint >= 7) {
            return 'C';
        } else if (gradePoint >= 6) {
            return 'D';
        } else {
            return 'F';
        }
    }
</script>

</script>

<style>
    .table-scroll-container {
        max-height: 400px;
        overflow-y: auto;
        border: 1px solid #ddd;
    }

    input[type="checkbox"] {
        width: 2em;
        height: 2rem;
        display: inline-block;
        margin: 0;
        accent-color: green;
    }

    .container {
        display: flex;
        align-items: center;
        justify-content: center;
    }
</style>
