
@if (session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

@if (session('error'))
    <div class="alert alert-danger">
        {{ session('error') }}
    </div>
@endif

<div class="card" style="border-top: 3px solid #004170">
    <div class="card-body">
        <form action="{{ route('studexammrksubwise.save') }}" method="post">
            @csrf
            <input type="hidden" id="course" name="course" value="{{ encrypt($course) }}">
            <input type="hidden" name="sem_id" value="{{ encrypt($semester_id) }}">
            <input type="hidden" name="exam_id" value="{{ encrypt($exam_id) }}">
            
            <div align="right">
                <a href="{{ route('studexammrksubwise.print', ['course' => $course, 'semester_id' => $semester_id, 'exam_id' => $exam_id]) }}" target="blank_">
                    <img src="{{ asset('public/uploads/logo/print.png') }}" height="30px">
                </a>
            </div>
            
            <div id="totalStudents" class="mb-3"></div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <p align="left"><font color="red">Absent : AB</font></p>
                        <div class="div_scroller">
                            <table id="table-fine" class="table table-bordered">
                                <thead style="background-color:#8FBC8F">
                                    <tr>
                                        <th rowspan="2" style="width: 5%">
                                            <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                <label class="container">
                                                    <input type="checkbox" class="form-check-input" id="checkAll">
                                                </label>
                                            </div>
                                        </th>
                                        <th rowspan="2" style="width: 10%"><b>Adno</b></th>
                                        <th rowspan="2" style="width: 20%"><b>Student Name</b></th>

                                        @foreach($examsubjects as $exsub)
                                            <th style="text-align: center; width: 15%;word-wrap: break-word; word-break: break-all; white-space: normal;">
                                                <b>{{$exsub->esesubn->subject_name}}-{{ $exsub->esesubn->subject_code }}</b>
                                            </th>
                                        @endforeach
                                    </tr>
                                    <tr>
                                        @foreach($examsubjects as $exsub)
                                            <th><b>(Max Mark:{{ $exsub->max_mark }})</b></th>
                                        @endforeach
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($students as $student)
                                        <tr>
                                            <td align="center">
                                                <div class="form-check form-check-success d-flex justify-content-center align-items-center">
                                                    <label class="container">
                                                        <input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $student->student_id }}">
                                                    </label>
                                                </div>
                                            </td>
                                            <td>{{ $student->adno }}</td>
                                            <td>{{ strtoupper($student->name) }}</td>

                                            @foreach($examsubjects as $exsub)
                                                <td>
                                                    @php
                                            $marks = isset($marksByStudent[$student->student_id][$exsub->subject_id]) ? $marksByStudent[$student->student_id][$exsub->subject_id] : '';
                                        if($marks == -1)
                    {
                        $marks ="AB";
                    }
                                        @endphp
                                                    <input type="text" size="4" class="form-control mark" id="{{ 'mark' . $student->student_id . '-' . $exsub->subject_id }}" name="mark{{ $student->student_id }}_{{ $exsub->subject_id }}" value="{{$marks}}"  placeholder="Enter marks">
                                                </td>
                                            @endforeach
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary float-right">SAVE</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('public/js/studall.js') }}"></script>

<style>
    /* Style checkboxes */
    input[type="checkbox"] {
        width: 1.5em;
        height: 1.5em;
        margin: 0;
        accent-color: green;
    }

    /* Align checkboxes properly */
    .container {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    /* Scrollable container */
    .div_scroller {
        overflow: auto;
        scrollbar-width: thick;
        scrollbar-color: #888 #f1f1f1;
    }

    /* Style for the table */
    table {
        width: 100%;
        table-layout: fixed;
    }

    th, td {
        text-align: center;
        vertical-align: middle;
    }

    /* Styling input text boxes */
    .mark {
        text-align: center;
        width: 100%;
        border-radius: 5px;
        padding: 0.5em;
        font-size: 1rem;
        box-sizing: border-box;
    }

    .mark:focus {
        border-color: #004170;
        outline: none;
    }

    /* Make the submit button more prominent */
    .btn-primary {
        background-color: #004170;
        border-color: #004170;
    }

    .btn-primary:hover {
        background-color: #003350;
        border-color: #003350;
    }

    /* Styling for the "Absent" label */
    p {
        font-size: 1rem;
    }

    /* Prevents overflow of content in the "Student Name" column */
    td {
        word-wrap: break-word;
        white-space: normal;
    }

    th {
        white-space: nowrap;
    }
</style>

<script>
    function isNumberKey(event) {
        var charCode = (event.which) ? event.which : event.keyCode;
        if (charCode > 31 && (charCode < 48 || charCode > 57)) {
            return false;
        }
        return true;
    }
</script>
