@extends('layouts.template')
@section('title','Home')
@section('heading','Edit Stock')
@section('breadcrumb','Home/Inventory/Report-Stock/Edit Stock')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    <div class="card-body">
    <form action="{{ route('stock.update') }}" method="post">
    @csrf
    <input type="hidden" name="stockadd_id" id="stockadd_id" value="{{encrypt($stockadd->stockadd_id)}}">  
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="item_code" class="required"><b>Item Code</b></label>
    <input type="text" class="form-control @error('item_code') border-danger @enderror" id="item_code" name="item_code" placeholder="Item Code"  value="{{ $stockadd->item_code }}">
    @error('item_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>

    <div class="col-md-3">
    <div class="form-group">
    <label for="stock_item" class="required"><b>Stock Item</b></label>
    <input type="text" class="form-control @error('stock_item') border-danger @enderror" id="stock_item" name="stock_item" placeholder="Stock Item" value="{{ $stockadd->stock_item }}">
    @error('stock_item')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                           
    <div class="col-md-3">
    <div class="form-group">
    <label for="c_id" class="required"><b>Main Category</b></label>
    <input type="text" class="form-control @error('c_id') border-danger @enderror" id="c_id" name="c_id"  value="{{ $stockadd->category->category }}" readonly>
    @error('c_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                             
    <div class="col-md-3">
    <div class="form-group">
    <label for="subcate_id" class="required"><b>Sub Category</b></label>
    <input type="text" class="form-control @error('subcate_id') border-danger @enderror" id="subcate_id" name="subcate_id"  value="{{ $stockadd->subcategory->subcategory }}" readonly>
    @error('subcate_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="stockloc_id" class="required"><b>Location</b></label>
    <input type="text" class="form-control @error('stockloc_id') border-danger @enderror" id="stockloc_id" name="stockloc_id"  value="{{ $stockadd->location->loc_name }}" readonly>
    @error('stockloc_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
   
                         
    <div class="col-md-3">
    <div class="form-group">
    <label for="opening_quantity" class="required"><b>Opening Quantity</b></label>
    <input type="text" class="form-control @error('opening_quantity') border-danger @enderror" id="opening_quantity" placeholder="Opening Quantity" name="opening_quantity" value="{{ $stockadd->opening_quantity }}">
     @error('opening_quantity')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                           
                           
    <div class="col-md-3">
    <div class="form-group">
    <label for="stock_id" class="required"><b>Units</b></label>
    <input type="text" class="form-control @error('stock_id') border-danger @enderror" id="stock_id" name="stock_id" value="{{ $stockadd->units->formal_name }}" readonly>
    @error('stock_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                             
                             
    <div class="col-md-3">
    <div class="form-group">
    <label for="unit_price" class="required"><b>Unit Price</b></label>
    <input type="text" class="form-control @error('unit_price') border-danger @enderror" id="unit_price" name="unit_price" placeholder="Unit Price" value="{{ $stockadd->unit_price }}">
    @error('unit_price')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="total" class="required"><b>Total</b></label>
    <input type="text" class="form-control @error('total') border-danger @enderror" id="total" name="total" placeholder="0" value="{{ old('total') }}">
    @error('total')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                            
                           
    <div class="col-md-3">
    <div class="form-group">
    <label for="" class="required"><b>Saleable</b></label>
    <div class="row">
    <div class="col-md-3">
    <div class="form-check form-check-success">
    <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="saleable" value="yes" {{ $stockadd->saleable=='yes' ? "checked":"" }} disabled> Yes </label>
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-check form-check-success">
    <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="saleable" value="no" {{ $stockadd->saleable=='no' ? "checked":"" }} disabled> No </label>
    </div>
    </div>
    </div>
    </div>
    </div>
                          
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="" class="required"><b>Consumable</b></label>
    <div class="row">
    <div class="col-md-3">
    <div class="form-check form-check-success">
    <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="consumable" value="yes" {{ $stockadd->consumable=='yes' ? "checked":"" }} disabled> Yes </label>
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-check form-check-success">
    <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="consumable" value="no" {{ $stockadd->consumable=='no' ? "checked":"" }} disabled> No </label>
    </div>
    </div>
    </div>
    </div>
    </div>
                            
                         
    <div class="col-md-3">
    <div class="form-group">
    <label for="date" class="required"><b>Date</b></label>
    <input type="date" class="form-control @error('date') border-danger @enderror" id="date" name="date" value="{{ \Carbon\Carbon::now()->format('Y-m-d')  }}">
    @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div> 
                            
                            
                           
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Update</button>
    </div>
    </div>
    </div>
    </form>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
 <script>
       
    let openingQuantityInput = document.getElementById('opening_quantity');
    let unitPriceInput = document.getElementById('unit_price');
    let totalInput = document.getElementById('total');
    
    openingQuantityInput.addEventListener('input', updateTotal);
    unitPriceInput.addEventListener('input', updateTotal);

    function updateTotal() {
       
        let openingQuantity = parseFloat(openingQuantityInput.value);
        let unitPrice = parseFloat(unitPriceInput.value);
        let totalAmount = openingQuantity * unitPrice;

        totalInput.value = totalAmount.toFixed(2); 
    }
 </script>
   <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        .form-control{
            border:1px solid #E8E8E8;
        }
   </style> 
    
@endsection
