@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Stock SubCategory')
@section('breadcrumb','Settings / Inventory / Stock SubCategory')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('stocksubcategory.save') }}" method="post">
    @csrf
    <div class="row">
    <div class="col-md-4">
    <div class="form-group">
    <label for="c_id" class="required"><b>Category</b></label>
    <select class="js-example-basic-single" id="c_id" name="c_id" style="width:100%">
    @foreach($stockcategory as $stockcategorys)
    <option value="{{ $stockcategorys->c_id }}" {{ old('c_id') == $stockcategorys->c_id ? "selected":"" }}>{{ $stockcategorys->category}}</option>
    @endforeach
    </select>
    @error('c_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-4">
    <div class="form-group">
    <label for="subcategory" class="required"><b>Subcategory</b></label>
    <input type="text" class="form-control @error('subcategory') border-danger @enderror" id="subcategory" name="subcategory" value="{{ old('subcategory') }}">
    @error('subcategory')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Submit</button>
    </div>
    </div>
    </div>
    </form>
    </div>
    </div>
    </div>
    </div>
    
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
    <table class="table table-bordered">
    <thead>
    <tr>
    <th><b>Category Name</b></th>
                            
    <th><b>Subcategory Name</b></th>
    <th><b>Action</b></th>
    </tr>
    </thead>
    <tbody>
    @forelse($stocksubcategory as $sub)
    <tr>
    <td>{{ $sub->subcategorys->category}}</td>
    <td>{{$sub->subcategory}}</td>
    <td>{{app_table_links($sub->subcate_id,array(91,92))}}</td>

                                 
    </tr>
    @empty
    <tr>
    <td colspan="2">No Result Found !</td>
    </tr>
    @endforelse
    </tbody>
    </table>
    </div>
    </div>
    </div>
    </div>
    
    
    
    
    
     
   <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        	
        .form-control{
            border:1px solid #E8E8E8;
        }
   </style> 
    
    
    
@endsection