@extends('layouts.template')
@section('title','IQAC')
@section('heading','IQAC')
@section('breadcrumb','Home / IQAC /Add')
@section('content')
    <div class="card card-primary">
        <div class="card-header bg-custom">
            Upload Document
        </div>
        <div class="card-body">
            <form action="{{ route('fiqac.save') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="acyear_id" class="required">Period</label>
                            <select class="form-control" id="acyear_id" name="acyear_id" required>
                                <option value="">Select</option>
                                @foreach($acyears as $acyear)
                                    <option value="{{ $acyear->ac_id }}" {{ $ac_id==$acyear->ac_id ? "selected":"" }}>{{$acyear->date_formatted }}</option>
                                @endforeach
                            </select>
                            @error('acyear_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="criteria_id" class="required">Criteria</label>
                            <select class="form-control" id="criteria_id" name="criteria_id" required>
                                <option value="">Select</option>
                                @foreach($criterias as $criteria)
                                    <option value="{{ $criteria->id }}" {{ old('criteria_id')==$criteria->id ? "selected":"" }}>{{ $criteria->criteria }}</option>
                                @endforeach
                            </select>
                            @error('criteria_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="document_id" class="required">Documents</label>
                            <select class="form-control" id="document_id" name="document_id">
                                <option value="">Select</option>
                                @foreach($documents as $document)
                                    <option value="{{ $document['id'] }}" {{ old('document_id')==$document['id'] ? "selected":"" }}>{{ $document['document'] }}</option>
                                @endforeach
                            </select>
                            @error('document_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-3">
                        <div class="form-group">
                            <label for="document_id" class="required">Evidence</label>
                            <input type="file" class="form-control-file" id="evidence" name="evidence">
                            @error('evidence')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/iqac.js') }}"></script>
@endsection