@extends('layouts.template')
@section('title','Books')
@section('heading','View Book')
@section('breadcrumb','Home / Library / Books / View')
@section('content')
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <a href="{{ url()->previous() }}" class="btn btn-sm btn-danger mr-2">Cancel</a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <div class="col-5">Book No</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->book_no }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Access No</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->access_no }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Title</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->title }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Title</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->sub_title }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Author</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->author }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Language</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->language }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Publisher</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->publisher }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Volume</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->volume }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Edition</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->edition }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">ISBN</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->isbn }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Subject</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->subject }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Writer</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->writer }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Reference</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->reference }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Awards</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->awards }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Keywords</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->keywords }}</div>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <div class="col-5">Image</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger"><img src="{{ asset('public/uploads/books/image/'.$book->image) }}" width="150px"></div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Category</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->category->name }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Category</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->subcategory->name }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Location</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->location->name }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Sub Location</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->sublocation->name }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Date</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ date('d/m/Y',strtotime($book->date)) }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Year</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->year }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Price</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->price }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Condition</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->condition }}</div>
                    </div>
                    <div class="form-group row">
                        <div class="col-5">Copies</div>
                        <div class="col-1">:</div>
                        <div class="col-6 text-danger">{{ $book->copies }}</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @if($book->issues->count() > 0)
        <br>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <h5>Issue History</h5>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Membership No</th>
                                <th>Member Type</th>
                                <th>Member Name</th>
                                <th>Issue Date</th>
                                <th>Due Date</th>
                                <th>Status</th>
                            </tr>
                            </thead>
                            <tbody>
                                @foreach($book->issues()->where('status','!=','Temporary')->orderBy('id', 'desc')->get() as $issue)
                                    <tr>
                                        <td align="center">{{ $loop->iteration }}</td>
                                        <td align="center">{{ $issue->member->membership_no }}</td>
                                        <td align="center">{{ $issue->member->membertype->member_type }}</td>
                                        <td align="center">{{ $issue->member->member_name }}</td>
                                        <td align="center">{{ $issue->issue_date_formatted }}</td>
                                        <td align="center">{{ $issue->due_date_formatted }}</td>
                                        <td align="center">
                                            @if($issue->status == 'Issued')
                                                <div class="badge badge-warning">{{ $issue->status }}</div>
                                            @elseif($issue->status == 'Returned')
                                                <div class="badge badge-success">{{ $issue->status }}</div>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    @endif
@endsection