@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit')
@section('breadcrumb','Settings / Library / Book Sublocation/Edit')
@section('content')

    
        
        
        
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
   
                <div class="card-body">
                    <form action="{{ route('libsubloc.update') }}" method="post">
                        @csrf
                        <input type="hidden" name="sl_id" value="{{ encrypt($libsubloc->sl_id) }}">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="ml_id" class="required"><b>Main Location</b></label>
                                    <select class="form-control" id="ml_id" name="ml_id" required>
                                        @foreach($libmainloc as $main)
                                            <option value="{{ $main->ml_id}}" {{ old('ml_id')==$main->ml_id? "selected":"" }}>{{ $main->mainloc_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('ml_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_code" class="required"><b>Sublocation Code</b></label>
                                            <input type="text" class="form-control @error('subloc_code') border-danger @enderror" id="subloc_code" name="subloc_code" value="{{ $libsubloc->subloc_code }}">
                                            @error('subloc_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                 
                                    </div>

                                       <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="subloc_name" class="required"><b>Sublocation Name</b></label>
                                            <input type="text" class="form-control @error('subloc_name') border-danger @enderror" id="subloc_name" name="subloc_name" value="{{ $libsubloc->subloc_name }}">
                                            @error('subloc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                 </div>
 
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
        
        
        
        
        
        
        
 <style>
     .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
 </style>
@endsection