@extends('layouts.template')
@section('title','Membership')
@section('heading','Membership')
@section('breadcrumb','Home / Membership / View Member')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">



    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>View Member</b></div>
                <div class="card-body">
                  
                    
                         <div class="row">
                         <div class="col-md-3">
                            <div class="form-group">
                                <label for="member_type" class="required"><b>Member Type</b></label>
                                <select class="form-control" id="member_type" name="member_type" required>
                                    <option value="">Select</option>
                                    @foreach($membertypes as $mbts)
                                    <option value="{{ $mbts->mmbrtyp_id }}" {{ old('member_type')==$mbts->mmbrtyp_id ? "selected":"" }}>{{ $mbts->member_type }}</option>
                                    @endforeach
                                </select>
                            @error('member_type')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                      
                      
                       <div id="stud" style="display: none;">
                        
                       <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-6">
                        <div class="form-group">
                            <label for="course" class="required"><b>Course</b></label>
                            <select class="form-control" id="course" name="course" required>
                                <option value="">Select</option>
                                @foreach($courses as $crs)
                                <option value="{{ $crs->course_id}}" {{ old('course')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                @endforeach
                            </select>
                        @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    
                     <div class="col-md-6">
                        <div class="form-group">
                             <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                                <option value="">select</option>
                            </select>
                        </div>
                    </div>
                    </div>
                    </div>
                      </div> 
                       </div>
                     
                     </div> 
                   <br>
                        <div class="row">
                          <div class="col-md-12">
                            <div class="form-group">
                                  <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
                            </div>
                          </div>
                        </div>
                </div>
            </div>
        </div>
    </div>
 
 
  <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
 
 
   </div>
            </div>
        </div>
    </div>
    
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script src="{{ asset('public/js/semester.js') }}"></script>
   <script src="{{ asset('public/js/staff.js') }}"></script>
  
<script>
    $(document).ready(function() {
        $('#member_type').change(function() {
            var selectedValue = $(this).val();
           
            if (selectedValue == 2) {
                $('#stud').show();  
              
                
                
            } else if (selectedValue == 1) {
                $('#stud').hide();
              
               
                
            }
             else{
                $('#stud').hide();
              
             
                
            }
        });
    });

    
  
$(document).ready(function(){
    
     $("#btn-get").on('click',function(){  
         var member_type = $('#member_type').val();
         var course = $('#course').val();
         var semester_id = $('#semester_id').val();
      
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(member_type==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../member-view-get',
                data : {member_type:member_type,course:course,semester_id:semester_id},
               
                success : function(response){ 
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
       
    });

    
    
});

</script>     
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
        hr{
            background-color:#DCDCDC;
        }
       
    </style>
@endsection