@extends('layouts.template')
@section('title','Membership')
@section('heading','New Student Membership')
@section('breadcrumb','Home / Library / Membership / Student / Add')
@section('content')
    <div class="card">
        <div class="card-body">
            <form action="{{ route('library.membership.others.save') }}" method="POST">
                @csrf
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="name" class="required">Name</label>
                            <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ old('name') }}" required>
                            @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="address" class="required">Address</label>
                            <textarea class="form-control @error('address') border-danger @enderror" id="address" name="address" rows="3" required>{{ old('address') }}</textarea>
                            @error('address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="mobile" class="required">Mobile</label>
                            <input type="text" class="form-control @error('mobile') border-danger @enderror" id="mobile" name="mobile" value="{{ old('mobile') }}" required>
                            @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="email">Email</label>
                            <input type="email" class="form-control @error('email') border-danger @enderror" id="email" name="email" value="{{ old('email') }}">
                            @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="date">Date</label>
                            <input type="date" class="form-control @error('date') border-danger @enderror" id="date" name="date" value="{{ old('date') ?? date('Y-m-d') }}" required>
                            @error('date')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-sm btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection