@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Member Type')
@section('breadcrumb','Settings / Library / Edit Member Type')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Edit Member Type</div>
        <div class="card-body">
            <form action="{{ route('library.membertype.update', encrypt($type->id)) }}" method="post">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="membertype">Member Type</label>
                            <input type="text" class="form-control" id="membertype" value="{{ $type->member_type }}" disabled>
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="books" class="required">No. of Books</label>
                            <input type="text" class="form-control @error('books') border-danger @enderror" id="books" name="books" value="{{ old('books') ?? $type->books }}">
                            @error('books')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="validity" class="required">Validity</label>
                            <input type="text" class="form-control @error('validity') border-danger @enderror" id="validity" name="validity" value="{{ old('validity') ?? $type->validity }}">
                            @error('validity')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="fine" class="required">Fine Amount</label>
                            <input type="text" class="form-control @error('fine_amount') border-danger @enderror" id="fine" name="fine_amount" value="{{ old('fine_amount') ?? $type->fine_amount }}">
                            @error('fine_amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="fineper" class="required">Fine Per</label>
                            <input type="number" class="form-control @error('fine_per') border-danger @enderror" id="fineper" name="fine_per" value="{{ old('fine_per') ?? $type->fine_per }}" min="1">
                            @error('fine_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="day" class="required">Fine Type</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <select class="form-control @error('fine_day') border-danger @enderror" id="day" name="fine_day">
                                            <option value="Day" {{ (old('fine_day', $type->fine_day ?? '') == 'Day') ? 'selected' : '' }}>Day</option>
                                            <option value="Month" {{ (old('fine_day', $type->fine_day ?? '') == 'Month') ? 'selected' : '' }}>Month</option>
                                            <option value="To End" {{ (old('fine_day', $type->fine_day ?? '') == 'To End') ? 'selected' : '' }}>To End</option>
                                        </select
                                        @error('fine_day')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div> 
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection