@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book Sub Category')
@section('breadcrumb','Settings / Library / Edit Book Sub Category')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Edit Book Sub Category</div>
        <div class="card-body">
            <form action="{{ route('library.subcategory.update', encrypt($subcategory->id)) }}" method="post">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="category" class="required">Category</label>
                            <select class="form-control @error('category') border-danger @enderror" id="category" name="category">
                                <option value="">Select</option>
                                @foreach($categories as $category)
                                    <option value="{{ $category->id }}" {{ (old('category', $subcategory->category_id ?? '') == $category->id) ? 'selected' : '' }}>{{ $category->name }}</option>
                                @endforeach
                            </select>
                            @error('category')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="code" class="required">Category Code</label>
                            <input type="text" class="form-control @error('code') border-danger @enderror" id="code" name="code" value="{{ old('code') ?? $subcategory->code }}">
                            @error('code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="name" class="required">Category Name</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ old('name') ?? $subcategory->name }}">
                                        @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div> 
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection