@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Book Sub Location')
@section('breadcrumb','Settings / Library / Edit Book Sub Location')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Edit Book Sub Location</div>
        <div class="card-body">
            <form action="{{ route('library.sublocation.update', encrypt($sublocation->id)) }}" method="post">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="location" class="required">Location</label>
                            <select class="form-control @error('location') border-danger @enderror" id="location" name="location">
                                <option value="">Select</option>
                                @foreach($locations as $location)
                                    <option value="{{ $location->id }}" {{ (old('location', $sublocation->location_id ?? '') == $location->id) ? 'selected' : '' }}>{{ $location->name }}</option>
                                @endforeach
                            </select>
                            @error('location')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="code" class="required">Location Code</label>
                            <input type="text" class="form-control @error('code') border-danger @enderror" id="code" name="code" value="{{ old('code') ?? $sublocation->code }}">
                            @error('code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="name" class="required">Location Name</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <input type="text" class="form-control @error('name') border-danger @enderror" id="name" name="name" value="{{ old('name') ?? $sublocation->name }}">
                                        @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                    </div>
                                </div> 
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-sm btn-success">Update</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection