
@extends('layouts.template')
@section('title','Home')
@section('heading','Edit Student Login Details')
@section('breadcrumb','Home/Login/Student')
@section('content')




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background: #005A9C;color:white;"><b>Edit Student Login Details</b></div>
                <div class="card-body">
                    <form action="{{route('student.logindetails.get.update')}}" method="post">
                        @csrf
                        <input type="hidden" name="student_id" value="{{ $student->student_id }}"> 
                        <div class="row">
                            
                            
                            
                            <div class="col-md-3">
    <div class="form-group">
        <label for="name" class="required"><b>Student Name</b></label>
        <input type="text" class="form-control" id="name" name="name" value="{{ $student_det->name }}" readonly>
        @error('name')
            <div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>
        @enderror
    </div>
</div>
                  
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile"><b>Mobile</b></label>
                                    <input type="text" class="form-control" id="mobile" name="mobile" value="{{ $student_det->mobile }}" required autocomplete="off">
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                           
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="email_id"><b>Email ID</b></label>
                                    <input type="email" class="form-control" id="email" name="email" value="{{ $student_det->email }}" required autocomplete="off">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label for="password" class="required"><b>Password</b></label>
                                    <input type="text" class="form-control @error('password') border-danger @enderror" id="password" name="password" autocomplete="off">
                                    @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-sm-9">
                                <div class="form-group">
                                    <label for="cpassword" class="required"><b>Confirm Password</b></label>
                                    <div class="row">
                                        <div class="col-sm-4">
                                            <input type="text" class="form-control @error('password') border-danger @enderror" id="cpassword" name="password_confirmation" autocomplete="off">
                                            @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                        <div class="col-sm-4">
                                            <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                                <input type="checkbox" class="custom-control-input" id="status" name="status" {{ $student_det->status==1 ? "checked":"" }} value="1">
                                                <label class="custom-control-label" for="status"><b>Active</b></label>
                                            </div>
                                        </div>
                                        <div class="col-sm-4">
                                            <button type="submit" class="btn btn-primary">Update</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
   
    <style>
    .form-control{
            border:1px solid #E0E0E0;
            
             background-color:white;
        }
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;

          
        }
    </style>
@endsection