@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Add Activity Outcome')
@section('breadcrumb','Settings / OBE / Activity Outcome')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
          {{ app_button_links_vl(array(253,254,255)) }}
    </div>
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            
            <div class="card-header" style="background:#005A9C;color:white;"><b>Add Activity Outcome</b></div>
   
                <div class="card-body">
                    <form action="{{ route('activityoutcome.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="activity_id" class="required"><b>Activity</b></label>
                                    <select class="js-example-basic-single" id="activity_id" name="activity_id" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        @foreach($activities as $actv)
                                            <option value="{{ $actv->id  }}" {{ old('activity_id ') == $actv->id  ? "selected":"" }}>{{ $actv->activity_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('activity_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                          <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="activity_outcome" class="required"><b>Activity Outcome</b></label>
                                            <input type="text" class="form-control @error('activity_outcome') border-danger @enderror" id="activity_outcome" name="activity_outcome" value="{{ old('activity_outcome') }}" required>
                                            @error('activity_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                </div>
                              <div class="row">      
                                    
                                      <div class="col-md-12">
                                        <div class="form-group">
                                             <label></label>
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Activity Outcome</b></th>
                            <th><b>Activity</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($activityoutcome as $actvoutcme)
                                <tr>
                                    <td>{{$actvoutcme->activity_outcome}}</td>
                                    <td>{{$actvoutcme->activity->activity_name}}</td>
                                    <td>{{app_table_links($actvoutcme->id,array(219,218)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
     </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection