@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Activity Outcome-PO Mapping')
@section('breadcrumb','Settings / OBE / Activity Outcome-PO Mapping')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
        <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
          {{ app_button_links_vl(array(253,254,255)) }}
    </div>
    <div class="card-body">


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
             
            <div class="card-header" style="background:#005A9C;color:white;"><b>Activity Outcome-PO Mapping</b></div>
   
                <div class="card-body">
                    <form action="{{ route('aopomapping.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity Outcome</b></label>
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%" required>
                                        <option value="">SELECT</option>
                                        @foreach($activityoutcome as $actv)
                                            <option value="{{ $actv->id  }}" {{ old('a_outcome ') == $actv->id  ? "selected":"" }}>{{ $actv->activity_outcome}}</option>
                                        @endforeach
                                    </select>
                                    @error('a_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                            
                          <div class="col-md-6">
                            <div class="form-group">
                               <label for="p_outcome" class="required"><b>Program Outcome</b></label>
                               <select class="js-example-basic-single" id="p_outcome" name="p_outcome" style="width:100%" required>
                                <option value="">SELECT</option>
                                   @foreach($po as $pm)
                                <option value="{{ $pm->id  }}" {{ old('p_outcome ') == $pm->id  ? "selected":"" }}>{{ $pm->po_name}}</option>
                                   @endforeach
                               </select>
                                    @error('p_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                        </div>
                        </div>
                         <div class="row">
                         <div class="col-md-12">
                             <div class="form-group">
                               <label></label>
                                 <button type="submit" class="btn btn-primary float-right">Save</button>
                             </div>
                             </div>
                         </div>   
                          
                    </form>
                </div>
            </div>
        </div>
        </div>
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Activity Outcome</b></th>
                            <th><b>Program Outcome</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($aopomapping as $aopo)
                                <tr>
                                    <td>{{$aopo->aoutcome->activity_outcome}}</td>
                                    <td>{{$aopo->poutcome->po_name}}</td>
                                    <td>{{app_table_links($aopo->id,array(316,315)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
     </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection