@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Activity Outcome-PO Mapping')
@section('breadcrumb','Settings / OBE / Activity Outcome-PO Mapping / Edit')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('aopomapping.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="aopo_id" value="{{ encrypt($aopo->id) }}">
                        <div class="row">
                            
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label for="a_outcome" class="required"><b>Activity</b></label>
                                    @php $a_outcome=old('a_outcome ') ?? $aopo->a_outcome; @endphp
                                    <select class="js-example-basic-single" id="a_outcome" name="a_outcome" style="width:100%">
                                        @foreach($activityoutcome as $acv)
                                            <option value="{{ $acv->id}}" {{ $a_outcome == $acv->id? "selected":"" }}>{{ $acv->activity_outcome}}</option>
                                        @endforeach
                                    </select>
                                    @error('a_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="p_outcome" class="required"><b>Program Outcome</b></label>
                                            @php $p_outcome=old('p_outcome ') ?? $aopo->p_outcome; @endphp
                                    <select class="js-example-basic-single" id="p_outcome" name="p_outcome" style="width:100%">
                                        @foreach($po as $p)
                                            <option value="{{ $p->id}}" {{ $p_outcome == $p->id? "selected":"" }}>{{ $p->po_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('p_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection