@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Add CO Achievement Level')
@section('breadcrumb','Settings / OBE / Add CO Achievement Level')
@section('content')
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" >
             <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
              {{ app_button_links_v(array(246,262,270,265,247,250,251)) }}
                    
            
             
         </div>
            <div class="card-header" style="background:#073980;color:white;"><b>Add CO Achievement Level</b></div>
             <div class="card-body">
                    <form action="{{ route('coachlvl.save') }}" method="post">
                        @csrf
                        
                        <div class="row">
                            
                           
                              <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="level" class="required"><b>CO Achievement Level</b></label>
                                            <input type="text" class="form-control @error('level') border-danger @enderror" id="level" name="level" value="{{ old('level') }}" required>
                                            @error('level')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                           
                              <div class="col-md-4">
                                        <div class="form-group">
                                            <label for="label" class="required"><b>Label</b></label>
                                            <input type="text" class="form-control @error('label') border-danger @enderror" id="label" name="label" value="{{ old('label') }}" required>
                                            @error('label')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                            
                          <div class="col-md-2">
                                        <div class="form-group">
                                            <label for="f_per" class="required"><b>Percentage From</b></label>
                                            <input type="text" class="form-control @error('f_per') border-danger @enderror" id="f_per" name="f_per" value="{{ old('f_per') }}" required>
                                            @error('f_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-2">
                                        <div class="form-group">
                                            <label for="t_per" class="required"><b>Percentage To</b></label>
                                            <input type="text" class="form-control @error('t_per') border-danger @enderror" id="t_per" name="t_per" value="{{ old('t_per') }}" required>
                                            @error('t_per')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                </div>
                               <div class="row">     
                                    
                                    <div class="col-md-12">
                                        <div class="form-group">
                                             <label></label>
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                </div>   
                          </div>
                    </form>
                </div>
            </div>
        </div>
       
         <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                          
                            <th><b>Marks(%)</b></th>
                            <th><b>CO Achievement Level	</b></th>
                            <th><b>Label</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($coalv as $cl)
                                <tr>
                                  <td>{{$cl->f_per.' - '.$cl->t_per}} %</td>
                                    <td>{{$cl->level}}</td>
                                    <td>{{$cl->label}}</td>
                                    
                                    <td>{{app_table_links($cl->id,array(249,248)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <style>
          .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #E0E0E0;}
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
    @endsection