@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','CO-PO Mapping')
@section('breadcrumb','Settings / OBE / CO-PO Mapping / Edit')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"><b><i class="fa-solid fa-gear" style="color:#005A9C;margin-right: 8px;"></i><span style="color:#005A9C">Settings /OBE /<a href="{{route('obe.copomapping')}}" style="text-decoration:none;color:#005A9C">CO-PO Mapping</a>/</span>Edit</b></div>
    <div class="card-body">




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#005A9C;color:white;"><b>Edit</b></div>
    
                <div class="card-body">
                    <form action="{{ route('copomapping.update') }}" method="post">
                        @csrf
                         <input type="hidden" name="copo_id" value="{{ encrypt($copo->id) }}">
                        <div class="row">
                            
                            
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course" class="required"><b>Course</b></label>
                                    @php $course_id=old('course ') ?? $copo->course_id; @endphp
                                    <select class="js-example-basic-single" id="course" name="course" style="width:100%">
                                        @foreach($courses as $crs)
                                            <option value="{{ $crs->course_id}}" {{ $course_id == $crs->course_id? "selected":"" }}>{{ $crs->course_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('course')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            
                             <div class="col-md-4">
                            <div class="form-group">
                               <label for="semester_id" class="required"><b>Semester</b></label>
                                 @php $semester_id=old('semester_id ') ?? $copo->semester_id; @endphp
                               <select class="form-control" id="semester_id" name="semester_id" required>
                                 @foreach($semester as $sem)
                                            <option value="{{ $sem->semester_id }}" {{ $semester_id == $sem->semester_id ? "selected":"" }}>{{ $sem->semester_name}}</option>
                                        @endforeach
                                </select>
                            </div>
                        </div>
                        
                         <div class="col-md-4">
                            <div class="form-group">
                               <label for="sub_id" class="required"><b>Subject</b></label>
                                @php $sub_id=old('sub_id ') ?? $copo->sub; @endphp
                               <select class="form-control" id="sub_id" name="sub_id" required>
                              
                                 @foreach($subjects as $sb)
                                            <option value="{{ $sb->subject_id  }}" {{ $sub_id == $sb->subject_id  ? "selected":"" }}>{{ $sb->subject_name}}</option>
                                        @endforeach
                                
                                </select>
                            </div>
                        </div>
                            
                            <div class="col-md-4">
                            <div class="form-group">
                               <label for="co_outcome" class="required"><b>Course Outcome</b></label>
                                @php $co_outcome=old('co_outcome ') ?? $copo->co_outcome; @endphp
                               <select class="form-control" id="co_outcome" name="co_outcome" required>
                                 @foreach($co as $cn)
                                            <option value="{{ $cn->id  }}" {{ $co_outcome == $cn->id  ? "selected":"" }}>{{$cn->co_no.' '.$cn->co_name}}</option>
                                        @endforeach
                                </select>
                            </div>
                        </div>
                            
                            
                            
                          
                              <div class="col-md-3">
                                        <div class="form-group">
                                            <label for="p_outcome" class="required"><b>Program Outcome</b></label>
                                            @php $p_outcome=old('p_outcome ') ?? $copo->p_outcome; @endphp
                                    <select class="js-example-basic-single" id="p_outcome" name="p_outcome" style="width:100%">
                                        @foreach($poutcome as $p)
                                            <option value="{{ $p->id}}" {{ $p_outcome == $p->id? "selected":"" }}>{{ $p->po_no.' '.$p->po_name}}</option>
                                        @endforeach
                                    </select>
                                    @error('p_outcome')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                     <div class="col-md-4">
                            <div class="form-group">
                               <label for="mapping_level" class="required"><b>Mapping Level</b></label>
                                @php $mapping_level=old('mapping_level ') ?? $copo->mapping_level; @endphp
                               <select class="form-control" id="mapping_level" name="mapping_level" required>
                                <option value="">select</option>
                                <option value="0" {{ $mapping_level == 0? "selected":"" }}>0</option>
                                <option value="1" {{ $mapping_level == 1? "selected":"" }}>1</option>
                                 <option value="2" {{ $mapping_level == 2? "selected":"" }}>2</option>
                                  <option value="3" {{ $mapping_level == 3? "selected":"" }}>3</option>
                                   <option value="4" {{ $mapping_level == 4? "selected":"" }}>4</option>
                                </select>
                            </div>
                        </div>  
                                    
                                    
                                    </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Update</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
           </div>
            </div>
        </div>
        </div>
         <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
     <script src="{{ asset('public/js/subj.js') }}"></script>  
      <script src="{{ asset('public/js/co.js') }}"></script>  
  <style>
       .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
  </style>
@endsection