@extends('layouts.settings-template')
@section('title','Add Domain')
@section('heading','Add Domain')
@section('breadcrumb','Settings / OBE / Domain')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-body">

    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Domain</b></div>
                <div class="card-body">
                    <form action="{{ route('domain.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-8">
                                <label for="domain" class="required">Domain Name</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('domain') border-danger @enderror" id="domain" name="domain" value="{{ old('domain') }}">
                                            @error('domain')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                   
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Save</button>
                                       </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Domain</b></th>
                            
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($doms as $dom)
                                <tr>
                                    <td>{{ $dom->domain }}</td>
                                   
                                    <td>{{ app_table_links($dom->id ,array(212)) }}
                                    {{ app_table_links($dom->id ,array(213)) }}</td>

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    
    
     </div>
            </div>
        </div>
    </div>
   
@endsection