@extends('layouts.settings-template')
@section('title','OBE')
@section('heading','Set Performance Grade')
@section('breadcrumb','Settings / OBE / Set Performance Grade')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="border:1px solid #DCDCDC;background-color:white"></div>
    <div class="card-body">





    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Set Performance Grade</b></div>
                <div class="card-body">
                    <form action="{{ route('stpgrade.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                
                                <div class="row">
                                    <div class="col-md-3">
                                        <label for="gr_from" class="required">Performance From (%)</label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('gr_from') border-danger @enderror" id="gr_from" name="gr_from" value="{{ old('gr_from') }}">
                                            @error('gr_from')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                       <div class="col-md-3">
                                           <label for="gr_from" class="required">Performance To (%)</label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('gr_to') border-danger @enderror" id="gr_to" name="gr_to" value="{{ old('gr_to') }}"> 
                                            @error('gr_to')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                     <div class="col-md-3">
                                         <label for="gr_from" class="required">Grade</label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('letter_grade') border-danger @enderror" id="letter_grade" name="letter_grade" value="{{ old('letter_grade') }}">
                                            @error('letter_grade')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                     <div class="col-md-3">
                                         <label for="gr_from" class="required">Performance</label>
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('performance') border-danger @enderror" id="performance" name="performance" value="{{ old('performance') }}">
                                            @error('performance')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    
                                    </div>
                                   <div class="row"> 
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                       </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
  
  
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>%</b></th>
                            <th><b>Grade</b></th>
                            <th><b>Performance</b></th>
                            <th colspan="2"><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($grade as $gr)
                                <tr>
                                  <td>{{ $gr->gr_from.' - '. $gr->gr_to}}</td>
                                   <td>{{ $gr->letter_grade}}</td>
                                   <td>{{ $gr->performance}}</td>
                                    <td>{{ app_table_links($gr->id ,array(268,267)) }} </td>
                                  

                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
  
  
  
  
  
  
  
  
  
    </div>
            </div>
        </div>
    </div>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        table.table-bordered {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th,
        table.table-bordered td {
            border: 1px solid #D8D8D8;
        }
        table.table-bordered th{
            background-color:#FEBE10;
        }
        table.table-bordered tr:nth-child(even){background-color: #F8F8F8;}
        .form-control{
            border:1px solid #E8E8E8;
        }
       
    </style>
@endsection