@extends('layouts.template')
@section('title','Other Payment')
@section('heading','Other Payment')
@section('breadcrumb','Home / Other Fee /Report')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Other Fee Report</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="acyear">Academic Year</label>
                        <select class="form-control" id="acyear">
                            <option value="">Select</option>
                            @foreach($acyears as $acyear)
                                <option value="{{ $acyear->ac_id }}">{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate">
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate">
                                </div>
                            </div>
                            <div class="col-12 col-sm-6">
                                <div class="form-group">
                                    <button type="button" class="btn btn-sm btn-primary" id="getResult">Filter</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card ">
        <div class="card-body">
            <table class="table table-bordered" id="otherTable" width="100%">
                <thead>
                <tr>
                    <th class="no-sort">#</th>
                    <th>Rec. No.</th>
                    <th>Date</th>
                    <th>Student Name</th>
                    <th>Amount</th>
                    <th>Payment Mode</th>
                    <th>Collected By</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                    
                </tbody>
            </table>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(function () {
            var otherTable = $("#otherTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [{ targets: 'no-sort', orderable: false }],
                ajax : {
                    url : '{{ route('otherfee.ajax') }}',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.acyear = $('#acyear').val(),
                        data.fdate = $('#fdate').val(),
                        data.tdate = $('#tdate').val();
                    }
                },
                columns : [
                    { data : 'sno' },
                    { data : 'recno' },
                    { data : 'date' },
                    { data : 'name' },
                    { data : 'amount' },
                    { data : 'pmode' },
                    { data : 'collect' },
                    { data : 'action' },
                ],
                "fnRowCallback": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {
                    $('td', nRow).css('background-color', aData['color']);
                }
            });
            
            $('#getResult').click(function(){
                otherTable.draw();
            });
        });
    </script>
@endsection