@extends('layouts.template')
@section('title','Home')
@section('heading','Parents Attendance')
@section('breadcrumb','Home/PTA/Parents Attendance')
@section('content')


    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <div class="row">
    <div class="col-md-2">
    <label for="ac_id" class="required"><b>Academic Year</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="ac_id" name="ac_id" required>
    <option value="">Select</option>
    @foreach($acyears as $acyear)
    <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
    @endforeach
    </select>
    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>

    <div class="row">
    <div class="col-md-2">
    <label for="pta_id" class="required"><b>Meeting</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="pta_id" name="pta_id" required>
    <option value="">Select</option>
    </select>
    @error('pta_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-2">
    <label for="course_id" class="required"><b>Courses</b></label>
    </div>
    <div class="col-md-6">
    <div class="form-group">
    <select class="form-control" id="course_id" name="course_id" required>
    <option value="">Select</option>
    </select>
    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
   
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
    </div>
    </div>
    </div>




    </div>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card" id="result">
            
    </div>
    </div>
    
    
    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/attendance.js') }}"></script> 

<script>
    $(document).ready(function(){
    $("#ac_id").on('change',function(){
        var ac_id = $(this).val();
        $("#pta_id").empty();

        $.ajax({
            type : 'GET',
            url : '../get-meeting/'+ac_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $("#pta_id").append('<option value="">select</option>');

                $.each(data, function(key,value) {
                    $("#pta_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
        $("#pta_id").on('change',function(){
        var pta_id = $(this).val();
       
        $("#course_id").empty();

        $.ajax({
            type : 'GET',
            url : '../get-meeting-course/'+pta_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                     $("#course_id").append('<option value="">select</option>');

                $.each(data, function(key,value) {
                    $("#course_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });
    $("#course_id").on('change',function(){
        var course_id = $(this).val();
        
        $("#semester_id").empty();
        $.ajax({
            type : 'GET',
            url : '../get-sem/'+course_id,
            success : function(response){
                var data = jQuery.parseJSON(response);
                $.each(data, function(key,value) {
                    $("#semester_id").append('<option value="'+key+'">'+value+'</option>');
                }); 
            }
        });
    });


















});
</script>

<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
		
</style>





















@endsection