@extends('layouts.template')
@section('title','Home')
@section('heading','PTA Report')
@section('breadcrumb','Home/PTA/PTA Report')
@section('content')

        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    
        <div class="card-body">
 
   
        <div class="row">
        <div class="col-md-8">
        <div class="form-group">
        <label for="ac_id" class="required"><b>Academic Year</b></label>
        <select class="form-control" id="ac_id" name="ac_id" required>
        @foreach($acyears as $acyear)
        <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
        @endforeach
        </select>
        @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
        </div>
        </div>
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
        <button type="button" class="btn btn-primary float-right" id="btn-get">Get Details</button>
        </div>
        </div>
        </div>                        
       
        </div>
        </div>
        </div>
        </div>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card" id="result">
            
        </div>
        </div>
        
        
        
       
  <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  <script>
$(document).ready(function(){
    
    $("#btn-get").on('click',function(){
         var aid = $('#ac_id').val();
       
       
   
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if( aid===''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../addpta-get',
                data : {aid:aid},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
    
 
    
});
</script>
<style>
    .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
</style>
@endsection