@extends('layouts.template')
@section('title','Advance Salary Processing')
@section('heading','Advance Salary Processing')
@section('breadcrumb','Home / Salary / Advance Salary Processing')
@section('content')
<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head> 
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
     <div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
         {{ app_button_links_v(array(500,499)) }}
    </div>
    
    <div class="card-body">
           <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Process Advance Salary</b></div>
        <div class="card-body">
        <form>
        @csrf
        <div class="row">
            
            <div class="col-md-3">
                <div class="form-group">
                    <label for="staftyp_id" class="required">Staff Type</label>
                    <select class="js-example-basic-single" id="staftyp_id" name="staftyp_id" style="width:100%">
                       <option value="">Select</option>
                          @foreach($stafftype as $type)
                            <option value="{{ $type->staftyp_id }}" {{ old('staftyp_id') == $type->staftyp_id ? "selected":"" }}>{{ $type->type_name}}</option>
                           @endforeach
                    </select>
                        @error('staftyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                </div>
            </div>
        
          <div class="col-md-3">
            <div class="form-group">
                <label for="salmonth" class="required">Month & Year</label>
                <input type="month" id="salmonth" name="salmonth" class="form-control" value="{{ $cur_mnth_yr}}" readonly>
            </div>
          </div>
          
             <div class="col-md-3">
            <div class="form-group">
                <label for="date" class="required">Processing Date</label>
                <input type="date" id="date" name="date" class="form-control" value="{{ $cur_date}}">
            </div>
          </div>
   
        
        </div>
        <div class="row">
        <div class="col-md-12">
        <div class="form-group">
              <button type="button" class="btn btn-primary float-right" id="btn-get">Submit</button>
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      <div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
    
    
 
        </div>
        </div>
        </div>
    </div>

   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
   <script>
      $(document).ready(function(){
      $("#btn-get").on('click',function(){
        var stafftype = $('#staftyp_id').val();
        var salmonth = $('#salmonth').val();
        var date = $('#date').val();
        
        $("#result").html('');
        $("#result").append('<div class="overlay"><div class="spinner-border"></div></div>');
                
        if(stafftype=='' || salmonth=='' || date==''){
            alert('Please select all mandatory fields !');
        }else{
            $.ajax({
                type : 'GET',
                url : '../salaryadvprocessing-get',
                data : {tid:stafftype,did:salmonth,date:date},
                success : function(response){
                    $("#result").html('');
                    $("#result").append(response);
                }
            });
        }
    });
        
        }); 
    </script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
        .div_scroller{
    	overflow:auto; 
    	scrollbar-width: initial; /* Make the scrollbar thinner */
    scrollbar-color: #888 #f1f1f1; /* thumb color and track color */
      }
    </style>
@endsection
    