@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Scholarship')
@section('breadcrumb','Settings / Student Setting / Scholarship')
@section('content')




    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Add Scholarship</b></div>

    <div class="card-body">
    <form action="{{ route('add.save') }}" method="post">
    @csrf
                        
    <div class="row">
    <div class="col-md-3">
    <div class="form-group">
    <label for="ac_id" class="required">Academic Year</label>
    <select class="form-control" id="ac_id" name="ac_id" required>
    @foreach($acyears as $acyear)
    <option value="{{ $acyear->ac_id }}" {{ old('ac_id')==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
    @endforeach
    </select>
    @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="sc_name" class="required">Scholarship Name</label>
    <input type="text" class="form-control @error('sc_name') border-danger @enderror" id="sc_name" name="sc_name" value="{{ old('sc_name') }}">
    @error('sc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    <div class="col-md-3">
    <div class="form-group">
    <label for="amount" class="required">Amount</label>
    <input type="text" class="form-control @error('amount') border-danger @enderror" id="amount" name="amount" value="{{ old('amount') }}">
                                            @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-md-12">
    <div class="form-group">
    <button type="submit" class="btn btn-primary float-right">Save</button>
    </div>
    </div>
    </div>
                                    
                                    
    </form>
    </div>
    </div>
    </div>
    </div>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card" style="border-top:2px solid #004170">
    <div class="card-body">
    <table class="table table-bordered">
    <thead>
    <tr>
    <th><b>Scholarship Name</b></th>
    <th><b>Amount</b></th>
    <th colspan="2"><b>Actions</b></th>
    </tr>
    </thead>
    <tbody>
    @forelse($addscholarship as $add)
    <tr>
    <td>{{$add->sc_name}}</td>
    <td>{{$add->amount}}</td>
    <td>{{app_table_links($add->sc_id,array(77))}}
    {{app_table_links($add->sc_id,array(181))}}</td>

    </tr>
    @empty
    <tr>
    <td colspan="2">No Result Found !</td>
    </tr>
    @endforelse
    </tbody>
    </table>
    </div>
    </div>
    </div>
    </div>
    
    
    
    

    <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
      
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection