@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Edit Scholarship')
@section('breadcrumb','Settings / Student Setting / Scholarship/Edit Scholarship')
@section('content')




            <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
            <div class="card-header" style="background:#073980;color:white;"><b>Edit</b></div>
   
            <div class="card-body">
            <form action="{{ route('add.update') }}" method="post">
            @csrf
            <input type="hidden" name="sc_id" value="{{ encrypt($addscholarship->sc_id ) }}">

            <div class="row">
            <div class="col-md-3">
            <div class="form-group">
            <label for="ac_id" class="required">Academic Year</label>
            <select class="form-control" id="ac_id" name="ac_id" required>
            @foreach($acyears as $acyear)
            <option value="{{ $acyear->ac_id }}" {{$addscholarship->ac_id ==$acyear->ac_id ? "selected":"" }}>{{ $acyear->start_date_formatted.' - '.$acyear->end_date_formatted }}</option>
            @endforeach
            </select>
            @error('ac_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
                            
            <div class="col-md-3">
            <div class="form-group">
            <label for="sc_name" class="required">Scholarship Name</label>
            <input type="text" class="form-control @error('sc_name') border-danger @enderror" id="sc_name" name="sc_name" value="{{ $addscholarship->sc_name }}">
            @error('sc_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            <div class="col-md-3">
            <div class="form-group">
            <label for="amount" class="required">Amount</label>
            <input type="text" class="form-control @error('amount') border-danger @enderror" id="amount" name="amount" value="{{ $addscholarship->amount }}">
            @error('amount')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
            </div>
            </div>
            </div>
            <div class="row">
            <div class="col-md-12">
            <div class="form-group">
            <button type="submit" class="btn btn-primary float-right">update</button>
            </div>
            </div>
            </div>
                                    
                                    
                    </form>
                </div>
            </div>
        </div>
        </div>
        
        
        
        
        
             
   <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
   </style>
@endsection