@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Departments')
@section('breadcrumb','Settings / Departments')
@section('content')



    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background-color:#005A9C;color:white"><b>Add</b></div>
    <div class="card-body">
    <form action="{{ route('department.save') }}" method="post">
    @csrf
                        
                        <div class="row">
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="dept_name" class="required"><b>Department</b></label>
                       <input type="text" class="form-control @error('dept_name') border-danger @enderror" id="dept_name" name="dept_name" value="{{ old('dept_name') }}">
                        @error('dept_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                            
                        
                        <div class="col-md-3">
                        <div class="form-group">
                        <label for="course_id" class="required"><b>Course</b></label>
                         
                        <select class="form-control" id="course_id" name="course_id" required>
                        <option value="">Select</option>
                        @foreach($courses as $course)
                        <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                        @endforeach
                        </select>
                        @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                        </div>
                           
                        <div class="col-md-3">
                          <div class="form-group">
                           <label for="description"><b>Description</b></label>
                           <input type="text" class="form-control" id="description" name="description" value="{{ old('description') }}">
                           
                         </div>
                        </div>
                    </div>
                                    
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                                    
                                    </div>
                    </form>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Department</b></th>
                            <th><b>Course</b></th>
                            
                            <th><b>Description</b></th>
                            
                        </tr>
                        </thead>
                        <tbody>
           
                            @forelse($department as $dept)
                                            
                                <tr>
                                    <td>{{$dept->dept_name}}</td>
                                     <td>
                                         @php
                                            $course_id ='';
                                           $dep_courses = $dept->deptcourse->pluck('course_id');
                                           foreach($dep_courses as $dep => $cndp )
                                           {
                                               
                                                 $crsNames = \App\Models\Course::where('course_id', $cndp)->first();
                                                 print_r($crsNames->course_name); echo "<br>";
                                           }
                                         @endphp
                                       
                                    </td>
                                    
                                   <td>{{ $dept->description}}</td>

                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
     
    <style>
                                      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection