@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Hostel Months')
@section('breadcrumb','Settings / Hostel Settings /Hostel Months')
@section('content')




    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                 <div class="card-header" style="background:#005A9C;color:white;"><b>Hostel Months</b></div>
                <div class="card-body">
                    <form action="{{ route('hostelmonth.save') }}" method="post">
                        @csrf
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <table class="table table-bordered">
                                        <thead>
                                        <tr>
                                            <th><b>#</b></th>
                                            <th>
                                                <div class="form-check form-check-success">
                                                    <label class="form-check-label"><input type="checkbox" class="form-check-input" id="checkAll"></label>
                                                </div>
                                            </th>
                                            <th><b>Month</b></th>
                                            <th><b>Action</b></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            @forelse($months as $month)
                                                <tr>
                                                    <td>{{ $loop->iteration }}</td>
                                                    <td>
                                                        @if($month['status']==0)
                                                            <div class="form-check form-check-success text-center">
                                                                <label class="form-check-label"><input type="checkbox" class="form-check-input checkSub" name="posted[]" value="{{ $month['month'] }}"> 1&nbsp;</label>
                                                            </div>
                                                        @endif
                                                    </td>
                                                    <td>{{ date('F Y',$month['month']); }}</td>
                                                    <td>
                                                        @if($month['status']==1)
                                                            {{ app_table_links($month['hmid'],array(36)) }}
                                                        @endif
                                                    </td>
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td colspan="4">No Result Found !</td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script>
        $(document).ready(function(){
            $("#checkAll").on('click',function () {
                if($(this).is(':checked')){
                    $('.checkSub').each(function(){
                        this.checked = true;
                    });
                }else{
                    $('.checkSub').each(function(){
                        this.checked = false;
                    });
                }
            });
        });
    </script>
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
        }
        
        .form-control{
            border:1px solid black;
        }
    </style>
@endsection