@extends('layouts.settings-template')
@section('title','Attendance Grade')
@section('heading','Attendance Grade')
@section('breadcrumb','Settings / Attendance Grade')
@section('content')


<head>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">

</head>
    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">

    <div class="card-body">


        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            
        <div class="card-header" style="background-color:#005A9C;color:white"><b>Attendance Grade</b></div>
        <div class="card-body">
        <form action="{{ route('attendance.grade.save') }}" method="post">
        @csrf
        <div class="row">
        <div class="col-md-3">
        <div class="form-group">
        <label for="gr_from" class="required"><b>Grade Range From</b></label>
        <input type="text" class="form-control @error('gr_from') border-danger @enderror" id="gr_from" name="gr_from" value="{{ old('gr_from') }}">
        </div>
        </div>
        <div class="col-md-3">
        <div class="form-group">
        <label for="gr_to" class="required"><b>Grade Range To</b></label>
         <input type="text" class="form-control @error('gr_to') border-danger @enderror" id="gr_to" name="gr_to" value="{{ old('gr_to') }}">
        </div>
        </div>
        
        <div class="col-md-3">
        <div class="form-group">
        <label for="grade_point" class="required"><b>Grade Point</b></label>
         <input type="text" class="form-control @error('grade_point') border-danger @enderror" id="grade_point" name="grade_point" value="{{ old('grade_point') }}">
        </div>
        </div>
       
         <div class="col-md-3">
        <div class="form-group">
        <label for="letter_grade" class="required"><b>Letter Grade</b></label>
         <input type="text" class="form-control @error('letter_grade') border-danger @enderror" id="letter_grade" name="letter_grade" value="{{ old('letter_grade') }}">
        </div>
        </div>
        
       
        
         <div class="col-md-3">
        <div class="form-group">
        <label for="performance" class="required"><b>Performance</b></label>
         <input type="text" class="form-control @error('performance') border-danger @enderror" id="performance" name="performance" value="{{ old('performance') }}">
        </div>
        </div>
        
         </div>                   
                            
      
       <div class="row">
        <div class="col-md-12">
        <div class="form-group">
             <button type="submit" class="btn btn-primary float-right">Save</button>
         
        </div>
        </div>
        </div>
        </form>
        </div>
        </div>
        </div>
    </div>
    
      
        
        
        </div>
        </div>
        </div>
    </div>
    
   <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
           <div class="card" style="border-top:2px solid #005A9C">
                
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Percentage of Marks</b></th>
                            <th><b>Performance</b></th>
                            <th><b>Letter Grade</b></th>
                            <th><b>Grade Point</b></th>
                          
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
           
                            @forelse($grading as $gdng)
                                            
                                <tr>
                                    <td>{{$gdng->gr_from.' - '.$gdng->gr_to}}</td>
                                    <td>{{$gdng->performance}}</td>
                                    <td>{{ $gdng->letter_grade}}</td>
                                    <td>{{ $gdng->grade_point}}</td>
                               
                                     <td></td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
        
    
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
  
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
        hr{
            background-color:#DCDCDC;
        }
    </style>



@endsection