@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Allowance')
@section('breadcrumb','Settings / Salary / Allowance')
@section('content')






    <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
    <div class="card-header" style="background:#005A9C;color:white;"><b>Select the Criteria</b></div>
    <div class="card-body">
    <form action="{{ route('slryallowance.save') }}" method="post">
    @csrf
                        
    <div class="row">
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="allowance_name" class="required"><b>Allowance</b></label>
    <input type="text" class="form-control @error('allowance_name') border-danger @enderror" id="allowance_name" name="allowance_name" value="{{ old('allowance_name') }}">
    @error('allowance_name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                            
    <div class="col-md-3">
    <div class="form-group">
    <label for="allowance_code" class="required"><b>Allowance Code</b></label>
    <input type="text" class="form-control @error('allowance_code') border-danger @enderror" id="allowance_code" name="allowance_code" value="{{ old('allowance_code') }}">
    @error('allowance_code')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
    </div>
    </div>
                            
                            
                            
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="accounttype_id" class="required"><b>Account Type</b></label>
                            <select class="form-control" id="accounttype_id" name="accounttype_id" required>
                            @foreach($accountype as $account)
                            <option value="{{ $account->accounttype_id }}" {{ old('accounttype_id ')==$account->accounttype_id? "selected":"" }}>{{ $account->account_type }}</option>
                            @endforeach
                            </select>
                            @error('accounttype_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                                  
                            </div>
 <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary float-right">Save</button>
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                    </form>
                    </div>
                </div>
            </div>
        </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Allowance Name</b></th>
                            <th><b>Allowance Code</b></th>
                            <th><b>Account Type</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($slryallowance as $allowance)
                                <tr>
                                     
                                    
                                   <td>{{$allowance->allowance_name}}</td>
                                       <td>{{$allowance->allowance_code}}</td>
                                       <td>{{$allowance->actype->account_type}}</td>
                                       <td>{{app_table_links($allowance->allowance_id,array(112,113)) }}</td>
                                      
                                 
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
              
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
       
        .form-control{
            border:1px solid #E8E8E8;
        }
    </style>
@endsection