<div class="card">
    <div class="card-header" style="background:#005A9C;color:white"><b>Attendance Report</b></div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <h6 align="center"><b>Year: {{$year}}</b></h6>
                    <br><br>
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th><b>Staff Name</b></th>
                                    <th><b>Employee ID</b></th>
                                    @for ($month = 1; $month <= 12; $month++)
                                        <th><b>{{ DateTime::createFromFormat('!m', $month)->format('F') }}</b></th>
                                    @endfor
                                    <th><b>Total Attendance %</b></th> <!-- Total Percentage Column -->
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($attendanceSummary as $summary)
                                    <tr>
                                        <td>{{$loop->iteration}}</td>
                                        <td>{{ $summary['staff_name'] }}</td>
                                        <td>{{ $summary['emid'] }}</td>
                                        @for ($month = 1; $month <= 12; $month++)
                                            @php
                                                $monthSummary = $summary['monthly_summary'][$month] ?? ['attendance_percentage' => 0];
                                            @endphp
                                            <td>
                                                {{ $monthSummary['attendance_percentage'] }}%
                                            </td>
                                        @endfor
                                        <td>
                                            {{ $summary['total_percentage'] }}%
                                        </td> <!-- Total Percentage Cell -->
                                    </tr>
                                @endforeach
                                
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<style>
    .table td, .table th {
        white-space: nowrap; /* Prevents text from wrapping and expands column width */
    }
    .table th, .table td {
        padding: 8px; /* Adjust padding if needed */
    }
    .table-responsive {
        overflow-x: auto; /* Enables horizontal scrolling */
    }
        
        
        
        .form-control{
            border:1px solid black;
        }
</style>
