@extends('layouts.settings-template')
@section('title','Settings')
@section('heading','Staff Subject')
@section('breadcrumb','Settings / Staff Setting /Staff Subject')
@section('content')



        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
        <div class="card-header" style="background:#005A9C;color:white;"><b>Assign Subjects to Staff</b></div>
            
                    <div class="card-body">
                    <form action="{{ route('staffsubject.save') }}" method="post">
                    @csrf
                    <div class="row">
                    <div class="col-md-3">
                    <div class="form-group">
                    <label for="user_id" class="required"><b>Staff</b></label>
                    <select class="form-control" id="user_id " name="user_id" required>
                    <option value="">Select</option>
                    @foreach($user as $users)
                    <option value="{{ $users->user_id }}" {{ old('user_id')==$users->user_id ? "selected":"" }}>{{ $users->name }}</option>
                    @endforeach
                    </select>
                    @error('user_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                    </div>
                    </div>
                    <div class="col-md-3">
                                <div class="form-group">
                                <label for="course_id" class="required"><b>Course</b></label>
                                <select class="form-control" id="course_id" name="course_id" required>
                                <option value="">Select</option>
                                @foreach($course as $crs)
                                <option value="{{ $crs->course_id }}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                @endforeach
                                </select>
                                @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                                </div>
                            <div class="col-md-3">
                            <div class="form-group">
                            <label for="semester_id" class="required"><b>Semester</b></label>
                            <select class="form-control" id="semester_id" name="semester_id" required>
                            <option value="">Select</option>
                            </select>
                            @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                              
                                <div class="col-md-3">
                                <div class="form-group">
                                    <label for="subject_id" class="required"><b>Subjects</b></label>
                                    <select class="form-control" id="subject_id" name="subject_id" required>
                                       <option value="">Select</option>
                                    </select>
                                    @error('subject_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                            </div>
                            </div>
                            </div>
                                    <div class="row">
                                    <div class="col-md-12">
                                    <div class="form-group">
                                    <button type="submit" class="btn btn-primary float-right">Save</button>
                                    </div>
                                    </div>
                                    </div>
                    </form>
                    </div>
                    </div>
                    </div>
        </div>
        <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:2px solid #004170">
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Staff Name</b></th>
                            <th><b>Course</b></th>
                            <th><b>Semester</b></th>
                            <th><b>Subject</b></th>
                           
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($staffsubject as $stfsub)
                                <tr>
                                     <td>{{$stfsub->user->name}}</td>
                                     <td>{{$stfsub->course->course_name}}</td>
                                     <td>{{$stfsub->semester->semester_name}}</td>
                                     <td>{{$stfsub->subject->subject_name}}</td>
                                    
                                     
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="2">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    
    
    
  
   <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/sem.js') }}"></script>
     <script src="{{ asset('public/js/subtyp.js') }}"></script>
     <style>
         .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
      
        .form-control{
            border:1px solid #E8E8E8;
        }

     </style>
@endsection