@extends('layouts.student-template')
@section('title', 'Home')
@section('heading', 'Assignment')
@section('breadcrumb', 'Home / LMS / Assignment')
@section('content')

<div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
        <div class="card">
            <div class="card-header" style="background-color:#005A9C;color:white;"><b>Assignment</b></div>
            <div class="card-body">
                <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="course_id" class="required"><b>Course</b></label>
                                    <select class="form-control" id="course_id" name="course_id" required>
                                        <option value="">Select</option>
                                        @foreach($courses as $course)
                                            <option value="{{ $course->course_id }}" {{ old('course_id')==$course->course_id ? "selected":"" }}>{{ $course->course_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="semester_id" class="required"><b>Semester</b></label>
                                    <select class="form-control" id="semester_id" name="semester_id" required>
                                        <option value="">Select</option>
                                    </select>
                                    @error('semester_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                           
                         
                   
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-primary float-right" id="btn-get">Get details</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
            <div class="col-lg-12 grid-margin stretch-card" id="result">
            
            </div>
        </div>
        

    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/studall.js') }}"></script> 
    <script src="{{ asset('public/js/getsemstudentlog.js') }}"></script> 
    <script src="{{ asset('public/js/studloginlmsassignment.js') }}"></script>
 
@endsection