@extends('layouts.student-template')
@section('title', 'Home')
@section('heading', 'Fee-Report')
@section('breadcrumb', 'Home/Fees/Fee-Report')
@section('content')

<div class="row">
    <div class="col-12">
        <br>
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="border-top:1px solid green">
                <div class="card-header" style="background-color:#004170;color:white;">
                    <b>Fee Report</b>
                </div>
                <div class="card-body" style="border-left:1px solid #DCDCDC; border-right:1px solid #DCDCDC; border-bottom:1px solid #DCDCDC;">
                    <div class="form-group row">
                        <div class="col-md-12">
                            <div class="scroll">
                                <table class="table table-bordered" style="background-color:#F0F0F0">
                                    <thead style="background-color:#FEBE10;">
                                        <th><b>Bill Number</b></th>
                                        <th><b>Bill Date</b></th>
                                        <th><b>Paid Amount</b></th>
                                        <th><b>Discount</b></th>
                                        <th><b>Fine</b></th>
                                        <th><b>Payment Mode</b></th>
                                        <th><b>Print</b></th>
                                    </thead>  
                                    <tbody>
                                        @forelse($grouped_payments as $bill_number => $payments)
                                            @php
                                                $total_fee_amount = $payments->sum('fee_amount');
                                                $total_discount = $payments->sum('discount');
                                                $fine = $payments->sum('fine_amount');
                                            @endphp
                                            <tr>
                                                <td>{{$bill_number}}</td>
                                                <td>{{date('d-m-Y',strtotime($payments[0]->paid_date))}}</td>
                                                <td>{{$total_fee_amount - $total_discount + $fine}}</td>
                                                <td>{{$total_discount}}</td>
                                                <td>{{$fine}}</td>
                                                <td>{{$payments[0]->mode->mode_name}}</td>
                                                <td><a href="{{route('studentlog.history.print', ['receipt_no' => $payments[0]->receipt_no, 'paid_date' => $payments[0]->paid_date])}}" target="_blank"><i style="font-size:20px;" class="icon-sm icon-printer text-danger"></i></a></td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td colspan="7">No Result Found!</td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div> 
</div>

<style>
    th, td {
        text-align: left;
        padding: 8px;
    }
    tr:nth-child(even) { background-color: #F8F8F8; }
    tr:hover { background-color: #B9D9EB; cursor: pointer; }
</style>

@endsection
