@extends('layouts.template')
@section('title','Home')
@section('heading','View Student Profile')
@section('breadcrumb','Home/Search Student/View Student Profile')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)])}}" style="text-decoration:none;"><span type="button" class="btn btn-sm btn-block btn-danger"><i class="icon-plus"></i> PROFILE</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.payment',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PAYMENTS</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.feereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> FEE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.duereport',['student_id'=>encrypt($student->student_id)])}}" style="text-decoration:none"> <span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> DUE REPORT</span></a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.attendance',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> ATTENDANCE REPORT</span></a>
                    </div>
                </div>
                @if($student->ac_id >= 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT-FYUGP</span></a>
                        </div>
                </div>
                @endif
                @if($student->ac_id < 6)
                    <div class="col-12 col-sm-4 col-lg-3">
                        <div class="form-group">
                            <a href="{{route('searchstudent.exam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> PROGRESS REPORT</span></a>
                        </div>
                    </div>
                @endif
               
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE PAYMENT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL FEE REPORT</span></a>
                    </div>
                </div>
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.hostel.payment.duereport',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> HOSTEL DUE REPORT</span></a>
                    </div>
                </div> 
               
                <div class="col-12 col-sm-4 col-lg-3">
                    <div class="form-group">
                        <a href="{{route('searchstudent.library.due',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i> BOOK ISSUE REPORT</span></a>
                    </div>
                </div>
            </div>
        </div>
   </div>

<div class="card">
    <div class="card-header"  style="background-color:#005A9C;color:white;"><b>STUDENT PROFILE</b></div>
<div class="card-body" style=" border-left:1px solid #DCDCDC;border-right:1px solid #DCDCDC;border-bottom:1px solid #DCDCDC;">

<div class="row">
    <div class="col-12 col-sm-3">
    <div class="card" style="border:solid 1px #EDEADE; border-radius:20px; border-top:3px solid #004170; overflow:hidden;">
        <div class="card-body">
            <div class="form-group text-center">
                <img class="img-md rounded-circle" src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="Profile image" width="200px" height="200px">
            </div>

            <div class="form-group text-center mb-1"> 
                <p><b><span style="font-size:18px;">{{ strtoupper($student->name) }}</span></b></p>
            </div>
             @foreach($crs as $course)
            <div class="form-group text-center mb-1"> 
                <p><b><span class="bg-success text-dark" style="font-size:15px">Major {{$loop->iteration}}:{{strtoupper($course->course_code)}}</span></b></p>
            </div>
@endforeach
          
<div class="form-group text-center mb-1"> 
                        <p><b><span style="background:#FEBE10;color:black;font-size:15px">{{strtoupper($semester->semester_name)}}</span></b></p>
                    </div>
            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Adm No</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: <b>{{$student->adno}}</b></p>
                </div>
            </div>  

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Phone</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: {{$student->mobile}}</p>
                </div>
            </div>  

            <div class="form-group row">
                <div class="col-12 col-sm-6">
                    <p class="font-weight-bold">Ac Year</p>
                </div>
                <div class="col-12 col-sm-6">
                    <p>: {{ date('Y', strtotime($student->acyear->sdate)) . '-' . date('Y', strtotime($student->acyear->edate)) }}</p>
                </div>
            </div> 

            <div class="form-group row">
                <div class="col-12">
<a href="{{ route('searchstudent.editstudent', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none">
                    <span class="btn btn-block btn-sm" style="background-color:#1877F2; color:white;">Edit Profile</span>
                    </a>
                </div>
            </div>
        </div>    
    </div>
</div>

    <div class="col-12 col-sm-6">
        <div class="card" style="border:solid 1px #EDEADE;border-radius:20px;">
            <div class="card-header" style="background:#004170;color:white"><b>Profile</b></div>
            <div class="card-body" style="background-color:#F0F8FF">
               <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Admission Date</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{date('d-m-Y',strtotime($student->adate))}}</p>
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Date of Birth</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{date('d-m-Y',strtotime($student->dob))}}</p>
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Category</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->category}}</p>
                    </div>
                </div>  
                  <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Mobile Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->mobile}}</p>
                    </div>
                </div>  
                 
                
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Email</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->email}}</p>
                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Current Address</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->caddress}}</p>
                    </div>
                </div>  
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Permanent Address</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->paddress}}</p>
                    </div>
                </div>  
                
             
             
                
            </div>
            <div class="card-header"  style="background:#004170;color:white"><b>Miscellaneous Details</b></div>
            <div class="card-body"  style="background-color:#F0F8FF">
              <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Blood Group</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student->bgroup}}</p>
                    </div>
                </div> 
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Aadhar</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student-> aadhar}}</p>
                    </div>
                </div>   
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Annual Income</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student-> income}}</p>
                    </div>
                </div>  
                 <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Physically Handicapped</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student-> physical}}</p>
                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Institution Last Studied</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student-> lastinst}}</p>
                    </div>
                </div>   
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Course Last Studied</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: {{$student-> lastcourse}}</p>
                    </div>
                </div>  
                <div class="form-group row">
                   <div class="col-12 col-sm-6">
                    <p><b>Bank Account Number</b></p>
                    </div>
                    <div class="col-12 col-sm-6">
                    <p>: </p>
                    </div>
                </div>   
                
                
            </div>
            
            
        </div>
    </div>

    
    
    
    
    <div class="col-12 col-sm-3">
        <div class="card" style="border:solid 1px #EDEADE;border-radius:20px">
            <div class="card-header"  style="background:#004170;color:white">
                <b>Contact Details</b>
            </div>
            
            
            
            
            
            
         
             
           
          <div class="card-body">   
             
    <div class="form-group row">
        <div class="col-12">
            <h5 style="color:#004170"><b>Father Details</b></h5>
        </div>
    </div> 
    <table>
    
    <tr>
        <td><b>Name</b></td><td>:</td><td>{{$student->fname ?? 'N/A'}}</td>
    </tr> 
    <tr>
        <td><b>Phone</b></td><td>:</td><td>{{$student->fphone ?? 'N/A'}}</td>
    </tr>
    <tr>
        <td><b>Occ.</b></td><td>:</td><td>{{$student->foccupation ?? 'N/A'}}</td>
    </tr>
</table>
    
    
<!--      <div class="form-group row">-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Name</b>: {{$student->fname}}</p>-->
<!--    </div>-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Phone</b>: {{$student->fphone ?? 'N/A'}}</p>-->
<!--    </div>-->
<!--</div>-->

<!--<div class="form-group row">-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Occ.</b>: {{$student->foccupation ?? 'N/A'}}</p>-->
<!--    </div>-->
<!--</div>-->

<hr class="my-4">

<div class="form-group row">
    <div class="col-12">
        <h5 style="color:#004170"><b>Mother Details</b></h5>
    </div>
</div>

<table>
    
    <tr>
        <td><b>Name</b></td><td>:</td><td>{{$student->mname ?? 'N/A'}}</td>
    </tr> 
    <tr>
        <td><b>Phone</b></td><td>:</td><td>{{$student->mphone ?? 'N/A'}}</td>
    </tr>
    <tr>
        <td><b>Occ.</b></td><td>:</td><td>{{$student->moccupation ?? 'N/A'}}</td>
    </tr>
</table>



<!--<div class="form-group row">-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Name</b>: {{$student->mname ?? 'N/A'}}</p>-->
<!--    </div>-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Phone</b>: {{$student->mphone ?? 'N/A'}}</p>-->
<!--    </div>-->
<!--</div>-->
<!--<div class="form-group row">-->
<!--    <div class="col-12 col-sm-6">-->
<!--        <p><b>Occ.</b>: {{$student->moccupation ?? 'N/A'}}</p>-->
<!--    </div>-->
   
<!--    </div>-->
      
      
    <hr class="my-4">  
      
     <div class="form-group row">
    <div class="col-12">
        <h5 style="color:#004170"><b>Guardian Details</b></h5>
    </div>
</div> 
<table>
    
    <tr>
        <td><b>Name</b></td><td>:</td><td>{{$student->gname ?? 'N/A'}}</td>
    </tr> 
    <tr>
        <td><b>Phone</b></td><td>:</td><td>{{$student->gmobile ?? 'N/A'}}</td>
    </tr>
    <tr>
        <td><b>Add.</b></td><td>:</td><td>{{$student->gaddress ?? 'N/A'}}</td>
    </tr>
</table>
    <!--  <div class="form-group row">-->
    <!--<div class="col-12 col-sm-12">-->
    <!--    <p><b>Name</b>: {{$student->gname ?? 'N/A'}}</p>-->
    <!--</div>-->
    <!--</div>-->
    <!--<div class="form-group row">-->
    <!--<div class="col-12 col-sm-12">-->
    <!--    <p><b>Phone</b>: {{$student->gmobile ?? 'N/A'}}</p>-->
    <!--</div>-->
    <!-- </div>-->
<!--     <div class="form-group row">-->
<!--    <div class="col-12 col-sm-12">-->
<!--        <p><b>Add.</b>: {{$student->gaddress ?? 'N/A'}}</p>-->
<!--    </div>-->
<!--</div>-->
      
      
      
      </div>
    <!--.......-->
  
   
    
    

         
    <!--            <div class="form-group row">-->
    <!--<div class="col-12 col-sm-6">-->
    <!--    <p><b>Name</b>: {{$student->gname ?? 'N/A'}}</p>-->
    <!--</div>-->
    <!-- </div>-->
    <!--          <div class="form-group row">-->
    <!--<div class="col-12 col-sm-6">-->
    <!--    <p><b>Addr.</b>: {{$student->gaddress ?? 'N/A'}}</p>-->
    <!--</div>  -->
    <!-- </div>-->
    <!--         <div class="form-group row">-->
    <!--<div class="col-12 col-sm-6">-->
    <!--    <p><b>Phone</b>: {{$student->gmobile ?? 'N/A'}}</p>-->
    <!--</div>   -->
    
    <!-- </div>-->
    
                
          
           
                
                
                
                
                
                
         
                
                

        
        
        
</div>
     



</div>
</div>
</div>
</div>
 
 
 
 
 
 
 

        
    
<style>
    
   @media (max-width: 768px) {
    .img-md {
        width: 100%; 
        height: auto;
    }
}

    /*.card-body{*/
    /*        border-left:1px solid #DCDCDC;*/
    /*        border-right:1px solid #DCDCDC;*/
    /*        border-bottom:1px solid #DCDCDC;*/
          
    /*    }*/
</style>

@endsection