@extends('layouts.template')
@section('title', 'Home')
@section('heading', 'Exam Marks')
@section('breadcrumb', 'Home/Search Student/Exam Marks')

@section('content')
<div class="row">
    <!-- Profile Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.get.view', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none; margin-right: 1px;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Profile
                </span>
            </a>
        </div>
    </div>

    <!-- Payments Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.payment', ['student_id' =>encrypt( $student->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Payments
                </span>
            </a>
        </div>
    </div>

    <!-- Fee Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.feereport', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Fee Report
                </span>
            </a>
        </div>
    </div>

    <!-- Due Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.duereport', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Due Report
                </span>
            </a>
        </div>
    </div>
</div>

<div class="row">
    <!-- Attendance Report Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.attendance', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-success">
                    <i class="icon-plus"></i> Attendance Report
                </span>
            </a>
        </div>
    </div>

    <!-- View Exam Link -->
    <div class="col-12 col-sm-4 col-lg-3">
        <div class="form-group">
            <a href="{{ route('searchstudent.exam.view', ['student_id' => encrypt($student->student_id)]) }}" style="text-decoration:none;">
                <span type="button" class="btn btn-sm btn-block btn-danger">
                    <i class="icon-plus"></i>FYUGP EXAM MARKS
                </span>
            </a>
        </div>
    </div>
     <div class="col-12 col-sm-4 col-lg-3">
    <div class="form-group">
    <a href="{{route('searchstudent.fyexam.report',['student_id'=>encrypt($student->student_id)])}}"  style="text-decoration:none"><span type="button" class="btn btn-sm btn-block btn-success"><i class="icon-plus"></i>PROGRESS REPORT-FYUGP</span></a>
    </div>
    </div>
   
</div>

<div class="card">
    <div class="card-header" style="background-color: #005A9C; color: white;">
        <b>FYUGP EXAM MARKS</b>
    </div>
    <div class="card-body" style="border-left: 1px solid #DCDCDC; border-right: 1px solid #DCDCDC; border-bottom: 1px solid #DCDCDC;">
        <table id="table-fine" class="table table-bordered">
            <thead style="background-color: #8FBC8F">
                <tr>
                    <th>#</th>
                    <th>SUBJECTS</th>
                    <th>THEORY MARK</th>
                    <th>PRACTICAL MARK</th>
                   
                </tr>
            </thead>
            <tbody>
                @foreach($studentexammarks as $exammarks)
                    <tr>
                        <td>{{ $loop->iteration }}</td>
                        <td>{{$exammarks->subject_name}}</td>
                        <td>{{$exammarks->mark}}</td>
                        
                        <td>{{$exammarks->pmark}}</td>
                        
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection
