@extends('layouts.template')
@section('title','Home')
@section('heading','View Student')
@section('breadcrumb','Home/Student/Student Information/View Student')
@section('content')


    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card" style="">
                <div class="card-header" style="background-color: #005A9C;color:white;"><b>Personal Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->adno }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->name }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Gender</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ ucfirst($student->gender) }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Permanent Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->paddress }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Communication Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->caddress }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mobile</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->mobile }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Email</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->email }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Date of Birth</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->dob_formatted }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Aadhar No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->aadhar }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Father Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->fname }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Father Occupation</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->foccupation }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mother Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->mname }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Mother Occupation</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->moccupation }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian Name</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->gname }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian Address</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->gaddress }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Guardian mobile</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->gmobile }}</div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Photo</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">
                                    @if(!empty($student->photo))
                                        <img src="{{ asset('public/uploads/student/photo/'.$student->photo) }}" alt="{{ $student->photo }}" height="160px">
                                    @endif
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Blood Group</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->bgroup }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Religion</div>
                                <div class="col-1 font-weight-bold">:</div>
                                @if($student->religion_id !=NULL)
                                <div class="col-6">{{ $student->religion->religion_name }}</div>
                                @else
                                 <div class="col-6"></div>
                                 @endif
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Caste</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 @if($student->caste_id !=NULL)
                                <div class="col-6">{{ $student->caste->caste }}</div>
                                 @else
                                 <div class="col-6"></div>
                                 @endif
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Category</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->category }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">APL/BPL</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->pline }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Annual Income</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->income }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Day Scholar</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->dscholar }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Accomodation Details</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->accomodation }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Malankara Catholic Community</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->catholic }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Name of Parish</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->parish }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Physically Handicaped</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->physical }}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color: #004170;color:white;"><b>Academic Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Institution Last Studied</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->lastinst }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Course Last Studied</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->lastcourse }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Year of Study</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->lastyear }}</div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">SSLC Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->sslc }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Plus Two Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->plustwo }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Degree Marks (%)</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->degree }}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background-color: #004170;color:white;"><b>Course Information</b></div>
                <div class="card-body">
                    <div class="row">
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission Date</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->adate_formatted }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Academic Year</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->acyear->start_date_formatted.' - '.$student->acyear->end_date_formatted }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Course</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->course->course_name }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Semester</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->semester->semester_name }}</div>
                            </div>
                        </div>
                        <div class="col-12 col-sm-6">
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Common Course Selected</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->seclang }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Fee Category</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->categ->category_name }}</div>
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Admission Quota</div>
                                <div class="col-1 font-weight-bold">:</div>
                                 @if($student->quota !=NULL)
                                <div class="col-6">{{ $student->quotaaa->quota ?? '' }}</div>
                                @else
                                 <div class="col-6"></div>
                                 @endif
                                
                               
                            </div>
                            <div class="form-group row">
                                <div class="col-5 font-weight-bold">Class No</div>
                                <div class="col-1 font-weight-bold">:</div>
                                <div class="col-6">{{ $student->clno }}</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <style>
        .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
          
        }
.back-button {
  display: inline-flex;
  align-items: center;
  color: red;
  text-decoration: none;
  font-family: Arial, sans-serif;
  font-size: 16px;
  margin: 10px;
}


.back-button svg {
  margin-right: 8px;
  transition: transform 0.3s ease;
}


.back-button:hover svg {
  transform: translateX(-5px); 
}


.back-button:hover {
  color: darkred;
}

    </style>
@endsection