@extends('layouts.template')
@section('title','Home')
@section('heading','Tutorial')
@section('breadcrumb','Home / Tutorial / Add')
@section('content')
 <div class="row">
    <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
<div class="card-header" style="border:1px solid #DCDCDC;background-color:white">
        
      
              {{ app_button_links_v(array(398,399)) }}
          
        
    </div>     
    <div class="card-body">

<div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                
                
             <div class="card-header" style="background-color:#005A9C;color:white"><b>Add Tutorial</b></div>
                <div class="card-body">


   
   
            <form action="{{ route('tutorial.save') }}" method="post" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="course_id" class="required">Course</label>
                            <select class="form-control @error('course_id') border-danger @enderror" id="course" name="course_id" required>
                                <option value="">Select</option>
                                @foreach($staffsubject as $crs)
                                    <option value="{{ $crs->course_id}}" {{ old('course_id')==$crs->course_id ? "selected":"" }}>{{ $crs->course_name }}</option>
                                @endforeach
                            </select>
                            @error('course_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="semester_id" class="required">Semester</label>
                            <select class="form-control @error('semester_id') border-danger @enderror" id="semester_id" name="semester_id" required>
                                <option value="">select</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="subject_id" class="required">Subject</label>
                            <select class="form-control @error('subject_id') border-danger @enderror" id="sub_id" name="subject_id" required>
                                <option value="">select</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="title" class="required">Title</label>
                            <input type="text" name="title" value="{{ old('title') }}" class="form-control @error('title') border-danger @enderror" required>
                            @error('title')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="content" class="required">Content</label>
                            <textarea name="content" class="form-control @error('content') border-danger @enderror" required>{{ old('content') }}</textarea>
                            @error('content')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="file" class="required">Attachment</label>
                            <input type="file" name="file"  value="{{ old('file') }}" class="form-control @error('file') border-danger @enderror" required>
                            @error('file')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
     </div>
    </div>
    
    
    
     </div>
    </div>
     </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/semester.js') }}"></script> 
    <script src="{{ asset('public/js/subj.js') }}"></script>
    
    
    <style>
      .card-body{
            border-left:1px solid #DCDCDC;
            border-right:1px solid #DCDCDC;
            border-bottom:1px solid #DCDCDC;
             
          
        }
        
        </style>
@endsection