@extends('layouts.template')
@section('title','Home')
@section('heading','Change Password')
@section('breadcrumb','Home / Change Password')
@section('content')
    <div class="card card-primary">
        <div class="card-header">Change Password</div>
        <div class="card-body">
            <form action="{{ route('save.password') }}" method="post">
                @csrf
                <div class="row">
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="current" class="required">Current Password</label>
                            <input type="password" class="form-control" id="current" name="current_password" required autocomplete="off">
                            @error('current_password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="new" class="required">New Password</label>
                            <input type="password" class="form-control" id="new" name="password" required autocomplete="off">
                            @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                    <div class="col-12 col-md-4">
                        <div class="form-group">
                            <label for="confirm" class="required">Confirm Password</label>
                            <input type="password" class="form-control" id="confirm" name="password_confirmation" required autocomplete="off">
                            @error('password_confirmation')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection