@extends('layouts.template')
@section('title','Home')
@section('heading','Add')
@section('breadcrumb','Home/Staff/Add')
@section('content')
    <link href="{{ asset('public/css/custom.css') }}">
    <form action="{{ route('user.save') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background:#005A9C;color:white"><b>Personal Information</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="staftyp_id" class="required">Staff Type</label>
                                    <select class="js-example-basic-single form-control" id="stype_id" name="staftyp_id" required style="width:100%;border:1px solid #E0E0E0;">
                                        <option value="">Select</option>
                                        @foreach($stafftyp as $stafftyps)
                                            <option value="{{ $stafftyps->staftyp_id  }}" {{ old('staftyp_id')==$stafftyps->staftyp_id ? "selected":"" }}>{{ $stafftyps->type_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('staftyp_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>    
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="type_id" class="required">Designation</label>
                                    <select class="js-example-basic-single" id="type_id" name="type_id" required style="width:100%">
                                        <option value="">Select</option>
                                    </select>
                                    @error('type_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="working_type" class="required">Working Type</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="permanent" name="working_type" value="permanent" {{ old('gender')=='permanent' ? "checked":"" }}> Permanent </label>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="temporary" name="working_type" value="temporary" {{ old('working_type')=='temporary' ? "checked":"" }}> Temporary </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="employee_id_num" class="required">Employee ID</label>
                                    <input type="text" class="form-control" id="employee_id_num" placeholder="Employee ID" name="employee_id_num" value="{{$employee_id_num}}">
                                    @error('employee_id_num')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div> 
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="name" class="required">First Name</label>  
                                    <input type="text" class="form-control" id="name" placeholder="First Name" name="name" value="{{ old('name') }}" required autocomplete="off">
                                    @error('name')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div> 
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="lname">Last Name</label>
                                    <input type="text" class="form-control" id="lname" name="lname" placeholder="Last Name" value="{{ old('lname') }}">
                                    @error('lname')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="father_guardian" class="required">Father/Spouse</label>
                                    <input type="text" class="form-control" id="father_guardian" name="father_guardian" placeholder="Father/Spouse" value="{{ old('father_guardian') }}">
                                    @error('father_guardian')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="community_id">Community Category</label>
                                    <select class="js-example-basic-single form-control" id="community_id" name="community_id" required style="width:100%">
                                        <option value="">Select</option>
                                        @foreach($community as $comm)
                                            <option value="{{ $comm->community_id  }}" {{ old('community_id')==$comm->community_id ? "selected":"" }}>{{ $comm->community }}</option>
                                        @endforeach
                                    </select>
                                    @error('community')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>    
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                     <label for="dob" class="required">Date of Birth</label>  
                                    <input type="date" class="form-control" id="dob"  name="dob" value="{{ old('dob') }}" required autocomplete="off">
                                    @error('dob')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div> 
                            <div class="col-md-3">
                                <div class="form-group">
                                     <label for="text" class="required">Age</label>  
                                    <input type="age" class="form-control" id="age"  name="age" value="{{ old('age') }}" placeholder="Age" required autocomplete="off">
                                    @error('age')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div> 
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="male" class="required">Gender</label>
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="male" name="gender" value="male" {{ old('gender')=='male' ? "checked":"" }}> Male </label>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="female" name="gender" value="female" {{ old('gender')=='female' ? "checked":"" }}> Female </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>    
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="blood_group">Blood Group</label>  
                                    <input type="text" class="form-control" id="blood_group"  name="blood_group" value="{{ old('blood_group') }}" placeholder="Blood Group" autocomplete="off">
                                    @error('blood_group')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>  
                        <div class="row"> 
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="phy_handi">Physically Handicapped<br>(if yes,furnish details)</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-control hand @error('phy_handi') border-danger @enderror" id="textCheckbox" name="phy_handi" style="height:15px;width:15px"  value="yes" {{ old('phy_handi')=='yes' ? "checked":"" }}> yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-control hand @error('phy_handi') border-danger @enderror"  name="phy_handi"  style="height:15px;width:15px"  value="no" {{ old('phy_handi')=='no' ? "checked":"" }}> no </label>
                                            </div>
                                        </div>
                                    </div>
                                    <textarea name="phy_handi" id="textBox" class="form-control" style="display:none;"></textarea>
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="email_id" class="required">Email ID</label>
                                    <input type="email" class="form-control" id="email" name="email" value="{{ old('email') }}" placeholder="Email ID" required autocomplete="off">
                                    @error('email')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mobile" class="required">Mobile</label>
                                    <input type="text" class="form-control" id="mobile" name="mobile" value="{{ old('mobile') }}" placeholder="Mobile" required autocomplete="off">
                                    @error('mobile')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                             <div class="col-md-3">
                                <div class="form-group">
                                    <label for="mother_tongue">Mother Tongue</label>
                                    <input type="text" class="form-control" id="mother_tongue" name="mother_tongue" value="{{ old('mother_tongue','malayalam') }}" required autocomplete="off">
                                    @error('mother_tongue')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="address" class="required">Address</label>
                                    <textarea class="form-control" id="address" name="address" placeholder="Address" required>{{ old('address') }}</textarea>
                                    @error('address')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>  
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="nationality">Nationality</label>
                                    <input type="text" class="form-control" id="nationality" name="nationality" value="{{ old('nationality','India') }}" required autocomplete="off">
                                    @error('nationality')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>   
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="state">State</label>
                                    <input type="text" class="form-control" id="state" name="state" value="{{ old('state','Kerala') }}" required autocomplete="off">
                                    @error('state')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>   
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="dateof_join" class="required">Date of Joining</label>
                                    <input type="date" class="form-control" id="dateof_join" name="dateof_join" value="{{ old('dateof_join') }}" required autocomplete="off">
                                    @error('dateof_join')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>    
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="qualification" class="required">Qualification</label>
                                    <input type="text" class="form-control @error('qualification') border-danger @enderror" id="qualification" placeholder="Qualification" name="qualification" value="{{ old('qualification') }}" autocomplete="off">
                                    @error('qualification')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="experience" class="required">Experience</label>
                                    <input type="text" class="form-control @error('experience') border-danger @enderror" id="experience" placeholder="Experience" name="experience" value="{{ old('experience') }}" autocomplete="off">
                                    @error('experience')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="password" class="required">Password</label>
                                    <input type="password" class="form-control @error('password') border-danger @enderror" id="password" placeholder="Password" name="password" value="{{ old('password') }}" autocomplete="off">
                                    @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="cpassword" class="required">Confirm Password</label>
                                    <input type="password" class="form-control @error('password') border-danger @enderror" id="cpassword" placeholder="Confirm Password" name="password_confirmation" autocomplete="off">
                                    @error('password')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="dept_id" class="required">Department</label>
                                    <select class="js-example-basic-single form-control" id="dept_id" name="dept_id" style="width:100%;border:1px solid #E0E0E0;">
                                        <option value="">Select</option>
                                        @foreach($dept as $depts)
                                            <option value="{{ $depts->id  }}" {{ old('dept_id')==$depts->id ? "selected":"" }}>{{ $depts->dept_name }}</option>
                                        @endforeach
                                    </select>
                                    @error('dept_id')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background:#004170;color:white;"><b>Qualification Details</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="net_qualified" class="required">1. Net Qualified</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="net_qualified" value="yes" {{ old('net_qualified')=='yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="net_qualified" value="no" {{ old('net_qualified')=='no' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>    
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="doing_research" class="required">2. Doing Research</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="yes" name="doing_research" value="yes" {{ old('doing_research')=='yes' ? "checked":"" }}> Yes </label>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-check form-check-success">
                                                <label class="form-check-label"><input type="radio" class="form-check-input" id="no" name="doing_research" value="no" {{ old('doing_research')=='no' ? "checked":"" }}> No </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>    
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="qualificationloop" class="required">Qualification</label>
                                    <input type="text" class="form-control @error('qualificationloop') border-danger @enderror" placeholder="Qualification" id="qualificationloop" name="qualificationloop[]" autocomplete="off">
                                    @error('qualificationloop')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="institute" class="required">Institute</label>
                                    <input type="text" class="form-control @error('institute') border-danger @enderror" id="institute" placeholder="Institute" name="institute[]" autocomplete="off">
                                    @error('institute')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="uni_board" class="required">University/Board</label>
                                    <input type="text" class="form-control @error('uni_board') border-danger @enderror" id="uni_board" placeholder="University/Board" name="uni_board[]" autocomplete="off">
                                    @error('uni_board')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-2">
                                <div class="form-group">
                                    <label for="mark_grade" class="required">Mark/Grade</label>
                                    <input type="text" class="form-control @error('mark_grade') border-danger @enderror" id="mark_grade" placeholder="Mark/Grade" name="mark_grade[]" autocomplete="off">
                                    @error('mark_grade')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-4">
                                <label for="passotyr" class="required">Pass out Year</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <input type="text" class="form-control @error('passotyr') border-danger @enderror" id="passotyr" placeholder="Pass out Year"  name="passotyr[]" autocomplete="off">
                                            @error('passotyr')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <button type="button" class="btn btn-sm btn-success"  id="addquali"><i class="icon icon-plus"></i></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="moreappend"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-header" style="background:#004170;color:white"><b>Uploads</b></div>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="biodata" >Biodata</label>
                                    <input type="file" class=" @error('biodata') border-danger @enderror" id="biodata" name="biodata" autocomplete="off">
                                    @error('biodata')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="image" >Upload Photo</label>
                                    <input type="file" class="@error('image') border-danger @enderror" id="image" name="image" autocomplete="off">
                                    @error('image')<div class="text-daborder-danger small mt-1 text-danger">{{ $message }}</div>@enderror
                                </div>
                            </div>
                            <div class="col-sm-4">
                                <div class="form-group">
                                    <label for="status" >Status</label>
                                    <div>
                                        <div class="custom-control custom-checkbox checkbox-success d-inline-block mr-3 mb-3">
                                            <input type="checkbox" class="custom-control-input" id="status" name="status" checked="checked" value="1">
                                            <label class="custom-control-label" for="status">Active</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>               
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="form-group">
                    <button type="submit" class="btn btn-primary float-right">Register</button>
                </div>
            </div>
        </div>
    </form>
    <br>
    <div class="row">
        <div class="col-lg-12 grid-margin stretch-card">
            <div class="card">
                <div class="card-header" style="background: #004170;color:white;"><b>Registered Staff</b></div>
                <div class="card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th><b>Name</b></th>
                            <th><b>Type</b></th>
                            <th><b>Mobile</b></th>
                            <th><b>Email</b></th>
                            <th><b>Status</b></th>
                            <th><b>Actions</b></th>
                        </tr>
                        </thead>
                        <tbody>
                            @forelse($users as $user)
                                <tr>
                                    <td>{{ $user->name }}</td>
                                    <td>{{ $user->utype->type_name }}</td>
                                    <td>{{ $user->mobile }}</td>
                                    <td>{{ $user->email }}</td>
                                    <td>{{ $user->status_text }}</td>
                                    <td>{{ app_table_links($user->user_id,array(53,54)) }}</td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="6">No Result Found !</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <script src="{{ asset('public/template/plugins/jquery/jquery.min.js') }}"></script>
    <script src="{{ asset('public/js/user/add.js') }}"></script>
@endsection