<?php

use Illuminate\Support\Facades\Route;

Route::prefix('library')->middleware('userauth')->group(function(){
    
    /*------ Dashboard ------*/
    Route::get('counts','Library\Ajax@counts')->name('library.counts');
    
    /*------ Category ------*/
    Route::get('/category','Library\Categories@report')->name('library.category');
    Route::get('/category/ajax','Library\Categories@getData')->name('library.category.ajax');
    Route::post('/category/save','Library\Categories@save')->name('library.category.save');
    Route::get('/category/edit/{cid}','Library\Categories@edit')->name('library.category.edit');
    Route::put('/category/update/{cid}','Library\Categories@update')->name('library.category.update');
    Route::get('/category/delete/{cid}','Library\Categories@delete')->name('library.category.delete');
    
    /*------ Sub Category ------*/
    Route::get('/subcategory','Library\Subcategories@report')->name('library.subcategory');
    Route::get('/subcategory/ajax','Library\Subcategories@getData')->name('library.subcategory.ajax');
    Route::post('/subcategory/save','Library\Subcategories@save')->name('library.subcategory.save');
    Route::get('/subcategory/edit/{cid}','Library\Subcategories@edit')->name('library.subcategory.edit');
    Route::put('/subcategory/update/{cid}','Library\Subcategories@update')->name('library.subcategory.update');
    Route::get('/subcategory/delete/{cid}','Library\Subcategories@delete')->name('library.subcategory.delete');
    
    /*------ Location ------*/
    Route::get('/location','Library\Locations@report')->name('library.location');
    Route::get('/location/ajax','Library\Locations@getData')->name('library.location.ajax');
    Route::post('/location/save','Library\Locations@save')->name('library.location.save');
    Route::get('/location/edit/{lid}','Library\Locations@edit')->name('library.location.edit');
    Route::put('/location/update/{lid}','Library\Locations@update')->name('library.location.update');
    Route::get('/location/delete/{lid}','Library\Locations@delete')->name('library.location.delete');
    
    /*------ Sub Location ------*/
    Route::get('/sublocation','Library\Sublocations@report')->name('library.sublocation');
    Route::get('/sublocation/ajax','Library\Sublocations@getData')->name('library.sublocation.ajax');
    Route::post('/sublocation/save','Library\Sublocations@save')->name('library.sublocation.save');
    Route::get('/sublocation/edit/{cid}','Library\Sublocations@edit')->name('library.sublocation.edit');
    Route::put('/sublocation/update/{cid}','Library\Sublocations@update')->name('library.sublocation.update');
    Route::get('/sublocation/delete/{cid}','Library\Sublocations@delete')->name('library.sublocation.delete');
    
    /*------ Member Type ------*/
    Route::get('/membertype','Library\MemberTypes@report')->name('library.membertype');
    Route::get('/membertype/edit/{cid}','Library\MemberTypes@edit')->name('library.membertype.edit');
    Route::put('/membertype/update/{cid}','Library\MemberTypes@update')->name('library.membertype.update');
    
    /*------ Membership ------*/
    Route::get('/membership/staff','Library\Memberships@staff')->name('library.membership.staff');
    Route::get('/membership/staff/ajax','Library\Memberships@staff_ajax')->name('library.membership.staff.ajax');
    Route::get('/membership/staff-add','Library\Memberships@add_staff')->name('library.membership.staff.add');
    Route::get('/membership/staff/list','Library\Memberships@staff_list_ajax')->name('library.membership.staff.list');
    Route::post('/membership/staff/save','Library\Memberships@save_staff')->name('library.membership.staff.save');
    
    Route::get('/membership/student','Library\Memberships@student')->name('library.membership.student');
    Route::get('/membership/student/ajax','Library\Memberships@student_ajax')->name('library.membership.student.ajax');
    Route::get('/membership/student-add','Library\Memberships@add_student')->name('library.membership.student.add');
    Route::get('/membership/student/list','Library\Memberships@student_list_ajax')->name('library.membership.student.list');
    Route::post('/membership/student/save','Library\Memberships@save_student')->name('library.membership.student.save');
    
    Route::get('/membership/others','Library\Memberships@others')->name('library.membership.others');
    Route::get('/membership/others/ajax','Library\Memberships@others_ajax')->name('library.membership.others.ajax');
    Route::get('/membership/others/add','Library\Memberships@add_others')->name('library.membership.others.add');
    Route::post('/membership/others/save','Library\Memberships@save_others')->name('library.membership.others.save');
    
    Route::get('/membership/update/{mid}','Library\Memberships@update')->name('library.membership.update');
    Route::get('/membership/barcode/{mid}','Library\Memberships@barcode')->name('library.membership.barcode');
    Route::get('/membership/delete/{mid}','Library\Memberships@delete')->name('library.membership.delete');
    
    /*------ Book ------*/
    Route::get('/book','Library\Books@report')->name('library.book');
    Route::get('/book/ajax','Library\Books@getData')->name('library.book.ajax');
    Route::get('/book/add','Library\Books@add')->name('library.book.add');
    Route::post('/book/save','Library\Books@save')->name('library.book.save');
    Route::get('/book/import','Library\Books@import')->name('library.book.import');
    Route::post('/book/upload','Library\Books@upload')->name('library.book.upload');
    Route::get('/book/barcode/{bid}','Library\Books@barcode')->name('library.book.barcode');
    Route::get('/book/view/{bid}','Library\Books@view')->name('library.book.view');
    Route::get('/book/edit/{bid}','Library\Books@edit')->name('library.book.edit');
    Route::put('/book/update/{bid}','Library\Books@update')->name('library.book.update');
    Route::get('/book/delete/{bid}','Library\Books@delete')->name('library.book.delete');
    Route::get('/book/export','Library\Books@export')->name('library.book.export');
    Route::get('/book/barcode-bulk','Library\Books@barcode_bulk')->name('library.book.barcode.bulk');
    
    /*------ Issue ------*/
    Route::get('/issue','Library\Issues@add')->name('library.issue');
    Route::get('/report','Library\Issues@report')->name('library.report');
    Route::get('/report/ajax','Library\Issues@getData')->name('library.report.ajax');
    
    /*------ Issue ------*/
    Route::get('/reservation','Library\Reservations@report')->name('library.reservation');
    Route::get('/reservation/ajax','Library\Reservations@getData')->name('library.reservation.ajax');
    Route::get('/reservation/approve/{rid}','Library\Reservations@approve')->name('library.reservation.approve');
    Route::get('/reservation/reject/{rid}','Library\Reservations@reject')->name('library.reservation.reject');
    
    /*------ Ajax ------*/
    Route::get('/designations','Library\Ajax@designations');
    Route::get('/semesters','Library\Ajax@semesters');
    Route::get('/subcategories','Library\Ajax@subcategories');
    Route::get('/sublocations','Library\Ajax@sublocations');
    Route::get('/search-members','Library\Ajax@searchMembers');
    Route::get('/get-member','Library\Ajax@getMember');
    Route::get('/view-member','Library\Ajax@viewMember');
    Route::get('/search-books','Library\Ajax@searchBooks');
    Route::get('/add-book','Library\Ajax@addBook');
    Route::get('/view-book','Library\Ajax@viewBook');
    Route::get('/delete-issue','Library\Ajax@deleteIssue');
    Route::get('/issue-books','Library\Ajax@issueBooks');
    Route::get('/return-books','Library\Ajax@returnBooks');
    Route::get('/renew-books','Library\Ajax@renewBooks');
});

Route::get('library/opac','Library\Opac@report');