<?php
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/','Users@index')->name('login');
Route::post('log-action','Users@login')->name('log.action');
Route::get('update-pass','Users@update_pass');

Route::group(['middleware'=>'userauth'],function(){
    Route::get('logout','Users@logout')->name('logout');
    Route::get('home','Users@home')->name('home');
    Route::get('change-password','Users@change_password')->name('change.password');
    Route::post('save-password','Users@save_password')->name('save.password');
    
    Route::get('counts','Dashboard@counts')->name('counts');
    Route::get('fee-counts','Dashboard@fee_counts')->name('fee.counts');
    Route::get('other-counts','Dashboard@other_counts')->name('other.counts');
    Route::get('graph','Dashboard@graph')->name('graph');
    Route::get('graph-course','Dashboard@graph_course')->name('graph.course');
    Route::get('acalendar','Dashboard@acalendar')->name('acalendar');
    
    Route::get('dashboards','Dashboard@total_cards')->name('dash.cards');
    Route::get('dashboards-graph','Dashboard@graph')->name('dash.acgraph');
    
    Route::get('profile','Users@profile')->name('profile');
    
    Route::get('acyear-default','Users@acyear_default')->name('home.acyear');
    
    Route::get('total-students','Dashboard@total_students')->name('dash.totalstudent');
    Route::get('get-total-students','Dashboard@get_total_students')->name('dash.get.totalstudent');
    Route::get('new-admission','Dashboard@total_newadmission')->name('dash.newadmission');
    Route::get('get-newadmission','Dashboard@get_newadmission')->name('dash.get.newstudent');
    Route::get('total-staff','Dashboard@total_staff')->name('dash.totalstaff');
    Route::get('get-staff','Dashboard@get_staff')->name('dash.get.staff');
    Route::get('monthlyfee','Dashboard@monthlyfee')->name('dash.monthlyfee');
    Route::get('dailyfee-report','Dashboard@daily_fee')->name('dash.dailyfee');
    Route::get('dueamount-report','Dashboard@dueamount')->name('dash.dueamount');
    Route::get('dueamount-total','Dashboard@dueamount_total')->name('dash.due.total');
    Route::get('dueamount-get','Dashboard@dueamount_get')->name('dash.dueamount.get');
    Route::get('daily-otherfee','Dashboard@dailyotherfee')->name('dash.dailyotherfee');
    Route::get('daily-hostelfee','Dashboard@dailyhostel')->name('dash.dailyhostel');
    // Route::get('dueamount-total','Dashboard@dueamount_total')->name('dash.due.total');
    Route::get('get-dailyhostelfee','Dashboard@dailyhostel_get')->name('dash.dailyhostel.get');
    Route::get('total-dailyhostelfee','Dashboard@dailyhostel_total')->name('dash.hostel.total');
    
    Route::get('courses-by-academic-year/{ac_id}','Dashboard@getCourseData')->name('dash.getCourseData');
    Route::get('dashboards-datepicker','Dashboard@datepicker')->name('dash.datepicker');
    Route::get('dashboards-todo','Dashboard@todo')->name('dash.todo.save');
    Route::post('dashboards-todo-ajax','Dashboard@todo_save')->name('dash.todo.ajax');
    Route::get('dashboards-todo-view','Dashboard@todo_view')->name('dash.viewtodo');
    Route::get('todoupate/{id}','Dashboard@todo_update')->name('dash.todo.update');

    Route::get('birthday','Dashboard@birthday')->name('dash.birthday');
    Route::post('send-birthday-message','Dashboard@birthday_msg')->name('message.send');
    
    Route::get('birthday-student','StaffDashboard@birthday_stu')->name('dash.birthday.student');
    Route::post('send-birthday-stu-message','StaffDashboard@birthday_stu_msg')->name('message.stu.send');

    Route::get('birthday-student-count','StaffDashboard@birthday_stu_count')->name('birthday.stu');
    Route::get('student-total','StaffDashboard@student_total')->name('dash.total.student');
    Route::get('student-total-ajax','StaffDashboard@student_total_ajax')->name('dash.totalajax.student');
    

    
    Route::get('subject-ajax','Staff@subject_jax')->name('subject.ajax');

    
     Route::get('discontinue','Students@discontinue')->name('discontinue');
     Route::get('discontinue-get','Students@discontinue_get')->name('discontinue.get');
     Route::get('discontinue-get','Students@discontinue_get')->name('discontinue.get');
     Route::get('discontinue-get-click/{student_id}','Students@discontinue_get_click')->name('discontinue.get.click');
     Route::get('discontinue-inactive-click/{student_id}','Students@discontinue_inactive_click')->name('discontinue.inactive.click');
     Route::get('discontinued-student','Students@discontinued_student')->name('discontinued.student');
     Route::get('discontinued-student-list','Students@discontinued_student_get')->name('discontinuedlist.get');
 
 
    
    Route::get('clubs-add','Club@add')->name('clubs.add');
    Route::get('clubs-report','Club@report')->name('clubs.report');
    Route::post('clubs-save','Club@add_save')->name('clubs.add.save');
    Route::get('clubs-ajax','Club@club_ajax')->name('club.ajax');
    Route::get('clubs-report-edit/{id}','Club@report_edit')->name('clubs.report.edit');
    Route::post('clubs-report-update','Club@report_update')->name('clubs.report.update');
    Route::get('clubs-report-delete/{id}','Club@report_delete')->name('clubs.report.delete');
    Route::get('club-request','Club@studentrequest')->name('club.request');
    Route::get('club-request-actions/{id}','Club@studentrequest_actions')->name('club.request.actions');
    Route::get('club-request-actions-approve/{id}','Club@studentrequest_actions_approve')->name('club.request.actions.approve');
    Route::get('club-request-actions-reject/{id}','Club@studentrequest_actions_reject')->name('club.request.actions.reject');


    Route::get('dashboard-students','Dashboard@students')->name('dash.students');
    Route::get('dashboard-newad','Dashboard@newadmission')->name('dash.newad');
    Route::get('dashboard-newstaff','Dashboard@newstaff')->name('dash.staff');
    Route::get('dashboard-monthlyfee','Dashboard@monthlyfee_new')->name('dash.monthlyfeenew');
    Route::get('dashboard-dailyfee','Dashboard@dailyfeenew')->name('dash.dailyfeenew');
    Route::get('dashboard-totaldue','Dashboard@totalduenew')->name('dash.totaldue');
    Route::get('dashboard-otherfee','Dashboard@otherfeenew')->name('dash.otherfeenew');
    Route::get('dashboard-hostelfee','Dashboard@hostelfeenew')->name('dash.hostelfeenew');
    // Route::get('dashboard-birthday','Dashboard@birthday')->name('birthday.counts');
    
    
    // Route::get('dashboard-acyeargraph','Dashboard@acyeargraph')->name('dash.acyeargraph');
    // Route::get('dashboard-acyeargraphupdated','Dashboard@acyeargraphupdated')->name('dash.acyeardata');
    // Route::get('get-admissions-data/{$acYearId}','Dashboard@acyearbySelectOption')->name('dash.acyear.select');

    
    
    Route::get('certificate','Certificate@certificate')->name('certificate');
    Route::get('certificate-student-template','Certificate@certificate_stu_temp')->name('certificate.student.template');
    Route::get('certificate-student-report','Certificate@certificate_stu_report')->name('certificate.student.report');
    Route::post('certificate-student-template-save','Certificate@certificate_stu_temp_save')->name('certificate.student.template.save');
    Route::get('certificate-student-template-delete/{template_id}','Certificate@certificate_stu_temp_delete')->name('certificate.student.report.delete');
    Route::get('stu-templ-view/{id}','Certificate@templateview')->name('template.view');
    Route::get('stu-templ-edit/{id}','Certificate@templateedit')->name('template.edit');
    Route::post('stu-templ-update','Certificate@templateupdate')->name('template.update');
    Route::get('stu-templ-delete/{id}','Certificate@templatedelete')->name('template.delete');
    Route::get('certificate-student-generate','Certificate@certificate_stu_temp_gen')->name('certificate.student.generate');
    Route::post('certificate-student-generate-save','Certificate@certificate_stu_temp_gen_save')->name('certificate.student.generate.save');
    Route::get('certificate-generated','Certificate@certificate_generated')->name('certificate.generated');
    Route::get('certificate-generated-view/{id}','Certificate@certificate_generated_view')->name('certificate.generated.view');
    Route::get('certificate-generated-print/{id}','Certificate@certificate_generated_print')->name('certificate.generated.print');
    Route::get('certificate-generated-edit/{id}','Certificate@certificate_generated_edit')->name('certificate.generated.edit.student');
    Route::post('certificate-generated-update','Certificate@certificate_generated_update')->name('certificate.generated.update.student');
    Route::get('certificate-generated-delete/{id}','Certificate@certificate_generated_delete')->name('certificate.generated.delete.student');



  
    Route::get('certificate-staff-template','Certificate@certificate_staff_temp')->name('certificate.staff.template');
    Route::get('certificate-staff-template-report','Certificate@certificate_staff_temp_report')->name('certificate.staff.template.report');
    Route::post('certificate-staff-template-save','Certificate@certificate_staff_temp_save')->name('certificate.staff.template.save');
    Route::get('staff-templ-view/{id}','Certificate@templateview_staff')->name('staff.template.view');
    Route::get('staff-templ-edit/{id}','Certificate@templateedit_staff')->name('staff.template.edit');
    Route::post('staff-templ-update','Certificate@templateupdate_staff')->name('staff.template.update');
    Route::get('staff-templ-delete/{id}','Certificate@templatedelete_staff')->name('staff.template.delete');

    Route::get('certificate-staff-generate','Certificate@certificate_staff_temp_gen')->name('certificate.staff.generate');
    Route::post('certificate-staff-generate-save','Certificate@certificate_staff_temp_gen_save')->name('certificate.staff.generate.save');
    Route::get('certificate-staff-generated','Certificate@certificate_generated_staff')->name('certificate.staff.generated');
    Route::get('certificate-staff-generated-view/{id}','Certificate@certificate_generated_view_staff')->name('certificate.generated.staff.view');
    Route::get('certificate-staff-generated-print/{id}','Certificate@certificate_generated_print_staff')->name('certificate.generated.staff.print');
    Route::get('certificate-staff-generated-edit/{id}','Certificate@certificate_generated_edit_staff')->name('certificate.generated.staff.edit');
    Route::post('certificate-staff-generated-update','Certificate@certificate_generated_update_staff')->name('certificate.generated.staff.update');
    Route::get('certificate-staff-generated-delete/{id}','Certificate@certificate_generated_delete_staff')->name('certificate.generated.staff.delete');
    
   
    Route::get('events','event@add')->name('events');
    Route::post('events-save','event@add_save')->name('events.save');
    Route::get('events-report','event@add_report')->name('events.report');
    Route::get('events-report-print','event@add_report_print')->name('events.report.print');
    Route::get('events-report-delete/{id}','event@add_report_delete')->name('events.report.delete');
    Route::get('events-report-edit/{id}','event@add_report_edit')->name('events.report.edit');
   
    Route::get('competition','event@competition')->name('event.competition');
    Route::post('competition-save','event@competition_save')->name('event.competition.save');
    Route::get('competition-report','event@competition_report')->name('event.competition.report');
    Route::get('competition-report-edit/{id}','event@competition_report_edit')->name('event.competition.report.edit');
    Route::post('competition-report-update','event@competition_report_update')->name('event.competition.report.update');
    Route::get('competition-report-delete/{id}','event@competition_report_delete')->name('event.competition.report.delete');


 


    Route::get('event-template','Certificate@event_template')->name('certificate.event.template');
    Route::post('event-template-save','Certificate@event_template_save')->name('certificate.event.template.save');
    Route::get('event-template-report','Certificate@event_template_report')->name('certificate.event.template.report');
    Route::get('event-template-report-view/{id}','Certificate@event_template_report_view')->name('certificate.event.template.view');
    Route::get('event-template-report-edit/{id}','Certificate@event_template_report_edit')->name('certificate.event.template.edit');
    Route::post('event-template-report-update','Certificate@event_template_report_update')->name('certificate.event.template.update');
    Route::get('event-template-report-delete/{id}','Certificate@event_template_report_delete')->name('certificate.event.template.delete');

    Route::get('event-template-report-generate','Certificate@event_template_generate')->name('certificate.event.template.generate');
    Route::post('event-template-report-generate-save','Certificate@event_template_generate_save')->name('certificate.template.generate.save');
    Route::get('event-gen-report','Certificate@event_gen_report')->name('certificate.event.template.generate.report');
    Route::get('event-gen-report-view/{id}','Certificate@event_gen_report_view')->name('event.generate.report.view');
    Route::get('event-gen-report-print/{id}','Certificate@event_gen_report_print')->name('event.generate.report.print');
    Route::get('event-gen-report-edit/{id}','Certificate@event_gen_report_edit')->name('event.generate.report.edit');
    Route::post('event-gen-report-update','Certificate@event_gen_report_update')->name('event.generate.report.update');
    Route::get('event-gen-report-delete/{id}','Certificate@event_gen_report_delete')->name('event.generate.report.delete');

 
    
   
    
    Route::get('course','Courses@report')->name('course');
    Route::get('course-add','Courses@add')->name('course.add');
    Route::post('course-save','Courses@save')->name('course.save');
    Route::get('course-edit/{cid}','Courses@edit')->name('course.edit');
    Route::post('course-update','Courses@update')->name('course.update');
    Route::get('course-delete/{cid}','Courses@delete')->name('course.delete');
    
    Route::get('semester','Semesters@report')->name('semester');
    Route::get('semester-add','Semesters@add')->name('semester.add');
    Route::post('semester-save','Semesters@save')->name('semester.save');
    Route::get('semester-edit/{sid}','Semesters@edit')->name('semester.edit');
    Route::post('semester-update','Semesters@update')->name('semester.update');
    Route::get('semester-delete/{sid}','Semesters@delete')->name('semester.delete');
    
    Route::get('semesteryear','Semesters@semesteryear')->name('semesteryear');
    Route::get('semesteryear-get','Semesters@semesteryear_get')->name('semesteryear.get');
    Route::post('semesteryear-save','Semesters@semesteryear_save')->name('semesteryear.save');

     
   
    Route::get('specialclass','Students@specialclass')->name('specialclass');
    Route::post('specialclass-save','Students@specialclass_save')->name('specialclass.save');
    Route::get('specialclass-view','Students@specialclass_view')->name('specialclass.view');
    Route::get('specialclass-delete{id}','Students@specialclass_delete')->name('specialclass.delete');



    Route::get('tutorial','Tutorial@tutorial_add')->name('tutorial');
    Route::post('tutorial-save','Tutorial@tutorial_save')->name('tutorial.save');
    Route::get('tutorial-view','Tutorial@tutorial_view')->name('tutorial.view');
    Route::get('tutorial-delete/{id}','Tutorial@tutorial_delete')->name('tutorial.delete');

 
    
    
    
    Route::get('students','Students@report')->name('student');
    Route::get('student-ajax','Students@report_ajax')->name('student.ajax');
    Route::get('student-add','Students@add')->name('student.add');
    Route::post('student-save','Students@save')->name('student.save');
    Route::get('student-view/{sid}','Students@view')->name('student.view');
    Route::get('student-edit/{sid}','Students@edit')->name('student.edit');
    Route::post('student-update','Students@update')->name('student.update');
    Route::get('student-delete/{sid}','Students@delete')->name('student.delete');
    
    Route::get('course-change','Students@course_change')->name('student.course.change');
    Route::get('course-change-get','Students@course_change_get')->name('student.course.change.get');
    Route::post('course-change-update','Students@course_change_update')->name('student.course.change.update');
    Route::get('course-change-view/{student_id}','Students@course_change_view')->name('student.course.change.view');
 
 
    Route::get('studentexam','InternalAssessment@studentexam_add')->name('exam.add');
    Route::post('studentexam-save','InternalAssessment@studentexam_add_save')->name('exam.save');
    Route::get('addstudentexam-get','InternalAssessment@studentexam_get')->name('exam.add.get');
    Route::get('addstudentexam-view','InternalAssessment@studentexam_view')->name('exam.view');
    Route::get('get-studentexamview','InternalAssessment@studentexamviewget')->name('exam.view.get');
    Route::get('get-viewstudentexam','InternalAssessment@stuexamviewget')->name('stu.exam.view');
    Route::post('exam-update','InternalAssessment@examupdate')->name('exam.update');
    Route::get('exam-delete/{id}','InternalAssessment@examdelete')->name('exam.delete');
    Route::get('exam-chart','InternalAssessment@examchart')->name('exam.chart');
    Route::get('chart-get','InternalAssessment@examchart_get')->name('exam.chart.get');
    Route::get('admitcard','InternalAssessment@admitcard')->name('exam.admitcard');
    Route::get('admitcard-get','InternalAssessment@admitcard_get')->name('exam.admitcard.get');
    Route::get('admitcard-print/{id}/{exm_id}','InternalAssessment@admitcard_print')->name('admitcard.print');


    Route::get('exam-marks','InternalAssessment@exam_marks')->name('exam.marks');
    Route::get('get-exmsubint','InternalAssessment@exam_marks_get')->name('exam.marks.get');
    Route::get('addsubwiseexm-mark-get','InternalAssessment@subwise_exm_mrks')->name('subwiseexam.marks.get');
    Route::post('addsubwiseexm-mark-save','InternalAssessment@subwise_exm_mrks_save')->name('studexammrksubwise.save');
    Route::get('addsubwiseexm-mark-print/{course}/{semester_id}/{exam_id}','InternalAssessment@subwise_exm_mrks_print')->name('studexammrksubwise.print');


    Route::get('exam-marks-subject','InternalAssessment@exam_marks_subject')->name('exam.subject.marks');
    Route::get('get-exmsubwise','InternalAssessment@exam_marks_subject_ajx')->name('exam.subject.marks.ajx');
    Route::get('mainstreamexmsubwise-get','InternalAssessment@mainstexmsbwise')->name('exam.subject.marks.get');
    Route::post('mainstreamexmsubwise-save','InternalAssessment@mainstexmsbwise_save')->name('exam.subject.marks.save');
    Route::get('mainstreamexmsubwise-print/{course}/{sem}/{exam}/{sub}','InternalAssessment@mainstexmsbwise_print')->name('exam.subject.marks.print');

    Route::get('exam-seminar-add','InternalAssessment@seminar_add')->name('exam.seminar.add');
    Route::get('get-seminarsub','InternalAssessment@seminar_sub_get')->name('exam.seminar.sub.ajax');
    Route::get('seminar-get','InternalAssessment@seminar_add_get')->name('exam.seminar.get.add');
    Route::post('seminar-save','InternalAssessment@seminar_save')->name('seminar.save');

    Route::get('seminar-print/{crs_id}/{sem_id}/{sub_id}','InternalAssessment@seminar_print')->name('seminar.print');
 
    Route::get('seminar-add-marks','InternalAssessment@seminar_add_marks')->name('seminar.add.marks');
    Route::get('seminar-add-marks-get','InternalAssessment@seminar_add_marks_get')->name('seminar.add.marks.get');
    Route::post('seminar-add-marks-save','InternalAssessment@seminar_add_marks_save')->name('seminar.marks.save');

    Route::get('inter-assignmt-add','InternalAssessment@assignment_add')->name('inter.assignment.add');
    Route::post('inter-assignmt-save','InternalAssessment@assignment_save')->name('interassignment.save');
    Route::get('inter-assignmt-view','InternalAssessment@assignment_view')->name('inter.assignment.view');
    Route::get('inter-assignmt-view-get','InternalAssessment@assignment_view_get')->name('inter.assignment.view.get');
    Route::get('inter-assignmt-update','InternalAssessment@assignment_update')->name('inter.assignment.update');
    Route::get('inter-assignmt-delete/{id}','InternalAssessment@assignment_delete')->name('inter.assignment.delete');

    Route::get('submitted-assig','InternalAssessment@submitted_assig')->name('inter.assignment.submittd');
    Route::get('viewsubmtdstu-get','InternalAssessment@submitted_assig_get')->name('inter.assignment.submittd.get');
    Route::post('viewsubmtdstu-save','InternalAssessment@submitted_assig_save')->name('inter.assignment.submittd.save');
    Route::get('practical-record','InternalAssessment@practicalrecord')->name('inter.assignment.practicalrecord');
    Route::get('practicalrecord-get','InternalAssessment@practicalrecord_get')->name('inter.assignment.practicalrecord.get');
    Route::post('practicalrecord-save','InternalAssessment@practicalrecord_save')->name('project.save');
    Route::get('viva','InternalAssessment@viva')->name('inter.assignment.viva');
    Route::get('viva-get','InternalAssessment@viva_get')->name('inter.assignment.viva.get');
    Route::post('viva-save','InternalAssessment@viva_save')->name('viva.save');



    // Route::get('roll-out','Students@roll_out')->name('student.rollout');
        Route::get('roll-out','Attendance@roll_out')->name('student.rollout');

    // Route::get('roll-out-get','Students@roll_out_get')->name('student.rollout.get');
        Route::get('roll-out-get','Attendance@roll_out_get')->name('student.rollout.get');

    // Route::post('roll-out-save','Students@roll_out_save')->name('student.rollout.save');
       Route::post('roll-out-save','Attendance@roll_out_save')->name('student.rollout.save');
        Route::get('roll-out-view','Attendance@roll_out_view')->name('student.rollout.view');
        Route::get('roll-out-get-view','Attendance@roll_out_view_get')->name('student.rollout.view.get');

   
    //-------------------------------library-------------------------------------------------//
    
    Route::get('book-add','Book@add')->name('book.add');
    Route::post('book-save','Book@book_save')->name('book.save');
    Route::get('book-view','Book@view')->name('book.view');
    Route::get('book-ajax','Book@getData')->name('book.ajax');
    Route::get('book-viewdet/{sid}','Book@viewdet')->name('book.viewdet');
    Route::get('book-edit/{sid}','Book@edit')->name('book.edit');
    Route::post('book-update','Book@update')->name('book.update');
    Route::get('book-delete/{sid}','Book@delete')->name('book.delete');
    Route::get('book-upload','Book@upload')->name('book.upload');
    Route::get('bookdownload-sample','Book@downloadsample')->name('book.download');
   Route::post('bookupload-save','Book@import')->name('book.upload.save');
   
   Route::get('book-issue','Book@issue')->name('book.issue');
    Route::post('book-issue-save','Book@issue_save')->name('book.issue.save');
    //Route::get('get-books', [Ajax::class, 'getBooks'])->name('getBooks');
    Route::get('get-books','Ajax@getBooks')->name('getBooks');
    Route::get('get-member/{cid}','Ajax@getMember');
    Route::get('book-getReturnDate','Ajax@getReturnDate');
    Route::get('bookmax-get','Ajax@getbookmax');
    
    Route::get('book-fine','Book@fine')->name('book.fine');
    Route::post('book-fine-save','Book@fine_save')->name('book.fine.save');
    Route::get('book-fine-delete/{sid}','Book@fine_delete')->name('book.fine.delete');
     
    Route::get('book-fine-payment','Book@fine_payment')->name('book.fine.payment');
    Route::get('book-fine-payment-get','Book@fine_payment_get')->name('book.fine.payment.get');
    Route::post('book-fine-payment-save','Book@fine_payment_save')->name('book.fine.paymen.save');
    
    
    Route::get('book-fine-paid-rep','Book@fine_paid_report')->name('book.fine.paid.rep');
    Route::get('book-fine-paid-ajax','Book@getFineData')->name('book.fine.ajax');
    Route::get('book-fine-paid-print/{id}', 'Book@fine_print')->name('book.fine.print');
    
    
    Route::get('book-return','Book@return')->name('book.return');
    Route::get('book-return-get','Book@return_get')->name('book.return.get');
    Route::post('book-return-save','Book@return_save')->name('book.return.save');
    
    Route::get('book-renewal','Book@renewal')->name('book.renewal');
    Route::get('book-renewal-get','Book@renewal_get')->name('book.renewal.get');
    Route::post('book-renewal-save','Book@renewal_save')->name('book.renewal.save');
    
    Route::get('book-search','Book@search')->name('book.search');
    Route::get('book-search-get', 'Book@search_get')->name('book.search.get');
    Route::get('book-search-view/{sid}','Book@search_view')->name('book.search.view');
    Route::post('book-search-update','Book@search_update')->name('book.search.update');
     
    Route::get('book-issue-rep','Book@issue_report')->name('book.issue.report');
    Route::get('book-issue-rep-get','Book@issue_report_get')->name('book.issue.report.get');
    
    Route::get('book-due-rep','Book@due_report')->name('book.due.report');
    Route::get('book-due-rep-get','Book@due_report_get')->name('book.due.report.get');
    
    Route::get('book-member-rep','Book@member_report')->name('book.member.report');
    Route::get('book-member-rep-get','Book@member_report_get')->name('book.member.report.get');
    
    Route::get('book-stock-rep','Book@stock_report')->name('book.stock.report');
    Route::get('book-stock-rep-get','Book@stock_report_get')->name('book.stock.report.get');
    
    Route::get('book.reservation.pending','Book@reservation_pending')->name('book.reservation.pending');
    Route::get('book.reservation.pending.get','Book@reservation_pending_get')->name('book.reservation.pending.get');
    Route::get('book-reservation-view-det/{sid}','Book@reservation_det')->name('book.reservation.view.det');
    Route::get('book.reservation.approve','Book@reservation_approve')->name('book.reservation.approve');
    Route::get('book.reservation.approve.get','Book@reservation_approve_get')->name('book.reservation.approve.get');
    Route::get('book.reservation.reject','Book@reservation_reject')->name('book.reservation.reject');
    Route::get('book.reservation.reject.get','Book@reservation_reject_get')->name('book.reservation.reject.get');
    Route::get('book-reservation-rejectup/{tid}','Book@reservation_rejectup')->name('book.reservation.rejectup');
    Route::post('book-reservation-approveup/{tid}', 'Book@reservation_approveup')->name('book.reservation.approveup');
    Route::post('book-reservation-save','Book@reservation_save')->name('reservation.approve.save');
    
    
    Route::get('reservebooks-staff','Book@reservebooks')->name('staff.reservebooks');
    Route::get('get-subcateglib/{cid}','Book@libsubcateg')->name('staff.libsubcateg');
    Route::get('reservebooks-staff-get','Book@book_reserve_get')->name('staff.reservebooks.get');
    Route::post('reservebooks-staff-save','Book@reservebooks_save')->name('staff.reservebooks.save');
    
    Route::get('reservelist-staff','Book@reservelist')->name('staff.reservelist');
    Route::get('reservelist-cancel/{lid}','Book@reservelist_cancel')->name('staff.reservelist.cancel');
    
    Route::get('book.duereport.staff','Book@book_duereport')->name('staff.book.duereport');
    Route::get('book.duereport.staff.get','Book@book_duereport_get')->name('staff.book.duereport.get');
    
     
    Route::get('searchstudent','Students@searchstudent')->name('searchstudent');
    Route::get('searchstudent-payment/{student_id}','Students@viewstudentpayment')->name('searchstudent.payment');
    Route::get('searchstudent-attendance/{student_id}','Students@viewstudentattendance')->name('searchstudent.attendance');
    Route::get('searchstudent-atten-report','Students@searchstudent_atten_report')->name('searchstudent.attendance.report');
    Route::get('searchstudent-exam-view/{student_id}','Students@searchstudent_exam_view')->name('searchstudent.exam.view');
    Route::get('searchstudent-exam-report/{student_id}','Students@searchstudent_exam_report')->name('searchstudent.fyexam.report');
    Route::get('searchstudent-exam-report-print/{student_id}','Students@searchstudent_exam_report_print')->name('searchstudent.fyexam.report.print');
    Route::get('searchstudent-normalexam{student_id}','Students@searchstudent_exam')->name('searchstudent.exam.report');
   

    //  Route::get('get-search','Students@get_search')->name('searchstudent.ajax');
    
    Route::get('get-student','Students@search_get')->name('searchstudent.get');
    Route::get('viewstudent/{student_id}','Students@search_view')->name('searchstudent.get.view');
    Route::get('editstudent/{student_id}','Students@edit_view')->name('searchstudent.editstudent');
    Route::post('updatestudent','Students@updatestudent')->name('searchstudent.updateprofile');
    Route::post('viewstudentpayment-save','Students@viewstudentpayment_save')->name('searchstudent.save');
    Route::get('payment-print/{receipt_no}/{paid_date}','Students@searchstudent_payment_print')->name('searchstudent.history.print');
    Route::get('feereport/{student_id}','Students@search_feereport')->name('searchstudent.feereport');
    Route::get('duereport/{student_id}','Students@search_duereport')->name('searchstudent.duereport');

     Route::get('searchostelfee/{student_id}','Students@hostelfee_payment')->name('searchstudent.hostel.payment');
     Route::post('searchostelfeesave','Students@hostelfee_payment_save')->name('searchhfee.save');
     Route::get('searchostelfeereport/{student_id}','Students@hostelfee_report')->name('searchstudent.hostel.payment.report');
    Route::get('searchostelduereport/{student_id}','Students@hostelfee_duereport')->name('searchstudent.hostel.payment.duereport');

     Route::get('searchlibrary/{student_id}','Students@searchlibrary')->name('searchstudent.library.due');
     Route::get('searchstubook-get','Students@book_duereport_get')->name('searchstudent.book.duereport.get');
 
    
    
    
    
     Route::get('importstudent','Students@importstudent')->name('importstudent');
    Route::get('download-sample','Students@downloadsample')->name('importstudent.download');
   Route::post('importstudent-save','StudentImport@import')->name('importstudent.save');
    
    
    
  Route::get('syllabus','Students@syllabus')->name('syllabus');
Route::post('syllabus-save','Students@syllabus_save')->name('syllabus.save');

Route::get('enrolment','Students@enrolment')->name('enrolment');
//   Route::get('enrol-get','FeeSettings@enrolment_get')->name('enrolment.get');
 Route::get('enrolment-get','Students@enrolment_get')->name('enrolment.get');
Route::post('enrolment-save','Students@enrolment_save')->name('enrolment.save');
// Route::get('enrolment-ajax','Students@getData')->name('enrol.ajax');



Route::get('leavesetting','Students@leavesetting')->name('leavesetting');
Route::post('leavesetting-save','Students@leavesetting_save')->name('leavesetting.save');
Route::get('leavesetting-edit/{lid}','Students@leavesetting_edit')->name('leavesetting.edit');
Route::post('leavesetting-update','Students@leavesetting_update')->name('leavesetting.update');
Route::get('leavesetting-delete/{lid}','Students@leavesetting_delete')->name('leavesetting.delete');

    
    Route::get('report','Reports@report')->name('report');
    Route::get('report-ajax','Reports@getData')->name('report.ajax');
    
    Route::get('promote','Students@promote')->name('promote');
    Route::post('promote-get','Students@get_promote')->name('promote.get');
    Route::post('promote-save','Students@save_promote')->name('promote.save');
    
    Route::get('tc','Students@tc_report')->name('tc');
    Route::get('tc-ajax','Students@tc_ajax')->name('tc.ajax');
    Route::get('tc-generate/{sid}','Students@tc_generate')->name('tc.generate');
    Route::post('tc-save','Students@tc_save')->name('tc.save');
    Route::get('tc-print/{sid}','Students@tc_print')->name('tc.print');
    Route::get('cc-print/{sid}','Students@cc_print')->name('cc.print');
    Route::get('tc-delete/{sid}','Students@tc_delete')->name('tc.delete');
    Route::post('sdata-save','Students@sdata_save')->name('sdata.save');
     
    Route::get('duplicate-tc','Tc@duplicate_tc')->name('duplicate.tc');
    Route::post('duplicate-tc-save','Tc@duplicate_tc_save')->name('duplicate.tc.save');
    Route::get('duplicate-tc-status','Tc@duplicate_tc_pending')->name('duplicate.tc.pending');
    Route::get('duplicate-tc-view/{tc_id}','Tc@duplicate_tc_pending_view')->name('duplicate.tc.view');
    Route::get('duplicate-tc-approve/{tc_id}','Tc@duplicate_tc_pending_approve')->name('duplicate.tc.approve');
    Route::get('duplicate-tc-reject/{tc_id}','Tc@duplicate_tc_pending_reject')->name('duplicate.tc.reject');
    Route::get('duplicate-tc-viewp/{tc_id}','Tc@duplicate_tc_pending_viewp')->name('duplicate.tc.pview');
    Route::get('duplicate-tc-viewa/{tc_id}','Tc@duplicate_tc_pending_viewa')->name('duplicate.tc.aview');
    Route::get('duplicate-tc-viewr/{tc_id}','Tc@duplicate_tc_pending_viewr')->name('duplicate.tc.rview');
    
    Route::get('duplicate-tc-payment','Tc@duplicate_tc_payment')->name('duplicate.tc.payment');
    Route::post('duplicate-tc-payment-get','Tc@duplicate_tc_payment_save')->name('duplicate.tc.payment.save');
    Route::get('duplicate-tc-payment-report','Tc@duplicate_tc_payment_report')->name('duplicate.tc.payment.report');
    Route::get('duplicate-tc-payment-print/{id}','Tc@duplicate_tc_payment_print')->name('duplicate.tc.payment.print');
   
    Route::get('TC-generate','Tc@tc_generate')->name('tc.issue');
    Route::get('TC-generate-ajax','Tc@tc_generate_ajax')->name('tc.issue.ajax');
    Route::get('TC-issues','Tc@tc_issued')->name('tc.issued');
    Route::get('TC-issues-view','Tc@tc_issued_ajax')->name('tc.issued.ajax');


    Route::get('TC-list','Tc@tclist')->name('tc.list');
    Route::get('request-tc-cancel/{id}','Tc@requesttccancel')->name('tc.cancel.request');


    Route::get('studentreq','Staff@studentreq')->name('student.leave.request');
    Route::get('studentreq-rply/{id}','Staff@studentreq_rply')->name('request.leave.reply');

    Route::get('studentreq-rply-approve/{id}','Staff@studentreq_rply_approve')->name('request.leave.reply.approve');
    Route::get('studentreq-rply-reject/{id}','Staff@studentreq_rply_reject')->name('request.leave.reply.reject');

    Route::get('add-bus','Transportation@add_bus')->name('trans.add.bus');
    Route::post('add-bus-save','Transportation@add_bus_save')->name('trans.add.bus.save');
    Route::get('add-bus-view','Transportation@add_bus_view')->name('trans.view.bus');
    Route::get('add-bus-edit/{id}','Transportation@add_bus_edit')->name('trans.edit.bus');
    Route::get('add-bus-delete/{id}','Transportation@add_bus_delete')->name('trans.delete.bus');
    Route::post('add-bus-update','Transportation@add_bus_update')->name('trans.update.bus');
    Route::get('add-route','Transportation@add_route')->name('trans.add.route');
    Route::post('add-route-save','Transportation@add_route_save')->name('trans.save.route');
    Route::get('add-route-view','Transportation@add_route_view')->name('trans.view.route');
    Route::get('add-route-edit/{id}','Transportation@add_route_edit')->name('trans.edit.route');
    Route::get('add-route-delete/{id}','Transportation@add_route_delete')->name('trans.delete.route');
    Route::post('add-route-update','Transportation@add_route_update')->name('trans.update.route');
    Route::get('add-stop','Transportation@add_stop')->name('trans.add.stop');
    Route::post('add-stop-save','Transportation@add_stop_save')->name('trans.save.stop');
    Route::get('view-stop','Transportation@view_stop')->name('trans.view.stop');
    Route::get('edit-stop/{id}','Transportation@view_edit_stop')->name('trans.edit.stop');
    Route::get('delete-stop/{id}','Transportation@view_delete_stop')->name('trans.delete.stop');
    Route::post('add-stop-update','Transportation@add_stop_update')->name('trans.update.stop');
    Route::get('add-busfacility','Transportation@busfacility_add')->name('trans.add.busfacility');
    Route::get('busfacility-get','Transportation@busfacility_add_get')->name('trans.get.busfacility');
    Route::get('get-stop/{route_id}','Transportation@busfacility_get_stop')->name('trans.get.busfacility.stop');
    Route::post('addstudents-busfacility','Transportation@add_students_bus')->name('busfacility.addstudents.save');
    Route::get('add-busfacility-view','Transportation@busfacility_view')->name('trans.view.busfacility');
    Route::get('busfacilityview-get','Transportation@busfacility_view_get')->name('trans.view.busfacility.get');
    Route::get('busfacilityview-edit/{id}','Transportation@busfacility_view_edit')->name('trans.view.busfacility.edit');
    Route::get('busfacilityview-delete/{id}','Transportation@busfacility_view_delete')->name('trans.view.busfacility.delete');
    Route::post('busfacilityview-discontinue','Transportation@busfacility_view_discontinue')->name('trans.view.busfacility.discont');
    Route::get('busfacilityview-editfee/{id}','Transportation@busfacility_view_editfee')->name('trans.view.busfacility.editfee');
    Route::post('busfacilityview-updatefee','Transportation@busfacility_view_updatefee')->name('trans.view.busfacility.updatefee');
    Route::get('busfacilityview-discontinued-students','Transportation@busfacility_discontinued')->name('trans.disconti.busfacility');
    Route::get('busfacilityview-discontinued-students','Transportation@busfacility_discontinued')->name('trans.disconti.busfacility');
    Route::get('busfacilityview-discontinued-students-pdf','Transportation@busfacility_discontinued_pdf')->name('trans.disconti.busfacility.pdf');
    Route::get('busfacility-temporary','Transportation@busfacility_temporary')->name('trans.temporary.busfacility');
    Route::get('get-routestop/{route_id}','Transportation@getroutestop')->name('trans.temporary.getroutestop');
    Route::post('busfacility-temporary-save','Transportation@busfacility_temporary_save')->name('trans.temporary.getroutestop.add');
    Route::get('busfacility-temporary-report','Transportation@busfacility_temporary_report')->name('trans.temporary.busfacility.report');

    Route::get('get-studs','Transportation@get_tem_students')->name('trans.temporary.busfacility.students');
    Route::get('edit-stop-fee','Transportation@trans_editstop_fee')->name('trans.editfee.stop');
    Route::get('trans-stop-fee-get','Transportation@trans_editstop_fee_get')->name('trans.editfee.stop.get');
    Route::post('trans-stop-fee-update','Transportation@trans_editstop_fee_update')->name('trans.editfee.stop.update');

    Route::get('bus-fine','Transportation@bus_fine_setting')->name('trans.bus.fine');
    Route::post('bus-fine-save','Transportation@bus_fine_setting_save')->name('trans.bus.fine.save');
    Route::get('bus-fee-setting','Transportation@bus_fee_setting')->name('trans.bus.fee.setting');
    Route::post('bus-fee-setting-save','Transportation@bus_fee_setting_save')->name('trans.bus.fee.setting.save');
    Route::get('bus-fee-setting-report','Transportation@bus_fee_setting_report')->name('trans.bus.fee.setting.report');
    Route::get('bus-fee-setting-edit/{id}','Transportation@bus_fee_setting_edit')->name('trans.bus.fee.setting.edit');
    Route::get('bus-fee-setting-delete/{id}','Transportation@bus_fee_setting_delete')->name('trans.bus.fee.setting.delete');
    Route::post('bus-fee-setting-update','Transportation@bus_fee_setting_update')->name('trans.bus.fee.setting.update');
    
    Route::get('bus-student-details','Transportation@bus_student_details')->name('trans.add.studentdet');
    Route::get('bus-student-details-get','Transportation@bus_student_details_get')->name('trans.add.studentdet.get');
    Route::get('bus-fee-payment','Transportation@bus_fee_payment')->name('trans.busfee.payment');
    Route::get('bus-fee-payment-get','Transportation@bus_fee_payment_get')->name('trans.busfee.payment.get');
    Route::post('bus-fee-payment-get-new','Transportation@bus_fee_payment_get_new')->name('trans.busfee.payment.get.new');
   
    
    Route::post('bus-fee-payment-save','Transportation@bus_fee_payment_save')->name('trans.busfee.payment.save');

    Route::get('get-routetype-fees','Transportation@bus_routetype_fees')->name('trans.routetype.fees');

    Route::get('bus-fee-report','Transportation@busfee_report')->name('trans.busfee.report');
    Route::get('getfeestudent','Transportation@busfee_report_get')->name('trans.busfee.report.get');
    Route::get('bus-coursewise-fee-report','Transportation@busfee_report_coursewise')->name('trans.busfee.course.report');
    Route::get('getfeestudentcoursewise','Transportation@busfee_report_coursewise_get')->name('trans.busfee.course.report.get');
    Route::get('getfeestudentcoursewise-print/{id}','Transportation@busfee_report_coursewise_print')->name('trans.busfee.course.report.print');
    Route::get('getfeestudentstudentwise-print/{id}','Transportation@busfee_report_student_print')->name('trans.busfee.student.report.print');
    Route::get('cancel-fee-report-crsewise/{id}','Transportation@busfee_course_cancel')->name('trans.busfee.report.crswise.cancel');
    Route::get('cancelledfeereport','Transportation@cancelledfeereport')->name('trans.busfee.course.cancelledreport');
    Route::get('duereportbusfee','Transportation@due_report')->name('trans.busfee.due');
    Route::get('busfeeduereport-get','Transportation@due_report_get')->name('trans.busfee.due.get');
    Route::get('busfeereport-route','Transportation@due_report_route')->name('trans.busfee.due.route');
    Route::get('busfeeduereportroute-get','Transportation@due_report_route_get')->name('trans.busfee.due.route.get');

    Route::get('routetypetrans','Transportation@getRouteFees')->name('trans.routetype.fees.check');


    Route::get('student-attendance','Attendance@student_attendance')->name('student.attendance');
    Route::get('student-attendance-report','Attendance@student_attendance_report')->name('student.attendance.report');
    Route::get('studentattendance-report-get','Attendance@student_attendance_report_get')->name('student.attendance.report.get');
    Route::get('studentattendance-report-print/{course_id}/{semester_id}/{subject_id}/{fdate}/{tdate}','Attendance@student_attendance_report_print')->name('student.attendance.print');
    Route::get('studentattendance-get','Attendance@student_attendance_get')->name('student.attendance.get');
    Route::post('studentattendance-save','Attendance@student_attendance_save')->name('student.attendance.save');
    Route::get('studentabsent-save','Attendance@student_absent_save')->name('student.attendance.absent.save');
    Route::get('studentabsenttopresent-update','Attendance@updateAbsentToPresent')->name('student.attendance.pretoabsent.update');
    Route::get('studentPtoA-update','Attendance@updatePresentToAbsent')->name('student.attendance.pa.save');


    
    
    
    Route::get('admission-report','Students@admission_report')->name('student.admission.report');
    Route::get('totalstudent-get','Students@totalstudent_get')->name('student.admission.get');
    Route::get('totalstudent-get-daata','Students@totalstudent_getData')->name('student.admission.getdata');
    Route::get('totalstudent-excel/{ac_id}/{course_id}','Students@totalstudent_excel')->name('student.admission.excel');
    Route::get('acwisestudent','Students@acwisestudent_ajax')->name('student.acwisestudent.ajax');
    
    Route::get('fee','Fees@payment')->name('fee');
    Route::post('fee-get','Fees@get_payment')->name('fee.get');
    Route::post('fee-save','Fees@save_payment')->name('fee.save');
    Route::get('freport','Fees@report')->name('freport');
    Route::post('fee-report-get','Fees@get_report')->name('fee.report.get');
    Route::get('fee-delete/{recno}','Fees@delete')->name('fee.delete');
    Route::get('fee-print/{recno}','Fees@print_bill')->name('fee.print');
 
    Route::get('student-fee-structure','Fees@student_fee_structure')->name('student.fee.structure');
    Route::get('getstudentfeestructure','Fees@student_fee_structure_get')->name('student.fee.structure.get');
    Route::post('getstudentfeestructure-save','Fees@student_fee_structure_save')->name('student.fee.structure.save');
   
    Route::get('otherfee','Otherfees@add')->name('otherfee');
    Route::post('otherfee-save','Otherfees@save')->name('otherfee.save');
    Route::get('otherfee-report','Otherfees@report')->name('otherfee.report');
    Route::get('otherfee-ajax','Otherfees@getData')->name('otherfee.ajax');
    Route::get('otherfee-cancel/{id}','Otherfees@cancel')->name('otherfee.cancel');
    Route::get('otherfee-print/{id}','Otherfees@print')->name('otherfee.print');
    Route::get('otherfee-pdf/{id}','Otherfees@pdf')->name('otherfee.pdf'); 

    Route::get('due-report','Fees@due_report')->name('due.report');
    Route::get('due-ajax','Fees@due_ajax')->name('due.ajax');
    Route::get('due-total-ajax','Fees@due_total_ajax')->name('due.total.ajax');
    Route::get('student-due/{sid}','Fees@student_due')->name('student.due');
    
    Route::get('institution','Settings@institution')->name('institution');
    Route::post('institution-save','Settings@institution_save')->name('institution.save');
    
     Route::get('accountgroup','Account@accountgroup')->name('accountgroup');
     Route::post('accountgroup-save','Account@accountgroup_save')->name('accountgroup.save');
     Route::get('accountgroup-edit/{sid}','Account@accountgroup_edit')->name('accountgroup.edit');
    Route::post('accountgroup-update','Account@accountgroup_update')->name('accountgroup.update');
   Route::get('accountgroup-delete{sid}','Account@accountgroup_delete')->name('accountgroup.delete');
   
  Route::get('ledger','Account@ledger')->name('ledger'); 
    Route::post('ledger-save','Account@ledger_save')->name('ledger.save'); 
    Route::get('ledger-edit/{lid}','Account@ledger_edit')->name('ledger.edit');
    Route::post('ledger-update','Account@ledger_update')->name('ledger.update');
   Route::get('ledger-delete/{lid}','Account@ledger_delete')->name('ledger.delete');
   
    Route::get('specialisation','Courses@specialisation')->name('specialisation');
    Route::post('specialisation-save','Courses@specialisation_save')->name('specialisation.save');
     Route::get('specialisation-edit/{sid}','Courses@specialisation_edit')->name('specialisation.edit');
    Route::post('specialisation-update','Courses@specialisation_update')->name('specialisation.update');
    Route::get('specialisation-delete/{sid}','Courses@specialisation_delete')->name('specialisation.delete');
    
    Route::get('addelectives','Courses@addelectives')->name('addelectives');
    Route::get('elective-get','Courses@get_elective')->name('addelectives.get');
    Route::post('addelectives-save','Courses@addelectives_save')->name('addelectives.save');
    
    
    
    Route::get('acyear','Settings@acyear')->name('acyear');
    Route::get('acyear-navbar','Settings@acyear_navbar')->name('acyear.navbar');

    Route::post('acyear-insert','Settings@acyear_insert')->name('acyear.insert');
    Route::get('acyear-save/{acid}','Settings@acyear_save')->name('acyear.save');
    Route::get('acyear-saves/{acid}','Settings@acyear_template_save')->name('acyear.template.save');
    Route::get('acyear-setting/{acid}','Settings@acyear_setting_template')->name('acyear.template.setting');
    
    Route::get('holiday','Settings@holiday')->name('holiday');
    Route::get('holiday-view','Settings@viewholiday')->name('holiday.get');
    Route::post('holiday-save','Settings@holiday_save')->name('holiday.save');
    Route::get('holiday-create','Settings@holiday_create')->name('holiday.create');
    Route::get('holiday-show','Settings@holiday_show')->name('holiday.show');
    Route::get('holiday-delete','Settings@holiday_delete')->name('holiday.delete');

    Route::get('acquota','Settings@acquota')->name('acquota');
    Route::post('acquota-save','Settings@acquota_save')->name('acquota.save');
    Route::get('acquota-edit/{aid}','Settings@acquota_edit')->name('acquota.edit');
    Route::post('acquota-update','Settings@acquota_update')->name('acquota.update');

    Route::get('acquota-delete/{aid}','Settings@acquota_delete')->name('acquota.delete');
    
      Route::get('department','Settings@department')->name('department');
   Route::post('department-save','Settings@department_save')->name('department.save');
     
     Route::get('seatallot','Settings@seatallot')->name('seatallot');
   Route::post('seatallot-save','Settings@seatallot_save')->name('seatallot.save');
    
    Route::get('vouchertyp','Settings@vouchertyp')->name('vouchertyp');
    Route::post('vouchertyp-save','Settings@vouchertyp_save')->name('vouchertyp.save');
    Route::get('vouchertyp-delete/{vid}','Settings@vouchertyp_delete')->name('vouchertyp.delete');

    Route::get('iqac-criteria','Settings@iqac_criteria')->name('iqac.criteria');
    Route::post('iqac-save','Settings@iqac_save')->name('iqac.save');
    Route::get('iqac-delete/{aid}','Settings@iqac_delete')->name('iqac.delete');
    
    Route::get('iqac-documents','Settings@iqac_documents')->name('iqac.documents');
    Route::post('iqacdocumnt-save','Settings@iqacdocumnt_save')->name('iqacdocumnt.save');
    Route::get('iqacdocument-edit/{aid}','Settings@iqacdocument_edit')->name('iqacdocument.edit');
    Route::post('iqacdocument-update','Settings@iqacdocument_update')->name('iqacdocument.update');
    Route::get('iqacdocumnt-delete/{aid}','Settings@iqacdocumnt_delete')->name('iqacdocument.delete');
    
    
    Route::get('iqacassign-documents','Settings@iqacassign_documents')->name('iqacassign.documents');
    Route::get('iqacassign-get','Settings@get_iqacassign')->name('iqacassign.get');
    Route::post('iqacassign-save','Settings@save_iqacassign')->name('iqacassign.save');
    
    
    Route::get('obe-peo','Obe@obe_peo')->name('obe.peo');
    Route::post('peo-save','Obe@peo_save')->name('peo.save');
    Route::get('peo-delete/{aid}','Obe@peo_delete')->name('peo.delete');
    
    Route::get('obe-domain','Obe@obe_domain')->name('obe.domain');
    Route::post('domain-save','Obe@domain_save')->name('domain.save');
    Route::get('domain-delete/{aid}','Obe@domain_delete')->name('domain.delete');
    Route::get('domain-edit/{aid}','Obe@domain_edit')->name('domain.edit');
    Route::post('domain-update','Obe@domain_update')->name('domain.update');
    
    
    Route::get('obe-activity','Obe@obe_activity')->name('obe.activity');
    Route::post('activity-save','Obe@activity_save')->name('activity.save');
    Route::get('activity-edit/{aid}','Obe@activity_edit')->name('activity.edit');
    Route::post('activity-update','Obe@activity_update')->name('activity.update');
    Route::get('activity-delete/{aid}','Obe@activity_delete')->name('activity.delete');
    
    
    Route::get('obe-activityoutcome','Obe@obe_activityoutcome')->name('obe.activityoutcome');
    Route::post('activityoutcome-save','Obe@activityoutcome_save')->name('activityoutcome.save');
    Route::get('activityoutcome-edit/{aid}','Obe@activityoutcome_edit')->name('activityoutcome.edit');
    Route::post('activityoutcome-update','Obe@activityoutcome_update')->name('activityoutcome.update');
    Route::get('activityoutcome-delete/{aid}','Obe@activityoutcome_delete')->name('activityoutcome.delete');
    
    Route::get('obe-aopomapping','Obe@obe_aopomapping')->name('obe.aopomapping');
    Route::post('aopomapping-save','Obe@aopomapping_save')->name('aopomapping.save');
    Route::get('aopomapping-edit/{aid}','Obe@aopomapping_edit')->name('aopomapping.edit');
    Route::post('aopomapping-update','Obe@aopomapping_update')->name('aopomapping.update');
    Route::get('aopomapping-delete/{aid}','Obe@aopomapping_delete')->name('aopomapping.delete');
    
    Route::get('obe-aopsomapping','Obe@obe_aopsomapping')->name('obe.aopsomapping');
    Route::post('aopsomapping-save','Obe@aopsomapping_save')->name('aopsomapping.save');
    Route::get('aopsomapping-edit/{aid}','Obe@aopsomapping_edit')->name('aopsomapping.edit');
    Route::post('aopsomapping-update','Obe@aopsomapping_update')->name('aopsomapping.update');
    Route::get('aopsomapping-delete/{aid}','Obe@aopsomapping_delete')->name('aopsomapping.delete');
    
    Route::get('obe-level','Obe@obe_level')->name('obe.level');
    Route::post('level-save','Obe@level_save')->name('level.save');
    Route::get('level-delete/{aid}','Obe@level_delete')->name('level.delete');
    Route::get('level-edit/{aid}','Obe@level_edit')->name('level.edit');
    Route::post('level-update','Obe@level_update')->name('level.update');
    
    Route::get('obe-stpgrade','Obe@obe_stpgrade')->name('obe.stpgrade');
    Route::post('stpgrade-save','Obe@stpgrade_save')->name('stpgrade.save');
    Route::get('stpgrade-delete/{aid}','Obe@stpgrade_delete')->name('stpgrade.delete');
    Route::get('stpgrade-edit/{aid}','Obe@stpgrade_edit')->name('stpgrade.edit');
    Route::post('stpgrade-update','Obe@stpgrade_update')->name('stpgrade.update');
    
    
     Route::get('obe-cmark','Obe@obe_cmark')->name('obe.cmark');
     Route::get('viewcmark-get','Obe@viewcmark_get')->name('obe.viewcmark.get');
     
    
    Route::get('obe-assessmentmethod','Obe@obe_assessmentmethod')->name('obe.assessmentmethod');
    Route::post('assessmentmethod-save','Obe@assessmentmethod_save')->name('assessmentmethod.save');
    Route::get('assessmentmethod-edit/{aid}','Obe@assessmentmethod_edit')->name('assessmentmethod.edit');
    Route::post('assessmentmethod-update','Obe@assessmentmethod_update')->name('assessmentmethod.update');
    Route::get('assessmentmethod-delete/{aid}','Obe@assessmentmethod_delete')->name('assessmentmethod.delete');
    
    
    Route::get('obe-pso','Obe@obe_pso')->name('obe.pso');
    Route::post('pso-save','Obe@pso_save')->name('pso.save');
    Route::get('pso-edit/{aid}','Obe@pso_edit')->name('pso.edit');
    Route::post('pso-update','Obe@pso_update')->name('pso.update');
    Route::get('pso-delete/{aid}','Obe@pso_delete')->name('pso.delete');
    
    
    
    Route::get('pso-achlvl','Obe@obe_psoachlvl')->name('obe.psoachlvl');
    Route::get('psotarget-save/{acid}','Obe@psotarget_save')->name('psotarget.save');
    
    Route::get('pso-attainment','Obe@obe_attainment')->name('obe.attainment');
    Route::get('attainment-edit/{aid}','Obe@attainment_edit')->name('attainment.edit');
     Route::post('attainment-update','Obe@attainment_update')->name('attainment.update');
    
    Route::get('po-achlvl','Obe@obe_poachlvl')->name('obe.poachlvl');
    Route::get('potarget-save/{acid}','Obe@potarget_save')->name('potarget.save');
    
    Route::get('po-attainment','Obe@obe_poattainment')->name('obe.poattainment');
    Route::get('poattainment-edit/{aid}','Obe@poattainment_edit')->name('poattainment.edit');
    Route::post('poattainment-update','Obe@poattainment_update')->name('poattainment.update');
    
    Route::get('obe-co','Obe@obe_co')->name('obe.co');
    Route::post('co-save','Obe@co_save')->name('co.save');
    Route::get('co-edit/{aid}','Obe@co_edit')->name('co.edit');
    Route::post('co-update','Obe@co_update')->name('co.update');
    Route::get('co-delete/{aid}','Obe@co_delete')->name('co.delete');
    
    
    Route::get('obe-copsomapping','Obe@obe_copsomapping')->name('obe.copsomapping');
    Route::get('copsomapping-get','Obe@get_copsomapping')->name('copsomapping.get');
    Route::post('copsomapping-save','Obe@save_copsomapping')->name('copsomapping.save');
    Route::get('copsomapping-delete/{aid}','Obe@copsomapping_delete')->name('copsomapping.delete');
    Route::get('copsomapping-edit/{aid}','Obe@copsomapping_edit')->name('copsomapping.edit');
    Route::post('copsomapping-update','Obe@copsomapping_update')->name('copsomapping.update');
    
     Route::get('obe-copsomappinglevel','Obe@obe_copsomappinglevel')->name('obe.copsomappinglevel');
    Route::get('copsomappinglevel-get','Obe@get_copsomappinglevel')->name('copsomappinglevel.get');
    Route::post('copsomappinglevel-save','Obe@save_copsomappinglevel')->name('copsomappinglevel.save');
    
    
    Route::get('obe-viewcopsomapping','Obe@obe_viewcopsomapping')->name('obe.viewcopsomapping');
    Route::get('viewcopsomapping-get','Obe@get_viewcopsomapping')->name('viewcopsomapping.get');
    
    
    
    Route::get('obe-po','Obe@obe_po')->name('obe.po');
    Route::post('po-save','Obe@po_save')->name('po.save');
    Route::get('po-delete/{aid}','Obe@po_delete')->name('po.delete');
    Route::get('po-edit/{aid}','Obe@po_edit')->name('po.edit');
    Route::post('po-update','Obe@po_update')->name('po.update');
    
    Route::get('obe-copomapping','Obe@obe_copomapping')->name('obe.copomapping');
    Route::post('copomapping-save','Obe@copomapping_save')->name('copomapping.save');
    Route::get('copomapping-edit/{aid}','Obe@copomapping_edit')->name('copomapping.edit');
    Route::post('copomapping-update','Obe@copomapping_update')->name('copomapping.update');
    Route::get('copomapping-delete/{aid}','Obe@copomapping_delete')->name('copomapping.delete');
    
    Route::get('obe-viewcopomapping','Obe@obe_viewcopomapping')->name('obe.viewcopomapping');
    Route::get('viewcopomapping-get','Obe@viewcopomapping_get')->name('obe.viewcopomapping.get');
    
    
    
    Route::get('obe-term','Obe@obe_term')->name('obe.term');
    Route::post('obterm-save','Obe@obterm_save')->name('obterm.save');
    Route::get('obterm-delete/{aid}','Obe@obterm_delete')->name('obterm.delete');
    Route::get('obterm-edit/{aid}','Obe@obterm_edit')->name('obterm.edit');
    Route::post('obterm-update','Obe@obterm_update')->name('obterm.update');
    
    Route::get('obe-coachlvl','Obe@obe_coachlvl')->name('obe.coachlvl');
    Route::post('coachlvl-save','Obe@coachlvl_save')->name('coachlvl.save');
    Route::get('coachlvl-edit/{aid}','Obe@coachlvl_edit')->name('coachlvl.edit');
    Route::post('coachlvl-update','Obe@coachlvl_update')->name('coachlvl.update');
    Route::get('coachlvl-delete/{aid}','Obe@coachlvl_delete')->name('coachlvl.delete');
    
    Route::get('co-achtarget','Obe@obe_coachtarget')->name('obe.coachtarget');
    Route::get('cotarget-save/{acid}','Obe@coachtarget_save')->name('coachtarget.save');
    
    Route::get('co-attainment','Obe@obe_coattainment')->name('obe.coattainment');
    Route::get('coattainment-edit/{aid}','Obe@coattainment_edit')->name('coattainment.edit');
    Route::post('coattainment-update','Obe@coattainment_update')->name('coattainment.update');
    
    
    Route::get('feeback-staff','feedback@staff_feedback')->name('staff.feedback');
    Route::get('getstafffeedback-get','feedback@getstafffeedback_get')->name('staff.feedback.get');
    Route::get('feeback-staff-pdf/{user_id}/{ac_id}','feedback@staff_feedback_pdf')->name('staff.feedback.pdf');
    Route::get('feeback-college','feedback@college_feedback')->name('college.feedback');
    Route::get('feeback-college-pdf/{ac_id}','feedback@college_feedback_pdf')->name('college.feedback.pdf');
    Route::get('feeback-college-semwise','feedback@college_feedback_semwise')->name('college.feedback.semwise');
    Route::get('getsemwisefeedback-get','feedback@college_feedback_semwise_get')->name('college.feedback.semwise.get');
   
    Route::get('student-login-details','Logincd@student_login_details')->name('student.logindetails');
    Route::get('studentlogindetails-get','Logincd@student_login_details_get')->name('student.logindetails.get');
    Route::get('studentlogindetails-get-edit/{student_id}','Logincd@student_login_details_edit')->name('student.logindetails.get.edit');
    Route::post('studentlogindetails-get-update','Logincd@student_login_details_update')->name('student.logindetails.get.update');
    Route::get('studentlogindetails-print/{course_id}/{sem_id}','Logincd@student_login_details_print')->name('student.logindetails.get.print');
    Route::get('studentlogindetails-send/{course_id}/{sem_id}','Logincd@student_login_details_send')->name('student.logindetails.get.send');
    Route::post('studentlogindetails-get-update-direct','Logincd@student_login_details_update_direct')->name('student.logindetails.update');


    Route::get('staff-login-details','Logincd@staff_login_details')->name('staff.logindetails');
    Route::get('stafflogin-get','Logincd@staff_login_get')->name('staff.logindetails.get');

    Route::get('letter-head','Other@letter_head')->name('others.letterhead');
    Route::post('letter-head-save','Other@letter_head_save')->name('letterhead.save');
    Route::get('letter-head-view','Other@letter_head_view')->name('others.letterhead.view');
    Route::get('letter-head-view-single/{id}','Other@letter_head_view_single')->name('letterhead.view');
    Route::get('letter-head-edit/{id}','Other@letter_head_edit')->name('letterhead.edit');
    Route::post('letter-head-update','Other@letter_head_update')->name('letterhead.update');

    Route::get('e-content','Other@econtent')->name('others.econtent');
    Route::post('e-content-save','Other@econtent_save')->name('others.econtent.save');
    Route::get('get-sem-subject/{id}','Other@econtent_getsem')->name('others.econtent.getsem');
    Route::get('get-subtyp-econtent','Other@econtent_getsub')->name('others.econtent.getsub');
    Route::get('e-content-view','Other@econtent_view')->name('others.econtent.view');




    Route::get('association-add','Association@association_add')->name('association');
    Route::post('association-add-save','Association@association_add_save')->name('association.save');
    Route::get('association-report','Association@association_report')->name('association.report');
    Route::get('association-report-edit/{id}','Association@association_report_edit')->name('association.report.edit');
    Route::post('association-update','Association@association_update')->name('association.update');
    Route::get('association-report-delete/{id}','Association@association_report_delete')->name('association.report.delete');

     Route::get('association-incharges','Association@association_incharges')->name('association.incharge');
     Route::get('association-event','Association@association_event')->name('association.event');
     Route::post('association-event-save','Association@association_event_save')->name('association.event.save');
     Route::get('association-event-report','Association@association_event_report')->name('association.event.report');
     Route::get('association-event-report-get','Association@association_event_report_get')->name('association.event.report.get');
     Route::get('association-event-report-edit/{id}','Association@association_event_report_edit')->name('association.event.report.edit');
     Route::post('association-event-update','Association@association_event_update')->name('association.event.update');
     Route::get('association-event-report-delete/{id}','Association@association_event_report_delete')->name('association.event.report.delete');
     Route::get('association-incharge-get','Association@association_incharge_get')->name('association.incharge.get');

   
    
    
    
    Route::get('inventory','Inventory@inventory')->name('inventory');
    Route::post('inventory-save','Inventory@inventory_save')->name('inventory.save');
    Route::get('inventory-delete/{suid}','Inventory@inventory_delete')->name('inventory.delete');
    
     Route::get('stock','Inventory@stockadd')->name('stock');
     Route::post('stock-save','Inventory@stock_save')->name('stock.save');
     Route::get('stock-report','Inventory@stock_report')->name('stock.report');
     Route::get('stock-edit/{sid}','Inventory@stock_edit')->name('stock.edit');
     Route::post('stock-update','Inventory@stock_update')->name('stock.update');
     
   
   
    Route::get('stockcategory','Inventory@stockcategory')->name('stockcategory'); 
    Route::post('stockcategory-save','Inventory@stockcategory_save')->name('stockcategory.save');
    Route::get('stockcategory-edit/{c_id}','Inventory@stockcategory_edit')->name('stockcategory.edit');
    Route::post('stockcategory-update','Inventory@stockcategory_update')->name('stockcategory.update');
    Route::get('stockcategory-delete/{c_id}','Inventory@stockcategory_delete')->name('stockcategory.delete');








 Route::get('stocksubcategory','Inventory@stocksubcategory')->name('stocksubcategory');    
   Route::post('stocksubcategory-save','Inventory@stocksubcategory_save')->name('stocksubcategory.save');
    Route::get('stocksubcategory-edit/{sid}','Inventory@stocksubcategory_edit')->name('stocksubcategory.edit');
Route::post('stocksubcategory-update','Inventory@stocksubcategory_update')->name('stocksubcategory.update');
   Route::get('stocksubcategory-delete/{sid}','Inventory@stocksubcategory_delete')->name('stocksubcategory.delete');
  
  Route::get('stocklocation','Inventory@stocklocation')->name('stocklocation'); 
  Route::post('stocklocation-save','Inventory@stocklocation_save')->name('stocklocation.save');
  Route::get('stocklocation-edit/{lid}','Inventory@stocklocation_edit')->name('stocklocation.edit');
  Route::post('stocklocation-update','Inventory@stocklocation_update')->name('stocklocation.update');
   Route::get('stocklocation-delete/{lid}','Inventory@stocklocation_delete')->name('stocklocation.delete');
  
  Route::get('stockadjustment','Inventory@stockadjustment')->name('stock.adjustment');
   Route::post('stockadjustment-save','Inventory@stockadjustment_save')->name('stock.adjustment.save');
   Route::get('stockadjustment-report','Inventory@stockadjustment_report')->name('stock.adjustment.report');
 
  
  Route::get('stocksummary','Inventory@stocksummary')->name('stock.summary');
  Route::get('stocksummary-get','Inventory@stocksummary_get')->name('stock.summary.get');
    Route::get('stocksummary-view/{id}','Inventory@stocksummary_view')->name('stock.summary.view');

 
  Route::get('stocklocation-report','Inventory@stocklocation_report')->name('stock.location.report');

  Route::get('stocklocation-get','Inventory@stocklocation_get')->name('stock.location.get');

  
  Route::get('addsubjectcateg','Students@addsubjectcateg')->name('addsubjectcateg');
  Route::post('addsubjectcateg-save','Students@addsubjectcateg_save')->name('addsubjectcateg.save');
  Route::get('subcateg-delete/{aid}','Students@subcateg_delete')->name('subcateg.delete');
  
  Route::get('addsubject','Students@addsubject')->name('addsubject');
  Route::post('addsubject-save','Students@addsubject_save')->name('addsubject.save');
 
   Route::get('viewsubject','Students@viewsubject')->name('viewsubject');
   Route::get('viewsubject-get','Students@viewsubject_get')->name('viewsubject.get');
   Route::get('subject-edit/{lid}','Students@subject_edit')->name('subject.edit');
   Route::post('subject-update','Students@subject_update')->name('subject.update');
   Route::get('subject-delete/{lid}','Students@subject_delete')->name('subject.delete');
  
  
  
  
  
  
  
  
  
  
    Route::get('add','Scholarship@add')->name('add'); 
    Route::post('add-save','Scholarship@add_save')->name('add.save');
    Route::get('add-edit/{aid}','Scholarship@add_edit')->name('add.edit');
    Route::post('add-update','Scholarship@add_update')->name('add.update');
    Route::get('add-delete/{aid}','Scholarship@add_delete')->name('add.delete');
    
    
      Route::get('scholarshipdash','Scholarship@scholaraddstu')->name('scholarshipdash'); 
      Route::get('schlrstu-get','Scholarship@scholaraddstu_get')->name('scholarshipdash.get'); 
     Route::post('scholarshipdash-save','Scholarship@scholarshipdash_save')->name('scholarshipdash.save'); 
     Route::get('schlrcoursesreport','Scholarship@schlrcoursesreport')->name('scholarshipdash.creport'); 
     Route::get('schlrcoursesreport-get','Scholarship@schlrcoursesreport_get')->name('scholarshipdash.getcreport'); 
      Route::get('schlrcoursesreport-print/{course_id}/{semester_id}','Scholarship@schlrcoursesreport_print')->name('scholarshipdash.print'); 
     Route::get('schlrwisereport','Scholarship@schlrwisereport')->name('scholarshipdash.sreport'); 
      Route::get('schlrwisereport-get','Scholarship@schlrwisereport_get')->name('scholarshipdash.gets'); 
    Route::get('schlrwisereport-print/{sc_id}','Scholarship@schlrwisereport_print')->name('scholarshipdash.prints'); 
      Route::get('studntwisereport','Scholarship@studntwisereport')->name('scholarshipdash.stureport'); 
      Route::get('studntwisereport-get','Scholarship@studntwisereport_get')->name('scholarshipdash.getstu'); 
      Route::get('studntwisereport-print/{student_id}','Scholarship@studntwisereport_print')->name('scholarshipdash.printstu'); 


    
    Route::get('obe-uecp','Obe@ueconvpercentage')->name('obe.ueconvpercentage'); 
    Route::post('uecp-save','Obe@uecp_save')->name('uecp.save');
    
    
    
    Route::get('obe-universitymark','Obe@universitymark')->name('obe.universitymark'); 
    Route::post('universitymark-get','Obe@get_universitymark')->name('universitymark.get');
    Route::post('universitymark-save','Obe@save_universitymark')->name('universitymark.save');
    
    Route::get('obe-viewunivmark','Obe@viewunivmark')->name('obe.viewunivmark'); 
    Route::get('viewunivmark-get','Obe@get_viewunivmark')->name('viewunivmark.get');
    Route::get('univmark-print/{course}/{semester_id}', 'Obe@univmarkprint')->name('univmark.print');

    Route::get('obe-internalmaxmark','Obe@internalmaxmark')->name('obe.internalmaxmark'); 
    Route::post('internalmaxmark-save','Obe@save_internalmaxmark')->name('internalmaxmark.save');
    Route::get('obe-editinternalmaxmark','Obe@editinternalmaxmark')->name('obe.editinternalmaxmark'); 
    Route::get('internalmaxmark-get','Obe@get_internalmaxmark')->name('internalmaxmark.get');
    Route::post('universitymark-edit','Obe@edit_universitymark')->name('universitymark.edit');

    
    Route::get('obe-questions','Obe@questions')->name('obe.questions'); 
    Route::get('questions-get','Obe@get_questions')->name('questions.get');
    Route::post('questions-save','Obe@save_questions')->name('questions.save');
    
    Route::get('obe-viewquestions','Obe@viewquestions')->name('obe.viewquestions'); 
    Route::get('viewquestions-get','Obe@get_viewquestions')->name('viewquestions.get');
    Route::get('question-edit/{aid}','Obe@question_edit')->name('question.edit');
    Route::post('question-update','Obe@question_update')->name('question.update');
    Route::get('question-delete/{aid}','Obe@question_delete')->name('question.delete');
    
    Route::get('obe-addinternalmark','Obe@addinternalmark')->name('obe.addinternalmark'); 
    Route::get('addinternalmark-get','Obe@get_addinternalmark')->name('addinternalmark.get');
    Route::post('addinternalmark-save','Obe@save_addinternalmark')->name('addinternalmark.save');
    
    Route::get('obe-studinternalmark','Obe@studinternalmark')->name('obe.studinternalmark'); 
    Route::get('studinternalmark-get','Obe@get_studinternalmark')->name('studinternalmark.get');
    Route::post('studinternalmark-save','Obe@save_studinternalmark')->name('studinternalmark.save');
    Route::get('studinternalmark-print/{course}/{semester_id}/{sub_id}/{term_id}/{assmnt_method}/{exam_id}/{stud_id}', 'Obe@studinternalmarkprint')->name('studinternalmark.print');
    
    Route::get('obe-seminternalmark','Obe@seminternalmark')->name('obe.seminternalmark'); 
    Route::get('seminternalmark-get','Obe@get_seminternalmark')->name('seminternalmark.get');
    Route::get('seminternalmark-print/{course}/{semester_id}/{sub_id}/{term_id}/{assmnt_method}/{exam_id}', 'Obe@seminternalmarkprint')->name('seminternalmark.print');

    Route::get('obe-achievement','Obe@achievementpercentage')->name('obe.achievement'); 
    Route::post('achievement-save','Obe@achievement_save')->name('achievement.save');
    
    Route::get('obe-finalinternalmark','Obe@finalinternalmark')->name('obe.finalinternalmark'); 
    Route::get('finalinternalmark-get','Obe@get_finalinternalmark')->name('finalinternalmark.get');
    Route::get('finalinternalinternalmark-print/{course}/{semester_id}/{subtyp_id}/{sub_id}/{term_id}/{co_id}', 'Obe@finalinternalmarkprint')->name('finalinternalmark.print');
    
    Route::get('obe-finalinternalgrade','Obe@finalinternalgrade')->name('obe.finalinternalgrade'); 
    Route::get('finalinternalgrade-get','Obe@get_finalinternalgrade')->name('finalinternalgrade.get');
    Route::get('finalinternalgrade-print/{course}/{semester_id}/{subtyp_id}/{sub_id}/{term_id}/{co_id}', 'Obe@finalinternalgradeprint')->name('finalinternalgrade.print');
    
    Route::get('obe-internalmrkgeneratn','Obe@internalmrkgeneratn')->name('obe.internalmrkgeneratn'); 
    Route::get('internalmrkgeneratn-get','Obe@get_internalmrkgeneratn')->name('internalmrkgeneratn.get');
    Route::post('internalmrkgeneratn-save','Obe@save_internalmrkgeneratn')->name('internalmrkgeneratn.save');
    Route::get('generateinternalmark-print/{course}/{semester_id}/{sub_id}', 'Obe@generateinternalmark')->name('generateinternalmark.print');
    
    Route::get('obe-coachievement','Obe@coachievement')->name('obe.coachievement'); 
    Route::get('coachievement-get','Obe@get_coachievement')->name('coachievement.get');
    Route::get('coachievement-print/{course}/{semester_id}/{subtyp_id}/{sub_id}/{term_id}/{co_id}', 'Obe@coachievementprint')->name('coachievement.print');
    
    Route::get('obe-coexternalmrkreport','Obe@coexternalmrkreport')->name('obe.coexternalmrkreport'); 
    Route::get('coexternalmrkreport-get','Obe@get_coexternalmrkreport')->name('coexternalmrkreport.get');
    Route::get('coexternalmrkreport-print/{course}/{semester_id}', 'Obe@coexternalmrkreportprint')->name('coexternalmrkreport.print');
    
    Route::get('obe-cooverallreport','Obe@cooverallreport')->name('obe.cooverallreport'); 
    Route::get('cooverallreport-get','Obe@get_cooverallreport')->name('cooverallreport.get');
    Route::get('cooverallreport-print/{course}/{semester_id}/{subtyp_id}/{sub_id}/{co_id}', 'Obe@cooverallreportprint')->name('cooverallreport.print');
    
    Route::get('obe-psoachievement','Obe@psoachievement')->name('obe.psoachievement'); 
    Route::get('psoachievement-get','Obe@get_psoachievement')->name('psoachievement.get');
    Route::get('psoachievement-print/{course}/{semester_id}', 'Obe@psoachievementprint')->name('psoachievement.print');
    
    Route::get('obe-poachievement','Obe@poachievement')->name('obe.poachievement'); 
    Route::get('poachievement-get','Obe@get_poachievement')->name('poachievement.get');
    Route::get('poachievement-print/{course}/{semester_id}', 'Obe@poachievementprint')->name('poachievement.print');
    
    Route::get('obe-coattainmentrep','Obe@coattainmentrep')->name('obe.coattainmentrep'); 
    Route::get('coattainmentrep-get','Obe@get_coattainmentrep')->name('coattainmentrep.get');
    Route::get('coattainmentachieve-print/{ac_id}/{course}/{semester_id}/{sub_id}/{co_id}/{tg}', 'Obe@coattainmentachieveprint')->name('coattainmentachieve.print');
    
    Route::get('obe-activityroll','Obe@activityroll')->name('obe.activityroll'); 
    Route::post('activityroll-save','Obe@activityroll_save')->name('activityroll.save');
    Route::get('obe-editactivityroll','Obe@editactivityroll')->name('obe.editactivityroll'); 
    Route::get('editactivityroll-get','Obe@get_editactivityroll')->name('editactivityroll.get');
    Route::post('activityroll-edit','Obe@edit_activityroll')->name('activityroll.edit');
    
    Route::get('obe-performancemrk','Obe@performancemrk')->name('obe.performancemrk'); 
    Route::post('performancemrk-save','Obe@performancemrk_save')->name('performancemrk.save');
    Route::get('performancemrk-edit/{aid}','Obe@performancemrk_edit')->name('performancemrk.edit');
    Route::post('performancemrk-update','Obe@performancemrk_update')->name('performancemrk.update');
    Route::get('performancemrk-delete/{aid}','Obe@performancemrk_delete')->name('performancemrk.delete');
    
    Route::get('obe-studperformancemrk','Obe@studperformancemrk')->name('obe.studperformancemrk'); 
    Route::get('studperformancemrk-get','Obe@get_studperformancemrk')->name('studperformancemrk.get');
    Route::post('studperformancemrk-save','Obe@save_studperformancemrk')->name('studperformancemrk.save');
    
    Route::get('obe-viewstudperformancemrk','Obe@viewstudperformancemrk')->name('obe.viewstudperformancemrk'); 
    Route::get('viewstudperformancemrk-get','Obe@get_viewstudperformancemrk')->name('viewstudperformancemrk.get');
    Route::get('viewstudperformancemrk-print/{course}/{semester_id}/{domain_id}/{activity_id}/{activity_outcome}', 'Obe@viewstudperformancemrkprint')->name('viewstudperformancemrk.print');
    
    Route::get('obe-psoattainmentrep','Obe@psoattainmentrep')->name('obe.psoattainmentrep'); 
    Route::get('psoattainmentrep-get','Obe@get_psoattainmentrep')->name('psoattainmentrep.get');
    Route::get('psoattainmentrep-print/{course}/{semester_id}/{ac_id}/{ps_outcome}/{tg}', 'Obe@psoattainmentrepprint')->name('psoattainmentrep.print');
    
    Route::get('obe-poattainmentrep','Obe@poattainmentrep')->name('obe.poattainmentrep'); 
    Route::get('poattainmentrep-get','Obe@get_poattainmentrep')->name('poattainmentrep.get');
    Route::get('poattainmentrep-print/{ac_id}/{p_outcome}/{tg}', 'Obe@poattainmentrepprint')->name('poattainmentrep.print');
    
    
    Route::get('fyugp-pathway','Fyugp@add_pathway')->name('fyugp.pathway');
    Route::post('pathway-save','Fyugp@pathway_save')->name('pathway.save');
    Route::get('pathway-delete/{aid}','Fyugp@pathway_delete')->name('pathway.delete');
    Route::get('pathway-edit/{aid}','Fyugp@pathway_edit')->name('pathway.edit');
    Route::post('pathway-update','Fyugp@pathway_update')->name('pathway.update');
    
    Route::get('fyugp-pathway-valid','Fyugp@set_pathway_valid')->name('fyugp.pathway.valid');
    Route::get('pathway-valid-update/{acid}','Fyugp@pathway_valid_update')->name('pathway.valid.update');
    
    Route::get('attendance-grade','Settings@attendance_grade')->name('attendance.grade');
    Route::post('attendance-grade-save','Settings@attendance_grade_save')->name('attendance.grade.save');
    Route::get('attendance-grade-delete/{cid}','Settings@attendance_grade_delete')->name('attendance.grade.delete'); 
    
    Route::get('fyugp-studpreferences','Fyugp@studpreferences')->name('fyugp.studpreferences');
    Route::get('fyugp-studpreferences-get','Fyugp@get_fyugpstudpreferences')->name('fyugpstudpreferences.get');
    Route::post('fyugpstudpreferences-save','Fyugp@studpreferences_save')->name('fyugpstudpreferences.save');
    
    Route::get('fyugp-studsub','Fyugp@studsub')->name('fyugp.studsub');
    Route::get('fyugp-get','Fyugp@get_fyugpstudsub')->name('fyugpstudsub.get');
    Route::post('fyugpstudsub-save','Fyugp@studsub_save')->name('fyugpstudsub.save');
    Route::get('fyugpstudsub-print/{course}/{semester_id}', 'Fyugp@fyugpstudsubprint')->name('fyugpstudsub.print'); 
    
    
    Route::get('fyugp-minorstudsub','Fyugp@minorstudsub')->name('fyugp.minorstudsub');
    Route::get('fyugpminorstudsub-get','Fyugp@get_fyugpminorstudsub')->name('fyugpminorstudsub.get');
    Route::post('fyugpminorstudsub-save','Fyugp@minorstudsub_save')->name('fyugpminorstudsub.save');
    
    Route::get('fyugp-crsminorstudsub','Fyugp@crsminorstudsub')->name('fyugp.crsminorstudsub');
    Route::get('fyugp-crsminorstudsub-get','Fyugp@get_fyugpcrsminorstudsub')->name('fyugpcrsminorstudsub.get');
    Route::get('fyugp-crsstud-get','Fyugp@get_fyugpcrsstud')->name('fyugpcrsstud.get');
    Route::get('fyugpcrsminorstudsub-save','Fyugp@crsminorstudsub_save')->name('fyugpcrsminorstudsub.save');
    
    
    Route::get('fyugp-subrep','Fyugp@subrep')->name('fyugp.subrep');
    Route::get('fyugpsubrep-get','Fyugp@fyugpsubrep')->name('fyugpsubrep.get');
    Route::get('fyugpsubrep-print/{course}/{semester_id}/{sub_id}', 'Fyugp@fyugpsubrepprint')->name('fyugpsubrep.print'); 
    
    Route::get('fyugp-deprep','Fyugp@deprep')->name('fyugp.deprep');
    Route::get('fyugpdeprep-get','Fyugp@fyugpdeprep')->name('fyugpdeprep.get');
    Route::get('fyugpdeprep-print/{course}/{category_id}', 'Fyugp@fyugpdeprepprint')->name('fyugpdeprep.print'); 
    
    Route::get('fyugp-grade','Fyugp@grade')->name('fyugp.grade');
    Route::post('fyugpgrade-save','Fyugp@grade_save')->name('fyugpgrade.save');
    Route::get('fyugpgrade-delete/{cid}','Fyugp@grade_delete')->name('fyugpgrade.delete');
    
    Route::get('fyugp-exam','Fyugp@exam')->name('fyugp.exam');
    Route::get('fyugpexam-get','Fyugp@get_exam')->name('fyugpexam.get');
    Route::post('fyugpexam-save','Fyugp@exam_save')->name('fyugpexam.save');
    
    Route::get('fyugp-viewexam','Fyugp@viewexam')->name('fyugp.viewexam');
    Route::get('fyugpviewexam-get','Fyugp@get_viewexam')->name('fyugpviewexam.get');
    Route::post('fyugpviewexam-update','Fyugp@exam_update')->name('fyugpviewexam.update'); 
    Route::get('fyugpviewexam-delete/{cid}','Fyugp@exam_delete')->name('fyugpviewexam.delete');
    Route::get('fyugpexamsub-delete/{cid}','Fyugp@examsub_delete')->name('fyugpexamsub.delete');
    Route::get('fyugpviewexam-print/{course}/{semester_id}/{exam_id}', 'Fyugp@fyugpviewexamprint')->name('fyugpviewexam.print'); 
    
    
    Route::get('fyugp-addcredit','Fyugp@addcredit')->name('fyugp.addcredit');
    Route::get('fyugpcredit-get','Fyugp@get_credit')->name('fyugpcredit.get');
    Route::post('fyugpcredit-save','Fyugp@credit_save')->name('fyugpcredit.save');
    
     Route::get('Fyugp-fa','Fyugp@ccafa')->name('Fyugp.ccafa'); 
    Route::post('ccafa-save','Fyugp@ccafa_save')->name('ccafa.save');
     Route::get('ccafa-delete/{cid}','Fyugp@ccafa_delete')->name('ccafa.delete');
     
     Route::get('Fyugp-sa','Fyugp@ccasa')->name('Fyugp.ccasa'); 
    Route::post('ccasa-save','Fyugp@ccasa_save')->name('ccasa.save');
     Route::get('ccasa-delete/{cid}','Fyugp@ccasa_delete')->name('ccasa.delete');
     
    
    Route::get('Fyugp-setfa','Fyugp@setfa')->name('Fyugp.setfa'); 
    Route::get('fyugpviewfa-get','Fyugp@get_viewfa')->name('fyugpviewfa.get');
    Route::post('setfa-save','Fyugp@setfa_save')->name('setfa.save'); 
    
    
    
    
    
    

    Route::get('Fyugp-setsa','Fyugp@setsa')->name('Fyugp.setsa'); 
    Route::get('fyugpviewsa-get','Fyugp@get_viewsa')->name('fyugpviewsa.get');
    Route::post('setsa-save','Fyugp@setsa_save')->name('setsa.save'); 
    
    
    Route::get('Fyugp-studfa','Fyugp@studfa')->name('Fyugp.studfa'); 
    Route::get('fyugpviewstudfa-get','Fyugp@get_viewstudfa')->name('fyugpviewstudfa.get');
    Route::post('studfa-save','Fyugp@studfa_save')->name('studfa.save'); 
    
    Route::get('Fyugp-studsa','Fyugp@studsa')->name('Fyugp.studsa'); 
    Route::get('fyugpviewstudsa-get','Fyugp@get_viewstudsa')->name('fyugpviewstudsa.get');
    Route::post('studsa-save','Fyugp@studsa_save')->name('studsa.save'); 
    
    Route::get('Fyugp-studexammrk','Fyugp@addexammark')->name('Fyugp.studexammrk'); 
    Route::get('fyugpviewstudexammrk-get','Fyugp@get_viewstudexammrk')->name('fyugpviewstudexammrk.get');
    Route::post('studexammrk-save','Fyugp@studexammrk_save')->name('studexammrk.save'); 
    Route::get('studexammrk-print/{course}/{semester_id}/{exam_id}', 'Fyugp@studexammrkprint')->name('studexammrk.print');
    
    
    
    Route::get('Fyugp-studsubexmmark','Fyugp@addsubexammark')->name('Fyugp.studsubexmmark'); 
    Route::get('fyugpviewstudsubexmmark-get','Fyugp@get_viewstudsubexmmark')->name('fyugpviewstudsubexmmark.get');
    Route::post('studsubexmmark-save','Fyugp@studsubexmmark_save')->name('studsubexmmark.save'); 
    Route::get('studsubexmmark-print/{course}/{semester_id}/{exam_id}/{sub_id}', 'Fyugp@studsubexmmarkprint')->name('studsubexmmark.print');
    
    
    Route::get('Fyugp-reportcard','Fyugp@reportcard')->name('Fyugp.reportcard'); 
    Route::get('reportcard-get','Fyugp@get_reportcard')->name('reportcard.get');
    Route::get('reportcard-print/{course}/{semester_id}/{stud_id}', 'Fyugp@reportcardprint')->name('reportcard.print');
    
    Route::get('lms-assignment','LMS@assignment')->name('lms.assignment');
    Route::get('lms-assignment-get','LMS@get_assignment')->name('lms.assignment.get');
    Route::post('lms-assignment-save','LMS@assignment_save')->name('lms.assignment.save');
    Route::get('lms-submissionDate','Ajax@getsubmissionDate');
    Route::get('get-lmsassignment','LMS@getassignments');
    
    Route::get('lms-view-assignment','LMS@view_assignment')->name('lms.assignment.stud');
    Route::get('lms-view-assignment-get','LMS@get_assignment_view')->name('lms.assignment.view');
    Route::post('lms-view-assignment-save','LMS@view_assignment_save')->name('lms.view.assignment.save');
    
    
    Route::get('libcategory','Library@libcategory')->name('libcategory');
    Route::post('libcategory-save','Library@libcategory_save')->name('libcategory.save');
    Route::get('libcategory-edit/{cid}','Library@libcategory_edit')->name('libcategory.edit');
    Route::post('libcategory-update','Library@libcategory_update')->name('libcategory.update');
    Route::get('libcategory-delete/{cid}','Library@libcategory_delete')->name('libcategory.delete');
    
    
    
    Route::get('libsubcategory','Library@libsubcategory')->name('libsubcategory');
    Route::post('libsubcategory-save','Library@libsubcategory_save')->name('libsubcategory.save');
    Route::get('libsubcategory-edit/{sid}','Library@libsubcategory_edit')->name('libsubcategory.edit');
    Route::post('libsubcategory-update','Library@libsubcategory_update')->name('libsubcategory.update');
    Route::get('libsubcategory-delete/{sid}','Library@libsubcategory_delete')->name('libsubcategory.delete'); 
    
     Route::get('libmainloc','Library@libmainloc')->name('libmainloc');
    Route::post('libmainloc-save','Library@libmainloc_save')->name('libmainloc.save');
   Route::get('libmainloc-edit/{mid}','Library@libmainloc_edit')->name('libmainloc.edit');
    Route::post('libmainloc-update','Library@libmainloc_update')->name('libmainloc.update');
 Route::get('libmainloc-delete/{mid}','Library@libmainloc_delete')->name('libmainloc.delete'); 
   
   
       Route::get('libsubloc','Library@libsubloc')->name('libsubloc'); 
        Route::post('libsubloc-save','Library@libsubloc_save')->name('libsubloc.save');
   Route::get('libsubloc-edit/{sid}','Library@libsubloc_edit')->name('libsubloc.edit');
    Route::post('libsubloc-update','Library@libsubloc_update')->name('libsubloc.update');
 Route::get('libsubloc-delete/{sid}','Library@libsubloc_delete')->name('libsubloc.delete'); 

 Route::get('libmembertyp','Library@libmembertyp')->name('libmembertyp'); 
Route::post('libmembertyp-save','Library@libmembertyp_save')->name('libmembertyp.save');
 Route::get('libmembertyp-edit/{mid}','Library@libmembertyp_edit')->name('libmembertyp.edit');
Route::post('libmembertyp-update','Library@libmembertyp_update')->name('libmembertyp.update');
 Route::get('libmembertyp-delete/{mid}','Library@libmembertyp_delete')->name('libmembertyp.delete'); 

Route::get('staffleavetyp','Settings@staffleavetyp')->name('staffleavetyp');
Route::post('staffleavetyp-save','Settings@staffleavetyp_save')->name('staffleavetyp.save');
 Route::get('staffleavetyp-edit/{lid}','Settings@staffleavetyp_edit')->name('staffleavetyp.edit');
Route::post('staffleavetyp-update','Settings@staffleavetyp_update')->name('staffleavetyp.update'); 
Route::get('staffleavetyp-delete/{lid}','Settings@staffleavetyp_delete')->name('staffleavetyp.delete');

Route::get('staffcategory','Staff@staffcategory')->name('staffcategory');
Route::post('staffcategory-save','Staff@staffcategory_save')->name('staffcategory.save');
Route::get('staffcategory-delete/{cid}','Staff@staffcategory_delete')->name('staffcategory.delete');


Route::get('staffsubject','Staff@staffsubject')->name('staffsubject');
Route::post('staffsubject-save','Staff@staffsubject_save')->name('staffsubject.save');



Route::get('staffattendance','Staff@staffattendance')->name('staff.attendance');
Route::get('staffattendance-report','Staff@staffattendance_report')->name('staff.attendance.report');
Route::get('staffattendance-report-yearly','Staff@staffattendance_report_yearly')->name('staff.attendance.yearly');
Route::get('staff-attendance-yearly-get','Staff@staffattendance_report_yearly_get')->name('staff.attendance.yearly.get');

Route::get('staffattendance-report-get','Staff@staffattendance_report_get')->name('staff.attendance.report.get');
Route::get('staffattendance-report-print/{type_id}/{staftyp_id}/{fdate}/{tdate}','Staff@staffattendance_report_print')->name('staff.attendance.print');

Route::get('staffattendance-loadleave','Staff@staffattendance_load_leave')->name('staff.attendance.getLeaveOptions');




Route::get('staffattendance-fetchleave','Staff@staffattendance_fetch_leave')->name('staff.attendance.fetch_leave_data');

Route::get('staffattendance-get','Staff@staffattendance_get')->name('staff.attendance.get');
// Route::get('staffattendance-get-report','Staff@staffattendance_get_report')->name('staff.attendance.get.report');
Route::post('staffattendance-save','Staff@staffattendance_save')->name('staff.attendance.save');
Route::get('staff-absent','Staff@staff_absent')->name('staff.attendance.absent.save');
Route::get('staffabsenttopresent-update','Staff@updateAbsentToPresent')->name('staff.attendance.absenttopresent.save');


Route::get('staff-leave-request','Staff@staff_leave_request')->name('staff.leave.request');
Route::post('staff-leave-request-save','Staff@staff_leave_request_save')->name('staff.leave.request.save');
Route::get('staff-leave-request-get','Staff@staff_leave_request_get')->name('staff.leave.request.get');
Route::get('get-max-leave/{leav_id}','Staff@staff_get_maxleave')->name('staff.leave.request.max');
Route::get('staff-summary','Staff@staff_summary')->name('staff.leave.summary');
Route::get('staff-pending','Staff@staff_pending')->name('staff.leave.pending');
Route::get('staff-approve','Staff@staff_approve')->name('staff.leave.approve');
Route::get('staff-reject','Staff@staff_reject')->name('staff.leave.reject');
Route::get('staff-forward','Staff@staff_forward')->name('staff.leave.forward');
Route::get('staff-lv-count','Staff@staff_lv_count')->name('staff.lvrequest.getLeaveOptions');

Route::get('staff-leave-forward-pending/{stfleavfrwd}','Staff@staff_leave_forward_pending')->name('staff.leave.forward.pending');
Route::get('staff-leave-forward-approve/{stfleavfrwd}','Staff@staff_leave_forward_approve')->name('staff.leave.forward.pending.approve');
Route::get('staff-leave-forward-reject/{stfleavfrwd}','Staff@staff_leave_forward_reject')->name('staff.leave.forward.pending.reject');



Route::get('leaveblncreport','Staff@leaveblncreport')->name('leave.balance.report');
Route::get('leavebalance-get','Staff@leavebalance_get')->name('leave.balance.report.get');





Route::get('staff-leave-status','Staff@staff_leave_status')->name('staff.leave.status');
Route::get('staff-leave-status-pending/{stfleavereq_id}','Staff@staff_leave_status_pending')->name('staff.leave.status.pending');
Route::get('staff-leave-status-approve/{stfleavereq_id}','Staff@staff_leave_status_approve')->name('staff.leave.status.pending.approve');
Route::get('staff-leave-status-reject/{stfleavereq_id}','Staff@staff_leave_status_reject')->name('staff.leave.status.pending.reject');
Route::post('staff-request-forward/{stfleavereq_id}','Staff@staff_request_forward')->name('staff.leave.request.forward');




Route::get('sectionhead','Staff@sectionhead')->name('sectionhead');
Route::post('sectionhead-save','Staff@sectionhead_save')->name('hod.save');
Route::get('sectionhead-delete/{hod_id}','Staff@sectionhead_delete')->name('hod.delete');







Route::get('salary','Salary@salary')->name('salary');
Route::get('salary-get','Salary@salary_get')->name('salary.get');
Route::post('salary-save','Salary@salary_save')->name('salary.save');

Route::get('salary-processing','Salary@salary_processing')->name('salary.processing');
Route::get('salaryprocessing-get','Salary@salaryprocessing_get')->name('salary.processing.get');
Route::post('salaryprocessing-save','Salary@salaryprocessing_save')->name('salary.processing.save');


Route::get('salary-advprocessing','Salary@advsalary_processing')->name('salary.advprocessing');
Route::get('salaryadvprocessing-get','Salary@advsalaryprocessing_get')->name('salary.advprocessing.get');
Route::post('salaryadvprocessing-save','Salary@advsalaryprocessing_save')->name('salary.advprocessing.save');

Route::get('salary-advapprove','Salary@advsalary_approve')->name('salary.advapprove');
Route::get('salaryadvapprove-get','Salary@advsalaryapprove_get')->name('salary.advapprove.get');
Route::post('salaryadvapprove-save','Salary@advsalaryapprove_save')->name('salary.advapprove.save');

Route::get('salary-approve','Salary@salary_approve')->name('salary.approve');
Route::get('salaryapprove-get','Salary@salaryapprove_get')->name('salary.approve.get');
Route::post('salaryapprove-save','Salary@salaryapprove_save')->name('salary.approve.save');


Route::get('salary-advpayment','Salary@advsalary_payment')->name('salary.advpayment');
Route::get('salaryadvpayment-get','Salary@advsalarypayment_get')->name('salary.advpayment.get');
Route::post('salaryadvpayment-save','Salary@advsalarypayment_save')->name('salary.advpayment.save');

Route::get('salary-payment','Salary@salary_payment')->name('salary.payment');
Route::get('salarypayment-get','Salary@salarypayment_get')->name('salary.payment.get');
Route::post('salarypayment-save','Salary@salarypayment_save')->name('salary.payment.save');



Route::get('salary-advprocessreport','Salary@advsalary_processreport')->name('salary.advprocessreport');
Route::get('salaryadvprocessreport-get','Salary@advsalaryprocessreport_get')->name('salary.advprocessreport.get');
Route::get('salaryadvprocessreport-print/{mnth_yr}', 'Salary@advsalary_processreport_print')->name('salary.advprocessreport.print');

Route::get('salary-processreport','Salary@salary_processreport')->name('salary.processreport');
Route::get('salaryprocessreport-get','Salary@salaryprocessreport_get')->name('salary.processreport.get');
Route::get('salaryprocessreport-print/{mnth_yr}', 'Salary@salary_processreport_print')->name('salary.processreport.print');

Route::get('salary-advpaidreport','Salary@advsalary_advpaidreport')->name('salary.advpaidreport');
Route::get('salaryadvpaidreport-get','Salary@advpaidreport_get')->name('salary.advpaidreport.get');
Route::get('salaryadvpaidreport-print/{mnth_yr}', 'Salary@advsalary_paidreport_print')->name('salary.advpaidreport.print');
Route::get('advsalaryslip-print/{receipt_no}/{payment_date}/{user_id}/{sa_id}', 'Salary@advsalaryslipprint')->name('advsalaryslip.print');

Route::get('salary-paidreport','Salary@salary_paidreport')->name('salary.paidreport');
Route::get('salarypaidreport-get','Salary@salarypaidreport_get')->name('salary.paidreport.get');
Route::get('salarypaidreport-print/{mnth_yr}', 'Salary@salary_paidreport_print')->name('salary.paidreport.print');
Route::get('salaryslip-print/{receipt_no}/{payment_date}/{user_id}/{sa_id}', 'Salary@salaryslipprint')->name('salaryslip.print');

Route::get('complaints-add','Complaints@complaints_add')->name('complaints');
Route::post('complaints-save','Complaints@complaints_save')->name('complaints.save');
Route::get('complaints-view','Complaints@complaints_view')->name('complaints.view');
Route::get('complaints-inbox','Complaints@complaints_inbox')->name('complaints.inbox');
Route::get('complaints-inbox-rply{id}','Complaints@complaints_inbox_rply')->name('complaints.inbox.reply');
Route::post('complaints-inbox-frwrd','Complaints@complaints_inbox_rply_frwrd')->name('complaints.inbox.reply.frwrd');


Route::get('ID-Card','IDCARD@idcard')->name('staff.idcard');
Route::get('idcard-get','IDCARD@idcard_get')->name('staff.idcard.get');
Route::get('idcard-print/{id}','IDCARD@idcard_print')->name('staff.idcard.print');

Route::get('ID-Card-student','IDCARD@idcard_student')->name('idcard.student');
Route::get('get-idcard-student','IDCARD@idcard_student_get')->name('idcard.student.get');
Route::get('student-idcard-print/{id}','IDCARD@idcard_print_student')->name('student.idcard.print');

Route::get('enquiry','Enquiryn@enquiry_add')->name('enquiry.add');
Route::post('enquiry-save','Enquiryn@enquiry_save')->name('enquiry.save');


Route::get('enquiry-report','Enquiryn@report')->name('enquiry.report');
Route::get('enquiry-get','Enquiryn@get_report')->name('enquiry.get');
Route::get('enquiry-ajax','Enquiryn@getData')->name('enquiry.ajax');
Route::get('enquiry-edit/{aid}','Enquiryn@enquiry_edit')->name('enquiry.edit');
Route::post('enquiry-update','Enquiryn@enquiry_update')->name('enquiry.update');
Route::get('enquiry-delete/{tid}','Enquiryn@enquiry_delete')->name('enquiry.delete');

Route::get('enquiry-admission/{aid}','Enquiryn@enquiry_admission')->name('enquiry.admission');
Route::post('enquiry-admsave','Enquiryn@enquiry_admsave')->name('enquiry.admsave');
Route::get('enquiry-reject/{tid}','Enquiryn@enquiry_reject')->name('enquiry.reject');

Route::get('enquiry-followup/{aid}','Enquiryn@enquiry_followup')->name('enquiry.followup');
Route::post('followup-save','Enquiryn@followup_save')->name('followup.save');

Route::get('enquiry-gatepass','Enquiryn@gatepass_add')->name('gatepass.add');
Route::post('gatepass-save','Enquiryn@gatepass_save')->name('gatepass.save');
Route::get('gatepass-report','Enquiryn@gatepass_report')->name('gatepass.report');
Route::get('gatepass-get','Enquiryn@get_gatepass')->name('gatepass.get');
Route::get('gatepass-ajax','Enquiryn@getGpdata')->name('gatepass.ajax');

Route::get('gatepass-print/{id}', 'Enquiryn@gatepass_print')->name('gatepass.print');

Route::get('addperiod','StaffTimeTable@addperiod')->name('addperiod');
Route::post('period-save','StaffTimeTable@period_save')->name('period.save');
Route::get('period-delete/{tid}','StaffTimeTable@period_delete')->name('period.delete');

Route::get('generate-timetable','Timetables@generateTimetable')->name('generate.timetable');
Route::get('generate-timetable-get','Timetables@generateTimetable_get')->name('generate-timetable.get');
Route::post('timetable-save','Timetables@timetable_save')->name('timetable.save');
Route::get('timetable-update','Timetables@timetable_update')->name('timetable.update');
Route::get('view-timetable-get','Timetables@viewTimetable_get')->name('view-timetable.get');


Route::get('generate-timetable-view','Timetables@Timetable_view')->name('generate.timetable.view');
Route::get('generate-timetable-view-get','Timetables@Timetable_get')->name('generate.timetable.view.get');
Route::get('timetable-print/{course}/{semester_id}', 'Timetables@timetable_print')->name('timetable.print'); 


Route::get('staff-timetable-view','Timetables@staff_timetable_view')->name('staff.timetable.view');
Route::get('staff-timetable-view-get','Timetables@staff_timetable_get')->name('staff.timetable.view.get');
Route::get('staff-timetable-print/{user_id}', 'Timetables@staff_timetable_print')->name('staff.timetable.print'); 

Route::get('staff-hourlyattendance-view','Timetables@hourlyattendance_view')->name('staff.hourlyattendance');
Route::get('staff-hourlyattendance-view-get','Timetables@hourlyattendance_get')->name('staff.hourlyattendance.get');
Route::get('student-attendance-hourly/{cid}/{did}/{date}/{prd}/{subj}/{periodname}',  'Timetables@index')->name('student_attendance.index');
Route::post('student-attendance-hourly-save','Timetables@hourlyattendance_save')->name('studentattendance.hourly.save');
Route::post('student-attendance-hourly-update','Timetables@hourlyattendance_update')->name('studentattendance.hourly.update');
Route::post('student-attendance-hourly-present-update','Timetables@hourlyattendance_present_update')->name('studentattendance.hourly.present.update');

Route::get('stafftype','Staff@stafftype')->name('stafftype');
Route::post('stafftype-save','Staff@stafftype_save')->name('stafftype.save');
Route::get('stafftype-delete/{tid}','Staff@stafftype_delete')->name('stafftype.delete');

Route::get('leavtype','Staff@leavtype')->name('leavtype');
Route::post('leavtype-save','Staff@leavtype_save')->name('leavtype.save');

Route::get('slryallowance','Staff@slryallowance')->name('slryallowance');
Route::post('slryallowance-save','Staff@slryallowance_save')->name('slryallowance.save');
Route::get('slryallowance-edit/{aid}','Staff@slryallowance_edit')->name('slryallowance.edit');
Route::post('slryallowance-update','Staff@slryallowance_update')->name('slryallowance.update');
 Route::get('slryallowance-delete/{aid}','Staff@slryallowance_delete')->name('slryallowance.delete'); 

Route::get('slrydeduction','Staff@slrydeduction')->name('slrydeduction');
Route::post('slrydeduction-save','Staff@slrydeduction_save')->name('slrydeduction.save');
Route::get('slrydeduction-edit/{did}','Staff@slrydeduction_edit')->name('slrydeduction.edit');
Route::post('slrydeduction-update','Staff@slrydeduction_update')->name('slrydeduction.update');
Route::get('slrydeduction-delete/{aid}','Staff@slrydeduction_delete')->name('slrydeduction.delete');
 
Route::get('paymentcriteria','Salary@paymentcriteria')->name('paymentcriteria');
Route::post('paymentcriteria-save','Salary@paymentcriteria_save')->name('paymentcriteria.save');

Route::get('salary-deduction-set','Salary@salary_deduction_set')->name('salary.deduction.set');
Route::post('salary-deduction-set-save','Salary@salary_deduction_set_save')->name('salary.deduction.set.save');

Route::get('salary-dedallsetting','Salary@dedallsetting')->name('dedallsetting');
Route::get('dedallsetting-get','Salary@dedallsetting_get')->name('dedallsetting.get');
Route::get('dedallsetting-save','Salary@dedallsetting_save')->name('dedallsetting.save');
Route::get('deducsetting-save','Salary@deducsetting_save')->name('deducsetting.save');

 
 
 
    Route::get('classteacher','Staff@classteacher')->name('classteacher'); 
    Route::post('classteacher-save','Staff@classteacher_save')->name('classteacher.save'); 
    Route::get('classteacher-edit/{did}','Staff@classteacher_edit')->name('classteacher.edit');
    Route::post('classteacher-update','Staff@classteacher_update')->name('classteacher.update'); 
    Route::get('classteacher-delete/{did}','Staff@classteacher_delete')->name('classteacher.delete'); 
 
    Route::get('feedbkcrit','Staff@feedbkcrit')->name('feedbkcrit');  
    //   Route::get('maincate-get','Staff@maincate_get')->name('feedbkcrit.getmain');
    //   Route::get('subcate-get','Staff@subcate_get')->name('feedbkcrit.getsub');
    //  Route::get('fdmaincriteria','Staff@fdmaincriteria')->name('fdmaincriteria'); 
    Route::post('fdmaincriteria-save','Staff@fdmaincriteria_save')->name('feedbkcrit.save'); 
    Route::post('fdmaincriteria-saves','Staff@fdmaincriteria_saves')->name('feedbkcrit.saves'); 
    Route::get('fdsubcriteria-edit/{mid}','Staff@fdsubcriteria_edit')->name('feedbkcrit.edit'); 
    Route::post('fdsubcriteria-update','Staff@fdsubcriteria_update')->name('feedbkcrit.update'); 
    Route::get('fdsubcriteria-delete/{mid}','Staff@fdsubcriteria_delete')->name('feedbkcrit.delete'); 
    Route::get('fdmaincriteria-edit/{msid}','Staff@fdmaincriteria_edit')->name('feedbkcrit.edits'); 
    Route::post('fdmaincriteria-update','Staff@fdmaincriteria_update')->name('feedbkcrit.updates'); 
    Route::get('fdmaincriteria-delete/{msid}','Staff@fdmaincriteria_delete')->name('feedbkcrit.deletes');
    Route::get('maincriteria','Staff@maincriteria')->name('feedbkcrit.main');  
    Route::get('subcriteria','Staff@subcriteria')->name('feedbkcrit.sub');  
    
    Route::get('religion','Genre@religion')->name('religion');
    Route::post('religion-save','Genre@religion_save')->name('religion.save');
    Route::get('religion-edit/{rid}','Genre@religion_edit')->name('religion.edit');
    Route::post('religion-update','Genre@religion_update')->name('religion.update');
    Route::get('religion-delete/{rid}','Genre@religion_delete')->name('religion.delete');

    Route::get('community','Genre@community')->name('community');
    Route::post('community-save','Genre@community_save')->name('community.save');
    Route::get('community-edit/{cid}','Genre@community_edit')->name('community.edit');
    Route::post('community-update','Genre@community_update')->name('community.update');
    Route::get('community-delete/{cid}','Genre@community_delete')->name('community.delete');

    Route::get('caste','Genre@caste')->name('caste');
    Route::post('caste-save','Genre@caste_save')->name('caste.save');
    Route::get('caste-edit/{cid}','Genre@caste_edit')->name('caste.edit');
    Route::post('caste-update','Genre@caste_update')->name('caste.update');
    Route::get('caste-delete/{cid}','Genre@caste_delete')->name('caste.delete');

    Route::get('addpta','Parents@addpta')->name('pta.add');
    Route::post('addpta-save','Parents@addpta_save')->name('pta.save');
    Route::get('addpta-report','Parents@addpta_report')->name('pta.report');
    Route::get('addpta-get','Parents@addpta_get')->name('pta.get');
    Route::get('addpta-attendance','Parents@addpta_attendance')->name('pta.attendance');
    Route::get('parentattendance-get','Parents@addpta_attendance_get')->name('pta.attendance.get');
    Route::post('parentattendance-save','Parents@addpta_attendance_save')->name('pta.attendance.save');

    Route::get('approve-tc-request','Staff@approvetcrequest')->name('approve.tc.request');

    Route::get('feecategory','FeeSettings@category')->name('feecategory');
    Route::post('feecategory-save','FeeSettings@category_save')->name('feecategory.save');
    Route::get('feecategory-delete/{cid}','FeeSettings@category_delete')->name('feecategory.delete');
    
    Route::get('feetype','FeeSettings@type')->name('feetype');
    Route::post('feetype-save','FeeSettings@type_save')->name('feetype.save');
    Route::get('feetype-delete/{tid}','FeeSettings@type_delete')->name('feetype.delete');
    
    Route::get('feeterm','FeeSettings@term')->name('feeterm');
    Route::post('feeterm-save','FeeSettings@term_save')->name('feeterm.save');
    Route::get('feeterm-delete/{tid}','FeeSettings@term_delete')->name('feeterm.delete');
    
    Route::get('fine','FeeSettings@fine')->name('fine');
    Route::get('fine-get','FeeSettings@fine_get')->name('fine.get');
    Route::post('fine-save','FeeSettings@fine_save')->name('fine.save');
    Route::get('fine-delete/{fid}','FeeSettings@fine_delete')->name('fine.delete');
    Route::get('add-fine-row/{tid}','FeeSettings@fine_row')->name('add.fine.row');
    
    Route::get('structure','FeeSettings@structure')->name('structure');
    Route::get('structure-get','FeeSettings@structure_get')->name('structure.get');
    Route::post('structure-save','FeeSettings@structure_save')->name('structure.save');
    
    Route::get('paymode','FeeSettings@paymode')->name('paymode');
    Route::post('paymode-save','FeeSettings@paymode_save')->name('paymode.save');
    Route::get('paymode-delete/{tid}','FeeSettings@paymode_delete')->name('paymode.delete');
    
    Route::get('hostels','Settings@hostel')->name('hostel');
    Route::post('hostel-save','Settings@save_hostel')->name('hostel.save');
    Route::get('hostel-delete/{hid}','Settings@delete_hostel')->name('hostel.delete');
    Route::get('hostelfacility','Settings@hostel_facility')->name('hostelfacility');
    Route::get('hostelfacility-ajax','Settings@hostel_facility_ajax')->name('hostelfacility.ajax');
    Route::post('hostelfacility-save','Settings@save_hostel_facility')->name('hostelfacility.save');
    Route::get('hostelfacility-delete/{hfid}','Settings@delete_hostel_facility')->name('hostelfacility.delete');
    
    Route::get('hostelmonth','Settings@hostel_month')->name('hostelmonth');
    Route::post('hostelmonth-save','Settings@save_hostel_month')->name('hostelmonth.save');
    Route::get('hostelmonth-delete/{hid}','Settings@delete_hostel_month')->name('hostelmonth.delete');
    
    Route::get('hostelfee','Settings@hostel_fee')->name('hostelfee');
    Route::post('hostelfee-save','Settings@save_hostel_fee')->name('hostelfee.save');
    Route::get('hostelfee-delete/{hid}','Settings@delete_hostel_fee')->name('hostelfee.delete');
    
    Route::get('messfee','Settings@mess_fee')->name('messfee');
    Route::post('messfee-save','Settings@save_mess_fee')->name('messfee.save');
    Route::get('messfee-delete/{hid}','Settings@delete_mess_fee')->name('messfee.delete');
    
    Route::get('hostelpayment','Hostels@payment')->name('hostelpayment');
    Route::post('hostelpayment-get','Hostels@get_payment')->name('hostelpayment.get');
    Route::post('hostelpayment-save','Hostels@save_payment')->name('hostelpayment.save');
    
    Route::get('hpreport','Hostels@report')->name('hostelpayment.report');
    Route::get('hp-report-ajax','Hostels@report_ajax')->name('hostelpayment.report.ajax');
    Route::get('hp-total-ajax','Hostels@total_ajax')->name('hostel.total.ajax');
    Route::get('hp-delete/{recno}','Hostels@delete')->name('hostelpayment.delete');
    Route::get('hp-print/{recno}','Hostels@print_bill')->name('hostelpayment.print');
    
    Route::get('hpdue','Hostels@due_report')->name('hostelpayment.due');
    Route::get('hpdue-ajax','Hostels@due_ajax')->name('hostelpayment.due.ajax');
    Route::get('hpdue-total-ajax','Hostels@due_total_ajax')->name('hpdue.total.ajax');
    Route::get('hstudent-due/{sid}','Hostels@student_due')->name('hostel.student.due');
    
    Route::get('usertype','Users@usertype')->name('usertype');
    Route::post('usertype-save','Users@usertype_save')->name('usertype.save');
    Route::get('usertype-delete/{cid}','Users@usertype_delete')->name('usertype.delete');
    
    Route::get('users','Users@user')->name('user');
    Route::post('user-save','Users@user_save')->name('user.save');
    Route::get('user-edit/{uid}','Users@user_edit')->name('user.edit');
    Route::post('user-update','Users@user_update')->name('user.update');
    Route::get('user-delete/{uid}','Users@user_delete')->name('user.delete');
    
    Route::get('fiqac','Iqac@iqac_upload')->name('iqacupload');
    Route::post('fiqac-save','Iqac@save')->name('fiqac.save');
    Route::get('fiqacrp','Iqac@iqac_report')->name('iqacrep');
    Route::get('fiqacreport-ajax','Iqac@getData')->name('iqacreport.ajax');
    Route::get('fiqac-delete/{sid}','Iqac@delete')->name('fiqac.delete');
   
    Route::get('member-add','Memberships@member_add')->name('lib.member');
    Route::get('member-get','Memberships@member_get')->name('lib.member.get');
    Route::post('member-add-save','Memberships@member_save')->name('lib.member.save');
    Route::get('mem-add-save','Memberships@mem_save')->name('lib.mem.save');
    Route::get('memother-add-save','Memberships@memother_save')->name('lib.memother.save');
   
    Route::get('member-view','Memberships@member_view')->name('lib.member.view');
    Route::get('member-view-get','Memberships@member_view_get')->name('lib.member.view.get');

    Route::get('previlage','Users@previlage')->name('previlage');
    Route::post('previlage-get','Users@get_previlage')->name('previlage.get');
    Route::post('previlage-save','Users@save_previlage')->name('previlage.save');
    
    /*--------------- Accounts ---------------*/
    
    
    
    /*--------------- Ajax ---------------*/
    
    Route::get('get-semesters/{cid}','Ajax@getSemesters');
    Route::get('get-sem/{cid}','Ajax@getSem');
    Route::get('get-leave/{sid}','Ajax@getLeave');
    Route::get('get-leavtype/{tid}','Ajax@getLeavetype');
    Route::get('get-user-stafftype/{sid}','Ajax@stafftype');
    Route::get('get-userdesig/{did}','Ajax@staffdesig');
    Route::get('get-compt/{did}','Ajax@getcompt');
    Route::get('get-staffclub/{did}','Ajax@getclubstaff');
    Route::get('get-user/{sid}','Ajax@getStaff');
    Route::get('get-subcatlib/{cid}','Ajax@getSubcatlib');
    Route::get('get-subloclib/{cid}','Ajax@getSubloclib');
    Route::get('get-subcate/{cid}','Ajax@getsubcate');
    Route::get('get-meeting/{mid}','Ajax@getmeeting');
    Route::get('get-meeting-course/{mid}','Ajax@getmeetingcourse');
    Route::get('get-pso/{cid}','Ajax@getPso');  
    Route::get('get-exammonth','Ajax@getexammonth');
    Route::get('get-examyear','Ajax@getexamyear');
    // Route::get('get-stafftype/{cid}','Ajax@getStafftyp');
    Route::get('get-busnumber/{rid}','Ajax@getBusNumber');
    Route::get('get-community/{cid}','Ajax@getCommunity');
    Route::get('get-category-studendet-report/{cid}','Ajax@getCommunity_student_report');
    Route::get('get-desig/{cid}','Ajax@getDesig');
    Route::get('get-sub/{cid}','Ajax@getsub');
    Route::get('get-subsem/{cid}','Ajax@getsubsem');
    Route::get('get-iqacdocuments/{cid}','Ajax@getIqacdocuments');
    /*Route::get('get-subtyp/{cid}','Ajax@getsubtyp');*/
    Route::get('get-subtyp','Ajax@getsubtyps');
    Route::get('test','Users@test')->name('test');
    Route::get('get-subject','Ajax@getsubject');
    Route::get('get-caste','Ajax@getcaste');
    Route::get('get-subj','Ajax@getsubj');
    Route::get('get-subspcl','Ajax@getsubspcl');
    Route::get('get-co','Ajax@getco');
    Route::get('get-obeexams','Ajax@getobexams');
    Route::get('get-stud','Ajax@getstud');
    Route::get('get-internalgen','Ajax@getinternalgen');
    Route::get('get-activity','Ajax@getactivity');
    Route::get('get-activityoutcome','Ajax@getactivityoutcome');
    Route::get('get-minorI','Ajax@getMinorI');
    Route::get('get-minorII','Ajax@getMinorII');
    Route::get('get-mdcI','Ajax@getMdcI');
    Route::get('get-aecI','Ajax@getAecI');
    Route::get('get-aecII','Ajax@getAecII');
    Route::get('get-mdcsI','Ajax@getMdcsI');
    Route::get('get-minorsI','Ajax@getMinorsI');
    Route::get('get-minorsII','Ajax@getMinorsII');
    Route::get('get-aecsI','Ajax@getAecsI');
    Route::get('get-aecsII','Ajax@getAecsII');
    Route::get('get-eseexam','Ajax@geteseexam');
    Route::get('get-esesub','Ajax@getexamsub');
    Route::get('get-staffsub','Ajax@getStaffsub');
    Route::get('get-categ-sub','Ajax@getcategsubj');
    Route::get('get-subjfyugp','Ajax@getsubjfyugp');
    Route::get('get-fyugpsub','Ajax@getfyugpsub');
    Route::get('get-minorprefsub','Ajax@getMinorprefsub');
    Route::get('get-coursesubjfyugp','Ajax@getcoursesubjfyugp');
    Route::get('update-barcode','Ajax@updateBarcode');

});


Route::get('/student','Students@login')->name('student.login');
Route::post('student-log-action','Students@logaction')->name('student.log.action');
Route::group(['middleware'=>'studentauth'],function(){
    Route::get('student-logout','Students@logout')->name('student.logout');
    Route::get('student-home','Students@home')->name('student.home');

    Route::get('student-tc','StudentLogin@studenttc')->name('studenttc');
    Route::post('student-tc-save','StudentLogin@studenttc_save')->name('studenttc.save');
    Route::get('student-tc-report','StudentLogin@studenttc_report')->name('studenttc.report');
    Route::get('student-leave-request','StudentLogin@studentleaverequest')->name('studentlog.leave.request');
    Route::post('student-leave-request-save','StudentLogin@studentleaverequest_save')->name('studentlog.leave.request.save');

    Route::get('student-leave-request-report','StudentLogin@studentleaverequest_report')->name('studentlog.leave.request.report');
   
    Route::get('student-specialclass','StudentLogin@specialclass')->name('studentlog.specialclass');
    Route::get('student-tutorial','StudentLogin@tutorial')->name('studenttutorial');

    Route::get('student-fee','StudentLogin@studentfee')->name('studentlog.fee');
    Route::get('payment-print-studentlog/{receipt_no}/{paid_date}','StudentLogin@searchstudent_payment_print')->name('studentlog.history.print');
    Route::get('student-fee-due','StudentLogin@studentfeedue')->name('studentlog.fee.due');

    Route::get('studentlog-attendance','StudentLogin@studentattendance')->name('studentlog.attendance');
    Route::get('studentlog-attendance-report','StudentLogin@studentattendance_report')->name('studentlog.attendance.report');

    Route::get('club','StudentLogin@requestclub')->name('studentlog.club');
    Route::get('get-staff-join/{club_id}','StudentLogin@requestclubjoin')->name('clubjoin.request');
    Route::post('clubjoin','StudentLogin@requestclubjoin_save')->name('clubjoin.request.save');
    Route::get('club-report-join','StudentLogin@requestclub_report_join')->name('club.request.report');

    Route::get('feebackstudentlogin','StudentLogin@feedback')->name('studentlog.feedback');

    Route::get('fdbk-get','StudentLogin@feedback_get')->name('studentlog.feedback.get');
    Route::post('fdbk-save','StudentLogin@feedback_save')->name('studentlog.feedback.save');
    Route::get('fdbk-college','StudentLogin@feedback_college')->name('studentlog.feedback.college');
    Route::post('fdbk-college-save','StudentLogin@feedback_college_save')->name('studentlog.feedback.college.save');

    Route::get('viewexam-studentlog','StudentLogin@examtimetable')->name('studentlog.examtimetable');
    Route::get('get-semstudentlog/{cid}','StudentLogin@sem')->name('studentlog.sem');
    Route::get('get-eseexamstudentlog','StudentLogin@geteseexam')->name('studentlog.sem.exam');
    Route::get('fyugpviewexamstudentlog-get','StudentLogin@geteseexam_get')->name('studentlog.sem.exam.get');
    Route::get('fyugpviewexamstudentlog-print/{course}/{semester_id}/{exam_id}','StudentLogin@geteseexam_print')->name('fyugpviewexamstudentlog.print');
    
    Route::get('fyugp-studentlog','StudentLogin@preferences_add')->name('studentlog.preferences');
    Route::get('get-preferences-tudentlog','StudentLogin@preferences_get')->name('studentlog.preferences.get');
    Route::post('preferences-studentlog-save','StudentLogin@preferences_save')->name('studentlog.preferences.save');
    
    Route::get('fyugp-studentlog-pathway','StudentLogin@pathway_change')->name('studentlog.pathway.change');
    Route::post('pathway-studentlog-save','StudentLogin@pathway_save')->name('studentlog.pathway.save');
    
    Route::get('lms-studentlog','StudentLogin@lms_assignment_add')->name('studentlog.lms.assignment');
    Route::get('get-lmsassignment-studentlog','StudentLogin@lmsassignment_get')->name('studentlog.lmsassignment.get');
    Route::post('lmsassignment-studentlog-save','StudentLogin@lmsassignment_save')->name('studentlog.lmsassignment.save');
    Route::get('/student/assignment-counts','StudentLogin@getAssignmentDetails')->name('student.assignment.counts');
    
    Route::get('/student/specialclass-counts','StudentLogin@getSpecialclassDetails')->name('student.specialclass.counts');
    
    
    Route::get('reservebooks-studentlog','StudentLogin@reservebooks')->name('studentlog.reservebooks');
    Route::get('get-categstudentlog/{cid}','StudentLogin@libcateg')->name('studentlog.libcateg');
    Route::get('reservebooks-studentlog-get','StudentLogin@book_reserve_get')->name('studentlog.reservebooks.get');
    Route::post('reservebooks-studentlog-save','StudentLogin@reservebooks_save')->name('studentlog.reservebooks.save');
     
    Route::get('reservelist-studentlog','StudentLogin@reservelist')->name('studentlog.reservelist');
    Route::get('reservelist-studentlog-cancel/{lid}','StudentLogin@reservelist_cancel')->name('studentlog.reservelist.cancel');
    
    Route::get('book.duereport.studentlog','StudentLogin@book_duereport')->name('studentlog.book.duereport');
    Route::get('book.duereport.studentlog.get','StudentLogin@book_duereport_get')->name('StudentLogin.book.duereport.get');
    
     Route::get('timetable.studentlog','StudentLogin@timetable')->name('studentlog.timetable');
    Route::get('timetable.studentlog.get','StudentLogin@timetable_get')->name('StudentLogin.timetable.get');
    Route::get('studentlog-timetable-print/{semester_id}', 'StudentLogin@timetable_print')->name('studentlog.timetable.print'); 
    
    Route::get('econtent-studentlogin','StudentLogin@econtent')->name('studentlog.econtent');
    
    Route::get('get-minorIstudentlog','StudentLogin@getMinorI');
    Route::get('get-minorIIstudentlog','StudentLogin@getMinorII');
    Route::get('get-mdcIstudentlog','StudentLogin@getMdcI');
    Route::get('get-aecIstudentlog','StudentLogin@getAecI');
    Route::get('get-aecIIstudentlog','StudentLogin@getAecII');
    Route::get('assignment','InternalAssessStudent@assignment')->name('studentlog.internal.assig');
    Route::get('get-assigsub-stulg','InternalAssessStudent@assignment_sub_get')->name('studentlog.internal.assig.sbget');
    Route::get('inter-assignmt-view-stu-get','InternalAssessStudent@assignment_sub_get_det')->name('studentlog.internal.assig.get');
    Route::post('inter-assig-submit','InternalAssessStudent@submit_assig')->name('submit.assignmt.internal');



});