
<?php $__env->startSection('title','Reservation'); ?>
<?php $__env->startSection('heading','Book Reservation'); ?>
<?php $__env->startSection('breadcrumb','Home / Book Reservation'); ?>
<?php $__env->startSection('content'); ?>
    <?php if($membership): ?>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <a class="btn btn-sm btn-danger" href="<?php echo e(route('student.reservation.add')); ?>">
                        <i class=" mdi icon-plus mr-1"></i>
                        New Reservation
                    </a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="fdate">From Date</label>
                            <input type="date" class="form-control" id="fdate">
                        </div>
                    </div>
                    <div class="col-12 col-md-6">
                        <div class="form-group">
                            <label for="tdate">To Date</label>
                            <div class="row">
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <input type="date" class="form-control" id="tdate">
                                    </div>
                                </div>
                                <div class="col-12 col-md-6">
                                    <div class="form-group">
                                        <button type="button" class="btn btn-sm btn-success" id="filter">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="card">
            <div class="card-body">
                <table class="table table-bordered" id="reservationTable" width="100%">
                    <thead>
                    <tr>
                        <th>Access No</th>
                        <th>Book Title</th>
                        <th>Author</th>
                        <th>Date</th>
                        <th>Status</th>
                        <th class="no-sort">Actions</th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
        <script>
            $(function () {
                var reservationTable = $("#reservationTable").DataTable({
                    lengthChange: true,
                    lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                    scrollX: true,
                    searching: true,
                    processing : true,
                    serverSide : true,
                    stateSave : true,
                    columnDefs : [
                        { targets: 'no-sort', orderable: false },
                        { targets: [0, 2, 3, 4, 5], className: 'text-center' }
                    ],
                    ajax : {
                        url : '<?php echo e(route('student.reservation.ajax')); ?>',
                        dataType : 'json',
                        type : 'GET',
                        data: function(data){
                            data.fdate = $('#fdate').val();
                            data.tdate = $('#tdate').val();
                        }
                    },
                    columns : [
                        { data : 'ano' },
                        { data : 'book' },
                        { data : 'author' },
                        { data : 'date' },
                        { data : 'status' },
                        { data : 'action' },
                    ]
                });
                
                $('#filter').click(function(){
                    reservationTable.draw();
                });
            });
        </script>
    <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Library Membership not Found !</div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/student/library/reservation.blade.php ENDPATH**/ ?>