<?php if($member_det): ?>
    <input type="hidden" id="member_id" value="<?php echo e($member_det->id); ?>">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5 text-sm-right">Membership No : </label>
                        <label class="col-7 text-danger"><?php echo e($member_det->membership_no); ?></label>
                    </div>
                </div>
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5 text-sm-right">Member Name : </label>
                        <label class="col-7 text-danger"><?php echo e($member_det->member_name); ?></label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-sm-6">
                    <div class="form-group row">
                        <label class="col-5 text-sm-right">Member Type : </label>
                        <label class="col-7 text-danger"><?php echo e($member_det->membertype->member_type); ?></label>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="bookcode">Scan Book</label>
                        <input type="text" class="form-control" id="bookcode">
                    </div>
                </div>
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="bookno">Book No</label>
                        <input type="text" class="form-control" id="bookno">
                    </div>
                </div>
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="book">Book</label>
                        <div class="row">
                            <div class="col-12 col-md-8">
                                <div class="form-group">
                                    <select class="form-control" id="book"></select>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="form-group">
                                    <button type="button" class="btn btn-sm btn-success" id="add-book" onclick="addBook();">Add</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div id="temp-books"></div>
        </div>
    </div>
    <br>
    <div class="card card-primary">
        <div class="card-header">Book in Hand</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th width="10%"><input type="checkbox" onclick="checkAll(this);"></th>
                                <th width="15%">Book No</th>
                                <th width="30%">Title</th>
                                <th width="15%">Issue Date</th>
                                <th width="15%">Due Date</th>
                                <th width="15%">Fine</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $member_det->issues()->where('status','Issued')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $issue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td align="center"><input type="checkbox" class="checkSub" name="posted[]" value="<?php echo e($issue->id); ?>"></td>
                                    <td align="center"><?php echo e($issue->book->book_no); ?></td>
                                    <td align="center"><?php echo e($issue->book->title); ?></td>
                                    <td align="center"><?php echo e($issue->issue_date_formatted); ?></td>
                                    <td align="center"><?php echo e($issue->due_date_formatted); ?></td>
                                    <td align="center"><?php echo e($issue->fine_amount); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="6" align="center">No Result Found</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <?php if($member_det->issues()?->where('status','Issued')->count() > 0): ?>
                <br>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="button" class="btn btn-sm btn-info float-right" onclick="returnBooks('<?php echo e($member_det->id); ?>');">Return Books</button>
                            <button type="button" class="btn btn-sm btn-primary float-right mr-2" onclick="renewBooks('<?php echo e($member_det->id); ?>');">Renew Books</button>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
    <br>
    <div class="card card-primary">
        <div class="card-header">Book Issue History</div>
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th width="15%">Book No</th>
                                <th width="40%">Title</th>
                                <th width="15%">Issue Date</th>
                                <th width="15%">Due Date</th>
                                <th width="15%">Returned Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__empty_1 = true; $__currentLoopData = $member_det->issues()->where('status','Returned')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $issue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <tr>
                                    <td align="center"><?php echo e($issue->book->book_no); ?></td>
                                    <td align="center"><?php echo e($issue->book->title); ?></td>
                                    <td align="center"><?php echo e($issue->issue_date_formatted); ?></td>
                                    <td align="center"><?php echo e($issue->due_date_formatted); ?></td>
                                    <td align="center"><?php echo e($issue->return_date_formatted); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="5" align="center">No Result Found</td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php else: ?>
    <div class="alert alert-danger">Invalid Membership !</div>
<?php endif; ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/issue/member.blade.php ENDPATH**/ ?>