 
<?php $__env->startSection('title', 'Balance Sheet'); ?> 
<?php $__env->startSection('heading', 'Balance Sheet'); ?> 
<?php $__env->startSection('breadcrumb', 'Home / Account / Report / Balance Sheet'); ?> 
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('accounts.report.balancesheet')); ?>" method="GET">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate); ?>" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate); ?>" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <?php if($export==1): ?>
                            <a href="<?php echo e(route('accounts.report.balancesheet.export',['fdate'=>$fdate,'tdate'=>$tdate,'accountid'=>$accountid])); ?>" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php
                $total_expense=$total_income=0;
                foreach($expenses as $key => $value){
                    $total_expense += $value['total_amount'];
                }
                
                foreach($incomes as $key => $value){
                    $total_income += $value['total_amount'];
                }
                
                $profit_loss = $total_income-$total_expense;
            ?>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Liability</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $total_liability=0; ?>
                            <?php $__currentLoopData = $liabilities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_liability += $value['total_amount']; ?>
                                <tr>
                                    <td><?php echo e($value['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($value['total_amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if($profit_loss > 0): ?>
                                <?php $total_liability += $profit_loss; ?>
                                <tr>
                                    <td>Profit & Loss A/c</td>
                                    <td align="right"><?php echo e(number_format($profit_loss,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Asset</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $total_asset=0; ?>
                            <?php $__currentLoopData = $assets; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_asset += $value['total_amount']; ?>
                                <tr>
                                    <td><?php echo e($value['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($value['total_amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if($profit_loss < 0): ?>
                                <?php $total_asset += -$profit_loss; ?>
                                <tr>
                                    <td>Profit & Loss A/c</td>
                                    <td align="right"><?php echo e(number_format(-$profit_loss,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <?php if($total_liability < $total_asset): ?>
                                <?php $op_bal = $total_asset-$total_liability;
                                $total_liability += $op_bal; ?>
                                <tr>
                                    <td width="70%">Difference In Opening Balance</td>
                                    <td align="right"><?php echo e(number_format($op_bal,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <?php if($total_liability > $total_asset): ?>
                                <?php $op_bal = $total_liability-$total_asset;
                                $total_asset += $op_bal; ?>
                                <tr>
                                    <td width="70%">Difference In Opening Balance</td>
                                    <td align="right"><?php echo e(number_format($op_bal,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_liability,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_asset,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/account/report/balancesheet.blade.php ENDPATH**/ ?>