 
<?php $__env->startSection('title', 'Profit & Loss'); ?> 
<?php $__env->startSection('heading', 'Profit & Loss'); ?> 
<?php $__env->startSection('breadcrumb', 'Home / Account / Report / Profit & Loss'); ?> 
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('accounts.report.profitloss')); ?>" method="GET">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate); ?>" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate); ?>" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <?php if($export==1): ?>
                            <a href="<?php echo e(route('accounts.report.profitloss.export',['fdate'=>$fdate,'tdate'=>$tdate,'accountid'=>$accountid])); ?>" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Expense</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $total_expense=0; ?>
                            <?php $__currentLoopData = $expenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_expense += $value['total_amount']; ?>
                                <tr>
                                    <td><?php echo e($value['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($value['total_amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Income</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $total_income=0; ?>
                            <?php $__currentLoopData = $incomes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_income += $value['total_amount']; ?>
                                <tr>
                                    <td><?php echo e($value['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($value['total_amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <?php $profit_loss = $total_income-$total_expense; ?>
                            <?php if($profit_loss > 0): ?>
                                <?php $total_expense += $profit_loss; ?>
                                <tr>
                                    <td width="70%">Surplus ( Profit )</td>
                                    <td align="right"><?php echo e(number_format($profit_loss,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <?php if($profit_loss < 0): ?>
                                <?php $total_income += (-$profit_loss); ?>
                                <tr>
                                    <td width="70%">Deficit ( Loss )</td>
                                    <td align="right"><?php echo e(number_format(-$profit_loss,2)); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_expense,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_income,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/account/report/profitloss.blade.php ENDPATH**/ ?>