
<?php $__env->startSection('title','Membership'); ?>
<?php $__env->startSection('heading','Student Membership'); ?>
<?php $__env->startSection('breadcrumb','Home / Library / Membership / Student'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-header">
            <div class="card-tools">
                <?php echo e(app_button_links(array(656))); ?>

            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="course">Course</label>
                        <select class="js-example-basic-single form-control" id="course">
                            <option value="">Select</option>
                            <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($course->course_id); ?>"><?php echo e($course->course_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="semester">Semester</label>
                        <select class="js-example-basic-single form-control" id="semester">
                            <option value="">Select</option>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="status">Status</label>
                        <div class="row">
                            <div class="col-12 col-md-6">
                                <div class="form-group">
                                    <select class="js-example-basic-single form-control" id="status">
                                        <option value="">Select</option>
                                        <option value="Active">Active</option>
                                        <option value="Inactive">Inactive</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-12 col-md-6">
                                <div class="form-group">
                                    <button type="button" class="btn btn-sm btn-success" id="filter">Filter</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="membersTable" width="100%">
                <thead>
                <tr>
                    <th>No</th>
                    <th>Member Name</th>
                    <th>Course</th>
                    <th>Semester</th>
                    <th>Date</th>
                    <th>Contact No</th>
                    <th>Status</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/js/library/membership.js')); ?>"></script>
    <script>
        $(function () {
            var membersTable = $("#membersTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [
                    { targets: 'no-sort', orderable: false },
                    { targets: [0, 2, 3, 4, 5, 6, 7], className: 'text-center' }
                ],
                ajax : {
                    url : '<?php echo e(route('library.membership.student.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.course = $('#course').val(),
                        data.semester = $('#semester').val(),
                        data.status = $('#status').val();
                    }
                },
                columns : [
                    { data : 'mno' },
                    { data : 'name' },
                    { data : 'course' },
                    { data : 'semester' },
                    { data : 'date' },
                    { data : 'contact' },
                    { data : 'status' },
                    { data : 'action' },
                ]
            });
            
            $('#filter').click(function(){
                membersTable.draw();
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/library/membership/student.blade.php ENDPATH**/ ?>