
<?php $__env->startSection('title','Reservation'); ?>
<?php $__env->startSection('heading','Book Reservation'); ?>
<?php $__env->startSection('breadcrumb','Home / Book Reservation'); ?>
<?php $__env->startSection('content'); ?>
    <?php if($membership): ?>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <a class="btn btn-sm btn-danger" href="<?php echo e(url()->previous()); ?>">Cancel</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="category">Category</label>
                            <select class="js-example-basic-single form-control" id="category">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($category->id); ?>"><?php echo e($category->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-md-3">
                        <div class="form-group">
                            <label for="subcategory">Sub Category</label>
                            <select class="js-example-basic-single form-control" id="subcategory">
                                <option value="">Select</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6">
                        <div class="form-group">
                            <label for="skey">Keyword</label>
                            <div class="row">
                                <div class="col-12 col-md-8">
                                    <div class="form-group">
                                        <input type="text" class="form-control" id="skey" placeholder="Search Key Word">
                                    </div>
                                </div>
                                <div class="col-12 col-md-4">
                                    <div class="form-group">
                                        <button type="button" class="btn btn-sm btn-success" id="filter">Filter</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <br>
        <div class="card">
            <div class="card-body">
                <table class="table table-bordered" id="booksTable" width="100%">
                    <thead>
                    <tr>
                        <th>Access No</th>
                        <th>Book Title</th>
                        <th>Author</th>
                        <th>Category</th>
                        <th>Sub Category</th>
                        <th>Availability</th>
                        <th class="no-sort">Reserve</th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
        <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
        <script src="<?php echo e(asset('public/js/library/book.js')); ?>"></script>
        <script>
            $(function () {
                var booksTable = $("#booksTable").DataTable({
                    lengthChange: true,
                    lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                    scrollX: true,
                    searching: true,
                    processing : true,
                    serverSide : true,
                    stateSave : true,
                    columnDefs : [
                        { targets: 'no-sort', orderable: false },
                        { targets: [0, 2, 3, 4, 5, 6], className: 'text-center' }
                    ],
                    ajax : {
                        url : '<?php echo e(route('student.reservation.books')); ?>',
                        dataType : 'json',
                        type : 'GET',
                        data: function(data){
                            data.category = $('#category').val(),
                            data.subcategory = $('#subcategory').val(),
                            data.skey = $('#skey').val();
                        }
                    },
                    columns : [
                        { data : 'ano' },
                        { data : 'book' },
                        { data : 'author' },
                        { data : 'category' },
                        { data : 'subcategory' },
                        { data : 'available' },
                        { data : 'action' },
                    ]
                });
                
                $('#filter').click(function(){
                    booksTable.draw();
                });
            });
        </script>
    <?php else: ?>
        <div class="row">
            <div class="col-12">
                <div class="alert alert-danger">Library Membership not Found !</div>
            </div>
        </div>
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.student-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/student/library/add_reservation.blade.php ENDPATH**/ ?>