
<?php $__env->startSection('title','Settings'); ?>
<?php $__env->startSection('heading','Syllabus'); ?>
<?php $__env->startSection('breadcrumb','Settings / Subject / Syllabus'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-primary">
        <div class="card-header">Add Syllabus</div>
        <div class="card-body">
            <form action="<?php echo e(route('syllabus.save')); ?>" method="post" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="course_id" class="required">Course</label>
                            <select class="js-example-basic-single" id="course_id" name="course_id" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $courses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $course): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($course->course_id); ?>" <?php echo e(old('course_id') == $course->course_id ? "selected":""); ?>><?php echo e($course->course_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="semester_id" class="required">Semester</label>
                            <select class="js-example-basic-single" id="semester_id" name="semester_id" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $semesters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $semester): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($semester->semester_id); ?>" <?php echo e(old('semester_id') == $semester->semester_id ? "selected":""); ?>><?php echo e($semester->semester_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="subcat_id" class="required">Subject Category</label>
                            <select class="js-example-basic-single" id="subcat_id" name="subcat_id" style="width:100%">
                                <option value="">Select</option>
                                <?php $__currentLoopData = $subcats; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($subcat->id); ?>" <?php echo e(old('subcat_id') == $subcat->id ? "selected":""); ?>><?php echo e($subcat->category); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="subject_id" class="required">Subject</label>
                            <select class="js-example-basic-single" id="subject_id" name="subject_id" style="width:100%">
                                <option value="">Select</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="text">click here to type syllabus</label>
                            <input type="checkbox" class="form-control <?php $__errorArgs = ['text'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger  <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="textCheckbox" name="text" value="<?php echo e(old('text')); ?>" style="height:15px;width:15px">
                            <div class="row"><br>
                                <textarea name="text" id="textBox" class="form-control" style="display:none; margin-top: 10px;"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-4">
                        <div class="form-group">
                            <label for="photo" >Syllabus</label>
                            <input type="file" class="form-control <?php $__errorArgs = ['photo'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> border-danger <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="photo" name="photo" value="<?php echo e(old('photo')); ?>">
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <div class="form-group">
                            <button type="submit" class="btn btn-success float-right">Save</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <br>
    <div class="card card-primary">
        <div class="card-header">View Syllabus</div>
        <div class="card-body">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th>#</th>
                    <th>Course</th>
                    <th>Semester</th>
                    <th>Subject</th>
                    <th>Text</th>
                    <th>Attachment</th>
                </tr>
                </thead>
                <tbody>
                    <?php $__empty_1 = true; $__currentLoopData = $syllabuses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $syllabus): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                        <tr>
                            <td align="center"><?php echo e($loop->iteration); ?></td>
                            <td align="center"><?php echo e($syllabus->course->course_name); ?></td>
                            <td align="center"><?php echo e($syllabus->semester->semester_name); ?></td>
                            <td align="center"><?php echo e($syllabus->subject->subject_name); ?></td>
                            <td style="word-wrap: break-word; word-break: break-all; white-space: normal;"><?php echo e($syllabus->text); ?></td>
                            <td>
                                <?php if($syllabus->photo): ?>
                                    <a href="<?php echo e(asset('public/uploads/student/syllabus/'.$syllabus->photo)); ?>" download>Download</a>
                                <?php endif; ?>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                        <tr>
                            <td colspan="6">No Result Found !</td>
                        </tr>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('public/js/sem.js')); ?>"></script> 
    <script src="<?php echo e(asset('public/js/sub.js')); ?>"></script> 
    <script>
        $(document).ready(function () {
            $('#textCheckbox').on('change', function () {
                if ($(this).is(':checked')) {
                    $('#textBox').show();
                } else {
                    $('#textBox').hide();
                }
            });
        });
    </script> 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.settings-template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/students/syllabus.blade.php ENDPATH**/ ?>