<div class="card card-primary">
    <div class="card-header">Student Login Details</div>
    <div class="card-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <a href="<?php echo e(route('student.logindetails.get.print', ['course_id' => $course->course_id, 'sem_id' => $sem->semester_id])); ?>" class="btn btn-sm btn-success btn-icon-text" target="_blank">
                        <i class="icon-printer btn-icon-prepend"></i> Print
                    </a>
                    <a href="<?php echo e(route('student.logindetails.get.send', ['course_id' => $course->course_id, 'sem_id' => $sem->semester_id])); ?>" class="btn btn-sm btn-info btn-icon-text" target="_blank">
                        <i class="icon-envelope-letter btn-icon-prepend"></i> Send Mail
                    </a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Student Name</th>
                            <th>Adno</th>
                            <th>Email</th>
                            <th>Password</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $student; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $students): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e($loop->iteration); ?></td>
                                <td><?php echo e(strtoupper($students->name)); ?></td>
                                <td><?php echo e($students->adno); ?></td>
                                <td class="editable" ondblclick="editField(this, '<?php echo e($students->student_id); ?>', 'email')">
                                    <?php echo e($students->email); ?>

                                    <span class="edit-indicator" title="Double-click to edit">✏️</span>
                                </td>
                                <td class="editable" ondblclick="editField(this, '<?php echo e($students->student_id); ?>', 'password')">
                                    ****** 
                                    <span class="edit-indicator" title="Double-click to edit">✏️</span>
                                </td>
                                <?php if($students->status == 1): ?>
                                    <td class="text-success">Active</td>
                                <?php endif; ?>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="6">No Result Found!</td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script src="<?php echo e(asset('public/template/plugins/jquery/jquery.min.js')); ?>"></script>
<script>
    function editField(cell, studentId, field) {
        const currentValue = field === 'password' ? '' : cell.innerText; 
        const input = document.createElement('input');
        input.type = field === 'password' ? 'text' : 'text'; 
        input.value = currentValue; 
        input.style.width = '100%'; 
        input.style.border = '1px solid #ccc'; 
        input.style.padding = '5px'; 

        input.onblur = () => saveField(input, studentId, field);
        input.onkeypress = (event) => {
            if (event.key === 'Enter') {
                saveField(input, studentId, field);
            }
        };

        cell.innerHTML = ''; 
        cell.appendChild(input); 
        input.focus(); 
    }

    function saveField(input, studentId, field) {
        const newValue = input.value;

        $.ajax({
            url: "<?php echo e(route('student.logindetails.update')); ?>",
            method: 'POST',
            data: {
                student_id: studentId,
                field: field,
                value: newValue,
                _token: '<?php echo e(csrf_token()); ?>'
            },
            success: function(response) {
                if (response.success) {
                    if (field === 'password') {
                        input.parentNode.innerText = '******'; 
                    } else {
                        input.parentNode.innerText = newValue;
                    }
                } else {
                   
                }
            },
            error: function() {
             
            }
        });
    }
</script>

<style>
    
    
    .editable {
        cursor: pointer; /* Indicate that the cell is editable */
        position: relative; /* For positioning the edit indicator */
    }
    .edit-indicator {
        font-size: 14px; /* Adjust the size of the edit icon */
        margin-left: 5px; /* Space between text and icon */
        color: #007bff; /* Color for the edit indicator */
        cursor: pointer; /* Pointer cursor for the edit indicator */
    }
    .card-body {
        border-left: 1px solid #DCDCDC;
        border-right: 1px solid #DCDCDC;
        border-bottom: 1px solid #DCDCDC;
    }
</style>
<?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/logincd/student_login_details_get.blade.php ENDPATH**/ ?>