 
<?php $__env->startSection('title', 'Receipts & Payments'); ?> 
<?php $__env->startSection('heading', 'Receipts & Payments'); ?> 
<?php $__env->startSection('breadcrumb', 'Home / Account / Report / Receipts & Payments'); ?> 
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <form action="<?php echo e(route('accounts.report.receiptpayment')); ?>" method="GET">
            <div class="row">
                <div class="col-12 col-sm-3">
                    <div class="form-group">
                        <label for="fdate" class="required">From Date</label>
                        <input type="date" class="form-control" id="fdate" name="fdate" value="<?php echo e($fdate); ?>" required>
                    </div>
                </div>
                <div class="col-12 col-sm-5">
                    <div class="form-group">
                        <label for="tdate" class="required">To Date</label>
                        <div class="row">
                            <div class="col-12 col-sm-7">
                                <div class="form-group">
                                    <input type="date" class="form-control" id="tdate" name="tdate" value="<?php echo e($tdate); ?>" required>
                                </div>
                            </div>
                            <div class="col-12 col-sm-5">
                                <div class="form-group">
                                    <button type="submit" class="btn btn-sm btn-success">Submit</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <?php if($export==1): ?>
                            <a href="<?php echo e(route('accounts.report.receiptpayment.export',['fdate'=>$fdate,'tdate'=>$tdate,'accountid'=>$accountid])); ?>" class="btn btn-sm btn-danger float-right" target="_blank">Export</a>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <?php $total_receipts = $total_payments = 0; ?>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Receipts</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $openings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $opening): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_receipts += $opening['amount']; ?>
                                <tr>
                                    <td><?php echo e('OPENING BALANCE : '.$opening['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($opening['amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php if(array_key_exists('receipt', $voucher_amounts)): ?>
                                <?php $__currentLoopData = $voucher_amounts['receipt']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $voucher_amount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $total_receipts += $voucher_amount['amount']; ?>
                                    <tr>
                                        <td><?php echo e($voucher_amount['ledger_name']); ?></td>
                                        <td align="right"><?php echo e(number_format($voucher_amount['amount'],2)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered mt-2">
                        <thead>
                        <tr>
                            <th width="70%">Payments</th>
                            <th width="30%">Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                            <?php if(array_key_exists('payment', $voucher_amounts)): ?>
                                <?php $__currentLoopData = $voucher_amounts['payment']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $voucher_amount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php $total_payments += $voucher_amount['amount']; ?>
                                    <tr>
                                        <td><?php echo e($voucher_amount['ledger_name']); ?></td>
                                        <td align="right"><?php echo e(number_format($voucher_amount['amount'],2)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <?php $__currentLoopData = $closings; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $closing): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $total_payments += $closing['amount']; ?>
                                <tr>
                                    <td><?php echo e('CLOSING BALANCE : '.$closing['ledger_name']); ?></td>
                                    <td align="right"><?php echo e(number_format($closing['amount'],2)); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_receipts,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="col-6">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <td width="70%"><b>TOTAL</b></td>
                                <td align="right"><b><?php echo e(number_format($total_payments,2)); ?></b></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/account/report/receiptpayment.blade.php ENDPATH**/ ?>