<style>
    * {
        font-family: Arial, sans-serif;
    }
    .container {
        width: 100%;
        text-align: center;
    }
    .id-card {
        padding: 20px;
        width: 350px;
        margin: auto;
        border-radius: 10px;
        background: #fff;
        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    }
    .photo {
        margin-right: 20px;
    }
    .info {
        margin: 5px 0;
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }
    .info strong {
        width: 120px; /* Fixed width for the label column */
        text-align: right;
        margin-right: 10px;
    }
    hr {
        border: 1px solid black;
        margin: 20px 0;
    }
   .staff-details {
        text-align: center;
        margin: 10px 0;
    }
    .staff-info {
        flex: 0.5; /* Let the text take up remaining space */
        text-align: left;
    }
    .staff-photo {
        display: inline-block;
    }
     .signature-table {
        width: 100%;
        margin-top: 5px; /* Space above the signature table */
    }
    .signature-row {
        display: flex;
        justify-content: space-between;
        font-size: 12px; /* Font size for signatures */
    }
     .footer {
        background: #034694; 
        color: #FFFF00; 
        padding: 10px; 
        margin-top: 20px; 
        font-size: 12px; 
        border-radius: 0 0 10px 10px;
    }
     .photo {
        margin-bottom: 10px;
    }
    .staff-info {
        margin-top: 10px;
        font-size: 14px;
        text-align: center; /* Centering the content */
    }
</style>

<body onload="print()">
    <div class="container">
        <div class="id-card">
            <table width="100%" style="background:#034694;border-radius: 10px 10px 0 0;">
                <tr>
                    <td colspan="4" align="center" style="font-weight: bold; font-size: 18px; padding: 10px; color: #FFFF00;">IDENTITY CARD</td>
                </tr>
                <tr>
                     <td width="25%" rowspan="4" align="center" style="vertical-align: middle;">
                        <img src="<?php echo e(asset('public/uploads/logo/'.$ins_det->logo)); ?>" alt="<?php echo e($ins_det->logo); ?>" height="60px">
                    </td>
                    <td width="50%" align="center" style="font-weight: bold; font-size: 15px; color: white;"><?php echo e($ins_det->name); ?></td>
                    <td width="25%" rowspan="3" align="center"></td>
                </tr>
                <tr>
                    <td align="center" style="font-size: 13px; color: white;"><?php echo e($ins_det->affiliation); ?></td>
                </tr>
                <tr>
                    <td align="center" style="font-size: 13px; color: white;"><?php echo e($ins_det->address); ?></td>
                </tr>
                <!--<tr>-->
                <!--    <td align="center" style="font-size: 13px; color: white;"><?php echo e('Ph: '.$ins_det->mobile.' '.$ins_det->landline); ?></td>-->
                <!--</tr>-->
            </table>
            <br>
            
              <div class="staff-details">
                <div class="photo">
                    <img src="<?php echo e(asset('public/uploads/staff/photo/'.$staff->image)); ?>"  alt="<?php echo e($staff->image); ?>" height="150px" width="150px" style="border: 1px solid #000;">
                </div>
                <div class="staff-info">
                    <div><b><span style="font-size:20px"><?php echo e(strtoupper( $staff->name )); ?></span></b></div>
                    <div><b><span style="font-size:18px"><?php echo e($staff->utype->type_name); ?></span></b></div>
                    <table style="margin: auto;"> 
                        <tr>
                            <td style="text-align: left;">Employee ID</td>
                            <td style="text-align: left;">: <?php echo e($staff->employee_id); ?></td>
                        </tr>
                        <tr>
                            <td style="text-align: left;">Blood Group</td>
                            <td style="text-align: left;">: <?php echo e($staff->blood_group); ?></td>
                        </tr>
                        <tr>
                            <td style="text-align: left;">Phone</td>
                            <td style="text-align: left;">: <?php echo e($staff->phone); ?></td>
                        </tr>
                    </table>
                </div>
            </div>
            
            
            
            
           
            <div>
                <br>
        <table class="signature-table" style="width: 100%;">
    <tr>
        <td style="text-align: left; vertical-align: bottom;">
            <img src="<?php echo e(asset('public/uploads/staff/signature/'.$staff->signature)); ?>" alt="<?php echo e($staff->signature); ?>" height="20px" width="50px">
            <div style="text-align: left; font-size: 12px;">Holder's Signature</div>
        </td>
        <td style="text-align: right; vertical-align: bottom;">
            <img src="<?php echo e(asset('public/uploads/staff/signature/auth.png')); ?>" alt="<?php echo e($staff->authorised_signature); ?>" height="20px" width="50px">
            <div style="text-align: right; font-size: 12px;">Authorised Signature</div>
        </td>
    </tr>
</table>

            </div>
            <div class="footer">
               &copy; <?php echo e(date('Y')); ?> <?php echo e($ins_det->name); ?> | All rights reserved
            </div>
            
            
            
            
        </div>
    </div>
</body>
<?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/idcard/idcard_print.blade.php ENDPATH**/ ?>