<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>OPAC</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .pagination .page-link {
            font-size: 14px; /* Adjust font size */
            padding: 0.5rem 0.75rem; /* Adjust padding */
        }
        
        .pagination .page-item {
            margin: 0 2px; /* Adjust spacing */
        }
    </style>
</head>
<body class="p-5" style="background-color: #e8e8e8;">
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 text-center">
                    <img src="<?php echo e(asset('public/uploads/logo/brennen_logo.jpg')); ?>" alt="Logo" height="100px">
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-12 text-center">
                    <h5>ONLINE PUBLIC ACCESS CATALOG (OPAC)</h5>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <form method="get">
                <div class="row">
                    <div class="col-12 col-sm-1">
                        <b>Search</b>
                    </div>
                    <div class="col-12 col-sm-2">
                        <select class="form-control" id="stype" name="stype">
                            <option value="">Library Catalog</option>
                            <option value="title" <?php echo e($stype == 'title' ? 'selected':''); ?>>Title</option>
                            <option value="author" <?php echo e($stype == 'author' ? 'selected':''); ?>>Author</option>
                            <option value="subject" <?php echo e($stype == 'subject' ? 'selected':''); ?>>Subject</option>
                            <option value="access_no" <?php echo e($stype == 'access_no' ? 'selected':''); ?>>Access No</option>
                            <option value="call_no" <?php echo e($stype == 'call_no' ? 'selected':''); ?>>Call No</option>
                            <option value="isbn" <?php echo e($stype == 'isbn' ? 'selected':''); ?>>ISBN</option>
                        </select>
                    </div>
                    <div class="col-12 col-sm-7">
                        <input type="text" class="form-control" id="skey" name="skey" value="<?php echo e($skey); ?>" placeholder="Search">
                    </div>
                    <div class="col-12 col-sm-2">
                        <button type="submit" class="btn btn-success">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <?php if($books->count() > 0): ?>
        <br>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-12">
                        <div style="overflow-x:scroll;">
                            <table class="table table-bordered">
                                <thead class="thead-dark">
                                    <tr>
                                        <th>Image</th>
                                        <th>Access No</th>
                                        <th>Call No</th>
                                        <th>Title</th>
                                        <th>Author</th>
                                        <th>Subject</th>
                                        <th>ISBN</th>
                                        <th>Category</th>
                                        <th>Sub Category</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td align="center">
                                                <?php if($book->image): ?>
                                                    <img src="<?php echo e(asset('public/uploads/books/image/'.$book->image)); ?>" width="100px;">
                                                <?php endif; ?>
                                            </td>
                                            <td align="center"><?php echo e($book->access_no); ?></td>
                                            <td align="center"><?php echo e($book->call_no); ?></td>
                                            <td><?php echo e($book->title); ?></td>
                                            <td><?php echo e($book->author); ?></td>
                                            <td><?php echo e($book->subject); ?></td>
                                            <td><?php echo e($book->isbn); ?></td>
                                            <td align="center"><?php echo e($book->category->name); ?></td>
                                            <td align="center"><?php echo e($book->subcategory->name); ?></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <br>
                <div class="row">
                    <div class="col-12">
                        <?php echo e($books->appends(['stype' => $stype, 'skey' => $skey])->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
</body>
</html><?php /**PATH /home/relents/public_html/brennencollege.relents.in/resources/views/library/opac/report.blade.php ENDPATH**/ ?>