
<?php $__env->startSection('title','Reservation'); ?>
<?php $__env->startSection('heading','Reservation'); ?>
<?php $__env->startSection('breadcrumb','Home / Library / Reservation'); ?>
<?php $__env->startSection('content'); ?>
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="mtype">Member Type</label>
                        <select class="js-example-basic-single form-control" id="mtype">
                            <option value="">All</option>
                            <?php $__currentLoopData = $types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($type->id); ?>"><?php echo e($type->member_type); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="member">Member</label>
                        <select class="js-example-basic-single form-control" id="member">
                            <option value="">Select</option>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="book">Book</label>
                        <select class="js-example-basic-single form-control" id="book">
                            <option value="">Select</option>
                        </select>
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="status">Status</label>
                        <select class="js-example-basic-single form-control" id="status">
                            <option value="">All</option>
                            <option value="Pending">Pending</option>
                            <option value="Approved">Approved</option>
                            <option value="Rejected">Rejected</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="fdate">From Date</label>
                        <input type="date" class="form-control" id="fdate">
                    </div>
                </div>
                <div class="col-12 col-md-3">
                    <div class="form-group">
                        <label for="tdate">To Date</label>
                        <input type="date" class="form-control" id="tdate">
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <button type="button" class="btn btn-sm btn-success float-right" id="filter">Filter</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="card">
        <div class="card-body">
            <table class="table table-bordered" id="reservationTable" width="100%">
                <thead>
                <tr>
                    <th>Member No</th>
                    <th>Member</th>
                    <th>Member Type</th>
                    <th>Access No</th>
                    <th>Book Title</th>
                    <th>Author</th>
                    <th>Date</th>
                    <th>Status</th>
                    <th class="no-sort">Actions</th>
                </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
    <script src="<?php echo e(asset('public/js/library/report.js')); ?>"></script>
    <script>
        $(function () {
            var reservationTable = $("#reservationTable").DataTable({
                lengthChange: true,
                lengthMenu: [ [10, 50, 100, 500, -1], [10, 50, 100, 500, 'All'],],
                scrollX: true,
                searching: true,
                processing : true,
                serverSide : true,
                stateSave : true,
                columnDefs : [
                    { targets: 'no-sort', orderable: false },
                    { targets: [0, 2, 3, 5, 6, 7, 8], className: 'text-center' }
                ],
                ajax : {
                    url : '<?php echo e(route('library.reservation.ajax')); ?>',
                    dataType : 'json',
                    type : 'GET',
                    data: function(data){
                        data.mtype = $('#mtype').val(),
                        data.member = $('#member').val(),
                        data.book = $('#book').val(),
                        data.status = $('#status').val(),
                        data.fdate = $('#fdate').val();
                        data.tdate = $('#tdate').val();
                    }
                },
                columns : [
                    { data : 'mno' },
                    { data : 'member' },
                    { data : 'mtype' },
                    { data : 'ano' },
                    { data : 'book' },
                    { data : 'author' },
                    { data : 'date' },
                    { data : 'status' },
                    { data : 'action' },
                ]
            });
            
            $('#filter').click(function(){
                reservationTable.draw();
            });
            
            $('#export').click(function(){
                var category = $('#category').val();
                var subcategory = $('#subcategory').val();
                var location = $('#location').val();
                var sublocation = $('#sublocation').val();
                var skey = $('#skey').val();
                
                window.location = '/library/book/export?category='+category+'&subcategory='+subcategory+'&location='+location+'&sublocation='+sublocation+'&skey='+skey;
            });
        });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.template', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/cllgdemodrlnt/public_html/resources/views/library/reservation/report.blade.php ENDPATH**/ ?>